using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

using com.plumtree.server;

using com.plumtree.openfoundation.util;
using com.plumtree.openfoundation.web;
using com.plumtree.portaluiinfrastructure.activityspace;
using com.plumtree.uiinfrastructure.web;

//The Intepreter class takes HTTP requests and passes them to the correct
//IControl, gets the IDisplayPage, and returns HTML to the user.

namespace com.plumtree.portaluiinfrastructure.activityspace
{
	/// <summary>
	/// Summary description for PlumHandler.
	/// </summary>
	public class PlumHandler : IHttpHandler, IRequiresSessionState
	{
		private HttpInterpreterBridge httpInterpreterBridge = new HttpInterpreterBridge();
		public PlumHandler()
		{
			
		}
		public void ProcessRequest(System.Web.HttpContext context)
		{
			httpInterpreterBridge.Service(context.Request, context.Response, context.Session, context.Application);
		}

		public bool IsReusable
		{
			get
			{
				return true;
			}
		}

	}
}
