package com.plumtree.portal.activityspace;

import com.plumtree.uiinfrastructure.interpreter.Interpreter;
import com.plumtree.uiinfrastructure.web.*;

/**
 * The HTTPInterpreter Servlet passes HTTP requests to the Interpreter class.
 * 
 * This implements a java servlet, and therefore must be completely re-written
 * as a .aspx page in C#.
 *
 * Any changes to this file need to be duplicated in the corresponding
 * .NET file (HTTPInterpreterBridge.cs).
 * 
 * @author Don Hayler 
 */
@SuppressWarnings("serial")
public class HTTPInterpreter extends XPPage
{
	
	private static final IXPPage m_smPage = new Interpreter();

	/**
	 * 
	 *
	 * @return 
	 */
	public IXPPage GetXPPage()
	{
		return m_smPage;
	}
}

