using System;
using com.plumtree.portalpages.common.constants;
using com.plumtree.uiinfrastructure.editor;
using com.plumtree.uiinfrastructure.statichelpers;
using com.plumtree.xpshared.htmlconstructs;
using com.plumtree.xpshared.htmlelements;
namespace com.plumtree.portalpages.admin.editors.authsource
{
  /// <author>OlegS</author>
  public abstract class AuthSource2DP : EditorDP
  {
    
    /// <returns></returns>
    public override String GetLeftNavString()
    {
      return m_asOwner.GetString(31, ResourceConstants.PORTALADMINMSGS);
    }
    
    /// <returns></returns>
    /// <throws>HTMLException</throws>
    public override HTMLElement PageDisplay()
    {
      HTMLElementCollection result = new HTMLElementCollection();
      result.AddInnerHTMLElement(base.PageDisplay());
      HTMLElementCollection views = new HTMLElementCollection();
      views.AddInnerHTMLElement(((EditorView) m_asOwner.GetView(((AuthSourceEditorAS) m_asOwner).GetViewName2())).Display());
      views.AddInnerHTMLElement(EditorView.GetSpacerTable());
      result.AddInnerHTMLElement(CreateLeftNavBar(views));
      return result;
    }
    
    /// <returns></returns>
    /// <throws>HTMLException</throws>
    protected override HTMLScriptCollection DisplayJavaScriptFromChild()
    {
      HTMLScriptCollection myScripts = base.DisplayJavaScriptFromChild();
      HTMLScript script = m_asOwner.GetView(((AuthSourceEditorAS) m_asOwner).GetViewName2()).DisplayJavascript();
      if (script != null)
      {
        myScripts.AddInnerHTMLElement(script);
      }
      return myScripts;
    }
    protected override HTMLElement GetHTMLBelowSubHeader()
    {
      HTMLSpan mySpan = new HTMLSpan();
      mySpan.SetStyleClass(PTStyleClass.ALERT_REQUIRED_TEXT);
      mySpan.AddInnerHTMLString(CommonHTMLStrings.SPACE + CommonHTMLStrings.SPACE + "*" + m_asOwner.GetString(33,
       ResourceConstants.PORTALADMINMSGS));
      return HTMLConstructHelpers.GetSubHeader(m_asOwner.GetString(1705, ResourceConstants.PORTALADMINMSGS) + mySpan.GetDisplayString(),
       m_asOwner);
    }
  }
}