using System;
using com.plumtree.portalpages.common.constants;
using com.plumtree.uiinfrastructure.editor;
using com.plumtree.uiinfrastructure.statichelpers;
using com.plumtree.xpshared.htmlelements;
namespace com.plumtree.portalpages.admin.editors.authsource
{
  /// <author>OlegS</author>
  public abstract class AuthSource3DP : EditorDP
  {
    
    /// <returns></returns>
    public override String GetLeftNavString()
    {
      return m_asOwner.GetString(37, ResourceConstants.PORTALADMINMSGS);
    }
    
    /// <returns></returns>
    /// <throws>HTMLException</throws>
    public override HTMLElement PageDisplay()
    {
      HTMLElementCollection result = new HTMLElementCollection();
      result.AddInnerHTMLElement(base.PageDisplay());
      HTMLElementCollection views = new HTMLElementCollection();
      views.AddInnerHTMLElement(((EditorView) m_asOwner.GetView(((AuthSourceEditorAS) m_asOwner).GetViewName3())).Display());
      views.AddInnerHTMLElement(EditorView.GetSpacerTable());
      result.AddInnerHTMLElement(CreateLeftNavBar(views));
      return result;
    }
    
    /// <returns></returns>
    /// <throws>HTMLException</throws>
    protected override HTMLScriptCollection DisplayJavaScriptFromChild()
    {
      HTMLScriptCollection myScripts = base.DisplayJavaScriptFromChild();
      HTMLScript script = m_asOwner.GetView(((AuthSourceEditorAS) m_asOwner).GetViewName3()).DisplayJavascript();
      if (script != null)
      {
        myScripts.AddInnerHTMLElement(script);
      }
      return myScripts;
    }
    protected override HTMLElement GetHTMLBelowSubHeader()
    {
      //pkd extracted: 		return HTMLConstructHelpers.GetSubHeader(_ui_MiniHelp,m_asOwner);
      return HTMLConstructHelpers.GetSubHeader(m_asOwner.GetString(1706, ResourceConstants.PORTALADMINMSGS),
       m_asOwner);
    }
  }
}