using System;
// Framework Imports
using com.plumtree.portalpages.browsing.editors.community;
using com.plumtree.portaluiinfrastructure.editor;
using com.plumtree.uiinfrastructure.expandablelist;
namespace com.plumtree.portalpages.admin.editors.communitytemplate
{
  /// <author>michaeld</author>
  public class CommunityTemplateRepostControl : ObjEditorRepostControl
  {
    
    /// <summary>
    /// Object Name 
    /// </summary>
    public const String STR_MVC_CLASS_NAME = "CommTempRepost";
    public const int POSTTOSELF_ACTION_COMMUNITYTEMPLATE1 = 10;
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()"></seealso>
    public override Object Create()
    {
      return new CommunityTemplateRepostControl();
    }
    
    /// <summary>
    /// Returns the Class name.
    /// </summary>
    /// <returns>String</returns>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <summary>
    /// Switch between the action modes and call  the associated method for each
    /// action.
    /// </summary>
    /// <param name="_nAction"></param>
    protected override void PerformAction(int _nAction)
    {
      base.PerformAction(_nAction);
      // ***CHANGE_HERE SELECTPTOBJECT***
      // You need to call the PerformRepostAction on the select ptobject control
      ((ExpListControl) m_asOwner.GetControl(CommunityTemplateEditorAS.PLUGIN_SELECT_PAGE_TEMPLATE)).PerformRepostAction(_nAction,
       m_htFormData);
      //		// Call PerformRepostAction for header
      //		((ExpListControl) m_asOwner.GetControl(CommunityTemplateEditorAS.strStorageSelectHeader)).
      //			PerformRepostAction(_nAction, m_htFormData);
      //
      //		// Call PerformRepostAction for footer
      //		((ExpListControl) m_asOwner.GetControl(CommunityTemplateEditorAS.strStorageSelectFooter)).
      //			PerformRepostAction(_nAction, m_htFormData);
      //***CHANGE_HERE*** if you don't have any repost action, delete the switch statement.
      switch (_nAction){
      //***CHANGE_HERE*** Create a new case for each of your action.
      case POSTTOSELF_ACTION_COMMUNITYTEMPLATE1:
      //((CommunityTemplateModel) m_model).ActionOnRepost();
      break;
      }
      // Performs the header and footer actions
      ((HeaderAndFooterRepostControl) m_asOwner.GetControl(HeaderAndFooterRepostControl.STR_MVC_CLASS_NAME)).PerformRepostAction(_nAction,
       m_htFormData);
    }
  }
}