using System;
using com.plumtree.portaluiinfrastructure.editor;
namespace com.plumtree.portalpages.admin.editors.condition
{
  public interface IRuleEditorModelRO : IObjEditorModelRO
  {
    
    /// <summary>
    /// Get Subportal Action Name.
    /// </summary>
    /// <returns>String</returns>
    String GetSubportalActionName();
    
    /// <summary>
    /// Returns the Subportal TreeSpace ID.
    /// </summary>
    /// <returns>String</returns>
    String GetSubportalTreeSpaceID();
    
    /// <summary>
    /// Get Expression Name.
    /// </summary>
    /// <returns>String</returns>
    String GetExpressionName();
  }
}