using System;
// Framework Imports
using com.plumtree.portaluiinfrastructure.editor;
namespace com.plumtree.portalpages.admin.editors.datasource
{
  public interface IDSModelRO : IObjEditorModelRO
  {
    
    /// <summary>
    /// Returns the URL type for the data source.  This value is either
    /// PT_URL_TYPES.PT_URL_TYPE_SIMPLE_FIELD_MAPPING or PT_URL_TYPES.
    /// PT_URL_TYPE_DATASOURCE_GENERATED
    /// </summary>
    /// <returns>int</returns>
    int GetURLType();
    
    /// <summary>
    /// Returns the Web Service ID for the data source.
    /// </summary>
    /// <returns>int</returns>
    int GetWebServiceID();
  }
}