using System;
using com.plumtree.uiinfrastructure.constants;
using com.plumtree.uiinfrastructure.form;
using com.plumtree.xpshared.htmlelements;
namespace com.plumtree.portalpages.admin.editors.defaultprofile
{
  /// <summary>
  /// File: EditDefaultProfileTopDP.java
  /// ----------------------------------
  /// </summary>
  /// <author>NaveenP</author>
  public class EditDefaultProfileTopDP : AFormDP
  {
    public const String STR_MVC_CLASS_NAME = "EditDefaultProfileTop";
    
    /// <returns></returns>
    public override String GetFormTitle()
    {
      return m_asOwner.GetString(328, "ptmsgs_portalbrowsingmsgs");
    }
    
    /// <seealso cref="com.plumtree.xpshared.activityspace.IDisplayPage#GetName()"></seealso>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <seealso cref="com.plumtree.uiinfrastructure.form.AFormDP#PageDisplay()"></seealso>
    public override HTMLElement PageDisplay()
    {
      HTMLElementCollection result = new HTMLElementCollection();
      result.AddInnerHTMLElement(m_asOwner.GetView(EditDefaultProfileTopView.STR_MVC_CLASS_NAME).Display());
      return result;
    }
    
    /// <seealso cref="com.plumtree.uiinfrastructure.form.AFormDP#DisplayJavaScriptFromChild()"></seealso>
    protected override HTMLScriptCollection DisplayJavaScriptFromChild()
    {
      HTMLScriptCollection scripts = new HTMLScriptCollection();
      //scripts.AddInnerHTMLElement(m_asOwner.GetView(DefaultProfileEditorTopView.STR_MVC_CLASS_NAME).DisplayJavascript());
      return scripts;
    }
    /*
     *
     * This method determines whether to use Javascript.  On most pages,
     * only the STANDARD portal uses JS.  However, on portal, community, and
     * the default profile pages, the low-bandwidth portal can display JS.  In these
     * cases, this method is overridden to allow JS for Standard and LB (which is the
     * same as NOT 5_08).
     *
     * @return boolean
     */
     
    public override bool GetUseJavascript()
    {
      return (GetOwner().GetAccessStyle() != AccessStyles.SECTION_508);
    }
  }
}