using System;
// Framework Imports
using com.plumtree.uiinfrastructure.activityspace;
using com.plumtree.uiinfrastructure.expandablelist;
using com.plumtree.xpshared.htmlconstructs;
namespace com.plumtree.portalpages.admin.editors.doctypemap
{
  /// <summary>
  /// This interface is implemented by the Model.
  /// It contains all the read-only mothods of the Model
  /// accessed by the Views.
  /// </summary>
  /// <author>SudhaS</author>
  public interface IGbDocTypeListModelRO : IExpListModelRO
  {
    //public XPArrayList GetArrayOfSubEditors();
    //public Object GetSubEditorAtIndex(int index);
    
    /// <seealso cref="com.plumtree.portalpagessample.editor.template4#GetASURLToProperty"></seealso>
    ASURL GetASURLToProperty(String _sSubSpaceKey, String _strDefaultSpace);
    
    /// <param name="_nDocTypeID"></param>
    /// <param name="_nIndex"></param>
    /// <returns></returns>
    String GetDocTypeStringFromID(int _nDocTypeID, int _nIndex);
    //public void AddPropertyToArray() ;
    ASURL GetEditObjectURL(int _nDocTypeID, String _strDocTypeIdentifier,
     int _nRowIndex);
    
    /// <returns></returns>
    int GetModelID();
    
    /// <seealso cref="com.plumtree.uiinfrastructure.expandablelist.GrowableListModel#GetRowIcon()"></seealso>
    PTImageType GetRowIcon();
    //public String GetName();
    //public String GetDescription();
    String GetSecondAddLabel();
    PTImageType GetSecondAddImageIcon();
    int GetFolderID();
  }
}