using System;
// Framework Imports
using com.plumtree.uiinfrastructure.editor;
using com.plumtree.uiinfrastructure.expandablelist;
namespace com.plumtree.portalpages.admin.editors.doctypemapextension
{
  /// <author>SudhaS</author>
  public class GbDocTypeExtRepostControl : EditorRepostControl
  {
    public const String STR_MVC_CLASS_NAME = "GbDocTypeExtRepost";
    public const int POSTTOSELF_ACTION_DONE_POPUP = 11;
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()"></seealso>
    public override Object Create()
    {
      return new GbDocTypeExtRepostControl();
    }
    
    /// <summary>
    /// Returns the Class name.
    /// </summary>
    /// <returns>String</returns>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <summary>
    /// Switch between the action modes and call
    /// the associated method for each action.
    /// </summary>
    /// <param name="_nAction"></param>
    protected override void PerformAction(int _nAction)
    {
      base.PerformAction(_nAction);
      ((ExpListControl) m_asOwner.GetControl(GbDocTypeExtEditorAS.strStorageGbDocTypeExtList)).PerformRepostAction(_nAction,
       m_htFormData);
      switch (_nAction){
      }
    }
  }
}