using System;
// Framework Imports
using com.plumtree.uiinfrastructure.activityspace;
using com.plumtree.uiinfrastructure.expandablelist;
using com.plumtree.xpshared.htmlconstructs;
namespace com.plumtree.portalpages.admin.editors.doctypemapextension
{
  /// <summary>
  /// This interface is implemented by the Model.
  /// It contains all the read-only mothods of the Model
  /// accessed by the Views.
  /// </summary>
  /// <author>SudhaS</author>
  public interface IGbDocTypeExtListModelRO : IExpListModelRO
  {
    
    /// <seealso cref="com.plumtree.portalpagessample.editor.template4#GetArrayOfSubEditors">/**</seealso>
    /// <seealso cref="com.plumtree.portalpagessample.editor.template4#GetASURLToProperty"></seealso>
    ASURL GetASURLToProperty(String _sSubSpaceKey, String _strDefaultSpace);
    
    /// <param name="_nRowIndex"></param>
    /// <returns></returns>
    String GetDocTypeFromRowIndex(int _nRowIndex);
    
    /// <seealso cref="com.plumtree.uiinfrastructure.expandablelist.GrowableListModel#GetRowIcon()"></seealso>
    PTImageType GetRowIcon();
    
    /// <returns></returns>
    String GetSecondAddLabel();
  }
}