using System;
using com.plumtree.portaluiinfrastructure.editor;
using com.plumtree.server;
namespace com.plumtree.portalpages.admin.editors.portlet
{
  /// <author>adolfoc</author>
  public interface IPortletModelRO : IObjEditorModelRO
  {
    bool IsForCommunity();
    int GetFolderID();
    int GetPortletType();
    
    /// <summary>
    /// Returns the current mode of this editor.
    /// Look in PortletData for a list of available PMODEs.
    /// </summary>
    /// <returns>int</returns>
    int GetPMode();
    
    /// <summary>
    /// Returns the Portlet's visual size. See IPTGadget for more info.
    /// </summary>
    /// <returns></returns>
    int GetPortletSize();
    String GetProviderCLSID();
    IPTWebService GetWebService();
    bool IsTemplate();
    bool IsMandatory();
  }
}