using System;
namespace com.plumtree.portalpages.admin.editors.portlet
{
  /// <author>adolfoc</author>
  public class PortMainPortletEditorAS : PortletEditorAS
  {
    
    /// <summary>
    /// The Object Name of the Remote Server Editor 
    /// </summary>
    public const String STR_MVC_CLASS_NAME = "PortMainPortletEditor";
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()"></seealso>
    public override Object Create()
    {
      return new PortMainPortletEditorAS();
    }
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IMVCObject#GetName()"></seealso>
    public override String GetName()
    {
      return PortMainPortletEditorAS.STR_MVC_CLASS_NAME;
    }
  }
}