using System;
// Framework Imports
using com.plumtree.portaluiinfrastructure.editor;
using com.plumtree.uiinfrastructure.expandablelist;
namespace com.plumtree.portalpages.admin.editors.portletbundle
{
  /// <author>michaeld</author>
  public class PortletBundleRepostControl : ObjEditorRepostControl
  {
    
    /// <summary>
    /// Object Name 
    /// </summary>
    public const String STR_MVC_CLASS_NAME = "GadgetBundleRepost";
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()"></seealso>
    public override Object Create()
    {
      return new PortletBundleRepostControl();
    }
    
    /// <summary>
    /// Returns the Class name.
    /// </summary>
    /// <returns>String</returns>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <summary>
    /// Switch between the action modes and call  the associated method for each
    /// action.
    /// </summary>
    /// <param name="nAction"></param>
    protected override void PerformAction(int nAction)
    {
      base.PerformAction(nAction);
      // You need to call the PerformRepostAction on the select ptobject control
      ((ExpListControl) m_asOwner.GetControl(PortletBundleEditorAS.strStorageSelectPTObject)).PerformRepostAction(nAction,
       m_htFormData);
    }
  }
}