using System;
using com.plumtree.xpshared.htmlconstructs;
using com.plumtree.xpshared.htmlelements;
namespace com.plumtree.portalpages.admin.editors.profilesource
{
  /// <author>Mike Jahr</author>
  public class ProfileSourceHelper
  {
    
    /// <param name="sInstructions"></param>
    /// <returns></returns>
    /// <throws>HTMLException</throws>
    public static HTMLTable ConstructInstructionsTable(String sInstructions)
    {
      HTMLTable myTable;
      HTMLTableCell myCell;
      HTMLTableRow myRow;
      // mj: add the instructions table
      myTable = ConstructSettingsTable();
      myRow = new HTMLTableRow();
      myTable.AddInnerHTMLElement(myRow);
      myRow.SetStyleClass(PTStyleClass.OBJECT_CONTENT_BG);
      myCell = new HTMLTableCell();
      myRow.AddInnerHTMLElement(myCell);
      myCell.SetStyleClass(PTStyleClass.OBJECT_TEXT);
      myCell.AddInnerHTMLString(sInstructions);
      return myTable;
    }
    
    /// <returns></returns>
    /// <throws>HTMLException</throws>
    public static HTMLTable ConstructSettingsTable()
    {
      HTMLTable myTable = new HTMLTable();
      myTable.SetWidth("100%");
      myTable.SetBorder("0");
      myTable.SetCellPadding("5");
      myTable.SetCellSpacing("0");
      return myTable;
    }
  }
}