using System;
using com.plumtree.uiinfrastructure.editor;
using com.plumtree.uiinfrastructure.statichelpers;
using com.plumtree.xpshared.htmlelements;
namespace com.plumtree.portalpages.admin.editors.propertymap
{
  /// <author>$author$</author>
  public class PropertyMapEditorMainDP : EditorDP
  {
    public const String STR_MVC_CLASS_NAME = "PropertyMapEditorMain";
    public override String GetLeftNavString()
    {
      return m_asOwner.GetString(704, "ptmsgs_portaladminmsgs");
    }
    
    /// <returns></returns>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <returns></returns>
    /// <throws>HTMLException</throws>
    public override HTMLElement PageDisplay()
    {
      HTMLElementCollection result = new HTMLElementCollection();
      result.AddInnerHTMLElement(base.PageDisplay());
      HTMLElementCollection views = new HTMLElementCollection();
      views.AddInnerHTMLElement(((EditorView) m_asOwner.GetView(PropertyMapEditorMainView.STR_MVC_CLASS_NAME)).Display());
      result.AddInnerHTMLElement(CreateLeftNavBar(views));
      return result;
    }
    
    /// <returns></returns>
    /// <throws>HTMLException</throws>
    protected override HTMLScriptCollection DisplayJavaScriptFromChild()
    {
      HTMLScriptCollection myScripts = base.DisplayJavaScriptFromChild();
      myScripts.AddInnerHTMLElement(m_asOwner.GetView(PropertyMapEditorMainView.STR_MVC_CLASS_NAME).DisplayJavascript());
      return myScripts;
    }
    
    /// <returns></returns>
    /// <throws>HTMLException</throws>
    protected override HTMLElement GetHTMLBelowSubHeader()
    {
      //pkd extracted: 		return HTMLConstructHelpers.GetSubHeader(_ui_MiniHelp,m_asOwner);
      return HTMLConstructHelpers.GetSubHeader(m_asOwner.GetString(2649, "ptmsgs_portaladminmsgs"),
       m_asOwner);
    }
  }
}