using System;
using com.plumtree.openfoundation.util;
using com.plumtree.portalpages.browsing.editors.community;
namespace com.plumtree.portalpages.admin.editors.userprofilemanager
{
  /// <author>
  /// JHQ
  /// This class extends CommunityEditorRepostControl so that it can be used within
  /// the user profile manager and make the PerformAction() method public
  /// </author>
  public class UsrProfCommRepostControl : CommunityEditorRepostControl
  {
    
    /// <summary>
    /// Object Name 
    /// </summary>
    public const String STR_MVC_CLASS_NAME = "UsrProfCommRepostControl";
    /* (non-Javadoc)
     * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
     */
     
    public override Object Create()
    {
      return new UsrProfCommRepostControl();
    }
    /* (non-Javadoc)
     * @see com.plumtree.uiinfrastructure.activityspace.IMVCObject#GetName()
     */
     
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    /* (non-Javadoc)
     * @see com.plumtree.uiinfrastructure.form.RepostControl#PerformAction(int)
     */
     
    protected override void PerformAction(int _nAction)
    {
      base.PerformAction(_nAction);
    }
    //AGC- Needed for jump to work (protection level bogus when used in UsrProfMgrRepostControl)
    public virtual void PublicPerformAction(int _nAction)
    {
      PerformAction(_nAction);
    }
    public virtual void InitializeArguments(XPHashtable arguments)
    {
      m_htFormData = arguments;
    }
  }
}