using System;
namespace com.plumtree.portalpages.admin.editors.webservice
{
  /// <summary>
  /// This class represents the editor to integrate Ensemble pagelets into portal.
  /// </summary>
  public class RemPageletWSWebServiceEditorAS : WebServiceEditorAS
  {
    
    /// <summary>
    /// The Object Name of the Web Service Editor 
    /// </summary>
    public const String STR_MVC_CLASS_NAME = "RemPageletWSWebServiceEditor";
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()"></seealso>
    public override Object Create()
    {
      return new RemPageletWSWebServiceEditorAS();
    }
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IMVCObject#GetName()"></seealso>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
  }
}