using System;
namespace com.plumtree.portalpages.admin.editors.webservice
{
  /// <author>adolfoc</author>
  public class SearchWSWebServiceEditorAS : WebServiceEditorAS
  {
    
    /// <summary>
    /// The Object Name of the Web Service Editor 
    /// </summary>
    public const String STR_MVC_CLASS_NAME = "OutgoingNetworkSearchWebServiceEditor";
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()"></seealso>
    public override Object Create()
    {
      return new SearchWSWebServiceEditorAS();
    }
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IMVCObject#GetName()"></seealso>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
  }
}