using System;
using com.plumtree.portalpages.common.helpers;
namespace com.plumtree.portalpages.admin.editors.webservice.plugins
{
  /// <author>adolfoc</author>
  public interface IAWSSettingsPluginModelRO
  {
    
    /// <returns></returns>
    String GetAuthURL();
    
    /// <returns></returns>
    String GetBaseURL();
    
    /// <summary>
    /// Returns timeout setting for the Auth URL.
    /// </summary>
    /// <returns>PTDuration</returns>
    PTDuration GetAuthDuration();
    
    /// <summary>
    /// Returns timeout setting for the Sync URL.
    /// </summary>
    /// <returns>PTDuration</returns>
    PTDuration GetSyncDuration();
    
    /// <returns></returns>
    String GetSyncURL();
  }
}