using System;
using com.plumtree.portalpages.common.helpers;
namespace com.plumtree.portalpages.admin.editors.webservice.plugins
{
  /// <author>adolfoc</author>
  public interface ICWSSettingsPluginModelRO
  {
    
    /// <returns></returns>
    String GetBaseURL();
    
    /// <returns></returns>
    String GetContainerURL();
    
    /// <returns></returns>
    String GetUploadURL();
    
    /// <returns></returns>
    String GetDocumentURL();
    
    /// <summary>
    /// Returns timeout setting.
    /// </summary>
    /// <returns>PTDuration</returns>
    PTDuration GetSOAPDuration();
    
    /// <summary>
    /// Returns timeout setting.
    /// </summary>
    /// <returns>PTDuration</returns>
    PTDuration GetGatewayDuration();
  }
}