using System;
namespace com.plumtree.portalpages.admin.editors.webservice.plugins
{
  /// <author>JaneD</author>
  public interface IDebugConfigPluginModelRO
  {
    
    /// <summary>
    /// Returns whether or not the user has selected to enable
    /// HTTP request tracing.
    /// </summary>
    /// <returns></returns>
    bool GetHTTPRequestTracingOn();
    
    /// <summary>
    /// Returns whether or not the user has selected to enable
    /// HTTP response tracing.
    /// </summary>
    /// <returns></returns>
    bool GetHTTPResponseTracingOn();
  }
}