using System;
namespace com.plumtree.portalpages.admin.editors.webservice.plugins
{
  /// <author>JaneD</author>
  public interface IDebugUserPluginModelRO
  {
    
    /// <summary>
    /// Returns the user id of the user for which debugging is turned on.
    /// If it returns 0, that means debugging should be turned on for ALL users.
    /// </summary>
    /// <returns></returns>
    int GetUserID();
    
    /// <summary>
    /// Returns the user name of the user for which debugging is turned on.
    /// If it returns null, that means debugging should be turned on for ALL users.
    /// </summary>
    /// <returns></returns>
    String GetUserName();
    
    /// <returns></returns>
    String GetData(String name);
  }
}