using System;
namespace com.plumtree.portalpages.admin.editors.webservice.plugins
{
  /// <author>josephs</author>
  public interface IGatewaySettingsPluginModelRO
  {
    
    /// <summary>
    /// Whether or not to send a timezone to the portlet.
    /// </summary>
    /// <returns>boolean</returns>
    bool GetUseHostedDisplayMode();
    
    /// <summary>
    /// Whether or not to send a timezone to the portlet.
    /// </summary>
    /// <returns>boolean</returns>
    bool GetTransformJS();
    
    /// <summary>
    /// Whether or not to send a timezone to the portlet.
    /// </summary>
    /// <returns>boolean</returns>
    bool GetTransformCSS();
  }
}