using System;
namespace com.plumtree.portalpages.admin.editors.webservice.plugins
{
  /// <author>adolfoc</author>
  public interface IRemoteServerPluginModelRO
  {
    
    /// <returns></returns>
    String GetData(String name);
    
    /// <returns></returns>
    String GetRemoteServerName();
    
    /// <summary>
    /// Returns the folder path that the remote server is stored in.
    /// </summary>
    String GetRemoteServerPath();
    int GetRemoteServerObjectID();
    
    /// <summary>
    /// Returns whether or not this view should be read-only.
    /// </summary>
    bool IsReadOnly();
  }
}