using System;
namespace com.plumtree.portalpages.admin.editors.xui
{
  /// <summary>
  /// This interface is implemented by the Model. It contains all the read-only
  /// mothods of the Model accessed by the Views.
  /// </summary>
  /// <author>Julie Fournier</author>
  public interface IXUIHelperModelRO
  {
    
    /// <seealso cref="com.plumtree.portalpages.admin.editors.xui.XUIHelperModel#GetHTMLForXUIPage()"></seealso>
    String GetHTMLForXUIPage(int _nXUIPageID);
    
    /// <seealso cref="com.plumtree.portalpages.admin.editors.xui.XUIHelperModel#GetPageInstructions()"></seealso>
    String GetPageInstructions(int _nXUIPageID);
    
    /// <seealso cref="com.plumtree.portalpages.admin.editors.xui.XUIHelperModel#GetPageTitle()"></seealso>
    String GetPageTitle(int _nXUIPageID);
  }
}