using System;
using com.plumtree.portaluiinfrastructure.editor.commonpages.migrationhistory;
using com.plumtree.uiinfrastructure.editor;
using com.plumtree.xpshared.htmlelements;
namespace com.plumtree.portalpages.admin.migrationhistory
{
  /// <version>$Revision$</version>
  /// <author>arvinds</author>
  public class MigrationHistoryDP : EditorDP
  {
    
    /// <summary>
    /// The name of this display page 
    /// </summary>
    public const String STR_MVC_CLASS_NAME = "MigrationHistory";
    
    /// <returns></returns>
    public override String GetLeftNavString()
    {
      return m_asOwner.GetString(1200, "ptmsgs_portaladminmsgs");
    }
    
    /// <seealso cref="com.plumtree.portaluiinfrastructure.activityspace.IDisplayPage#GetName()"></seealso>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <summary>
    /// Displays the page
    /// </summary>
    public override HTMLElement PageDisplay()
    {
      HTMLElementCollection result = new HTMLElementCollection();
      // Insert super class HTML		
      //result.AddInnerHTMLElement(super.PageDisplay());
      HTMLElement View = m_asOwner.GetView(MigrationHistoryView.STR_MVC_CLASS_NAME).Display();
      HTMLTable table = CreateContentTable(View, m_asOwner.GetString(1200,
       "ptmsgs_portaladminmsgs"));
      result.AddInnerHTMLElement(table);
      return result;
    }
  }
}