using System;
// Framework Imports
using com.plumtree.uiinfrastructure.activityspace;
using com.plumtree.uiinfrastructure.expandablelist;
using com.plumtree.xpshared.htmlconstructs;
namespace com.plumtree.portalpages.admin.ptutilities.automationserver
{
  /// <summary>
  /// This interface is implemented by the Model.
  /// It contains all the read-only mothods of the Model
  /// accessed by the Views.
  /// </summary>
  /// <author>SudhaS</author>
  public interface IAutomationServerListModelRO : IExpListModelRO
  {
    //public XPArrayList GetArrayOfSubEditors();
    //public Object GetSubEditorAtIndex(int index);
    
    /// <seealso cref="com.plumtree.portalpagessample.editor.template4#GetASURLToProperty"></seealso>
    //public ASURL GetASURLToProperty(String _sSubSpaceKey);
    //public void AddPropertyToArray() ;
    ASURL GetEditObjectURL(String _strServerName);
    
    /// <seealso cref="com.plumtree.uiinfrastructure.expandablelist.GrowableListModel#GetRowIcon()"></seealso>
    PTImageType GetRowIcon();
  }
}
//public String GetName();
//public String GetDescription();
