using System;
using com.plumtree.uiinfrastructure.activityspace;
namespace com.plumtree.portalpages.admin.ptutilities.diagnostic.dynamicloads.varpacks
{
  /// <summary>
  /// This class displays the currently loaded VarPacks.
  /// </summary>
  /// <author>DonH</author>
  public class VarPackModel : IVarPackModelRO,IModel
  {
    public const String STR_MVC_CLASS_NAME = "VarPackDiagnostic";
    protected String m_strVarPackID = null;
    
    /// <seealso cref="com.plumtree.portalpages.admin.ptutilities.diagnostic.varpack.IVarPackModelRO#GetCurrentVarPackID()"></seealso>
    public virtual String GetCurrentVarPackID()
    {
      return m_strVarPackID;
    }
    
    /// <seealso cref="com.plumtree.portalpages.admin.ptutilities.diagnostic.varpack.IVarPackModelRO#GetAllowVarPackReload()"></seealso>
    public virtual bool GetAllowVarPackReload()
    {
      return false;
    }
    
    /// <param name="_strVarPackID"></param>
    public virtual void SetCurrentVarPackID(String _strVarPackID)
    {
      m_strVarPackID = _strVarPackID;
    }
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IModel#Init(AActivitySpace)"></seealso>
    public virtual void Init(AActivitySpace parent)
    {
    }
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IModel#CleanupTempData()"></seealso>
    public virtual void CleanupTempData()
    {
    }
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IModel#CleanupAllData()"></seealso>
    public virtual void CleanupAllData()
    {
    }
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IMVCObject#GetName()"></seealso>
    public virtual String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()"></seealso>
    public virtual Object Create()
    {
      return new VarPackModel();
    }
  }
}