using System;
using com.plumtree.openfoundation.util;
using com.plumtree.server;
using com.plumtree.uiinfrastructure.editor;
namespace com.plumtree.portalpages.admin.ptutilities.migrationutility
{
  /// <author>
  /// jennifersu
  /// To change the template for this generated type comment go to
  /// Window>Preferences>Java>Code Generation>Code and Comments
  /// </author>
  public interface IMigrationUtilityModelRO : IEditorModelRO
  {
    
    /// <summary>
    /// All classes in the AS should access the migration manager
    /// using this method, because the same IPTMigrationManager
    /// needs to be used for a given migration.
    /// </summary>
    /// <returns>IPTMigrationManager</returns>
    IPTMigrationManager GetMigrationManager();
    
    /// <summary>
    /// Gets an XPArrayList[] with all objects in the package (indexed by classID).
    /// Returns an array of IPTMigrationElements.
    /// Returns only supported CLASSIDS
    /// </summary>
    XPArrayList[] GetAllObjectsInPackage();
    
    /// <summary>
    /// Gets the status of the migration task.
    /// </summary>
    /// <returns>int (see PTMigrationTask for status values)</returns>
    int GetMigrationStatus();
  }
}