using System;
using com.plumtree.uiinfrastructure.filedownload;
namespace com.plumtree.portalpages.admin.ptutilities.migrationutility.exp
{
  public class MigrationFileDownloadAS : AFileDownloadAS
  {
    public const String STR_MVC_CLASS_NAME = "MigrationFileDownload";
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IMVCObject#GetName()"></seealso>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.AActivitySpace#CheckBasicAccess(java.lang.String,java.lang.String,boolean)"></seealso>
    public override bool CheckBasicAccess(String strPage, String strControl,
     bool bSameSpace)
    {
      // AGC- Security is ensured by the owning AS - the filename for download must be stored
      // on the Session by a secured Editor.
      return true;
    }
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()"></seealso>
    public override Object Create()
    {
      return new MigrationFileDownloadAS();
    }
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.AActivitySpace#Init()"></seealso>
    public override void Init()
    {
      base.Init();
      RegisterPage(new MigrationDownloadFilePopupDP());
    }
  }
}