using System;
using com.plumtree.uiinfrastructure.expandablelist;
using com.plumtree.uiinfrastructure.pagecontrols.jsdatepicker;
namespace com.plumtree.portalpages.admin.sendinvitation
{
  /// <author>dustina</author>
  public interface IInvCodeListModelRO : IExpListModelRO
  {
    
    /// <returns></returns>
    bool GetInvObjectStatus();
    
    /// <returns></returns>
    String GetInvitationCode();
    
    /// <summary>
    /// Returns the m_nInvNoi as a String.
    /// </summary>
    /// <returns>String</returns>
    String GetNumberOfInvitations();
    
    /// <summary>
    /// Returns the m_strInvName.
    /// </summary>
    /// <returns>String</returns>
    String GetInvitationCodeName();
    
    /// <summary>
    /// Get the Date picker control manager
    /// </summary>
    /// <returns>JSDatePickerMgr</returns>
    JSDatePickerMgr GetDatePickerControlManager();
  }
}