using System;
using com.plumtree.uiinfrastructure.form;
namespace com.plumtree.portalpages.admin.sendinvitation
{
  /// <author>DustinA</author>
  public class SendInvitationRepostControl : RepostControl
  {
    public const String STR_MVC_CLASS_NAME = "SendInvitationRepostControl";
    public const int POSTTOSELF_ACTION_ADD = 30;
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()"></seealso>
    public override Object Create()
    {
      return new SendInvitationRepostControl();
    }
    
    /// <summary>
    /// Returns the Class name.
    /// </summary>
    /// <returns>String</returns>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <summary>
    /// Switch between the action modes and call
    /// the associated method for each action.
    /// </summary>
    /// <param name="_nAction"></param>
    protected override void PerformAction(int _nAction)
    {
      base.PerformAction(_nAction);
      if (_nAction == POSTTOSELF_ACTION_ADD)
      {
        //XPArrayList arrayOfStatusAndErrorMessage = ((InvCodesListModel) m_asOwner.GetModel(InvCodesListModel.STR_MVC_CLASS_NAME)).AddRowsOnRepost(m_htFormData,
        String errorMessage = ((InvCodesListModel) m_asOwner.GetModel(InvCodesListModel.STR_MVC_CLASS_NAME)).AddRowsOnRepost(m_htFormData,
         0);
        //boolean status = XPConvert.ToBoolean(arrayOfStatusAndErrorMessage.GetElement(0));
        if (errorMessage == null)
        {
          ((SendInvitationModel) m_model).SetCreateCodeStatus(true);
          ((SendInvitationModel) m_model).SetCreateErrorMessage("");
        } else
        {
          ((SendInvitationModel) m_model).SetCreateCodeStatus(false);
          ((SendInvitationModel) m_model).SetCreateErrorMessage(errorMessage);
          }
      }
    }
  }
}