using System;
using com.plumtree.uiinfrastructure.arraywrapper;
using com.plumtree.uiinfrastructure.pagecontrols.jsdatepicker;
namespace com.plumtree.portalpages.admin.serversettings.auditmanager
{
  /// <author>ErickS</author>
  public interface IAuditManagerModelRO
  {
    
    /// <returns></returns>
    String GetArchivePath();
    //************ Audit Query Central methods ****************
    
    /// <returns></returns>
    PTSortedArrayWrapper GetAuditMessages();
    
    /// <returns></returns>
    JSDatePickerMgr GetDatePickerControlManager(int _nPageType);
    
    /// <returns></returns>
    int GetDaysInDB();
    
    /// <returns></returns>
    int GetDaysInFiles();
    
    /// <returns></returns>
    int GetDeleteAction();
    
    /// <returns></returns>
    int GetDeleteMessageTypeValue();
    
    /// <returns></returns>
    String GetItemName();
    
    /// <returns></returns>
    int GetItemNameApproximateType();
    
    /// <summary>
    /// Returns the Item Type.
    /// </summary>
    /// <returns>int</returns>
    int GetItemType();
    
    /// <returns></returns>
    int GetMessageTypeValue();
    
    /// <returns></returns>
    int GetQueryMessageTypeValue();
    
    /// <returns></returns>
    int GetQueryCount();
    
    /// <returns></returns>
    int GetResultsPerPage();
    
    /// <returns></returns>
    String GetServerName();
    
    /// <returns></returns>
    int GetServerNameApproximateType();
    
    /// <returns></returns>
    int GetSkipMessages();
    
    /// <returns></returns>
    int GetSortType();
    
    /// <returns></returns>
    String GetUserName();
    
    /// <returns></returns>
    int GetUserNameApproximateType();
    
    /// <returns></returns>
    String GetWordInMessage();
    
    /// <param name="_nMessageTypeID"></param>
    /// <returns></returns>
    String GetMessageTypeAsString(int _nMessageTypeID);
  }
}