using System;
using com.plumtree.uiinfrastructure.editor;
using com.plumtree.xpshared.htmlelements;
namespace com.plumtree.portalpages.admin.serversettings.search
{
  /// <author>MatthewF</author>
  public class IndexingStatusDP : EditorDP
  {
    public const String STR_MVC_CLASS_NAME = "IndexingStatus";
    public override String GetLeftNavString()
    {
      return m_asOwner.GetString(2485, "ptmsgs_portaladminmsgs");
    }
    
    /// <returns></returns>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    // Strings to localize.
    public override HTMLElement PageDisplay()
    {
      HTMLElementCollection result = new HTMLElementCollection();
      result.AddInnerHTMLElement(base.PageDisplay());
      HTMLElementCollection views = new HTMLElementCollection();
      views.AddInnerHTMLElement(((EditorView) (m_asOwner.GetView(IndexingStatusView.STR_MVC_CLASS_NAME))).Display());
      result.AddInnerHTMLElement(CreateLeftNavBar(views));
      return result;
    }
    
    /// <returns></returns>
    /// <throws>HTMLException </throws>
    protected override HTMLScriptCollection DisplayJavaScriptFromChild()
    {
      HTMLScriptCollection myScripts = base.DisplayJavaScriptFromChild();
      myScripts.AddInnerHTMLElement(m_asOwner.GetView(IndexingStatusView.STR_MVC_CLASS_NAME).DisplayJavascript());
      return myScripts;
    }
  }
}