using System;
using com.plumtree.uiinfrastructure.activityspace;
namespace com.plumtree.portalpages.ajax
{
  /// <author>MattC</author>
  public class AjaxDP : IDisplayPage
  {
    public const String STR_MVC_CLASS_NAME = "AjaxDP";
    protected AActivitySpace m_asOwner;
    public virtual void Display(IWebData pageData)
    {
      pageData.SetData(((AjaxView) m_asOwner.GetView(AjaxView.STR_MVC_CLASS_NAME)).DisplayResponse());
      }
    public virtual String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    public virtual AActivitySpace GetOwner()
    {
      return m_asOwner;
    }
    public virtual void Init(AActivitySpace parent)
    {
      m_asOwner = parent;
    }
  }
}