using System;
using com.plumtree.portaluiinfrastructure.opener;
using com.plumtree.uiinfrastructure.activityspace;
using com.plumtree.uiinfrastructure.form;
using com.plumtree.xpshared.htmlelements;
namespace com.plumtree.portalpages.browsing.directory.relatedresources
{
  /// <author>StephenC</author>
  public class RelatedResourcesMorePopupDP : AFormDP
  {
    public const String STR_MVC_CLASS_NAME = "RelatedResourcesMorePopupDP";
    
    /// <seealso cref="com.plumtree.xpshared.activityspace.IDisplayPage#Init(AActivitySpace)"></seealso>
    public override void Init(AActivitySpace parent)
    {
      base.Init(parent);
      parent.SetHelpTopic("PT_Folder_RelatedResources");
    }
    
    /// <seealso cref="com.plumtree.uiinfrastructure.form.AFormDP#GetFormTitle()"></seealso>
    public override String GetFormTitle()
    {
      return m_asOwner.GetString(126, "ptmsgs_portalbrowsingmsgs");
    }
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IMVCObject#GetName()"></seealso>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <seealso cref="com.plumtree.uiinfrastructure.form.AFormDP#PageDisplay()"></seealso>
    public override HTMLElement PageDisplay()
    {
      return m_asOwner.GetView(RelatedResourcesMorePopupView.STR_MVC_CLASS_NAME).Display();
      }
    
    /// <summary>
    /// Display the Javascripts for the Views.
    /// </summary>
    /// <returns>HTMLScriptCollection</returns>
    /// <throws>HTMLException</throws>
    protected override HTMLScriptCollection DisplayJavaScriptFromChild()
    {
      HTMLScriptCollection myScripts = base.DisplayJavaScriptFromChild();
      myScripts.AddInnerHTMLElement(PTOpenerLinks.GetOpenerJavascript(m_asOwner));
      myScripts.AddInnerHTMLElement(m_asOwner.GetView(RelatedResourcesMorePopupView.STR_MVC_CLASS_NAME).DisplayJavascript());
      return myScripts;
    }
  }
}