using System;
using com.plumtree.portaluiinfrastructure.expandablelist.selectptobject;
using com.plumtree.server;
using com.plumtree.xpshared.htmlconstructs;
namespace com.plumtree.portalpages.browsing.editors.community
{
  /// <author>
  /// dustina
  /// To change this generated comment edit the template variable "typecomment":
  /// Window>Preferences>Java>Templates.
  /// To enable and disable the creation of type comments go to
  /// Window>Preferences>Java>Code Generation.
  /// </author>
  public class CommunityEditorSubcommunityModel : SelectPTObjectModel
  {
    
    /// <summary>
    /// Object Name 
    /// </summary>
    public const String STR_MVC_CLASS_NAME = "CommunityEditorSubcommunityModel";
    
    /// <summary>
    /// Object Manager for Communities 
    /// </summary>
    private IPTObjectManager m_ptOM;
    
    /// <summary>
    /// User ID 
    /// </summary>
    private int m_nUserID;
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()"></seealso>
    public override Object Create()
    {
      return new CommunityEditorSubcommunityModel();
    }
    
    /// <summary>
    /// Returns the Class name.
    /// </summary>
    /// <returns>String</returns>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    /* (non-Javadoc)
     * @see com.plumtree.portaluiinfrastructure.expandablelist.selectptobject.SelectPTObjectModel#InitializeSelectPTObject(java.lang.String, java.lang.String, com.plumtree.xpshared.htmlconstructs.PTImageType, java.lang.String, int[], int)
     */
     
    public virtual void InitializeSelectPTObject(int _nUserID, IPTObjectManager _ptOM,
     String _sSectionTitle, String _sSectionSubTitle, PTImageType _imgAddIcon,
     String _sAddLabel, int[] _arrObjectClassIDs, int _nListKey)
    {
      base.InitializeSelectPTObject(_sSectionTitle, _sSectionSubTitle, _imgAddIcon,
       _sAddLabel, _arrObjectClassIDs, _nListKey);
      m_nUserID = _nUserID;
      m_ptOM = _ptOM;
    }
    /* (non-Javadoc)
     * @see com.plumtree.portaluiinfrastructure.expandablelist.selectptobject.ISelectPTObjectModelRO#IsObjectReadOnly(int, int)
     */
     
    public override bool IsObjectReadOnly(int _nClassID, int _nObjectID)
    {
      if (m_ptOM.IsObjectAccessible(_nObjectID, m_nUserID, PT_ACCESS_LEVELS.PT_ACCESS_LEVEL_ADMIN))
      {
        return false;
      }
      return true;
    }
  }
}