using System;
using com.plumtree.uiinfrastructure.arraywrapper;
using com.plumtree.uiinfrastructure.editor;
namespace com.plumtree.portalpages.browsing.editors.community
{
  /// <author>michaeld</author>
  public interface IPortletPreferencesModelRO : IEditorModelRO
  {
    
    /// <returns></returns>
    bool DisplayTitleBarColumn();
    
    /// <returns></returns>
    int GetCommunityID();
    
    /// <param name="iPageID"></param>
    /// <returns></returns>
    PTSortedArrayWrapper GetPortletPreferencesList(int iPageID);
    
    /// <returns></returns>
    int GetPageCount();
    
    /// <param name="nPageIndex"></param>
    /// <returns></returns>
    int GetPageID(int nPageIndex);
    
    /// <param name="nPageIndex"></param>
    /// <returns></returns>
    String GetPageName(int nPageIndex);
    
    /// <summary>
    /// If this is the community editor, then we link to the community prefs
    /// page; if it's a community page but we're not in the community editor,
    /// then we link to the user-gadget-community prefs page.
    /// </summary>
    /// <returns>True if this is the community editor.</returns>
    bool IsCommunityEditor();
  }
}