using System;
using com.plumtree.openfoundation.util;
using com.plumtree.uiinfrastructure.editor;
using com.plumtree.uiinfrastructure.expandablelist;
namespace com.plumtree.portalpages.browsing.editors.dircommon.editdocumentproperty
{
  /// <summary>
  /// This Control contains the repost actions of the plug-in section.
  /// </summary>
  /// <author>StephenC</author>
  public class EditCardPropRepostControl : ExpListControl
  {
    public const String STR_MVC_CLASS_NAME = "EditCardProp";
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()"></seealso>
    public override Object Create()
    {
      return new EditCardPropRepostControl();
    }
    
    /// <summary>
    /// Returns the Class name.
    /// </summary>
    /// <returns>String</returns>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <summary>
    /// Performs action on repost.
    /// </summary>
    /// <param name="_nAction"></param>
    /// <param name="_htFormData"></param>
    public override void PerformRepostAction(int _nAction, XPHashtable _htFormData)
    {
      base.PerformRepostAction(_nAction, _htFormData);
      switch (_nAction){
      case EditorRepostControl.POSTTOSELF_ACTION_ONRETURN_FROM_SUBEDITOR:
      ((EditCardPropModel) m_model).DoTaskOnComeBackFromSubEditor();
      break;
      }
    }
  }
}