using System;
using com.plumtree.uiinfrastructure.editor;
using com.plumtree.uiinfrastructure.statichelpers;
using com.plumtree.xpshared.htmlelements;
namespace com.plumtree.portalpages.browsing.editors.smartsort
{
  /// <author>OlegS</author>
  public class SmartSortEditorMainDP : EditorDP
  {
    public const String STR_MVC_CLASS_NAME = "SmartSortEditorMain";
    public override String GetLeftNavString()
    {
      return m_asOwner.GetString(555, "ptmsgs_portalbrowsingmsgs");
    }
    
    /// <returns></returns>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <returns></returns>
    /// <throws>HTMLException </throws>
    public override HTMLElement PageDisplay()
    {
      HTMLElementCollection result = new HTMLElementCollection();
      result.AddInnerHTMLElement(base.PageDisplay());
      HTMLElementCollection views = new HTMLElementCollection();
      views.AddInnerHTMLElement(((EditorView) m_asOwner.GetView(SmartSortEditorMainView.STR_MVC_CLASS_NAME)).Display());
      result.AddInnerHTMLElement(CreateLeftNavBar(views));
      return result;
    }
    
    /// <returns></returns>
    /// <throws>HTMLException </throws>
    protected override HTMLScriptCollection DisplayJavaScriptFromChild()
    {
      HTMLScriptCollection myScripts = base.DisplayJavaScriptFromChild();
      myScripts.AddInnerHTMLElement(m_asOwner.GetView(SmartSortEditorMainView.STR_MVC_CLASS_NAME).DisplayJavascript());
      return myScripts;
    }
    
    /// <returns></returns>
    /// <throws>HTMLException </throws>
    protected override HTMLElement GetHTMLBelowSubHeader()
    {
      return HTMLConstructHelpers.GetSubHeader(m_asOwner.GetString(556, "ptmsgs_portalbrowsingmsgs"),
       this.m_asOwner);
    }
  }
}
// Strings to localize.
