using System;
using com.plumtree.server;
using com.plumtree.uiinfrastructure.activityspace;
using com.plumtree.xpshared.htmlelements;
namespace com.plumtree.portalpages.browsing.gateway
{
  /// <author>
  /// daniilk To change this generated comment edit the template variable
  /// "typecomment": Window>Preferences>Java>Templates. To enable and
  /// disable the creation of type comments go to
  /// Window>Preferences>Java>Code Generation.
  /// </author>
  public interface IGatewayModel : IModel
  {
    void SetError(int iErrorCode, String strErrorMessage, String strErrorHTMLComment);
    
    /// <param name="ptContent"></param>
    void SetIPTContent(IPTContent ptContent);
    
    /// <param name="iStatusCode"></param>
    /// <param name="strHeaders"></param>
    /// <param name="strBody"></param>
    void SetReturnURIContent(int iStatusCode, String strHeaders, String strBody);
    void SetUserURL(String strUserURL);
    void SetControlCalled();
    void SetCommunityID(int iCommunityID);
    void SetUIMode(String strUIMode);
    
    /// <summary>
    /// Set the HTMLElement tree to be displayed.
    /// NOTE: We do this instead of the display string
    /// so that other portlets can add JavaScript/Styles
    /// to it later (before it is converted into a string).
    /// </summary>
    /// <param name="displayElement"></param>
    void SetDisplayElement(HTMLElement displayElement);
    void SetTitle(String strTitle);
    void SetSubtitle(String strSubtitle);
    void SetRefreshMode(int iRefreshMode);
    
    /// <summary>
    /// DCA - for documents in the knowledge directory
    /// </summary>
    void SetFileName(String strFileName);
  }
}