using System;
using com.plumtree.uiinfrastructure.activityspace;
namespace com.plumtree.portalpages.browsing.login
{
  /// <summary>
  /// Read Only Login Model interface 
  /// </summary>
  /// <author>BenG</author>
  public interface ILoginModelRO : IModelRO
  {
    
    /// <returns></returns>
    int GetAccessStyle();
    
    /// <returns></returns>
    bool GetShowAuthSources();
    
    /// <summary>
    /// Get Auth Source Mode
    /// </summary>
    /// <returns>
    /// int the AllowDefaultLoginPageAuthSource value
    /// from PTConfig.xml
    /// </returns>
    int GetAllowDefaultAuthSourceMode();
    
    /// <seealso cref="com.plumtree.xpshared.activityspace.IModel#GetName()"></seealso>
    String GetName();
  }
}