using System;
namespace com.plumtree.portalpages.browsing.myportal
{
  /// <author>
  /// michaeld  Page Types - _WFFC stands for _WITH_FREE_FORM_CONTENT and
  /// it is placed after the column it is contained in. If it spans all
  /// columns, hen it is placed after _COLUMN. If it spans two out of
  /// three columns, then those columns will be group with no _ between
  /// them and the _WFFC will be placed after the grouping.
  /// </author>
  public class PageTypeConstants
  {
    public const int ONE_COLUMN = 0;
    public const int TWO_COLUMN_NARROW_WIDE = 1;
    public const int THREE_COLUMN = 2;
    public const int TWO_COLUMN_WIDE_NARROW = 3;
    public const int ONE_COLUMN_WITH_FREE_FORM_CONTENT = 4;
    public const int TWO_COLUMN_WFFC_NARROW_WIDE = 5;
    public const int THREE_COLUMN_WITH_FREE_FORM_CONTENT = 6;
    public const int TWO_COLUMN_WFFC_WIDE_NARROW = 7;
    public const int TWO_COLUMN_NARROW_WIDE_WFFC = 8;
    public const int THREE_COLUMN_NARROW_WIDENARROW_WFFC = 9;
    public const int THREE_COLUMN_NARROWWIDE_WFFC_NARROW = 10;
    public const int TWO_COLUMN_WIDE_WFFC_NARROW = 11;
    public const int THREE_COLUMN_NARROW_WIDE_WFF_NARROW = 12;
    public static readonly int COLUMNCOUNT_ONE = ONE_COLUMN | ONE_COLUMN_WITH_FREE_FORM_CONTENT;
    public static readonly int COLUMNCOUNT_TWO = TWO_COLUMN_NARROW_WIDE | TWO_COLUMN_WIDE_NARROW | TWO_COLUMN_WFFC_NARROW_WIDE | TWO_COLUMN_WFFC_WIDE_NARROW | TWO_COLUMN_NARROW_WIDE_WFFC | TWO_COLUMN_WIDE_WFFC_NARROW;
    public const int COLUMNCOUNT_THREE = 3;
  }
}