using System;
using com.plumtree.portalpages.common.uiparts;
using com.plumtree.portaluiinfrastructure.layout;
using com.plumtree.uiinfrastructure.activityspace;
using com.plumtree.xpshared.htmlelements;
namespace com.plumtree.portalpages.browsing.objectselection.flyout
{
  public class FlyoutPortletSelectionDP : PlumtreeDP
  {
    
    /// <summary>
    /// Object Name 
    /// </summary>
    public const String STR_MVC_CLASS_NAME = "FlyoutPortletSelection";
    public override void Display(IWebData pageData)
    {
      HTMLElement element = DisplayLayout(Layouts.PORTLET_SELECTION);
      if (null != element)
      {
        pageData.SetData(element);
      }
    }
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    public override String GetSubtitleForBanner()
    {
      // DCA - not needed
      return null;
    }
    public override String GetTitleForBanner()
    {
      // DCA - not needed
      return null;
    }
    public override HTMLElement PageDisplay()
    {
      // DCA - not needed
      return null;
    }
  }
}