using System;
using com.plumtree.openfoundation.util;
using com.plumtree.uiinfrastructure.activityspace;
namespace com.plumtree.portalpages.browsing.portalsettings
{
  /// <author>$author$</author>
  public class PortalSettingsControl : IControl
  {
    public const String STR_MVC_CLASS_NAME = "PortalSettings";
    // This constant is used to send data to the Control in the Query String
    // i.e http://...?in_hi_space=HelloWorld&in_hi_control=HelloWorld&HelloWorld=Joe
    // where in_hi_space and in_hi_control are filled in with the appropriate object
    // names and the HelloWorld parameter name is this constant.
    public const String strPORTAL_SETTINGS_DATA = "PortalSettings";
    private AActivitySpace m_asasParent;
    private IPortalSettingsModel m_asmModel;
    
    /// <seealso cref="com.plumtree.portaluiinfrastructure.activityspace.IControl#Execute()"></seealso>
    public virtual Redirect CheckActionSecurityAndExecute(XPHashtable arguments)
    {
      return null;
    }
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()"></seealso>
    public virtual Object Create()
    {
      return new PortalSettingsControl();
    }
    
    /// <seealso cref="com.plumtree.portaluiinfrastructure.activityspace.IControl#GetName()"></seealso>
    public virtual String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <seealso cref="com.plumtree.portaluiinfrastructure.activityspace.IControl#Init(IModel,AActivitySpace)"></seealso>
    public virtual void Init(IModel model, AActivitySpace space)
    {
      m_asmModel = (IPortalSettingsModel) model;
      m_asasParent = space;
    }
  }
}