using System;
using com.plumtree.uiinfrastructure.editor;
namespace com.plumtree.portalpages.browsing.portalsettings.displayoptions
{
  /// <author>mike</author>
  public interface IDisplayOptModelRO : IEditorModelRO
  {
    
    /// <returns></returns>
    String GetAccessibilityStyle();
    
    /// <returns></returns>
    String GetGreeting();
    
    /// <returns></returns>
    int GetTimeout();
    
    /// <param name="strRate"></param>
    /// <returns></returns>
    bool IsRefreshRate(String strRate);
    
    /// <param name="strType"></param>
    /// <returns></returns>
    bool IsViewChecked(String strType);
    
    /// <returns></returns>
    bool ShouldOpenNewWindow();
    
    /// <returns></returns>
    bool GetRulesDebugMode();
  }
}