using System;
namespace com.plumtree.portalpages.browsing.portalsettings.passwordmanager
{
  /// <author>jennifersu</author>
  public interface IPasswordManagerSectionModelRO
  {
    
    /// <summary>
    /// Get value for username
    /// </summary>
    /// <returns></returns>
    String GetUsernameValue();
    
    /// <summary>
    /// Get value for password
    /// </summary>
    /// <returns></returns>
    String GetPasswordValue();
    
    /// <summary>
    /// Get name of username property
    /// </summary>
    /// <returns></returns>
    String GetUsernamePropName();
    
    /// <summary>
    /// Get name of password property
    /// </summary>
    /// <returns></returns>
    String GetPasswordPropName();
    
    /// <summary>
    /// Get lockbox name
    /// </summary>
    /// <returns></returns>
    String GetLockboxName();
    
    /// <summary>
    /// Get username property ID
    /// </summary>
    /// <returns></returns>
    int GetUsernamePropID();
    
    /// <summary>
    /// Get password property ID
    /// </summary>
    /// <returns></returns>
    int GetPasswordPropID();
  }
}