using System;
using com.plumtree.uiinfrastructure.editor;
namespace com.plumtree.portalpages.browsing.portalsettings.search
{
  /// <author>CraigS, based on JulieF template</author>
  public interface ISearchSettingsModelRO : IEditorModelRO
  {
    
    /// <returns></returns>
    int GetPageSize();
    
    /// <returns></returns>
    bool[] GetReturnedObjectTypes();
    
    /// <returns></returns>
    Object[][] GetSavedSearches();
    
    /// <returns></returns>
    String[] GetSpecificLanguagesReturned();
    
    /// <returns></returns>
    bool IsRestrictedToDefaultLanguage();
    
    /// <returns>true if Collaboration Server is installed on the local portal.</returns>
    bool IsCollabInstalled();
  }
}