using System;
using com.plumtree.portalpages.common.uiparts;
using com.plumtree.xpshared.htmlelements;
namespace com.plumtree.portalpages.browsing.search.advanced
{
  /// <author>CraigS</author>
  public class PowerSearchDP : PlumtreeDP
  {
    public const String STR_MVC_CLASS_NAME = "PowerSearch";
    
    /// <returns></returns>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <returns></returns>
    public override String GetSubtitleForBanner()
    {
      return "";
    }
    
    /// <returns></returns>
    public override String GetTitleForBanner()
    {
      return m_asOwner.GetString(1334, "ptmsgs_portalbrowsingmsgs");
    }
    
    /// <returns></returns>
    /// <throws>HTMLException </throws>
    public override HTMLElement PageDisplay()
    {
      return m_asOwner.GetView(PowerSearchView.STR_MVC_CLASS_NAME).Display();
      }
  }
}