using System;
// Framework Imports
using com.plumtree.openfoundation.util;
using com.plumtree.uiinfrastructure.expandablelist;
using com.plumtree.xpshared.htmlconstructs;
namespace com.plumtree.portalpages.common.browsingpropchooser
{
  /// <summary>
  /// This interface is implemented by the Model. It contains all the read-only
  /// mothods of the Model accessed by the Views.
  /// </summary>
  /// <author>stephenc</author>
  public interface IPropChooserModelRO : IExpListModelRO
  {
    
    /// <returns></returns>
    int GetNewlySelectedPropertyID();
    
    /// <seealso cref="com.plumtree.uiinfrastructure.expandablelist.GrowableListModel#GetRowIcon()"></seealso>
    PTImageType GetRowIcon();
    
    /// <param name="_nRowIndex"></param>
    /// <returns></returns>
    String GetRowName(int _nRowIndex);
    
    /// <param name="_nRowIndex"></param>
    /// <returns></returns>
    int GetRowPropertyID(int _nRowIndex);
    
    /// <param name="_nRowIndex"></param>
    /// <returns></returns>
    int GetRowStatus(int _nRowIndex);
    
    /// <returns></returns>
    XPSortedDictionary GetUnusedProperties();
  }
}