using System;
namespace com.plumtree.portalpages.common.editpage
{
  /// <author>MichaelD</author>
  public interface IPageNameModelRO
  {
    
    /// <summary>
    /// Returns the label for the page name input box.
    /// </summary>
    /// <returns>String strLabel</returns>
    String GetNameLabel();
    
    /// <summary>
    /// Gets the Object ID of the object that opened this layout page.
    /// </summary>
    /// <returns>int nObjectID</returns>
    int GetOpenerObjectID();
    
    /// <summary>
    /// Returns the default page name.
    /// </summary>
    /// <returns>String strDefaultPageName</returns>
    String GetPageName();
  }
}