using System;
using com.plumtree.uiinfrastructure.activityspace;
namespace com.plumtree.portalpages.common.folder
{
  /// <author>rupap</author>
  public interface IFolderModel : IModel
  {
    
    /// <summary>
    /// Open the folder with the id ID.  This method should change
    /// the model to contain data for the new folder.
    /// </summary>
    void OpenSubFolder(int ID);
    
    /// <summary>
    /// Set the index of the first folder to display on a page.
    /// </summary>
    void SetFirstItemIndex(int nFirstItemIndex);
    
    /// <summary>
    /// Set the index of the first folder to display on a page.
    /// </summary>
    void SetLastItemIndex(int nLastItemIndex);
  }
}