using System;
namespace com.plumtree.portalpages.common.helpers
{
  /// <author>OlegS</author>
  public class MandatoryProperty : PropertyValidator
  {
    
    /// <summary>
    /// Creates a new MandatoryProperty object.
    /// </summary>
    /// <param name="owner"></param>
    public MandatoryProperty(PropertyValidatorOwner owner) : base(owner)
    {
    }
    
    /// <param name="val"></param>
    /// <returns></returns>
    public override int validate(PropertyValue val)
    {
      int result = base.validate(val);
      if (result == VALIDSOFAR)
      {
        if (val.empty())
        {
          SetInvalid(val, m_asOwner.GetString(56, "ptmsgs_portalcommonmsgs"));
          result = INVALID;
        }
      }
      return result;
    }
  }
}