using System;
namespace com.plumtree.portalpages.common.helpers
{
  /// <author>OlegS</author>
  public abstract class PropertySource
  {
    
    /// <param name="id"></param>
    /// <returns></returns>
    public abstract Object Get(Object id);
    
    /// <param name="id"></param>
    /// <param name="value"></param>
    public abstract void Set(Object id, Object value);
    
    /// <param name="a"></param>
    /// <param name="b"></param>
    /// <returns></returns>
    public static bool Differ(Object a, Object b)
    // empty string is same as null
    {
      if ((a != null) && (a.ToString().Length == 0))
      {
        a = null;
      }
      if ((b != null) && (b.ToString().Length == 0))
      {
        b = null;
      }
      if ((a == null) && (b == null))
      {
        return false;
      }
      if ((a == null) || (b == null))
      {
        return true;
      }
      return (!a.ToString().Equals(b.ToString()));
    }
  }
}