using System;
using com.plumtree.openlog;
using com.plumtree.portaluiinfrastructure.statichelpers;
using com.plumtree.uiinfrastructure.activityspace;
using com.plumtree.uiinfrastructure.approval;
using com.plumtree.xpshared.htmlelements;
namespace com.plumtree.portalpages.common.objectapproval
{
  /// <author>Ben Geislinger</author>
  public class ObjectInstanceDescriptor : AInstanceDescriptor
  {
    private static OpenLogger log = OpenLogService.GetLogger(OpenLogService.GetComponent(PTDebugHelpers.COMPONENT_PORTAL_COMMON),
     "com.plumtree.portalpages.common.objectapproval.ObjectInstanceDescriptor");
    
    /// <summary>
    /// Creates a new ObjectInstanceDescriptor object.
    /// </summary>
    /// <param name="item"></param>
    /// <param name="ePath"></param>
    /// <param name="type"></param>
    /// <param name="space"></param>
    protected ObjectInstanceDescriptor(ObjectItemDescriptor item, HTMLElement ePath,
     ApprovalItemType type, AActivitySpace space) : base((AItemDescriptor) item,
     ePath, type, space)
    {
    }
    public override void Execute()
    {
      log.Debug("Execute()");
    }
  }
}