/*
 * Created on Mar 7, 2003
 */
 
using System;
namespace com.plumtree.portalpages.common.plugnav
{
  /// <summary>
  /// Directory page specific functions for pluggable navigation
  /// </summary>
  /// <author>DavidP</author>
  public interface IDirectoryNavPageRO : INavigationPageRO
  {
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IMVCObject#GetName()"></seealso>
    String GetName();
    
    /// <summary>
    /// Gets the id of the current document directory folder, or 0 if we are
    /// not currently in a single doc directory folder.
    /// </summary>
    /// <returns>Current folder ID or 0 if not in Document Directory</returns>
    int GetCurDocDirFolderID();
  }
}