/*
 * Created on Mar 5, 2003
 */
 
using System;
using com.plumtree.portalpages.common.plugnav;
using com.plumtree.portalpages.common.uiparts;
namespace com.plumtree.portalpages.common.uiparts.navpagetype
{
  /// <summary>
  /// Delegates model methods only usable by directory page.
  /// </summary>
  /// <author>DavidP</author>
  public class DirectoryNavPage : NavigationPage,IDirectoryNavPageRO
  {
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IMVCObject#GetName()"></seealso>
    public override String GetName()
    {
      return NavPageType.DIRECTORY.ToString();
    }
    
    /// <summary>
    /// DirectoryNavPage constructor.   
    /// </summary>
    /// <param name="model"></param>
    public DirectoryNavPage(INavigationModelRO model) : base(model, NavPageType.DIRECTORY)
    {
    }
    
    /// <seealso cref="com.plumtree.portalpages.common.plugnav.IDirectoryNavPageRO#GetCurDocDirFolderID()"></seealso>
    public virtual int GetCurDocDirFolderID()
    {
      return m_model.GetCurDocDirFolderID();
    }
  }
}