/*
 * Created on Mar 5, 2003
 */
 
using System;
namespace com.plumtree.portalpages.common.uiparts.navpagetype
{
  /// <summary>
  /// Navigation visibility enum.  Used to handle collapse/expand of link
  /// sections in navigation.
  /// </summary>
  /// <author>DavidP</author>
  public class NavVisibility
  {
    
    /// <summary>
    /// enumeration of visibility types. Don't rearrange *
    /// </summary>
    public const int VISIBILITY_COMMUNITY_SECTION = 0;
    public const int VISIBILITY_MYPAGE_SECTION = 1;
    public const int VISIBILITY_DIRECTORY_SECTION = 2;
    public const int VISIBILITY_MANDATORYLINKS_SECTION = 3;
    public const int VISIBILITY_MYPAGESACTIONS_SECTION = 4;
    public const int VISIBILITY_COMMUNITYACTIONS_SECTION = 5;
    public const int VISIBILITY_RELATED_COMMS_SECTION = 6;
    public const int VISIBILITY_SUB_COMMS_SECTION = 7;
    public const int VISIBILITY_MANDATORYCOMMS_SECTION = 8;
    
    /// <summary>
    /// Add one to the last defined section visibity
    /// </summary>
    public const int VISIBILITY_SECTION_COUNT = 9;
  }
}