using System;
using com.plumtree.portalpages.devices.login.common;
using com.plumtree.uiinfrastructure.activityspace;
using com.plumtree.xpshared.htmlelements;
namespace com.plumtree.portalpages.devices.login.html32
{
  /// <author>SudhaS</author>
  public class LoginDevicesAS_HTML32 : AActivitySpace
  {
    public const String STR_MVC_CLASS_NAME = "Login_HTML32";
    
    /// <seealso cref="com.plumtree.xpshared.portalinfrastructure.activityspace.AActivitySpace#CheckBasicAccess(String,String,boolean)"></seealso>
    public override bool CheckBasicAccess(String strPage, String strControl,
     bool bSameSpace)
    {
      return true;
    }
    
    /// <seealso cref="com.plumtree.xpshared.infrastructure.activityspace.IManagedObject#Create()"></seealso>
    public override Object Create()
    {
      return new LoginDevicesAS_HTML32();
    }
    
    /// <seealso cref="com.plumtree.xpshared.portalinfrastructure.activityspace.AActivitySpace#GetName()"></seealso>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <seealso cref="com.plumtree.xpshared.activityspace.AActivitySpace#GetStyleSheetLink()"></seealso>
    public override HTMLElementCollection GetStyleSheetLinks()
    {
      return null;
    }
    
    /// <seealso cref="com.plumtree.xpshared.activityspace.AActivitySpace#Init()"></seealso>
    public override void Init()
    {
      base.Init();
      // Portal Settings Display Page
      LoginDevicesDP_HTML32 myPage = new LoginDevicesDP_HTML32();
      RegisterPage(myPage);
      // Portal Settings Model
      RegisterModel(LoginDevicesModel.STR_MVC_CLASS_NAME);
      IModel myModel = GetModel(LoginDevicesModel.STR_MVC_CLASS_NAME);
      // Portal Settings Control
      RegisterControl(LoginDevicesControl.STR_MVC_CLASS_NAME, myModel);
      // Portal Settings Views
      RegisterView(LoginDevicesView_HTML32.STR_MVC_CLASS_NAME, myModel);
    }
  }
}