using System;
using com.plumtree.uiinfrastructure.devices;
namespace com.plumtree.portalpages.devices.login.wml
{
  /// <author>SudhaS</author>
  public class LoginDevicesDP_WML : ADevicesDP_WML
  {
    public const String STR_MVC_CLASS_NAME = "Login_WML";
    
    /// <seealso cref="com.plumtree.xpshared.portalinfrastructure.activityspace.IDisplayPage#GetName()"></seealso>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <returns></returns>
    /// <throws>HTMLException </throws>
    public override String PageDisplay()
    {
      LoginDevicesView_WML dView = (LoginDevicesView_WML) m_asOwner.GetView(LoginDevicesView_WML.STR_MVC_CLASS_NAME);
      return dView.DisplayString();
    }
  }
}