using System;
using com.plumtree.openfoundation.util;
using com.plumtree.uiinfrastructure.activityspace;
namespace com.plumtree.portalpages.devices.logoff.common
{
  /// <author>SudhaS</author>
  public class LogoffDevicesControl : IControl
  {
    public const String STR_MVC_CLASS_NAME = "Logoff_Devices";
    public const String m_strPORTAL_SETTINGS_DATA = "Logoff_Devices";
    private AActivitySpace m_asasParent;
    private ILogoffDevicesModelRO m_asmModel;
    
    /// <seealso cref="com.plumtree.xpshared.portalinfrastructure.activityspace.IControl#Execute()"></seealso>
    public virtual Redirect CheckActionSecurityAndExecute(XPHashtable arguments)
    {
      return null;
    }
    
    /// <seealso cref="com.plumtree.xpshared.infrastructure.activityspace.IManagedObject#Create()"></seealso>
    public virtual Object Create()
    {
      return new LogoffDevicesControl();
    }
    
    /// <seealso cref="com.plumtree.xpshared.portalinfrastructure.activityspace.IControl#GetName()"></seealso>
    public virtual String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <seealso cref="com.plumtree.xpshared.portalinfrastructure.activityspace.IControl#Init(IModel,AActivitySpace)"></seealso>
    public virtual void Init(IModel model, AActivitySpace space)
    {
      m_asmModel = (ILogoffDevicesModelRO) model;
      m_asasParent = space;
    }
  }
}