using System;
using com.plumtree.server;
using com.plumtree.uiinfrastructure.activityspace;
namespace com.plumtree.portalpages.devices.logoff.common
{
  /// <author>SudhaS</author>
  public class LogoffDevicesModel : ILogoffDevicesModelRO,IModel
  {
    public const String STR_MVC_CLASS_NAME = "Logoff_Devices";
    private AActivitySpace m_asOwner;
    private IPTSession m_ptSession;
    public virtual void CleanupTempData()
    {
    }
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IModel#CleanupAllData()"></seealso>
    public virtual void CleanupAllData()
    {
    }
    
    /// <seealso cref="com.plumtree.xpshared.infrastructure.activityspace.IManagedObject#Create()"></seealso>
    public virtual Object Create()
    {
      return new LogoffDevicesModel();
    }
    
    /// <summary>
    /// Returns the Class name.
    /// </summary>
    /// <returns>String</returns>
    public virtual String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <param name="_asOwner"></param>
    public virtual void Init(AActivitySpace _asOwner)
    {
      m_asOwner = _asOwner;
      m_ptSession = (IPTSession) m_asOwner.GetUserSession();
    }
  }
}