using System;
using com.plumtree.portalpages.devices.mypage.common;
using com.plumtree.uiinfrastructure.activityspace;
using com.plumtree.xpshared.htmlelements;
namespace com.plumtree.portalpages.devices.mypage.html32
{
  /// <author>SudhaS</author>
  public class MyPageDevicesAS_HTML32 : AActivitySpace
  {
    public const String STR_MVC_CLASS_NAME = "MyPage_HTML32";
    
    /// <seealso cref="com.plumtree.xpshared.portalinfrastructure.activityspace.AActivitySpace#CheckBasicAccess(String,String,boolean)"></seealso>
    public override bool CheckBasicAccess(String strPage, String strControl,
     bool bSameSpace)
    {
      return true;
    }
    
    /// <seealso cref="com.plumtree.xpshared.infrastructure.activityspace.IManagedObject#Create()"></seealso>
    public override Object Create()
    {
      return new MyPageDevicesAS_HTML32();
    }
    
    /// <seealso cref="com.plumtree.xpshared.portalinfrastructure.activityspace.AActivitySpace#GetName()"></seealso>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <seealso cref="com.plumtree.xpshared.activityspace.AActivitySpace#GetStyleSheetLink()"></seealso>
    public override HTMLElementCollection GetStyleSheetLinks()
    {
      return null;
    }
    
    /// <seealso cref="com.plumtree.xpshared.activityspace.AActivitySpace#Init()"></seealso>
    public override void Init()
    {
      base.Init();
      // Portal Settings Display Page
      MyPageDevicesDP_HTML32 myPage = new MyPageDevicesDP_HTML32();
      RegisterPage(myPage);
      // Portal Settings Model
      RegisterModel(MyPageDevicesModel.STR_MVC_CLASS_NAME);
      IModel myModel = GetModel(MyPageDevicesModel.STR_MVC_CLASS_NAME);
      // Portal Settings Control
      RegisterControl(MyPageDevicesControl.STR_MVC_CLASS_NAME, myModel);
      // Portal Settings Views
      RegisterView(MyPageDevicesView_HTML32.STR_MVC_CLASS_NAME, myModel);
      }
  }
}