using System;
using com.plumtree.uiinfrastructure.devices;
namespace com.plumtree.portalpages.devices.mypage.wml
{
  /// <author>SudhaS</author>
  public class MyPageDevicesDP_WML : ADevicesDP_WML
  {
    public const String STR_MVC_CLASS_NAME = "MyPageDevices_WML";
    
    /// <seealso cref="com.plumtree.xpshared.portalinfrastructure.activityspace.IDisplayPage#GetName()"></seealso>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <returns></returns>
    /// <throws>HTMLException </throws>
    public override String PageDisplay()
    {
      MyPageDevicesView_WML dView = (MyPageDevicesView_WML) m_asOwner.GetView(MyPageDevicesView_WML.STR_MVC_CLASS_NAME);
      return dView.DisplayString();
    }
  }
}