using System;
using com.plumtree.portalpages.devices.portlet.common;
using com.plumtree.uiinfrastructure.activityspace;
using com.plumtree.xpshared.htmlelements;
namespace com.plumtree.portalpages.devices.portlet.wml
{
  /// <author>SudhaS</author>
  public class PortletDevicesAS_WML : AActivitySpace
  {
    public const String STR_MVC_CLASS_NAME = "PortletDevices_WML";
    
    /// <seealso cref="com.plumtree.xpshared.portalinfrastructure.activityspace.AActivitySpace#CheckBasicAccess(String,String,boolean)"></seealso>
    public override bool CheckBasicAccess(String strPage, String strControl,
     bool bSameSpace)
    {
      return true;
    }
    
    /// <seealso cref="com.plumtree.xpshared.infrastructure.activityspace.IManagedObject#Create()"></seealso>
    public override Object Create()
    {
      return new PortletDevicesAS_WML();
    }
    
    /// <seealso cref="com.plumtree.xpshared.portalinfrastructure.activityspace.AActivitySpace#GetName()"></seealso>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <seealso cref="com.plumtree.xpshared.activityspace.AActivitySpace#GetStyleSheetLink()"></seealso>
    public override HTMLElementCollection GetStyleSheetLinks()
    {
      return null;
    }
    
    /// <seealso cref="com.plumtree.xpshared.activityspace.AActivitySpace#Init()"></seealso>
    public override void Init()
    {
      base.Init();
      // Portal Settings Display Page
      PortletDevicesDP_WML myPage = new PortletDevicesDP_WML();
      RegisterPage(myPage);
      // Portal Settings Model
      RegisterModel(PortletDevicesModel.STR_MVC_CLASS_NAME);
      IModel myModel = GetModel(PortletDevicesModel.STR_MVC_CLASS_NAME);
      // Portal Settings Control
      RegisterControl(PortletDevicesControl.STR_MVC_CLASS_NAME, myModel);
      // Portal Settings Views
      RegisterView(PortletDevicesView_WML.STR_MVC_CLASS_NAME, myModel);
    }
  }
}