using System;
using com.plumtree.portaluiinfrastructure.filter;
using com.plumtree.portaluiinfrastructure.intrinsicportlets;
using com.plumtree.server;
using com.plumtree.uiinfrastructure.activityspace;
using com.plumtree.uiinfrastructure.pagecontrols.framework;
using com.plumtree.uiinfrastructure.pagecontrols.jsdatetimepicker;
namespace com.plumtree.portalpages.portlets.savedsearch
{
  /// <author>mikesample</author>
  public interface ISavedSearchPortletModelRO : IIntrinsicPortletModelRO
  {
    
    /// <returns></returns>
    Object[] GetSearchSettings();
    
    /// <returns></returns>
    String GetPortletName();
    
    /// <returns></returns>
    IPTSearchResponse GetSearchResponseObject();
    
    /// <returns></returns>
    bool IsSubscriptionEnabled();
    
    /// <returns></returns>
    bool IsUserSubscribed();
    
    /// <returns></returns>
    Redirect ConvertSearchToQueryString();
    
    /// <returns></returns>
    FilterIterator GetParametericFilterIterator();
    
    /// <returns></returns>
    bool IsParameterized();
    
    /// <returns></returns>
    bool HasParametericResults();
    
    /// <returns></returns>
    IPTSearchResponse GetFollowupResponse();
    
    /// <returns></returns>
    int GetTotalMatches();
    
    /// <returns></returns>
    PageMgr GetPageMgr();
    
    /// <returns></returns>
    JSDateTimePickerMgr GetDatePickerMgr();
    
    /// <returns></returns>
    Object[][] GetReturnedPropertyInfo();
    
    /// <returns></returns>
    String GetSortOrder();
    
    /// <returns></returns>
    bool IsPaginationEnabled();
  }
}