using System;
using com.plumtree.openfoundation.util;
using com.plumtree.portaluiinfrastructure.intrinsicportlets;
using com.plumtree.server;
namespace com.plumtree.portalpages.portlets.userprofile.eoddisplay
{
  /// <author>jennifersu</author>
  public interface IEODPortletModelRO : IIntrinsicPortletModelRO
  {
    
    /// <returns></returns>
    IPTProfilePage GetProfilePage();
    
    /// <returns></returns>
    int GetProfileID();
    
    /// <returns></returns>
    int GetCurrentUser();
    
    /// <returns></returns>
    Object[] GetData();
    
    /// <param name="profileUserID"></param>
    /// <returns></returns>
    XPHashtable PutUserPropertiesIntoHashtable(int profileUserID);
    
    /// <returns></returns>
    String GetPortletName();
    
    /// <returns></returns>
    String GetTitle();
    
    /// <returns></returns>
    bool OnCommunityPage();
    String GetPortletDescription();
    String GetNameFromObjectID(int nClassID, int nObjectID);
  }
}