using System;
namespace com.plumtree.portalpages.rest
{
  /// <summary>
  /// This interface handles the errors for REST APIs.
  /// </summary>
  public interface IRESTError
  {
    
    /// <returns>the error code for this error.</returns>
    int GetCode();
    
    /// <returns>the non-i18nized error message for this error.</returns>
    String GetMessage();
  }
}