using System;
using com.plumtree.uiinfrastructure.activityspace;
namespace com.plumtree.portalpages.rest.dojo
{
  /// <summary>
  /// REST AS to return KD document folders in JSON
  /// </summary>
  /// <author>rozhang</author>
  public class KDFolderDataStoreAS : AActivitySpace
  {
    public const String STR_MVC_CLASS_NAME = "KDFolderDataStore";
    
    /// <seealso cref="com.plumtree.xpshared.activityspace.AActivitySpace#Init()"></seealso>
    public override void Init()
    {
      base.Init();
      RegisterModel(KDFolderDataStoreModel.STR_MVC_CLASS_NAME);
      IModel model = GetModel(KDFolderDataStoreModel.STR_MVC_CLASS_NAME);
      RegisterPage(new KDFolderDataStoreDP());
      RegisterControl(KDFolderDataStoreControl.STR_MVC_CLASS_NAME, model);
      }
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.AActivitySpace#CheckBasicAccess(java.lang.String,java.lang.String,boolean)"></seealso>
    public override bool CheckBasicAccess(String strPage, String strControl,
     bool sameSpace)
    {
      return true;
    }
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.AActivitySpace#Create()"></seealso>
    public override Object Create()
    {
      return new KDFolderDataStoreAS();
    }
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.AActivitySpace#GetName()"></seealso>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
  }
}