using System;
using junit.framework;
using xpunit.framework;
using com.plumtree.portalpages.test.browsing.directory.rest;
using com.plumtree.portalpages.test.rest.user;
using com.plumtree.portalpages.test.rest.utils;
namespace com.plumtree.portalpages.test.rest
{
  /// <summary>
  /// This Suite tests all of the REST APIs in the portal.
  /// </summary>
  public class RESTTestSuite
  {
    public const String SUITENAME = "REST API Unit Tests";
    public static Test suite()
    {
      XpTestSuite suite = new XpTestSuite(SUITENAME);
      suite.addTestSuite(typeof(DirRESTControlTest));
      suite.addTestSuite(typeof(DirRESTDPTest));
      suite.addTestSuite(typeof(JSONParserTest));
      suite.addTestSuite(typeof(UserRESTControlTest));
      suite.addTestSuite(typeof(UserRESTDPTest));
      return suite;
    }
  }
}