package com.plumtree.portalpages.admin.approval.document;

import com.plumtree.portalpages.common.constants.*;
import com.plumtree.portaluiinfrastructure.approval.*;
import com.plumtree.uiinfrastructure.editor.*;
import com.plumtree.uiinfrastructure.statichelpers.*;
import com.plumtree.xpshared.htmlelements.*;

/**
 *
 *
 * @author $author$
 */
public class DocumentApprovalDP extends EditorDP
{


//	private String _ui_approveDocuments = "Approve Documents";



	public static final String STR_MVC_CLASS_NAME = "DocumentApprovalDP";

	/**
	 * Returns the String to display on the left navigation menu,
	 * linking to that page.
	 *
	 * @return String
	 */
	public String GetLeftNavString()
	{

		String sOut = this.m_asOwner.GetString( 2364, ResourceConstants.PORTALADMINMSGS );

		return (sOut);
	}

	/**
	 * @see com.plumtree.xpshared.activityspace.IDisplayPage#GetName()
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	* Implement this method to add HTML below the sub header.
	*
	* @return HTMLElement
	*
	* @throws HTMLException
	*/
	protected HTMLElement GetHTMLBelowSubHeader()
	{
		return HTMLConstructHelpers.GetSubHeader(
			m_asOwner.GetString(1676, ResourceConstants.PORTALADMINMSGS),
			this.m_asOwner);
	}

	/**
	 *
	 *
	 * @return
	 *
	 * @throws HTMLException
	 */
	public HTMLElement PageDisplay()

	{
		HTMLElementCollection result = new HTMLElementCollection();

		// Insert super class HTML
		result.AddInnerHTMLElement(super.PageDisplay());

		HTMLElementCollection views = new HTMLElementCollection();

		// ***CHANGE_HERE*** For each Section you want to display on that page,
		//       copy the line below and replace Misc2View with your Section name.
		views.AddInnerHTMLElement(((DocumentApprovalView) m_asOwner.GetView(
				DocumentApprovalView.STR_MVC_CLASS_NAME)).Display(
				ApprovalPortalItemType.DOCUMENT));

		result.AddInnerHTMLElement(CreateLeftNavBar(views));

		return result;
	}

	protected HTMLScriptCollection DisplayJavaScriptFromChild()

	{
		HTMLScriptCollection myScripts = super.DisplayJavaScriptFromChild();

		// ***CHANGE_HERE SELECTPTOBJECT*** Display JavaScripts for the Select PTObject list.
		myScripts.AddInnerHTMLElement(((DocumentApprovalView)m_asOwner.GetView(
				DocumentApprovalView.STR_MVC_CLASS_NAME)).DisplayJavaScript());

		return myScripts;
	}
}

