package com.plumtree.portalpages.admin.editors.authsource;

import com.plumtree.portalpages.common.constants.*;
import com.plumtree.uiinfrastructure.editor.*;
import com.plumtree.uiinfrastructure.statichelpers.*;
import com.plumtree.xpshared.htmlconstructs.*;
import com.plumtree.xpshared.htmlelements.*;

/**
 * @author OlegS
 */
public abstract class AuthSource2DP extends EditorDP
{
	/**
	 *
	 *
	 * @return
	 */
	public String GetLeftNavString()
	{
		return m_asOwner.GetString(31, ResourceConstants.PORTALADMINMSGS);
	}

	/**
	 *
	 *
	 * @return
	 *
	 * @throws HTMLException
	 */
	public HTMLElement PageDisplay()
	{
		HTMLElementCollection result = new HTMLElementCollection();
		result.AddInnerHTMLElement(super.PageDisplay());

		HTMLElementCollection views = new HTMLElementCollection();
		views.AddInnerHTMLElement(((EditorView) m_asOwner.GetView(
				((AuthSourceEditorAS) m_asOwner).GetViewName2())).Display());
		views.AddInnerHTMLElement(EditorView.GetSpacerTable());
		result.AddInnerHTMLElement(CreateLeftNavBar(views));

		return result;
	}

	/**
	 *
	 *
	 * @return
	 *
	 * @throws HTMLException
	 */
	protected HTMLScriptCollection DisplayJavaScriptFromChild()
	{
		HTMLScriptCollection myScripts = super.DisplayJavaScriptFromChild();
		HTMLScript script			   = m_asOwner.GetView(((AuthSourceEditorAS) m_asOwner).GetViewName2())
			.DisplayJavascript();

		if (script != null)
		{
			myScripts.AddInnerHTMLElement(script);
		}

		return myScripts;
	}

	protected HTMLElement GetHTMLBelowSubHeader()
	{
		HTMLSpan mySpan=new HTMLSpan();
		mySpan.SetStyleClass(PTStyleClass.ALERT_REQUIRED_TEXT);
		mySpan.AddInnerHTMLString(CommonHTMLStrings.SPACE+CommonHTMLStrings.SPACE + "*" +
			m_asOwner.GetString(33, ResourceConstants.PORTALADMINMSGS));
		return HTMLConstructHelpers.GetSubHeader(m_asOwner.GetString(1705, ResourceConstants.PORTALADMINMSGS)+mySpan.GetDisplayString(),m_asOwner);
	}


}

