package com.plumtree.portalpages.admin.editors.communitytemplate;


// Framework Imports
import com.plumtree.portalpages.browsing.editors.community.*;
import com.plumtree.portaluiinfrastructure.editor.*;
import com.plumtree.uiinfrastructure.expandablelist.*;

/**
 * @author michaeld
 */
public class CommunityTemplateRepostControl extends ObjEditorRepostControl
{
	/** Object Name */
	public static final String STR_MVC_CLASS_NAME = "CommTempRepost";

	public final static int POSTTOSELF_ACTION_COMMUNITYTEMPLATE1 = 10;

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new CommunityTemplateRepostControl();
	}

	/**
	 * Returns the Class name.
	 *
	 * @return String
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * Switch between the action modes and call  the associated method for each
	 * action.
	 *
	 * @param _nAction
	 */
	protected void PerformAction(int _nAction)
	{
		super.PerformAction(_nAction);

		// ***CHANGE_HERE SELECTPTOBJECT***
		// You need to call the PerformRepostAction on the select ptobject control
		((ExpListControl) m_asOwner.GetControl(CommunityTemplateEditorAS.PLUGIN_SELECT_PAGE_TEMPLATE)).PerformRepostAction(_nAction,
			m_htFormData);

		//		// Call PerformRepostAction for header
		//		((ExpListControl) m_asOwner.GetControl(CommunityTemplateEditorAS.strStorageSelectHeader)).
		//			PerformRepostAction(_nAction, m_htFormData);
		//
		//		// Call PerformRepostAction for footer
		//		((ExpListControl) m_asOwner.GetControl(CommunityTemplateEditorAS.strStorageSelectFooter)).
		//			PerformRepostAction(_nAction, m_htFormData);
		//***CHANGE_HERE*** if you don't have any repost action, delete the switch statement.
		switch (_nAction)
		{
		//***CHANGE_HERE*** Create a new case for each of your action.
		case POSTTOSELF_ACTION_COMMUNITYTEMPLATE1:

			//((CommunityTemplateModel) m_model).ActionOnRepost();
			break;
		}

		// Performs the header and footer actions
		((HeaderAndFooterRepostControl) m_asOwner.GetControl(HeaderAndFooterRepostControl.STR_MVC_CLASS_NAME)).PerformRepostAction(_nAction,
			m_htFormData);
	}
}

