package com.plumtree.portalpages.admin.editors.datasource;


// Framework Imports
import com.plumtree.portaluiinfrastructure.editor.*;

/**
 *
 *
 */
public abstract interface IDSModelRO extends IObjEditorModelRO
{
	/**
	 * Returns the URL type for the data source.  This value is either
	 * PT_URL_TYPES.PT_URL_TYPE_SIMPLE_FIELD_MAPPING or PT_URL_TYPES.
	 * PT_URL_TYPE_DATASOURCE_GENERATED
	 * @return int
	 */
	public int GetURLType();

	/**
	 * Returns the Web Service ID for the data source.
	 *
	 * @return int
	 */
	public int GetWebServiceID();

}

