package com.plumtree.portalpages.admin.editors.doctypemapextension;


// Framework Imports
import com.plumtree.uiinfrastructure.editor.*;
import com.plumtree.uiinfrastructure.expandablelist.*;

/**
 *
 * @author SudhaS
 */
public class GbDocTypeExtRepostControl extends EditorRepostControl
{

	public static final String STR_MVC_CLASS_NAME = "GbDocTypeExtRepost";


	public final static int POSTTOSELF_ACTION_DONE_POPUP = 11;

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new GbDocTypeExtRepostControl();
	}

	/**
	 * Returns the Class name.
	 *
	 * @return String
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * Switch between the action modes and call
	 * the associated method for each action.
	 *
	 * @param _nAction
	 */
	protected void PerformAction(int _nAction)
	{
		super.PerformAction(_nAction);

		((ExpListControl) m_asOwner.GetControl(GbDocTypeExtEditorAS.strStorageGbDocTypeExtList)).PerformRepostAction(_nAction,
			m_htFormData);

		switch (_nAction)
		{
		}
	}
}

