package com.plumtree.portalpages.admin.editors.group;

import com.plumtree.openfoundation.util.*;
import com.plumtree.uiinfrastructure.activityspace.*;
import com.plumtree.uiinfrastructure.tree.*;

/**
 * This version of the tree allows for browsing and
 * selecting of objects with no hierarchical structure
 *
 * @author RickyW
 */
public class ActivityRightsStartTreeControl extends AStartTreeControl
{
	/** object name */
	public static final String STR_MVC_CLASS_NAME = "ActivityRightsStartTree";

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IControl#Execute()
	 */
	public Redirect CheckActionSecurityAndExecute(XPHashtable arguments)
	{
		Redirect result = super.CheckActionSecurityAndExecute(arguments);

		((ActivityRightsTreeModel) m_asModel).LoadRights();

		return result;
	}

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new ActivityRightsStartTreeControl();
	}

	/** sharing the logger */
	/** logger setup member */
	/** logger setup member */
	/** logger setup member */
	/** logger setup member */
	/** logger setup member */
	/**
	 * @see com.plumtree.xpshared.activityspace.IControl#GetName()
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}
}

