package com.plumtree.portalpages.admin.editors.invitation;

import com.plumtree.portaluiinfrastructure.editor.*;
import com.plumtree.portaluiinfrastructure.resultwrapper.*;
import com.plumtree.uiinfrastructure.activityspace.*;

/**
 *
 *
 */
public interface IInvitationModelRO extends IObjEditorModelRO
{
	/**
	 * Returns the User TreeSpace ID.
	 *
	 * @return String
	 */
	public String GetAccessEdit();

	/**
	 * Get Default Profile ID.
	 *
	 * @return int
	 */
	public int GetDefaultProfileID();

	/**
	* Get Profiles
	*
	* @return IASQueryResult
	*/
	public IASQueryResult GetProfiles();

	/**
	 * Get User Folder ID.
	 *
	 * @return String
	 */
	public String GetUserFolderName();

	/**
	* Get User Groups
	*
	* @return Object
	*/
	public Object GetUserGroups();

	/**
	 * Returns the User TreeSpace ID.
	 *
	 * @return String
	 */
	public String GetUserTreeSpaceID();
	
	/**
	 * Returns the ASURL of SubEditor.
	 *
	 * @return AActivitySpace
	 */
	public ASURL GetASURLToSubEditor();
}

