package com.plumtree.portalpages.admin.editors.page;


// Framework Imports
import com.plumtree.portalpages.common.editpage.*;
import com.plumtree.portaluiinfrastructure.editor.*;

/**
 *
 * @author michaeld
 */
public class PageRepostControl extends ObjEditorRepostControl
{
	public static final String STR_MVC_CLASS_NAME = "PageRepost";
	public static final int POSTTOSELF_ACTION_PAGE1 = 10;

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new PageRepostControl();
	}

	/**
	 * Returns the Class name.
	 *
	 * @return String
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * Switch between the action modes and call  the associated method for each
	 * action.
	 *
	 * @param nAction
	 */
	protected void PerformAction(int nAction)
	{
		super.PerformAction(nAction);

		// You need to call the PerformRepostAction on the page layout control
		((PageLayoutControl) m_asOwner.GetControl(PageLayoutControl.STR_MVC_CLASS_NAME)).PerformRepostAction(nAction,
			m_htFormData);
	}
	
	/**
	 * @see com.plumtree.portaluiinfrastructure.editor.ObjEditorRepostControl#DisableSavePopUp()
	 */
	protected boolean DisableSavePopUp()
	{
		if (0 > ((ObjEditorModel) m_model).GetFolderID())
		{
			return true;
		}
		else
		{
			return super.DisableSavePopUp();
		}
	}

}

