package com.plumtree.portalpages.admin.editors.profilesource;

import com.plumtree.xpshared.htmlconstructs.*;
import com.plumtree.xpshared.htmlelements.*;

/**
 * @author Mike Jahr
 *
 */
public class ProfileSourceHelper
{
	/**
	 *
	 *
	 * @param sInstructions
	 *
	 * @return
	 *
	 * @throws HTMLException
	 */
	public static HTMLTable ConstructInstructionsTable(String sInstructions)

	{
		HTMLTable myTable;
		HTMLTableCell myCell;
		HTMLTableRow myRow;

		// mj: add the instructions table
		myTable     = ConstructSettingsTable();

		myRow = new HTMLTableRow();
		myTable.AddInnerHTMLElement(myRow);
		myRow.SetStyleClass(PTStyleClass.OBJECT_CONTENT_BG);

		myCell = new HTMLTableCell();
		myRow.AddInnerHTMLElement(myCell);
		myCell.SetStyleClass(PTStyleClass.OBJECT_TEXT);
		myCell.AddInnerHTMLString(sInstructions);

		return myTable;
	}

	/**
	 *
	 *
	 * @return
	 *
	 * @throws HTMLException
	 */
	public static HTMLTable ConstructSettingsTable()

	{
		HTMLTable myTable = new HTMLTable();
		myTable.SetWidth("100%");
		myTable.SetBorder("0");
		myTable.SetCellPadding("5");
		myTable.SetCellSpacing("0");

		return myTable;
	}
}

