package com.plumtree.portalpages.admin.editors.profilesource;


// Framework Imports
import com.plumtree.portalpages.admin.editors.common.setjob.*;
import com.plumtree.portaluiinfrastructure.editor.*;
import com.plumtree.uiinfrastructure.expandablelist.*;

/**
 *
 * *** Delete that class if you don't have any repost actions.***
 *
 */
public class ProfileSourceRepostControl extends ObjEditorRepostControl
{
	public static final String STR_MVC_CLASS_NAME = "ProfileSourceRepost";

    public static final int POSTTOSELF_ACTION_CLEAR_HISTORY = 10;

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new ProfileSourceRepostControl();
	}

	/**
	 * Returns the Class name.
	 *
	 * @return String
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * Switch between the action modes and call
	 * the associated method for each action.
	 *
	 * @param _nAction
	 */
	protected void PerformAction(int _nAction)
	{
		super.PerformAction(_nAction);

		// You need to call the PerformRepostAction on the select ptobject control
		((ExpListControl) m_asOwner.GetControl(ProfileSourceEditorAS.strStorageSelectPTObject)).PerformRepostAction(_nAction,
			m_htFormData);

		((ExpListControl) m_asOwner.GetControl(ProfileSourceEditorAS.strPTMultiColumnList)).PerformRepostAction(_nAction,
			m_htFormData);

		((SetJobRepostControl) m_asOwner.GetControl(SetJobRepostControl.STR_MVC_CLASS_NAME)).PerformRepostAction(_nAction,
			m_htFormData);

		switch (_nAction)
		{
            case POSTTOSELF_ACTION_CLEAR_HISTORY:
                ((ProfileSourceModel) m_model).ClearHistory();
                break;
		}
	}
}

