package com.plumtree.portalpages.admin.editors.propertymap;

import com.plumtree.uiinfrastructure.editor.*;
import com.plumtree.uiinfrastructure.statichelpers.*;
import com.plumtree.xpshared.htmlelements.*;

/**
 *
 *
 * @author $author$
 */
public class PropertyMapEditorMainDP extends EditorDP
{

	public static final String STR_MVC_CLASS_NAME = "PropertyMapEditorMain";

	public String GetLeftNavString()
	{
		return m_asOwner.GetString(704, "ptmsgs_portaladminmsgs");
	}

	/**
	 *
	 *
	 * @return
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 *
	 *
	 * @return
	 *
	 * @throws HTMLException
	 */
	public HTMLElement PageDisplay()

	{
		HTMLElementCollection result = new HTMLElementCollection();
		result.AddInnerHTMLElement(super.PageDisplay());

		HTMLElementCollection views = new HTMLElementCollection();
		views.AddInnerHTMLElement(((EditorView) m_asOwner.GetView(
				PropertyMapEditorMainView.STR_MVC_CLASS_NAME)).Display());
		result.AddInnerHTMLElement(CreateLeftNavBar(views));

		return result;
	}

	/**
	 *
	 *
	 * @return
	 *
	 * @throws HTMLException
	 */
	protected HTMLScriptCollection DisplayJavaScriptFromChild()
		throws HTMLException
	{
		HTMLScriptCollection myScripts = super.DisplayJavaScriptFromChild();
		myScripts.AddInnerHTMLElement(m_asOwner.GetView(
				PropertyMapEditorMainView.STR_MVC_CLASS_NAME).DisplayJavascript());

		return myScripts;
	}

	/**
	 *
	 *
	 * @return
	 *
	 * @throws HTMLException
	 */
	protected HTMLElement GetHTMLBelowSubHeader() {
//pkd extracted: 		return HTMLConstructHelpers.GetSubHeader(_ui_MiniHelp,m_asOwner);
		return HTMLConstructHelpers.GetSubHeader(m_asOwner.GetString(2649, "ptmsgs_portaladminmsgs"),m_asOwner);
	}
}

