package com.plumtree.portalpages.admin.editors.user;


// Framework Imports
import com.plumtree.portaluiinfrastructure.editor.*;
import com.plumtree.uiinfrastructure.expandablelist.*;

/**
 *
 * @author SudhaS
 */

public class UserRepostControl extends ObjEditorRepostControl
{
	
	public static final String STR_MVC_CLASS_NAME = "UserRepost";
	
	public final static int POSTTOSELF_ACTION_CANCEL   = 312;

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new UserRepostControl();
	}

	/**
	 * Returns the Class name.
	 *
	 * @return String
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * Switch between the action modes and call
	 * the associated method for each action.
	 *
	 * @param _nAction
	 */
	protected void PerformAction(int _nAction)
	{
		super.PerformAction(_nAction);

		((ExpListControl) m_asOwner.GetControl(UserEditorAS.strStorageSelectPTObject)).PerformRepostAction(_nAction,
			m_htFormData);

		switch (_nAction)
		{
			case POSTTOSELF_ACTION_CANCEL:
				((UserModel) m_asOwner.GetModel(UserModel.STR_MVC_CLASS_NAME)).SetDeleteGroups();
			
			break;
		}
	}
}

