package com.plumtree.portalpages.admin.editors.userprofilemanager;

import com.plumtree.portalpages.browsing.editors.community.*;
import com.plumtree.uiinfrastructure.statichelpers.*;
import com.plumtree.xpshared.htmlelements.*;

/**
 * @author JHQ
 *
 * This class subclasses CommunityEditorPagesDP so that we can override the 
 * string displayed on the left navigation.
 * 
 */
public class UsrProfCommPagesDP extends CommunityEditorPagesDP {

	/* (non-Javadoc)
	 * @see com.plumtree.uiinfrastructure.editor.EditorDP#GetLeftNavString()
	 */
	public String GetLeftNavString() {
		return m_asOwner.GetString(2256, "ptmsgs_portaladminmsgs");
	}
	
	/**
	* Implement this method to add HTML below the sub header.
	*
	* @return HTMLElement
	*
	* @throws HTMLException
	*/
	protected HTMLElement GetHTMLBelowSubHeader()  {
		return HTMLConstructHelpers.GetSubHeader(
			m_asOwner.GetString(2355, "ptmsgs_portaladminmsgs"),
			this.m_asOwner);
	}
	
	/* (non-Javadoc)
	 * @see com.plumtree.uiinfrastructure.editor.EditorDP#GetPageTitle()
	 */
	public String GetPageTitle() {
		return GetLeftNavString();
	}

}

