package com.plumtree.portalpages.admin.editors.userprofilemanager;

import com.plumtree.portalpages.browsing.editors.community.*;
import com.plumtree.xpshared.htmlelements.*;

/**
 * @author JHQ
 *
 * This class extends DisableSiteMapView so that it can be used within
 * the user profile manager and return null for Display().  This is because
 * in the user profile 'community', the disable site map function isn't valid.
 */
public class UsrProfDisableSiteMapView extends DisableSiteMapView {
	/** Object Name */
	public static final String STR_MVC_CLASS_NAME = "UsrProfDisableSiteMap";

	/* (non-Javadoc)
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create() {
		return new UsrProfDisableSiteMapView();
	}

	/* (non-Javadoc)
	 * @see com.plumtree.uiinfrastructure.activityspace.IView#Display()
	 */
	public HTMLElement Display() {
		return null;
	}

	/* (non-Javadoc)
	 * @see com.plumtree.uiinfrastructure.activityspace.IMVCObject#GetName()
	 */
	public String GetName() {
		return STR_MVC_CLASS_NAME;
	}
}

