package com.plumtree.portalpages.admin.editors.webservice.plugins;

import com.plumtree.portalpages.admin.editors.webservice.*;
import com.plumtree.portalpages.common.constants.*;
import com.plumtree.uiinfrastructure.expandablelist.multicolumnlist.*;
import com.plumtree.xpshared.htmlconstructs.*;
import com.plumtree.xpshared.htmlelements.*;

public class FormLoginFieldsPluginView extends MultiColumnListView {

	public static final String STR_MVC_CLASS_NAME = "FormLoginFieldsPluginView";
	
	/* (non-Javadoc)
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new FormLoginFieldsPluginView();
	}
	
	/* (non-Javadoc)
	 * Returns the Class name.
	 *
	 * @return String
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}
	
	
	
	/* (non-Javadoc)
	 * @see com.plumtree.uiinfrastructure.expandablelist.ExpListView#GetHTMLBelowActionBar()
	 */
	protected HTMLTable GetHTMLBelowActionBar() {
		HTMLTable myTable = super.GetHTMLBelowActionBar();

		if(myTable == null)
		{
			myTable = new HTMLTable();
			myTable.SetBorder(CommonHTMLStrings.ZERO);
			myTable.SetWidth(CommonHTMLStrings.ONE_HUNDRED_PERCENT);
			myTable.SetCellPadding(CommonHTMLStrings.FIVE);
			myTable.SetCellSpacing(CommonHTMLStrings.ZERO);
		}
				
		// aj: second row - instructions
		HTMLTableRow myRow = WSViewHelper.AddRow(myTable);
//		WSViewHelper.AddLeftMargin(myRow, 5);
		myRow.SetStyleClass(PTStyleClass.OBJECT_CONTENT_BG);
		WSViewHelper.AddTextCell(myRow, CommonHTMLStrings.ONE,
				m_asOwner.GetString(2971, ResourceConstants.PORTALADMINMSGS));	
//		WSViewHelper.AddRightMargin(myRow, 5);
		
		return myTable;
	}
}
