package com.plumtree.portalpages.admin.editors.webservice.plugins;

/**
 * @author josephs
 *
 */
public interface ICredentialVaultPluginModelRO
{
	/**
	 * 
	 *
	 * @return 
	 */
	public String GetData(String name);

	/**
	 * 
	 *
	 * @return 
	 */
	public String GetLockboxName();

	public int GetLockboxObjectID();
	
	/**
	 * Does this web service use a secure remote server?
	 * 
	 * @return true if the remote server has a public key or uses an https:// base URL
	 */
	public boolean IsRemoteServerSecure();

}
