package com.plumtree.portalpages.admin.editors.webservice.plugins;


/**
 * @author JaneD
 *
 */
public interface IDebugUserPluginModelRO
{
	
	/**
	 * Returns the user id of the user for which debugging is turned on.
	 * If it returns 0, that means debugging should be turned on for ALL users.
	 *
	 * @return 
	 */
	public int GetUserID();
	
	/**
	 * Returns the user name of the user for which debugging is turned on.
	 * If it returns null, that means debugging should be turned on for ALL users.
	 *
	 * @return 
	 */
	public String GetUserName();
	
	/**
	 * 
	 *
	 * @return 
	 */
	public String GetData(String name);

}

