/**
 * Created on Oct 30, 2002
 *
 * To change this generated comment edit the template variable "filecomment":

 * To enable and disable the creation of file comments go to

 */
package com.plumtree.portalpages.admin.editors.webservice.plugins;

import com.plumtree.openfoundation.util.*;

/**
 * @author adolfoc
 *
 */
public interface ISelectDevicesPluginModelRO
{
	/**
	 * Returns whether or not a particular device is selected for this WebService.
	 */
	public boolean DeviceChecked(String strUnique);

	/**
	 * Returns an ArrayList of all of the available userinterface objectids.
	 */
	public XPArrayList GetAvailableUIs();

	/**
	 * 
	 *
	 * @return 
	 */
	public String GetBaseURL();

	/**
	 * Returns the Description of the interface with a particular Object ID (use GetAvailableUIs to
	 * get a list of valid objectids).
	 */
	public String GetUIDescription(String strUnique);

	/**
	 * Returns the Name of the interface with a particular Object ID (use GetAvailableUIs to
	 * get a list of valid objectids).
	 */
	public String GetUIName(String strUniqueID);
}

