package com.plumtree.portalpages.admin.editors.xui;


/**
 * This interface is implemented by the Model. It contains all the read-only
 * mothods of the Model accessed by the Views.
 *
 * @author Julie Fournier
 */
public interface IXUIHelperModelRO
{
	/**
	 * @see com.plumtree.portalpages.admin.editors.xui.XUIHelperModel#GetHTMLForXUIPage()
	 */
	public String GetHTMLForXUIPage(int _nXUIPageID);

	/**
	 * @see com.plumtree.portalpages.admin.editors.xui.XUIHelperModel#GetPageInstructions()
	 */
	public String GetPageInstructions(int _nXUIPageID);

	/**
	 * @see com.plumtree.portalpages.admin.editors.xui.XUIHelperModel#GetPageTitle()
	 */
	public String GetPageTitle(int _nXUIPageID);
}

