package com.plumtree.portalpages.admin.ptutilities.condition;

import com.plumtree.portaluiinfrastructure.expandablelist.selectptobject.*;

// Framework Imports
import com.plumtree.uiinfrastructure.activityspace.ASURL;
import com.plumtree.xpshared.htmlconstructs.*;

/**
 * This interface is implemented by the Model.
 * It contains all the read-only mothods of the Model
 * accessed by the Views.
 *
 * @author Julie Fournier
 */
public interface IRulesListModelRO extends ISelectPTObjectModelRO
{
	/**
	 * @see com.plumtree.portalpages.admin.ptutilities.condition.RulesListModel#GetRowIcon()
	 *
	 */
	public PTImageType GetRowIcon();
	
	/**
	 * @see com.plumtree.portalpages.admin.ptutilities.condition.RulesListModel#GetEditObjectURL()
	 *
	 */
	public ASURL GetEditObjectURL(int _nClassID, int _nObjectID, String sEditorASName);
}

