package com.plumtree.portalpages.admin.ptutilities.credentialvaultmanager;


// Framework Imports
import com.plumtree.uiinfrastructure.editor.*;
import com.plumtree.uiinfrastructure.expandablelist.*;


/**
 * 
 * @author jennifersu
 *
 */
public class CredentialVaultManagerRepostControl extends EditorRepostControl
{
	public static final String STR_MVC_CLASS_NAME = "CredentialVaultManagerRepost";

	public final static int POSTTOSELF_ACTION_REMOVEPROPERTY = 10;

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new CredentialVaultManagerRepostControl();
	}

	/**
	 * Returns the Class name.
	 *
	 * @return String
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * Switch between the action modes and call
	 * the associated method for each action.
	 *
	 * @param int
	 */
	protected void PerformAction(int _nAction)
	{
		super.PerformAction(_nAction);

		((ExpListControl) m_asOwner.GetControl(CredentialVaultManagerAS.strLockboxList)).PerformRepostAction(_nAction,
			m_htFormData);

		switch (_nAction)
		{
		case POSTTOSELF_ACTION_REMOVEPROPERTY:

			// ***EXAMPLE SUB EDITORS*** How to remove a sub Editor?
			String[] data = (String[]) m_htFormData.GetElement(LockboxListView.HTMLHIDDEN_LOCKBOXEDITORKEY);

			if ((null != data) && (0 != data.length))
			{
				((EditorAS) m_asOwner).DeleteSubEditorFromList(data[0]);
			}

			break;
		}
	}
}

