package com.plumtree.portalpages.admin.ptutilities.diagnostic.dynamicloads.varpacks;

import com.plumtree.uiinfrastructure.activityspace.*;

/**
 * Read only Model interface for the VarPackModel.
 * 
 * @author DonH
 */
public interface IVarPackModelRO extends IModelRO
{
	/**
	 * Returns the ID of the current Var Pack being viewed by the user.
	 * 
	 * @return String The ID of the current Var Pack being viewed by the user.
	 */
	public String GetCurrentVarPackID();

	/**
	 * 
	 * @return
	 */
	public boolean GetAllowVarPackReload();
}
