package com.plumtree.portalpages.admin.ptutilities.migrationutility.exp;

import com.plumtree.portalpages.admin.ptutilities.migrationutility.*;


/**
 * 
 * @author jennifersu
 *
 */
public interface IMigrationUtilityExportModelRO extends IMigrationUtilityModelRO
{
	/**
	 * Get Package name
	 * @return String
	 */
	public String GetPackageName();
	
	/**
	 * Get Package description
	 * @return String
	 */
	public String GetPackageDescription();
	
	/**
	 * Get Package publisher
	 * @return String
	 */
	public String GetPublisher();

    /**
     * When exporting dependencies, should the parent folders
     * and their dependencies also be exported?
     *
     * @return true to export parent folder dependencies as
     * objects and pull in their dependencies as well,
     * false to only add references in the dependency map
     */
    public boolean IsExportParentFoldersEnabled();
}

