package com.plumtree.portalpages.admin.ptutilities.migrationutility.exp;

import com.plumtree.uiinfrastructure.filedownload.*;

public class MigrationFileDownloadAS extends AFileDownloadAS
{
	public static final String STR_MVC_CLASS_NAME = "MigrationFileDownload";

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IMVCObject#GetName()
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.AActivitySpace#CheckBasicAccess(java.lang.String, java.lang.String, boolean)
	 */
	public boolean CheckBasicAccess(String strPage, String strControl,
		boolean bSameSpace)
	{
		// AGC- Security is ensured by the owning AS - the filename for download must be stored
		// on the Session by a secured Editor.
		return true;
	}

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new MigrationFileDownloadAS();
	}

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.AActivitySpace#Init()
	 */
	public void Init()
	{
		super.Init();
		RegisterPage(new MigrationDownloadFilePopupDP());
	}
}

