package com.plumtree.portalpages.admin.ptutilities.migrationutility.imp;

import com.plumtree.portalpages.admin.ptutilities.migrationutility.*;


/**
 * 
 * @author jennifersu
 *
 */
public interface IMigrationUtilityImportModelRO extends IMigrationUtilityModelRO
{
	/**
	 * Gets the Import ACLs setting
	 * @return boolean
	 */
	public boolean GetImportACLs();
	
	/**
	 * Gets the Remember Dependency Settings settings
	 * @return boolean
	 */
	public boolean GetRememberDependencySettings();
	
	/**
	 * Gets the Overwrite Remote Servers settings
	 * @return boolean
	 */
	public boolean GetOverwriteRemoteServers();
	
	/**
	 * Gets the Create New Object Instances settings
	 * @return boolean
	 */
	public boolean GetCreateNewObjectInstances();
}

