package com.plumtree.portalpages.admin.serversettings.auditmanager;

import com.plumtree.uiinfrastructure.arraywrapper.*;
import com.plumtree.uiinfrastructure.pagecontrols.jsdatepicker.*;

/**
 * 
 *
 * @author ErickS
 */
public interface IAuditManagerModelRO
{
	/**
	 * 
	 *
	 * @return 
	 */
	public String GetArchivePath();

	//************ Audit Query Central methods ****************

	/**
	 * 
	 *
	 * @return 
	 */
	public PTSortedArrayWrapper GetAuditMessages();

	/**
	 * 
	 *
	 * @return 
	 */
	public JSDatePickerMgr GetDatePickerControlManager(int _nPageType);

	/**
	 * 
	 *
	 * @return 
	 */
	public int GetDaysInDB();

	/**
	 * 
	 *
	 * @return 
	 */
	public int GetDaysInFiles();

	/**
	 * 
	 *
	 * @return 
	 */
	public int GetDeleteAction();

	/**
	 * 
	 *
	 * @return 
	 */
	public int GetDeleteMessageTypeValue();

	/**
	 * 
	 *
	 * @return 
	 */
	public String GetItemName();

	/**
	 * 
	 *
	 * @return 
	 */
	public int GetItemNameApproximateType();

	/**
	 * Returns the Item Type.
	 *
	 * @return int
	 */
	public int GetItemType();

	/**
	 * 
	 *
	 * @return 
	 */
	public int GetMessageTypeValue();
	
	/**
	 * 
	 *
	 * @return 
	 */
	public int GetQueryMessageTypeValue();

	/**
	 * 
	 *
	 * @return 
	 */
	public int GetQueryCount();

	/**
	 * 
	 *
	 * @return 
	 */
	public int GetResultsPerPage();

	/**
	 * 
	 *
	 * @return 
	 */
	public String GetServerName();

	/**
	 * 
	 *
	 * @return 
	 */
	public int GetServerNameApproximateType();

	/**
	 * 
	 *
	 * @return 
	 */
	public int GetSkipMessages();

	/**
	 * 
	 *
	 * @return 
	 */
	public int GetSortType();

	/**
	 * 
	 *
	 * @return 
	 */
	public String GetUserName();

	/**
	 * 
	 *
	 * @return 
	 */
	public int GetUserNameApproximateType();

	/**
	 * 
	 *
	 * @return 
	 */
	public String GetWordInMessage();
	
	/**
	 * 
	 * @param _nMessageTypeID
	 * @return
	 */
	public String GetMessageTypeAsString(int _nMessageTypeID);
}

