package com.plumtree.portalpages.admin.serversettings.search;

import com.plumtree.openfoundation.util.IXPPropertyBag;

public class NodeInfo{
    String address;
    String name;
    String port;
    String partition;
    String indexState;
    String searchState;
    String docsetTID;
    String lexiconTID;
    
    public NodeInfo(IXPPropertyBag bag){
        address  = bag.ReadAsString("ADDRESS");
        name  = bag.ReadAsString("NAME");
        port  = bag.ReadAsString("PORT");
        partition  = bag.ReadAsString("PARTITION");
        indexState  = bag.ReadAsString("INDEX_STATE");
        searchState  = bag.ReadAsString("STATE");
        docsetTID  = bag.ReadAsString("DOCSET_TID");
        lexiconTID  = bag.ReadAsString("LEXICON_TID");
               
        
        
    }
    /**
     * @return Returns the address.
     */
    public String getAddress() {
        return this.address;
    }
    /**
     * @return Returns the docsetTID.
     */
    public String getDocsetTID() {
        return this.docsetTID;
    }
    /**
     * @return Returns the indexState.
     */
    public String getIndexState() {
        return this.indexState;
    }
    /**
     * @return Returns the lexiconTID.
     */
    public String getLexiconTID() {
        return this.lexiconTID;
    }
    /**
     * @return Returns the name.
     */
    public String getName() {
        return this.name;
    }
    /**
     * @return Returns the partition.
     */
    public String getPartition() {
        return this.partition;
    }
    /**
     * @return Returns the port.
     */
    public String getPort() {
        return this.port;
    }
    /**
     * @return Returns the searchState.
     */
    public String getSearchState() {
        return this.searchState;
    }
    
}