package com.plumtree.portalpages.ajax;

import com.plumtree.uiinfrastructure.activityspace.*;

/**
 * @author MattC
 */
public class AjaxDP implements IDisplayPage
{
	public static final String STR_MVC_CLASS_NAME = "AjaxDP";
    protected AActivitySpace m_asOwner;
    
    public void Display(IWebData pageData)
    {
		pageData.SetData(((AjaxView)m_asOwner.GetView(AjaxView.STR_MVC_CLASS_NAME)).DisplayResponse());
    }

	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

    public AActivitySpace GetOwner()
    {
        return m_asOwner;
    }

    public void Init(AActivitySpace parent)
    {
        m_asOwner = parent;
    }
}

