package com.plumtree.portalpages.browsing.directory.createfolder;

import com.plumtree.portalpages.browsing.directory.*;
import com.plumtree.portalpages.common.createfolder.*;
import com.plumtree.uiinfrastructure.activityspace.*;

/**
 * @author StephenC
 */
public class DirCreateFolderView extends CreateFolderView implements IView
{
	
	public static final String STR_MVC_CLASS_NAME = "DirCreateFolder";

	
	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new DirCreateFolderView();
	}

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IMVCObject#GetName()
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * @see com.plumtree.portalpages.common.createfolder.CreateFolderView#GetBannerTitle()
	 */
	public String GetBannerTitle() 
	{
		return m_asOwner.GetString(98, "ptmsgs_portalbrowsingmsgs");
	}

	/**
	 * @see com.plumtree.portalpages.common.createfolder.CreateFolderView#GetCreateFolderRepostAction()
	 */
	public int GetCreateFolderRepostAction() 
	{
		return DirRepostControl.POSTTOSELF_ACTION_CREATEFOLDER;
	}
}

