package com.plumtree.portalpages.browsing.directory.relatedresources;

import com.plumtree.portaluiinfrastructure.opener.*;
import com.plumtree.uiinfrastructure.activityspace.*;
import com.plumtree.uiinfrastructure.form.*;
import com.plumtree.xpshared.htmlelements.*;

/**
 * @author StephenC
 */
public class RelatedResourcesMorePopupDP extends AFormDP
{
	
	public static final String STR_MVC_CLASS_NAME = "RelatedResourcesMorePopupDP";




	/**
	 * @see com.plumtree.xpshared.activityspace.IDisplayPage#Init(AActivitySpace)
	 */
	public void Init(AActivitySpace parent)
	{
		super.Init(parent);
		parent.SetHelpTopic( "PT_Folder_RelatedResources" );
	}

	/** localized strings */



	/**
	 * @see com.plumtree.uiinfrastructure.form.AFormDP#GetFormTitle()
	 */
	public String GetFormTitle()
	{
		return m_asOwner.GetString(126, "ptmsgs_portalbrowsingmsgs");
	}

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IMVCObject#GetName()
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * @see com.plumtree.uiinfrastructure.form.AFormDP#PageDisplay()
	 */
	public HTMLElement PageDisplay()

	{
		return m_asOwner.GetView(RelatedResourcesMorePopupView.STR_MVC_CLASS_NAME)
		.Display();
	}

	/**
	 * Display the Javascripts for the Views.
	 *
	 * @return HTMLScriptCollection
	 * @throws HTMLException
	 */
	protected HTMLScriptCollection DisplayJavaScriptFromChild()

	{
		HTMLScriptCollection myScripts = super.DisplayJavaScriptFromChild();
		myScripts.AddInnerHTMLElement(PTOpenerLinks.GetOpenerJavascript(m_asOwner));
		
		myScripts.AddInnerHTMLElement(m_asOwner.GetView(
				RelatedResourcesMorePopupView.STR_MVC_CLASS_NAME)
			.DisplayJavascript());

		return myScripts;
	}

	/** logger */
}

