/**
 * Created on Dec 20, 2002
 *
 * To change this generated comment edit the template variable "filecomment":

 * To enable and disable the creation of file comments go to

 */
package com.plumtree.portalpages.browsing.editors.community;

import com.plumtree.openfoundation.util.*;
import com.plumtree.uiinfrastructure.editor.*;

/**
 * @author robertz
 *
 */
public class HeaderAndFooterRepostControl extends EditorHelperRepostControl
{
	/** Object Name */
	public static final String STR_MVC_CLASS_NAME = "HeaderAndFooterRepost";

	
	public final static int POSTTOSELF_ACTION_SELECTHEADER = 50;

	
	public final static int POSTTOSELF_ACTION_SELECTFOOTER = 51;

	
	public final static int POSTTOSELF_ACTION_USEDEFAULTHEADER = 52;

	
	public final static int POSTTOSELF_ACTION_USEDEFAULTFOOTER = 53;
	
	public final static int POSTTOSELF_ACTION_SETUSEFORCE_SUBPORTAL = 54;
	
	public final static int POSTTOSELF_ACTION_DONOTFORCE_SUBPORTAL = 55;

	/**
	* @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	*/
	public Object Create()
	{
		return new HeaderAndFooterRepostControl();
	}

	/**
	 * Returns the Class name.
	 *
	 * @return String
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * Switch between the action modes and call  the associated method for each
	 * action.
	 *
	 * @param _nAction
	 */
	public void PerformRepostAction(int _nAction, XPHashtable _htFormData)
	{
		switch (_nAction)
		{
		case POSTTOSELF_ACTION_SELECTHEADER:
			((IHeaderAndFooterModel) m_model).RefreshItemFromHeaderTree(_htFormData);

			break;

		case POSTTOSELF_ACTION_SELECTFOOTER:
			((IHeaderAndFooterModel) m_model).RefreshItemFromFooterTree(_htFormData);

			break;

		case POSTTOSELF_ACTION_USEDEFAULTHEADER:
			((IHeaderAndFooterModel) m_model).SetDefaultHeaderOrFooter(true);

			break;

		case POSTTOSELF_ACTION_USEDEFAULTFOOTER:
			((IHeaderAndFooterModel) m_model).SetDefaultHeaderOrFooter(false);

			break;
		
		case POSTTOSELF_ACTION_SETUSEFORCE_SUBPORTAL:
			((IHeaderAndFooterModel) m_model).SetUseForceSubPortal(true);
			break;
		case POSTTOSELF_ACTION_DONOTFORCE_SUBPORTAL:
			((IHeaderAndFooterModel) m_model).SetUseForceSubPortal(false);
			break;
		}
	}
}

