package com.plumtree.portalpages.browsing.editors.community;


// Framework Imports
import com.plumtree.portalpages.common.editpage.*;
import com.plumtree.portaluiinfrastructure.editor.*;

/**
 * 
 *
 * @author michaeld
 */
public interface ICommunityEditorModelRO extends IObjEditorModelRO
{
	/**
	 * Returns the community folder id.
	 *
	 * @return int
	 */
	public int GetCommunityFolderID();

	/**
	 * Get the page model at the given index.
	 *
	 * @return PageData
	 */
	public PageData GetPageModelAt(int nPageIndex);

	/**
	  * Is Site Map Disabled
	  *
	  * @return boolean
	  */
	public boolean IsSiteMapDisabled();
}

