package com.plumtree.portalpages.browsing.editors.community;


/**
 * This interface is implemented by CommunityEditorModel. It
 * contains all the read-only mothods needed for PageListView.
 *
 * @author MichaelD
 */
public interface IPageListModelRO
{
	/**
	 * Get the value for the given input.
	 *
	 * @return String
	 */
	public String GetInputValue(String name);

	/**
	 * Returns the number of pages selected.
	 *
	 * @return int nPageCount
	 */
	public int GetPageCount();
}

