package com.plumtree.portalpages.browsing.editors.community;

import com.plumtree.uiinfrastructure.arraywrapper.*;
import com.plumtree.uiinfrastructure.editor.*;

/**
 * 
 *
 * @author michaeld
 */
public interface IPortletPreferencesModelRO extends IEditorModelRO
{
	/**
	 * 
	 *
	 * @return 
	 */
	public boolean DisplayTitleBarColumn();

	/**
	 * 
	 *
	 * @return 
	 */
	public int GetCommunityID();

	/**
	 * 
	 *
	 * @param iPageID 
	 *
	 * @return 
	 */
	public PTSortedArrayWrapper GetPortletPreferencesList(int iPageID);

	/**
	 * 
	 *
	 * @return 
	 */
	public int GetPageCount();

	/**
	 * 
	 *
	 * @param nPageIndex 
	 *
	 * @return 
	 */
	public int GetPageID(int nPageIndex);

	/**
	 * 
	 *
	 * @param nPageIndex 
	 *
	 * @return 
	 */
	public String GetPageName(int nPageIndex);

	/**
	 * If this is the community editor, then we link to the community prefs
	 * page; if it's a community page but we're not in the community editor,
	 * then we link to the user-gadget-community prefs page.
	 *
	 *
	 * @return True if this is the community editor.
	 */
	public boolean IsCommunityEditor();
}

