package com.plumtree.portalpages.browsing.editors.dircommon.doctype;


/**
 * @author StephenC
 *
 * This interface is implemented by the Model.
 * It contains all the read-only mothods of the Model
 * accessed by the Views.
 */
public interface IDocTypePlugInModelRO
{
	/**
	 * returns the value of the radio control (0 for default doctype, 1 otherwise)
	 */
	public int GetDocTypeChoice();

	/**
	 * returns the name of a given doctype.
	 */
	public String GetDocTypeName(int nDocTypeID);

	/**
	 * 
	 *
	 * @return 
	 */
	public String GetDocTypeSubSpaceID();

	/**
	 * 
	 *
	 * @return 
	 */
	public String GetDocTypeTREESUBSPACE();

	/**
	 * returns the currently selected DocType ID
	 */
	public int GetSelectedDocTypeID();

	/**
	 * returns the currently selected DocType Name
	 */
	public String GetSelectedDocTypeName();
}

