package com.plumtree.portalpages.browsing.editors.dircommon.editdocumentproperty;

import com.plumtree.openfoundation.util.*;
import com.plumtree.uiinfrastructure.editor.*;
import com.plumtree.uiinfrastructure.expandablelist.*;

/**
 * This Control contains the repost actions of the plug-in section.
 *
 * @author StephenC
 */
public class EditCardPropRepostControl extends ExpListControl
{
	
	public static final String STR_MVC_CLASS_NAME = "EditCardProp";

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new EditCardPropRepostControl();
	}

	/**
	 * Returns the Class name.
	 *
	 * @return String
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * Performs action on repost.
	 *
	 * @param _nAction
	 * @param _htFormData
	 */
	public void PerformRepostAction(int _nAction, XPHashtable _htFormData)
	{
		super.PerformRepostAction(_nAction, _htFormData);

		switch (_nAction)
		{
		case EditorRepostControl.POSTTOSELF_ACTION_ONRETURN_FROM_SUBEDITOR:
			((EditCardPropModel) m_model).DoTaskOnComeBackFromSubEditor();

			break;
		}
	}
}

