package com.plumtree.portalpages.browsing.editors.smartsort;

import com.plumtree.uiinfrastructure.editor.*;

/**
 * This interface is implemented by the Model.
 * It contains all the read-only methods of the Model
 * accessed by the Views.
 *
 * @author OlegS
 */
public interface ISmartSortEditorModelRO extends IEditorModelRO
{
	/**
	 * 
	 *
	 * @param group 
	 *
	 * @return 
	 */
	public Object[] GetFolderIDs(int group);

	/**
	 * 
	 *
	 * @return 
	 */
	public String GetLastTreeSpaceId();

	/**
	 * 
	 *
	 * @param n 
	 *
	 * @return 
	 */
	public boolean GetSetting(int n);


	public String makeListOfSourceFoldersAlreadyShown();
	public String makeListOfDestinationFoldersAlreadyShown();
	
	/**
	 * 
	 *
	 * @param group 
	 *
	 * @return 
	 */
	public boolean GetSortAscending(int group);

	/**
	 * 
	 *
	 * @return 
	 */
	public String GetEmptyListInstructions();

	/**
	 * 
	 *
	 * @return 
	 */
	public String GetEmptyListMainMessage();
}

