package com.plumtree.portalpages.browsing.editors.smartsort;

import com.plumtree.uiinfrastructure.editor.*;
import com.plumtree.uiinfrastructure.statichelpers.*;
import com.plumtree.xpshared.htmlelements.*;

/**
 * @author OlegS
 */
public class SmartSortEditorMainDP extends EditorDP
{
	
	public static final String STR_MVC_CLASS_NAME = "SmartSortEditorMain";


	public String GetLeftNavString()
	{
		return m_asOwner.GetString(555, "ptmsgs_portalbrowsingmsgs");
	}

	/**
	 * 
	 *
	 * @return 
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * 
	 *
	 * @return 
	 *
	 * @throws HTMLException 
	 */
	public HTMLElement PageDisplay()
	{
		HTMLElementCollection result = new HTMLElementCollection();
		result.AddInnerHTMLElement(super.PageDisplay());

		HTMLElementCollection views = new HTMLElementCollection();
		views.AddInnerHTMLElement(((EditorView) m_asOwner.GetView(
				SmartSortEditorMainView.STR_MVC_CLASS_NAME)).Display());
		result.AddInnerHTMLElement(CreateLeftNavBar(views));

		return result;
	}

	/**
	 * 
	 *
	 * @return 
	 *
	 * @throws HTMLException 
	 */
	protected HTMLScriptCollection DisplayJavaScriptFromChild()

	{
		HTMLScriptCollection myScripts = super.DisplayJavaScriptFromChild();
		myScripts.AddInnerHTMLElement(m_asOwner.GetView(
				SmartSortEditorMainView.STR_MVC_CLASS_NAME).DisplayJavascript());

		return myScripts;
	}

	/**
	 * 
	 *
	 * @return 
	 *
	 * @throws HTMLException 
	 */
	protected HTMLElement GetHTMLBelowSubHeader()

	{
		return HTMLConstructHelpers.GetSubHeader(m_asOwner.GetString(556, "ptmsgs_portalbrowsingmsgs"), this.m_asOwner);
	}

	// Strings to localize.

	/** Localized String: Main Settings */



	/** Localized String: Select the folders you want the sort to draw from and designate which folders will receive the resulting sort. */


}

