package com.plumtree.portalpages.browsing.gateway;

import com.plumtree.server.*;
import com.plumtree.uiinfrastructure.activityspace.*;
import com.plumtree.xpshared.htmlelements.*;

/**
 * 
 *
 * @author daniilk To change this generated comment edit the template variable
 *         "typecomment": Window>Preferences>Java>Templates. To enable and
 *         disable the creation of type comments go to
 *         Window>Preferences>Java>Code Generation.
 */
public interface IGatewayModel extends IModel
{
	/**
	 * 
	 */
	public void SetError(int iErrorCode, String strErrorMessage, String strErrorHTMLComment);

	/**
	 * 
	 *
	 * @param ptContent 
	 */
	public void SetIPTContent(IPTContent ptContent);

	/**
	 * 
	 *
	 * @param iStatusCode 
	 * @param strHeaders 
	 * @param strBody 
	 */
	public void SetReturnURIContent(int iStatusCode, String strHeaders,
		String strBody);
		
	public void SetUserURL(String strUserURL);
	
	public void SetControlCalled();
	
	public void SetCommunityID(int iCommunityID);
	
	public void SetUIMode(String strUIMode);

	/**
	 * Set the HTMLElement tree to be displayed.
	 * 
	 * NOTE: We do this instead of the display string
	 * so that other portlets can add JavaScript/Styles
	 * to it later (before it is converted into a string).
	 * 
	 * @param displayElement
	 */
	public void SetDisplayElement(HTMLElement displayElement);
	
	public void SetTitle(String strTitle);
	
	public void SetSubtitle(String strSubtitle);
	
	public void SetRefreshMode(int iRefreshMode);
	
	/**
	 * DCA - for documents in the knowledge directory
	 */
	public void SetFileName(String strFileName);
}