package com.plumtree.portalpages.browsing.gateway;

import com.plumtree.server.*;
import com.plumtree.uiinfrastructure.activityspace.*;
import com.plumtree.xpshared.htmlelements.*;

/**
 * @author daniilk
 *
 */
public interface IGatewayModelRO extends IModelRO
{
	/**
	 * 
	 *
	 * @return 
	 */
	public byte[] GetBinaryBody();

	/**
	 * 
	 *
	 * @return 
	 */
	public String GetContentType();

	/**
	 * 
	 *
	 * @return 
	 */
	public String GetHeaders();

	/**
	 * 
	 *
	 * @return 
	 */
	public String GetName();

	/**
	 * 
	 *
	 * @return 
	 */
	public IPTSession GetSession();

	/**
	 * 
	 *
	 * @return 
	 */
	public int GetStatus();

	/**
	 * 
	 *
	 * @return 
	 */
	public Object[][] GetTextBody();

	/**
	 * 
	 *
	 * @return 
	 */
	public boolean IsErrorPage();

	/**
	 * 
	 *
	 * @return 
	 */
	public boolean IsReturnPage();

	/**
	 * 
	 *
	 * @return 
	 */
	public boolean IsText();
	
	public String GetUserURL();
	
	public boolean WasControlCalled();
	
	public int GetCommunityID();
	
	public String GetUIMode();
	
	public boolean IsDeviceUIMode();

	public HTMLElement GetDisplayElement();
	
	public String GetTitle();
	
	public String GetSubtitle();	
	
	public int GetRefreshMode();
	
	public int GetErrorCode();
	
	public String GetErrorMessage();
	
	public String GetErrorHTMLComment();
}

