package com.plumtree.portalpages.browsing.login.createaccount;

import com.plumtree.portalpages.browsing.login.*;
import com.plumtree.portalpages.common.uiparts.*;
import com.plumtree.uiinfrastructure.activityspace.*;

/**
 * 
 *
 * @author BenG
 */
public class CreateAccountAS extends PlumtreeAS
{
	
	public static final String STR_MVC_CLASS_NAME = "CreateAccountAS";

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new CreateAccountAS();
	}

	/**
	 * 
	 *
	 * @return 
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * @see com.plumtree.xpshared.activityspace.AActivitySpace#Init()
	 */
	public void Init()
	{
		super.Init();

		CreateAccountDP mainDP = new CreateAccountDP();

		RegisterPage(mainDP);

		WelcomeDP dp = new WelcomeDP();

		RegisterPage(dp);

		RegisterModel(CreateAccountModel.STR_MVC_CLASS_NAME);

		RegisterModel(LoginModel.STR_MVC_CLASS_NAME);

		IModel myModel = GetModel(CreateAccountModel.STR_MVC_CLASS_NAME);

		RegisterView(CreateAccountView.STR_MVC_CLASS_NAME, myModel);

		RegisterView(WelcomeView.STR_MVC_CLASS_NAME, myModel);

		RegisterControl(CreateAccountControl.STR_MVC_CLASS_NAME, myModel);

		RegisterControl(InterceptInvitationControl.STR_MVC_CLASS_NAME, myModel);

		myModel = GetModel(LoginModel.STR_MVC_CLASS_NAME);

		RegisterControl(LoginControl.STR_MVC_CLASS_NAME, myModel);
		
		this.SetHelpTopic( "PT_CreateanAccount" );
		
	}
}

