package com.plumtree.portalpages.browsing.myportal;


/**
 * 
 *
 * @author michaeld  Page Types - _WFFC stands for _WITH_FREE_FORM_CONTENT and
 *         it is placed after the column it is contained in. If it spans all
 *         columns, hen it is placed after _COLUMN. If it spans two out of
 *         three columns, then those columns will be group with no _ between
 *         them and the _WFFC will be placed after the grouping.
 */
public class PageTypeConstants
{
	
	public static final int ONE_COLUMN = 0;

	
	public static final int TWO_COLUMN_NARROW_WIDE = 1;

	
	public static final int THREE_COLUMN = 2;

	
	public static final int TWO_COLUMN_WIDE_NARROW = 3;

	
	public static final int ONE_COLUMN_WITH_FREE_FORM_CONTENT = 4;

	
	public static final int TWO_COLUMN_WFFC_NARROW_WIDE = 5;

	
	public static final int THREE_COLUMN_WITH_FREE_FORM_CONTENT = 6;

	
	public static final int TWO_COLUMN_WFFC_WIDE_NARROW = 7;

	
	public static final int TWO_COLUMN_NARROW_WIDE_WFFC = 8;

	
	public static final int THREE_COLUMN_NARROW_WIDENARROW_WFFC = 9;

	
	public static final int THREE_COLUMN_NARROWWIDE_WFFC_NARROW = 10;

	
	public static final int TWO_COLUMN_WIDE_WFFC_NARROW = 11;

	
	public static final int THREE_COLUMN_NARROW_WIDE_WFF_NARROW = 12;

	
	public static final int COLUMNCOUNT_ONE = ONE_COLUMN |
		ONE_COLUMN_WITH_FREE_FORM_CONTENT;

	
	public static final int COLUMNCOUNT_TWO = TWO_COLUMN_NARROW_WIDE |
		TWO_COLUMN_WIDE_NARROW | TWO_COLUMN_WFFC_NARROW_WIDE |
		TWO_COLUMN_WFFC_WIDE_NARROW | TWO_COLUMN_NARROW_WIDE_WFFC |
		TWO_COLUMN_WIDE_WFFC_NARROW;

	
	public static final int COLUMNCOUNT_THREE = 3;
}

