package com.plumtree.portalpages.browsing.myportal;


/**
 * 
 *
 * @author michaeld
 */
public class PortletColumnConstants
{
	
	public static final PortletColumnConstants FREE_FORM = new PortletColumnConstants(-1);

	
	public static final PortletColumnConstants NARROW_ONE = new PortletColumnConstants(0);

	
	public static final PortletColumnConstants WIDE_ONE = new PortletColumnConstants(1);

	
	public static final PortletColumnConstants NARROW_TWO = new PortletColumnConstants(2);

	/** SKIP is used for headers and footers, so they don't get displayed in any column. */
	public static final PortletColumnConstants SKIP = new PortletColumnConstants(3);

	
	private int m_nPortletColumn;

	/**
	 * Creates a new PortletColumnConstants object.
	 *
	 * @param nPortletColumn 
	 */
	private PortletColumnConstants(int nPortletColumn)
	{
		m_nPortletColumn = nPortletColumn;
	}

	/**
	 * 
	 *
	 * @return 
	 */
	public int ToInt()
	{
		return m_nPortletColumn;
	}
}

