package com.plumtree.portalpages.browsing.myportal.communities;

import com.plumtree.uiinfrastructure.activityspace.*;
import com.plumtree.uiinfrastructure.form.*;
import com.plumtree.xpshared.htmlelements.*;

/**
 * File: CommunityInvitationDP_D.java
 * ----------------------------------
 *
 * @author NaveenP/DustinA
 */
public class CommunityInvitationDP_D extends AFormDP
{
	
	public static final String STR_MVC_CLASS_NAME = "CommunityInvitation_D";

	/**
	 * @see com.plumtree.uiinfrastructure.form.AFormDP#GetFormPageType()
	 */
	public FormPageTypes GetFormPageType()
	{
		return FormPageTypes.NORMAL_PAGE;
	}

	/**
	 *
	 * @see com.plumtree.uiinfrastructure.form.AFormDP#GetFormTitle()
	 */
	public String GetFormTitle()
	{
		return m_asOwner.GetString(1622, "ptmsgs_portalbrowsingmsgs");
	}

	/**
	 * @see com.plumtree.portaluiinfrastructure.activityspace.IDisplayPage#GetName()
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * @see com.plumtree.ui.framework.IDisplayPage#GetParent()
	 */
	public AActivitySpace GetOwner()
	{
		return m_asOwner;
	}

	/**
	 * @see com.plumtree.portalpages.common.uiparts.PlumtreeDP#GetSubtitleForBanner()
	 */
	public String GetSubtitleForBanner()
	{
		return "";
	}

	/**
	 * @see com.plumtree.portalpages.common.uiparts.PlumtreeDP#GetTitleForBanner()
	 */
	public String GetTitleForBanner()
	{
		return "";
	}

	/**
	 * @see com.plumtree.uiinfrastructure.form.AFormDP#PageDisplay()
	 */
	public HTMLElement PageDisplay()
	{
		return (m_asOwner.GetView(CommunityInvitationView_D.STR_MVC_CLASS_NAME)
		.Display());
	}

	/**
	 * @see com.plumtree.uiinfrastructure.form.AFormDP#DisplayJavaScriptFromChild()
	 */
	protected HTMLScriptCollection DisplayJavaScriptFromChild()
	{
		return new HTMLScriptCollection();
	}
}

