package com.plumtree.portalpages.browsing.myportal.mypages;

import com.plumtree.portalpages.browsing.myportal.*;
import com.plumtree.server.*;
import com.plumtree.uiinfrastructure.activityspace.*;

/**
 * 
 *
 * @author MichaelD
 */
public class MyPageMyPortalModelHelper implements IMyPortalModelHelper
{
	/** My Pages Object */
	private IPTSessionInfo ptSessionInfo = null;

	/**
	 * @see com.plumtree.xpshared.browsing.myportal.IMyPortalModelHelper#GetCollapsedPortletsPrefName()
	 */
	public String GetCollapsedPortletsPrefName()
	{
		return "CollapsedGadgets";
	}

	/**
	 * @see com.plumtree.xpshared.browsing.myportal.IMyPortalModelHelper#GetCommunityPages(int)
	 */
	public IPTQueryResult GetCommunityPages(int nCommunityID)
	{
		return null;
	}

	/**
	 * Individual users cannot disable title bars; this is available only for communities.  So return null.
	 * @see com.plumtree.xpshared.browsing.myportal.IMyPortalModelHelper#GetPortletHasNoTitleBar(int)
	 */
	public Object[][] GetPortletHasNoTitleBar(int nCommunityID)
	{
		return null;
	}

	/**
	 * @see com.plumtree.xpshared.browsing.myportal.IMyPortalModelHelper#GetIsCommunityPage()
	 */
	public boolean GetIsCommunityPage()
	{
		return false;
	}

	/**
	 * @see com.plumtree.xpshared.activityspace.IModel#Init(AActivitySpace)
	 */
	public void Init(IPTSession ptSession, AActivitySpace parent)
	{
		ptSessionInfo		 = ptSession.GetSessionInfo();
	}

	//////////////////////////////////////
	// Methods from IMyPortalModelHelper
	//////////////////////////////////////

	/**
	 * @see com.plumtree.xpshared.browsing.myportal.IMyPortalModelHelper#OpenPage(int,
	 *      int)
	 */
	public IPTPageInfo OpenPage(int nCommunityID, int nPageID)
	{
		return ptSessionInfo.GetCurrentMyPage(nPageID);
	}
	
	/**
	 * @see com.plumtree.portalpages.browsing.myportal.IMyPortalModelHelper#GetCommunityName(int)
	 */
	public String GetCommunityName(int nCommunityID)
	{
		return null;
	}
}

