package com.plumtree.portalpages.browsing.objectselection.flyout;

import com.plumtree.portalpages.common.uiparts.*;
import com.plumtree.portaluiinfrastructure.layout.*;
import com.plumtree.uiinfrastructure.activityspace.*;
import com.plumtree.xpshared.htmlelements.*;

/**
 * @author Bobby Tse
 *
 */
public class FlyoutCommunitySelectionDP extends PlumtreeDP {

	/** Object Name */
	public static final String STR_MVC_CLASS_NAME = "FlyoutCommunitySelection";
	
	public void Display(IWebData pageData) {
		HTMLElement element = DisplayLayout(Layouts.COMMUNITY_SELECTION);
		if (null != element) {
			pageData.SetData(element);
		}
	}

	public String GetName() {
		return STR_MVC_CLASS_NAME;
	}

	public String GetSubtitleForBanner() {
		// BT - not needed
		return null;
	}

	public String GetTitleForBanner() {
		// BT - not needed
		return null;
	}

	public HTMLElement PageDisplay() {
		// BT - not needed
		return null;
	}

}
