package com.plumtree.portalpages.browsing.portalsettings;

import com.plumtree.openfoundation.util.*;
import com.plumtree.uiinfrastructure.activityspace.*;

/**
 * 
 *
 * @author $author$
 */
public class PortalSettingsControl implements IControl
{
	
	public static final String STR_MVC_CLASS_NAME = "PortalSettings";

	// This constant is used to send data to the Control in the Query String
	// i.e http://...?in_hi_space=HelloWorld&in_hi_control=HelloWorld&HelloWorld=Joe
	// where in_hi_space and in_hi_control are filled in with the appropriate object
	// names and the HelloWorld parameter name is this constant.

	
	public static final String strPORTAL_SETTINGS_DATA = "PortalSettings";
	private AActivitySpace m_asasParent;
	private IPortalSettingsModel m_asmModel;

	/**
	 * @see com.plumtree.portaluiinfrastructure.activityspace.IControl#Execute()
	 */
	public Redirect CheckActionSecurityAndExecute(XPHashtable arguments)
	{
		return null;
	}

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new PortalSettingsControl();
	}

	/**
	 * @see com.plumtree.portaluiinfrastructure.activityspace.IControl#GetName()
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * @see com.plumtree.portaluiinfrastructure.activityspace.IControl#Init(IModel, AActivitySpace)
	 */
	public void Init(IModel model, AActivitySpace space)
	{
		m_asmModel		 = (IPortalSettingsModel) model;
		m_asasParent     = space;
	}
}

