package com.plumtree.portalpages.browsing.portalsettings.passwordmanager;

/**
 * @author jennifersu
 *
 */
public interface IPasswordManagerSectionModelRO
{
	/**
	 * Get value for username
	 * @return
	 */
	public String GetUsernameValue();
	
	/**
	 * Get value for password
	 * @return
	 */
	public String GetPasswordValue();
	
	/**
	 * Get name of username property
	 * @return
	 */
	public String GetUsernamePropName();
	
	/**
	 * Get name of password property
	 * @return
	 */
	public String GetPasswordPropName();
	
	/**
	 * Get lockbox name
	 * @return
	 */
	public String GetLockboxName();
	
	/**
	 * Get username property ID
	 * @return
	 */
	public int GetUsernamePropID();
	
	/**
	 * Get password property ID
	 * @return
	 */
	public int GetPasswordPropID();
}