package com.plumtree.portalpages.browsing.portletpreview;

import com.plumtree.uiinfrastructure.activityspace.*;
import com.plumtree.xpshared.htmlelements.*;

/**
 * @author DustinA
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class PreviewPortletDescPopupDP implements IDisplayPage{
	
	public static final String STR_MVC_CLASS_NAME = "PreviewPortletDescPopup";
	private AActivitySpace m_asOwner;

	/**
	 * @see com.plumtree.xpshared.activityspace.IDisplayPage#display()
	 */
	public void Display(IWebData pageData)
	{
		// TODOCR: DONH - Shouldn't there by a Display Page that wraps this view
		// and generates the HTMLPage?
		pageData.SetData((HTMLPage) m_asOwner.GetView(
				PreviewPortletDescPopupView.STR_MVC_CLASS_NAME).Display());
	}

	/**
	 * @see com.plumtree.portaluiinfrastructure.activityspace.IDisplayPage#GetName()
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * @see com.plumtree.ui.framework.IDisplayPage#GetParent()
	 */
	public AActivitySpace GetOwner()
	{
		return m_asOwner;
	}

	/**
	 * @see com.plumtree.xpshared.activityspace.IDisplayPage#Init(AActivitySpace)
	 */
	public void Init(AActivitySpace parent)
	{
		m_asOwner = parent;
	}
}

