package com.plumtree.portalpages.browsing.search.basic;

import com.plumtree.portalpages.common.uiparts.*;
import com.plumtree.uiinfrastructure.activityspace.*;
import com.plumtree.xpshared.htmlelements.*;


/**
 * @author MatthewF
 *
 */
public class BasicSearchDP extends PlumtreeDP
{
	
	public static final String STR_MVC_CLASS_NAME = "BasicSearchDP";

	
	/**
	 * @see com.plumtree.portaluiinfrastructure.activityspace.IDisplayPage#GetName()
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * @see com.plumtree.portalpages.common.uiparts.PlumtreeDP#GetSubtitleForBanner()
	 */
	public String GetSubtitleForBanner()
	{
		return "";
	}



	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IDisplayPage#Init(AActivitySpace)
	 */
	public void Init(AActivitySpace parent)
	{
		super.Init( parent );
		
		parent.SetHelpTopic("PT_BasicSearch");
		
	}

	/**
	 * @see com.plumtree.portalpages.common.uiparts.PlumtreeDP#GetTitleForBanner()
	 */
	public String GetTitleForBanner()
	{
		return m_asOwner.GetString(1700, "ptmsgs_portalbrowsingmsgs");
	}

	/**
	 * @see com.plumtree.portalpages.common.uiparts.PlumtreeDP#PageDisplay()
	 */
	public HTMLElement PageDisplay()

	{
		return m_asOwner.GetView(BasicSearchView.STR_MVC_CLASS_NAME).Display();
	}

	/**
	 * 
	 *
	 * @return 
	 *
	 * @throws HTMLException 
	 */
	protected HTMLScriptCollection DisplayJavaScriptFromChild()

	{
		return super.DisplayJavaScriptFromChild();
	}
}

