package com.plumtree.portalpages.browsing.search.results;

import com.plumtree.uiinfrastructure.activityspace.*;
import com.plumtree.uiinfrastructure.form.*;
import com.plumtree.xpshared.htmlelements.*;

/**
 * @author CraigS
 */
public class SaveSearchPopupDP extends AFormDP
{
	
	public static final String STR_MVC_CLASS_NAME = "SaveSearchDP";

	/**
	 *  NOTE: Display the whole page outside the mainform, since SaveSearchView
	 *  defines a form of its own.  (I don't want to force it to use a repost
	 *  control; it would be awkward to try to meld reposts with the search controls.
	 */
	public HTMLElementCollection DisplayHTMLBeforeForm()

	{
		HTMLElementCollection c = new HTMLElementCollection();
		c.AddInnerHTMLElement(m_asOwner.GetView(
				SaveSearchView.STR_MVC_CLASS_NAME).Display());

		return c;
	}

	public String GetFormTitle()
	{
		return m_asOwner.GetString(835, "ptmsgs_portalbrowsingmsgs");
	}

	/**
	 * 
	 *
	 * @return 
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * 
	 *
	 * @param parent 
	 */
	public void Init(AActivitySpace parent)
	{
		super.Init(parent);
	}

	/**
	 * 
	 *
	 * @return 
	 *
	 * @throws HTMLException 
	 */
	public HTMLElement PageDisplay()

	{
		// Just return something to keep the framework happy.
		return new HTMLBr();
	}

	/**
	 * @see com.plumtree.uiinfrastructure.form.AFormDP#GetFormPageType()
	 */
	public FormPageTypes GetFormPageType()
	{
		return FormPageTypes.NO_BUTTONS;
	}
}

