package com.plumtree.portalpages.browsing.search.results.assocobjects;

import com.plumtree.uiinfrastructure.activityspace.*;
import com.plumtree.portalpages.common.uiparts.*;

/**
 *  A small space containing just a popup that shows the set of objects associated
 *  with a particular Content Server item.  (Actually has very little to do with Content..
 *  just feed it an unsecured list of portlet IDs.)
 *
 *  @author CraigS
 */
public class AssociatedObjectsAS extends PlumtreeAS
{
  public static final String STR_MVC_CLASS_NAME = "SRAssociatedObjects";

  /**
   * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
   */
  public Object Create()
  {
    return new AssociatedObjectsAS();
  }

  /**
   * @see com.plumtree.portaluiinfrastructure.activityspace.AActivitySpace#GetName()
   */
  public String GetName()
  {
    return STR_MVC_CLASS_NAME;
  }

  /**
   * @see com.plumtree.xpshared.activityspace.AActivitySpace#Init()
   */
  public void Init()
  {
    super.Init();

    RegisterPage(new AssociatedObjectsPopupDP());

    RegisterModel(AssociatedObjectsModel.STR_MVC_CLASS_NAME);
    IModel model = GetModel(AssociatedObjectsModel.STR_MVC_CLASS_NAME);

    RegisterControl(AssociatedObjectsControl.STR_MVC_CLASS_NAME, model);
    RegisterView(AssociatedObjectsView.STR_MVC_CLASS_NAME, model);
  }
}
