package com.plumtree.portalpages.browsing.sessionprefs;

import com.plumtree.portalpages.common.uiparts.*;
import com.plumtree.uiinfrastructure.activityspace.*;

/**
 * 
 *
 * @author $author$
 */
public class SessionPrefsAS extends PlumtreeAS
{
	
	public static final String STR_MVC_CLASS_NAME = "SessionPrefs";

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new SessionPrefsAS();
	}

	/**
	 * @see com.plumtree.portaluiinfrastructure.activityspace.AActivitySpace#GetName()
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * @see com.plumtree.xpshared.activityspace.AActivitySpace#Init()
	 */
	public void Init()
	{
		super.Init();

		// Session Prefs Display Page
		SessionPrefsDP myPage = new SessionPrefsDP();
		RegisterPage(myPage);

		// Session Prefs Model
		RegisterModel(SessionPrefsModel.STR_MVC_CLASS_NAME);

		IModel myModel = GetModel(SessionPrefsModel.STR_MVC_CLASS_NAME);

		// Session Prefs Control
		RegisterControl(SessionPrefsControl.STR_MVC_CLASS_NAME, myModel);
				
	}
	
	/**
	 * @see com.plumtree.portaluiinfrastructure.activityspace.AActivitySpace#CheckBasicAccess(String, String, boolean)
	 */
	public boolean CheckBasicAccess(String strPage, String strControl, boolean bSameSpace)
	{
		// DCA - call super's to check for change in navigational scheme
		super.CheckBasicAccess(strPage, strControl, bSameSpace);
		return true;
	}	
}

