package com.plumtree.portalpages.browsing.settings;


/**
 * 
 *
 * @version 5.0
 * @author SudhaSathiaseelan
 */
public interface ISettings
{
	/** The name of the control to use */
	public String GetASControlName();

	/** The name of the display page to view (null means default) */
	public String GetASDPName();

	/** The name of the activity space to go to */
	public String GetASName();

	/** the rest of the query string for the URL (starting with &...) */
	public String GetASQueryString();

	/** Return link text */
	/** Use public static Object GetPersonalSettingValue(String sSettingName, ISessionManager sessionManager, IPTSession ptSession) to get the language ID "en" **/
	public String GetLinkText(String _strLangID);

	/** Describes whether the setting comes with the standard portal */
	public boolean IsStandardPortalOption();

	/** Describes whether the setting is currently viewable */
	public boolean IsViewable();

	//Returns the HTMLElement
	//public HTMLElement GetHTMLElement();
}

