package com.plumtree.portalpages.browsing.sitemap.editweblink;

import com.plumtree.portalpages.common.uiparts.*;
import com.plumtree.uiinfrastructure.form.*;

/**
 * File: EditWebLinkAS.java
 * ------------------------
 *
 * @author NaveenP
 */
public class EditWebLinkAS extends PlumtreeAS
{
	
	public static final String STR_MVC_CLASS_NAME = "EditWebLink";

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new EditWebLinkAS();
	}

	/**
	 * @see com.plumtree.xpshared.activityspace.IActivitySpace#GetName()
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 *
	 * @see com.plumtree.uiinfrastructure.form.IRepostAS#GetRepostControlName()
	 */
	public String GetRepostControlName()
	{
		return RepostControl.STR_MVC_CLASS_NAME;
	}

	/**
	 * @see com.plumtree.xpshared.activityspace.IActivitySpace#Init()
	 */
	public void Init()
	{
		super.Init();

		EditWebLinkDP editweblinkDP = new EditWebLinkDP();
//		editweblinkDP.SetShowFormHeader(true);
		editweblinkDP.AddToValidationFunction(EditWebLinkView.VALIDATION_FUNCTION_NAME);
		RegisterPage(editweblinkDP);
		RegisterPage(new ClosePopUpDP());

		RegisterModel(EditWebLinkModel.STR_MVC_CLASS_NAME);

		EditWebLinkModel myModel = (EditWebLinkModel) GetModel(EditWebLinkModel.STR_MVC_CLASS_NAME);

		RegisterView(EditWebLinkView.STR_MVC_CLASS_NAME, myModel);

		RegisterControl(RepostControl.STR_MVC_CLASS_NAME, myModel);
		RegisterControl(SetLinkControl.STR_MVC_CLASS_NAME, myModel);
	}
}

