package com.plumtree.portalpages.browsing.sitemap.sitemappage;

import com.plumtree.portalpages.common.folder.*;
import com.plumtree.portalpages.common.objects.*;
import com.plumtree.uiinfrastructure.activityspace.*;
import com.plumtree.uiinfrastructure.arraywrapper.*;

/**
 * File: ISiteMapModelRO.java
 * -------------------------
 * This interface is for the Read Only functions in the SiteMapModel.
 *
 * @author NaveenP
 */
public interface ISiteMapModelRO extends IModelRO, IFolderModelRO, IObjectModelRO
{
	/**
	 * 
	 *
	 * @return 
	 */
	public int GetCommunityID();

	/**
	 * 
	 *
	 * @return 
	 */
	public PTSortedArrayWrapper GetCommunityPages();

	/**
	 * 
	 *
	 * @return 
	 */
	public boolean GetHasEditAccessToFolder();

	/**
	 * 
	 *
	 * @return 
	 */
	public int GetMode();

	/**
	 * 
	 *
	 * @return 
	 */
	public int GetSiteMapRootID();

	/**
	 * 
	 *
	 * @return 
	 */
	//public boolean HasEditAccessToCommunity();

	/**
	 * 
	 *
	 * @return 
	 */
	public boolean IsBrowseMode();

	/**
	 * 
	 *
	 * @return 
	 */
	public boolean IsEditMode();
	
	public boolean IsPreviewPage();
}

