/**
 * Created on Dec 16, 2002
 * by adolfoc
 */
package com.plumtree.portalpages.common.areyousure;

import com.plumtree.portalpages.common.uiparts.*;
import com.plumtree.uiinfrastructure.activityspace.*;

/**
 * @author adolfoc
 *
 */
public class AreYouSureAS extends PlumtreeAS
{
	
	public static final String STR_MVC_CLASS_NAME = "AreYouSure";

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new AreYouSureAS();
	}

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IMVCObject#GetName()
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.AActivitySpace#Init()
	 */
	public void Init()
	{
		super.Init();

		RegisterModel(AreYouSureModel.STR_MVC_CLASS_NAME, AreYouSureModel.STR_MVC_CLASS_NAME);

		IModel myModel = GetModel(AreYouSureModel.STR_MVC_CLASS_NAME);

		RegisterPage(new AYSPopupDP());
		RegisterPage(new AYSPopupTopFrameDP());
		RegisterPage(new AYSPopupBottomFrameDP());
		RegisterPage(new AYSPopupBodyFrameDP());

		RegisterView(AYSMessageView.STR_MVC_CLASS_NAME, myModel);
		RegisterView(AYSTopView.STR_MVC_CLASS_NAME, myModel);
		RegisterView(AYSBottomView.STR_MVC_CLASS_NAME, myModel);

		RegisterControl(AreYouSureControl.STR_MVC_CLASS_NAME, myModel);
	}
}

