package com.plumtree.portalpages.common.browsingpropchooser;


// Framework Imports
import com.plumtree.openfoundation.util.*;
import com.plumtree.uiinfrastructure.expandablelist.*;
import com.plumtree.xpshared.htmlconstructs.*;

/**
 * This interface is implemented by the Model. It contains all the read-only
 * mothods of the Model accessed by the Views.
 *
 * @author stephenc
 */
public interface IPropChooserModelRO extends IExpListModelRO
{
	/**
	 * 
	 *
	 * @return 
	 */
	public int GetNewlySelectedPropertyID();

	/**
	 * @see com.plumtree.uiinfrastructure.expandablelist.GrowableListModel#GetRowIcon()
	 */
	public PTImageType GetRowIcon();

	/**
	 * 
	 *
	 * @param _nRowIndex 
	 *
	 * @return 
	 */
	public String GetRowName(int _nRowIndex);

	/**
	 * 
	 *
	 * @param _nRowIndex 
	 *
	 * @return 
	 */
	public int GetRowPropertyID(int _nRowIndex);

	/**
	 * 
	 *
	 * @param _nRowIndex 
	 *
	 * @return 
	 */
	public int GetRowStatus(int _nRowIndex);

	/**
	 * 
	 *
	 * @return 
	 */
	public XPSortedDictionary GetUnusedProperties();
}

