package com.plumtree.portalpages.common.documentlanguage;


/**
 * @author StephenC
 *
 * This interface is implemented by the Model.
 * It contains all the read-only mothods of the Model
 * accessed by the Views.
 */
public interface ICardLanguagePlugInModelRO
{
	/**
	 * 
	 *
	 * @return 
	 */
	public String[] GetAllLanguageCodes();

	/**
	 * 
	 *
	 * @return 
	 */
	public String[] GetAllLanguageNames();

	/**
	 * 
	 *
	 * @return 
	 */
	public String GetCardLanguageCode();

	/**
	 * 
	 *
	 * @return 
	 */
	public boolean GetDisplayOnlyPopularLanguages();

	/**
	 * 
	 *
	 * @return 
	 */
	public String GetInstructionLabel();

	/**
	 * 
	 *
	 * @return 
	 */
	public String[] GetPopularLanguageCodes();

	/**
	 * 
	 *
	 * @return 
	 */
	public String[] GetPopularLanguageNames();

	/**
	 * 
	 *
	 * @return 
	 */
	public String GetViewTitle();

	/**
	 * 
	 *
	 * @return 
	 */
	public boolean IncludeAllLanguagesOption();
}

