package com.plumtree.portalpages.common.editpage;


/**
 * 
 *
 * @author MichaelD
 */
public interface IPageNameModelRO
{
	/**
	 * Returns the label for the page name input box.
	 *
	 * @return String strLabel
	 */
	public String GetNameLabel();

	/**
	 * Gets the Object ID of the object that opened this layout page.
	 *
	 * @return int nObjectID
	 */
	public int GetOpenerObjectID();

	/**
	 * Returns the default page name.
	 *
	 * @return String strDefaultPageName
	 */
	public String GetPageName();
}

