package com.plumtree.portalpages.common.helpers;

import com.plumtree.openfoundation.util.*;

/**
 * @author OlegS
 */
public class PropertyBagSource extends PropertySource
{
	IXPPropertyBag m_ptBag;

	/**
	 * Creates a new PropertyBagSource object.
	 *
	 * @param ptBag 
	 */
	public PropertyBagSource(IXPPropertyBag ptBag)
	{
		m_ptBag = ptBag;
	}

	/**
	 * 
	 *
	 * @param id 
	 *
	 * @return 
	 */
	public Object Get(Object id)
	{
		return m_ptBag.ReadAsObject((String) id);
	}

	/**
	 * 
	 *
	 * @param id 
	 * @param value 
	 */
	public void Set(Object id, Object value)
	{
		if (Differ(value,Get(id)))
		{
			m_ptBag.Write((String) id, value);
		}
	}
}

