package com.plumtree.portalpages.common.helpers;

import com.plumtree.openfoundation.util.*;

/**
 * @author OlegS
 */
public class QueryString extends PropertySource
{
	protected XPHashtable m_ht;

	/**
	 * Creates a new QueryString object.
	 *
	 * @param _htFormData 
	 */
	public QueryString(XPHashtable _htFormData)
	{
		m_ht = _htFormData;
	}

	/**
	 * 
	 *
	 * @param id 
	 *
	 * @return 
	 */
	public Object Get(Object id)
	{
		Object o = m_ht.GetElement(id);

		if (o == null)
		{
			return null;
		}
		else
		{
			if (((String[]) o).length == 0)
			{
				return null;
			}
			else
			{
				return ((String[]) o)[0];
			}
		}
	}

	/**
	 * 
	 *
	 * @param id 
	 * @param value 
	 */
	public void Set(Object id, Object value)
	{
		throw new XPException("QueryString property source is readonly");
	}
}

