package com.plumtree.portalpages.common.linksettings;


// Framework Imports
import com.plumtree.openfoundation.util.*;
import com.plumtree.uiinfrastructure.pagecontrols.jsdatetimepicker.*;

/**
 * @author StephenC
 *
 * This interface is implemented by the Model.
 * It contains all the read-only mothods of the Model
 * accessed by the Views.
 */
public interface ILinkSettingsPlugInModelRO
{
	/**
	 * 
	 *
	 * @return 
	 */
	public int GetBrokenLinksDeleteUnits();

	/**
	 * 
	 *
	 * @return 
	 */
	public int GetBrokenLinksDeleteValue();

	/**
	 * 
	 *
	 * @return 
	 */
	public boolean GetCheckLinkOnly();

	/**
	 * 
	 *
	 * @return 
	 */
	public XPDateTime GetDisplayExpirationDate();

	/**
	 * 
	 *
	 * @return 
	 */
	public int GetExpireAfterUnits();

	/**
	 * 
	 *
	 * @return 
	 */
	public int GetExpireAfterValue();

	/**
	 * 
	 *
	 * @return 
	 */
	public int GetRefreshUnits();

	/**
	 * 
	 *
	 * @return 
	 */
	public int GetRefreshValue();

	/**
	 * 
	 *
	 * @return 
	 */
	public boolean IsCrawler();

	/**
	 * 
	 *
	 * @return 
	 */
	public boolean IsExpirationDateNull();

	/**
	 * 
	 *
	 * @return 
	 */
	public boolean IsMultiple();

	/**
	 * 
	 *
	 * @return 
	 */
	public JSDateTimePickerMgr GetDateTimePickerControlManager();
}

