package com.plumtree.portalpages.common.objectapproval;

import com.plumtree.openlog.*;
import com.plumtree.portaluiinfrastructure.statichelpers.*;
import com.plumtree.uiinfrastructure.activityspace.*;
import com.plumtree.uiinfrastructure.approval.*;
import com.plumtree.xpshared.htmlelements.*;

/**
 * @author Ben Geislinger
 *
 *
 */
public class ObjectInstanceDescriptor extends AInstanceDescriptor
{
	private static OpenLogger log = OpenLogService.GetLogger(
		OpenLogService.GetComponent(PTDebugHelpers.COMPONENT_PORTAL_COMMON),
		"com.plumtree.portalpages.common.objectapproval.ObjectInstanceDescriptor");

	/**
	 * Creates a new ObjectInstanceDescriptor object.
	 *
	 * @param item 
	 * @param ePath 
	 * @param type 
	 * @param space 
	 */
	protected ObjectInstanceDescriptor(ObjectItemDescriptor item,
		HTMLElement ePath, ApprovalItemType type, AActivitySpace space)
	{
		super((AItemDescriptor) item, ePath, type, space);
	}

	/**
	 * 
	 */
	public void Execute()
	{
		
			log.Debug("Execute()");
		
	}
}

