/*
 * Created on Mar 7, 2003
 */
package com.plumtree.portalpages.common.plugnav;

/**
 * MyPage page specific functions for pluggable navigation.
 * 
 * @author DavidP
 */
public interface IMyPageNavPageRO extends INavigationPageRO 
{
	/**	
	 * Unique String Name of category of object.  Critical for link blocking by pluggable nav.
	 */
	public String GetName();

	/**
	 * Get the ID of the current MyPage
	 * @return Current Mypage ID
	 */
	public int GetCurPageID();

	/**
	 * Get the name of the current MyPage
	 * @return Current Mypage Name
	 */
	public String GetCurPageName();

}

