/*
 * Created on Mar 5, 2003
 */
package com.plumtree.portalpages.common.uiparts.navpagetype;

/**
 * Navigation visibility enum.  Used to handle collapse/expand of link
 * sections in navigation.
 * 
 * @author DavidP
 */
public class NavVisibility 
{
	/** enumeration of visibility types. Don't rearrange **/
	public static final int VISIBILITY_COMMUNITY_SECTION	    = 0;
	public static final int VISIBILITY_MYPAGE_SECTION		    = 1;
	public static final int VISIBILITY_DIRECTORY_SECTION	    = 2;
	public static final int VISIBILITY_MANDATORYLINKS_SECTION   = 3;
	public static final int VISIBILITY_MYPAGESACTIONS_SECTION   = 4;
	public static final int VISIBILITY_COMMUNITYACTIONS_SECTION = 5;
	public static final int VISIBILITY_RELATED_COMMS_SECTION  	= 6;
	public static final int VISIBILITY_SUB_COMMS_SECTION  		= 7;
	public static final int VISIBILITY_MANDATORYCOMMS_SECTION 	= 8;
	
	/**
	 * Add one to the last defined section visibity
	 */
	public static final int VISIBILITY_SECTION_COUNT		= 9;
}

