package com.plumtree.portalpages.devices.login.wml;

import com.plumtree.portalpages.devices.login.common.*;
import com.plumtree.uiinfrastructure.activityspace.*;
import com.plumtree.xpshared.htmlelements.*;


/**
 * @author SudhaS
 *
 */


public class LoginDevicesAS_WML extends AActivitySpace
{
    
    public static final String STR_MVC_CLASS_NAME = "Login_WML";

    /**
    * @see com.plumtree.xpshared.portalinfrastructure.activityspace.AActivitySpace#CheckBasicAccess(String, String, boolean)
    */
    public boolean CheckBasicAccess(String strPage, String strControl, boolean bSameSpace)
    {
        return true;
    }

    /**
     * @see com.plumtree.xpshared.infrastructure.activityspace.IManagedObject#Create()
     */
    public Object Create()
    {
        return new LoginDevicesAS_WML();
    }

    /**
     * @see com.plumtree.xpshared.portalinfrastructure.activityspace.AActivitySpace#GetName()
     */
    public String GetName()
    {
        return STR_MVC_CLASS_NAME;
    }

    /**
     * @see com.plumtree.xpshared.activityspace.AActivitySpace#GetStyleSheetLink()
     */
    public HTMLElementCollection GetStyleSheetLinks()
    {
        return null;
    }

    /**
     * @see com.plumtree.xpshared.activityspace.AActivitySpace#Init()
     */
    public void Init()
    {
        super.Init();

        // Portal Settings Display Page
        LoginDevicesDP_WML myPage = new LoginDevicesDP_WML();
        RegisterPage(myPage);


        // Portal Settings Model
        RegisterModel(LoginDevicesModel.STR_MVC_CLASS_NAME);

        IModel myModel = GetModel(LoginDevicesModel.STR_MVC_CLASS_NAME);


        // Portal Settings Control
        RegisterControl(LoginDevicesControl.STR_MVC_CLASS_NAME, myModel);


        // Portal Settings Views
        RegisterView(LoginDevicesView_WML.STR_MVC_CLASS_NAME, myModel);
    }
}
