package com.plumtree.portalpages.devices.logoff.wml;



import com.plumtree.openfoundation.util.*;
import com.plumtree.portalpages.devices.logoff.common.*;
import com.plumtree.uiinfrastructure.activityspace.*;
import com.plumtree.uiinfrastructure.devices.*;
import com.plumtree.xpshared.htmlelements.*;

/**
 * @author SudhaS
 */


public class LogoffDevicesView_WML implements IDevicesView
{
	
	public static final String STR_MVC_CLASS_NAME = "Logoff_WML";



	
	public static final String WMLINPUT_NAME     = "Logoff_name";

	
	public static final String WMLINPUT_PASSWORD = "Logoff_password";
	

	
	public static final String WMLINPUT_AUTHSRC = "Logoff_authsrc";
	private AActivitySpace m_asOwner;
	private ILogoffDevicesModelRO m_asmModel;

	/**
	 * 
	 *
	 * @return 
	 */
	public Object Create()
	{
		return new LogoffDevicesView_WML();
	}

	/**
	 * 
	 *
	 * @return 
	 */
	public HTMLElement Display()
	{
		return null;
	}

	/**
	 * 
	 *
	 * @return 
	 */
	public HTMLScript DisplayJavascript()
	{
		return null;
	}

	/**
	 * @see com.plumtree.xpshared.portalinfrastructure.activityspace.IView#Display()
	 */
	public String DisplayString()
	{

		//SS - The logoff space creates a link to the login space
		XPStringBuilder sb;

		sb = new XPStringBuilder();
		
		ASURL myURL = new ASURL(m_asOwner);

		myURL.SetXMLEncoding(true);
		myURL.SetLinkCreateNewSpace("Login", m_asOwner);


		sb.Append("<card id=\"Logoff\" title=\"Logoff\" newcontext=\"true\">\n");
		sb.Append("<p align=\"center\" mode=\"wrap\">\n");

		

		sb.Append("<a href=\"" + myURL.GetURLAsString() + "\">" + m_asOwner.GetString(1421, "ptmsgs_portalbrowsingmsgs") +
			"</a>");

		sb.Append("</p>");
		sb.Append("</card>");

		return (sb.ToString());
	}

	/**
	 * @see com.plumtree.xpshared.portalinfrastructure.activityspace.IView#GetName()
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**PortalSettings
	 * @see com.plumtree.xpshared.portalinfrastructure.activityspace.IView#Init(IModelRO, AActivitySpace)
	 */
	public void Init(IModelRO model, AActivitySpace parent)
	{
		m_asmModel     = (ILogoffDevicesModelRO) model;
		m_asOwner	   = parent;
	}
}

