package com.plumtree.portalpages.devices.mypage.common;

import com.plumtree.uiinfrastructure.activityspace.*;
import com.plumtree.xpshared.htmlelements.*;

/**
 * @author SudhaS
 *
 */


public interface IMyPageDevicesModelRO extends IModelRO
{
	/**
	 * 
	 *
	 * @param _strSpace 
	 *
	 * @return 
	 */
	public ASURL GetASURL(String _strSpace);

	/**
	 * 
	 *
	 * @return 
	 */
	public int GetCommunityID();

	/**
	 * 
	 *
	 * @param s 
	 * @param iMaxSize 
	 * @param sEnd 
	 *
	 * @return 
	 */
	public String GetFixStringLength(String s, int iMaxSize, String sEnd);

	/**
	 * 
	 *
	 * @return 
	 */
	public int GetPortletCount();

	/**
	 * 
	 *
	 * @param _nIndex 
	 *
	 * @return 
	 */
	public int GetPortletID(int _nIndex);

	/**
	 * 
	 *
	 * @param _nIndex 
	 *
	 * @return 
	 */
	public String GetPortletName(int _nIndex);

	/**
	 * 
	 *
	 * @param _nIndex 
	 *
	 * @return 
	 */
	public String GetPortletSummary(int _nIndex);

	/**
	 * 
	 *
	 * @return 
	 */
	public int GetListID();

	/**
	 * 
	 *
	 * @param iCount 
	 * @param iMaxNumber 
	 *
	 * @return 
	 */
	public int GetNumPages(int iCount, int iMaxNumber);

	/**
	 * 
	 *
	 * @return 
	 */
	public int GetPageID();

	public String GetPageName();
	/**
	 * 
	 *
	 * @return 
	 */
	public void SetPortletContent(String _strUniqueID);

	/**
	 * The results of this method are not used in the Devices
	 * MyPage, but this method needs to be called before
	 * calling GetPortletName(int).
	 * 
	 * @param _nIndex
	 * @return
	 */
	public HTMLTableCell GetPortletContent(int _nIndex);
}

