package com.plumtree.portalpages.portlets.headerfooter;

import com.plumtree.openlog.OpenLogService;
import com.plumtree.openlog.OpenLogger;
import com.plumtree.portaluiinfrastructure.intrinsicportlets.*;
import com.plumtree.portaluiinfrastructure.statichelpers.PTDebugHelpers;

/**
 * Standard Footer intrinsic portlet that wraps DefaultFooterView.
 * 
 * @author DavidP
 *
 */
public class StandardFooterModel extends IntrinsicPortletModel 
{
	private static OpenLogger log = OpenLogService.GetLogger(
			OpenLogService.GetComponent(PTDebugHelpers.COMPONENT_PORTAL_PORTLETS),
			"com.plumtree.portalpages.portlets.headerfooter.StandardFooterModel");
	
	
	public static final String STR_MVC_CLASS_NAME = "StandardFooter";

	/* (non-Javadoc)
	 * @see com.plumtree.portaluiinfrastructure.intrinsicportlets.IIntrinsicPortletModelRO#ControlExists()
	 */
	public boolean ControlExists() 
	{
		return true;
	}

	/* (non-Javadoc)
	 * @see com.plumtree.uiinfrastructure.activityspace.IMVCObject#GetName()
	 */
	public String GetName() 
	{
		return STR_MVC_CLASS_NAME;
	}

	/* (non-Javadoc)
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create() 
	{
		return new StandardFooterModel();
	}

	/* (non-Javadoc)
	 * @see com.plumtree.uiinfrastructure.activityspace.AClearModel#GetNewTempData()
	 */
	public Object GetNewTempData() 
	{
		return null;
	}

}
