package com.plumtree.portalpages.portlets.intrinsicpageletparamprefeditor;

import com.plumtree.portalpages.common.constants.*;
import com.plumtree.uiinfrastructure.editor.*;
import com.plumtree.xpshared.htmlelements.*;

/**
 * 
 * @author rozhang
 */
public class IntrinsicPrefsEditorForPageletParametersDP extends EditorDP
{
	public static final String STR_MVC_CLASS_NAME = "IntrinsicPrefsEditorForPageletParametersDP";

	
	/**
	 * 
	 * @see com.plumtree.uiinfrastructure.editor.EditorDP#PageDisplay()
	 */
	public HTMLElement PageDisplay()
	{
		HTMLElementCollection result = new HTMLElementCollection();

		// Insert super class HTML
		result.AddInnerHTMLElement(super.PageDisplay());

		HTMLElementCollection views = new HTMLElementCollection();

		views.AddInnerHTMLElement(((EditorView) m_asOwner.GetView(IntrinsicPrefsEditorForPageletParametersView.STR_MVC_CLASS_NAME)).Display());
		result.AddInnerHTMLElement(views);

		return result;
	}
	
	protected HTMLScriptCollection DisplayJavaScriptFromChild()
	{
		HTMLScriptCollection myScripts = new HTMLScriptCollection(); //super.DisplayJavaScriptFromChild();

		myScripts.AddInnerHTMLElement(m_asOwner.GetView(IntrinsicPrefsEditorForPageletParametersView.STR_MVC_CLASS_NAME).DisplayJavascript());

		return myScripts;
	}
	
	@Override
	public String GetLeftNavString()
	{
		return m_asOwner.GetString(1990, ResourceConstants.PORTALBROWSINGMSGS);
	}

	@Override
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

}
