package com.plumtree.portalpages.portlets.savedsearch;

import com.plumtree.portaluiinfrastructure.filter.*;
import com.plumtree.portaluiinfrastructure.intrinsicportlets.*;
import com.plumtree.server.*;
import com.plumtree.uiinfrastructure.activityspace.*;
import com.plumtree.uiinfrastructure.pagecontrols.framework.*;
import com.plumtree.uiinfrastructure.pagecontrols.jsdatetimepicker.*;

/**
 * 
 *
 * @author mikesample
 */
public interface ISavedSearchPortletModelRO extends IIntrinsicPortletModelRO
{
	/**
	 * 
	 *
	 * @return 
	 */
	public Object[] GetSearchSettings();

	/**
	 * 
	 *
	 * @return 
	 */
	public String GetPortletName();

	/**
	 * 
	 *
	 * @return 
	 */
	public IPTSearchResponse GetSearchResponseObject();

	/**
	 * 
	 *
	 * @return 
	 */
	public boolean IsSubscriptionEnabled();

	/**
	 * 
	 *
	 * @return 
	 */
	public boolean IsUserSubscribed();

	/**
	 * 
	 *
	 * @return 
	 */
	public Redirect ConvertSearchToQueryString();

	/**
	 * 
	 *
	 * @return 
	 */
	public FilterIterator GetParametericFilterIterator();
	
	/**
	 * 
	 *
	 * @return 
	 */
	public boolean IsParameterized();
	
	/**
	 * 
	 *
	 * @return 
	 */
	public boolean HasParametericResults();
	
	/**
	 * 
	 *
	 * @return 
	 */
	public IPTSearchResponse GetFollowupResponse();
	
	/**
	 * 
	 *
	 * @return 
	 */
    public int GetTotalMatches();
    
	/**
	 * 
	 *
	 * @return 
	 */
    public PageMgr GetPageMgr();

	/**
	 * 
	 *
	 * @return 
	 */
    public JSDateTimePickerMgr GetDatePickerMgr();
    
	/**
	 * 
	 *
	 * @return 
	 */
    public Object[][] GetReturnedPropertyInfo();
    
	/**
	 * 
	 *
	 * @return 
	 */
    public String GetSortOrder();
    
	/**
	 * 
	 *
	 * @return 
	 */
    public boolean IsPaginationEnabled();
}