package com.plumtree.portalpages.portlets.userprofile.infrastructure;

import com.plumtree.openfoundation.util.*;

/**
 * 
 *
 * @author chrisb, dand      This    class should be extended by your
 *         introspective portlet if there is specific processing that should
 *         be done.
 */
public final class ProfileRow implements IProfileRow
{
	private XPArrayList m_profileCells;

	/**
	 * Creates a new ProfileRow object.
	 *
	 * @param profileCells 
	 */
	public ProfileRow(XPArrayList profileCells)
	{
		m_profileCells = profileCells;
	}

	/**
	 * 
	 *
	 * @return 
	 */
	public int GetNumProfileCells()
	{
		return (m_profileCells.GetSize());
	}

	/**
	 * 
	 *
	 * @return 
	 */
	public IXPEnumerator GetProfileCells()
	{
		return (m_profileCells.GetEnumerator());
	}
}

