package com.plumtree.portalpages.rest.user;

import com.plumtree.portalpages.rest.*;

/**
 * This interface describes the read only methods for the user REST API model.
 */
public interface IUserRestModelRO
{
	/**
	 * @return the ID of the community that was joined. -1 if no community was joined.
	 */
	public int GetJoinedCommunityID();

	/**
	 * @return the ID of the community that was left. -1 if no community was left.
	 */
	public int GetLeftCommunityID();

	/**
	 * @return the error.  Null if there is no error.
	 */
	public IRESTError GetError();
}
