package com.plumtree.portalpages.browsing.mock.condition;

import com.plumtree.openfoundation.util.*;
import com.plumtree.uiinfrastructure.arraywrapper.*;

public class MockArrayWrapper implements IPTGrowableSortedArrayWrapperRO {

	private XPArrayList items = new XPArrayList();
	
	public int GetCount() {
		return items.GetSize();
	}

	public Object GetItem(int iRow, int iPropID) {
		Object[] row = (Object[]) items.GetElement(iRow);
		return row[iPropID];
	}

	public int[][] GetSort() {
		return null;
	}

	public void AddRow(Object[] row) {
		items.Add(row);
	}
}
