package com.plumtree.portalpages.test.admin;

import junit.framework.*;
import xpunit.framework.*;

import com.plumtree.portalpages.test.admin.editors.user.*;
import com.plumtree.portalpages.test.admin.serversettings.general.*;

/**
 * This suite contains the tests for the admin code.
 */
public class AdminTestSuite
{
	public static final String SUITENAME = "Admin Unit Tests";

	public static Test suite() {
		XpTestSuite suite = new XpTestSuite(SUITENAME);
		suite.addTestSuite(SetServerSettingsModelTest.class);
		suite.addTestSuite(UserModelTest.class);
		return suite;
	}
}
