package com.plumtree.portalpages.test.rest;

import junit.framework.*;
import xpunit.framework.*;

import com.plumtree.portalpages.test.browsing.directory.rest.*;
import com.plumtree.portalpages.test.rest.user.*;
import com.plumtree.portalpages.test.rest.utils.*;

/**
 * This Suite tests all of the REST APIs in the portal.
 */
public class RESTTestSuite
{
	public static final String SUITENAME = "REST API Unit Tests";

	public static Test suite() {
		XpTestSuite suite = new XpTestSuite(SUITENAME);
		suite.addTestSuite(DirRESTControlTest.class);
		suite.addTestSuite(DirRESTDPTest.class);
		suite.addTestSuite(JSONParserTest.class);
		suite.addTestSuite(UserRESTControlTest.class);
		suite.addTestSuite(UserRESTDPTest.class);
		return suite;
	}
}