/*
 * Created on Jan 29, 2004
 */
 
using System;
using com.plumtree.openfoundation.util;
namespace com.plumtree.portaluiinfrastructure.application
{
  /// <summary>
  /// Thread to garbage collect memory at configurable intervals.
  /// Cross-platform.  Priority and time between GC's is configured in
  /// PTConfig.xml.  Note that you should properly configure garbage 
  /// collector paramneters in the startup parameters of the web 
  /// application.
  /// </summary>
  /// <author>DavidP</author>
  /// <seealso cref="PTGarbageCollectorRunnable"></seealso>
  public class PTGarbageCollectorThread : XPThread
  {
    
    /// <summary>
    /// New GC thread.  Priority is inherited from underlying XPThread
    /// object and can be set at any time.
    /// </summary>
    /// <param name="arg0"></param>
    public PTGarbageCollectorThread(IXPRunnable arg0) : base(arg0)
    {
    }
  }
}