using System;
namespace com.plumtree.portaluiinfrastructure.editor
{
  /// <summary>
  /// This is the interface for the read-only method
  /// needed to display the migration checkbox..
  /// </summary>
  /// <author>Julie Fournier</author>
  public interface IMigrationModelRO
  {
    
    /// <seealso cref="com.plumtree.portaluiinfrastructure.editor.ObjEditorModel#GetIsSysAdmin()"></seealso>
    bool GetIsSysAdmin();
    
    /// <seealso cref="com.plumtree.portaluiinfrastructure.editor.ObjEditorModel#IsMigrationApproved()"></seealso>
    bool IsMigrationApproved();
  }
}