using System;
namespace com.plumtree.portaluiinfrastructure.editor.commonpages.objectsecurity
{
  /// <summary>
  /// This interface is implemented by the Model.
  /// It contains all the read-only mothods of the Model
  /// accessed by the Views.
  /// </summary>
  /// <author>Julie Fournier</author>
  public interface IPriorityDropDownModelRO
  {
    
    /// <seealso cref="com.plumtree.portaluiinfrastructure.editor.commonpages.objectsecurity.PriorityDropDownModel#GetMandatoryPriority()"></seealso>
    int GetMandatoryPriority();
    
    /// <seealso cref="com.plumtree.portaluiinfrastructure.editor.commonpages.objectsecurity.PriorityDropDownModel#GetSupportMandatoryColumn()"></seealso>
    bool GetSupportMandatoryColumn();
    
    /// <seealso cref="com.plumtree.portaluiinfrastructure.editor.commonpages.objectsecurity.PriorityDropDownModel#GetStringForUI()"></seealso>
    String GetStringForUI();
  }
}