using System;
namespace com.plumtree.portaluiinfrastructure.filter
{
  /// <author>
  /// CraigS
  /// Superinterface for all models that allow iteration over a filter
  /// (currently Advanced Search, Filter Editor, Saved Search Editor).
  /// </author>
  public interface IFilterIteratorContainerRO
  {
    
    /// <summary>
    /// Returns the contained filter iterator.
    /// </summary>
    IFilterIteratorRO GetFilterIterator();
  }
}