using System;
using com.plumtree.openfoundation.util;
namespace com.plumtree.portaluiinfrastructure.friendlyurl
{
  /// <summary>
  /// Friendly URL parser specific to knowledge directory URLs. Checks the URL for folder Id.
  /// </summary>
  /// <author>duang</author>
  public class KDFriendlyURLParser : FriendlyURLParser
  {
    public KDFriendlyURLParser(String strKeyword, String strClassId, XPStringTokenizer stURLTokens) : base(strKeyword,
     strClassId, stURLTokens)
    {
      // /directory_name/
      // /directory_name/directory_id/ 
      if (stURLTokens.HasMoreTokens())
      {
        String strId = stURLTokens.GetNextToken();
        m_nObjectId = XPConvert.ToInteger(strId);
      }
    }
  }
}