using System;
using com.plumtree.openfoundation.util;
namespace com.plumtree.portaluiinfrastructure.friendlyurl
{
  /// <summary>
  /// Friendly URL parser specific to MyPage URLs. Checks the URL for mypage id in addition to the mypage name.
  /// </summary>
  /// <author>Robert Zhang</author>
  public class MyPageFriendlyURLParser : FriendlyURLParser
  {
    public MyPageFriendlyURLParser(String strKeyword, String strClassId, XPStringTokenizer stURLTokens) : base(strKeyword,
     strClassId, stURLTokens)
    {
      // /directory_name/
      // /directory_name/directory_id/ 
      if (stURLTokens.HasMoreTokens())
      {
        String strId = stURLTokens.GetNextToken();
        m_nObjectId = XPConvert.ToInteger(strId);
      }
    }
  }
}