using System;
using com.plumtree.uiinfrastructure.activityspace;
using com.plumtree.xpshared.htmlelements;
namespace com.plumtree.portaluiinfrastructure.opener
{
  public interface IPTOpenerHelper
  {
    
    /// <summary>
    /// Returns the Javascript needed by the Common Opener.  We add both dynamic 
    /// script and static script.  To provide a set of simpler API methods, some
    /// methods in the static script will call methods from the dynamic script.
    /// However, the static API will also include methods that don't depend on 
    /// the dynamic API.
    /// </summary>
    /// <returns>This method returns the HTMLScript for the Common Opener.</returns>
    HTMLScriptCollection GetOpenerJavascript(AActivitySpace _asOwner);
  }
}