using System;
using com.plumtree.openfoundation.util;
namespace com.plumtree.portaluiinfrastructure.restconsumerframework.pathways
{
  /// <summary>
  /// Container for Pathways Tag data
  /// </summary>
  /// <author>BobbyT</author>
  public class PathwaysTagRestData
  {
    public String name = null;
    public String count = null;
    public String isAppliedByCurrentUser = null;
    public String normalizedCount = null;
    public PathwaysTagRestData()
    {
    }
    public virtual bool Init(XPHashtable data)
    {
      name = XPConvert.ToString(data.GetElement(PathwaysConstants.TAG_VALUE));
      count = XPConvert.ToString(data.GetElement(PathwaysConstants.TAG_COUNT));
      normalizedCount = XPConvert.ToString(data.GetElement(PathwaysConstants.TAG_NORMALIZED_COUNT));
      if (data.ContainsKey(PathwaysConstants.TAG_OWNER))
      {
        isAppliedByCurrentUser = XPConvert.ToString(data.GetElement(PathwaysConstants.TAG_OWNER));
        }
      return true;
    }
  }
}