using System;
namespace com.plumtree.portaluiinfrastructure.search
{
  /// <author>CraigS</author>
  public interface ISaveSearchModel
  {
    
    /// <summary>
    /// Sets an int that clients can use
    /// to communicate conditions like "a saved search
    /// already exists with that name".
    /// </summary>
    void SetSavedSearchErrorCode(int code);
    
    /// <summary>
    /// Call to set a flag to indicate that this search has been saved, and the
    /// "save this search" link no longer should be displayed.
    /// </summary>
    void SetSavedSearchName(String name);
  }
}