using System;
using com.plumtree.openfoundation.util;
namespace com.plumtree.portaluiinfrastructure.search
{
  /// <summary>
  /// SearchModelException is the superclass of any exception that
  /// indicates improper usage of a class in
  /// com.plumtree.portaluiinfrastructure.search.
  /// It does NOT indicate user error or an external problem with the
  /// search server.
  /// </summary>
  public class SearchModelException : XPException
  {
    
    /// <summary>
    /// Creates a new SearchModelException object.
    /// </summary>
    /// <param name="msg"></param>
    public SearchModelException(String msg) : base(msg)
    {
    }
  }
}