using System;
using com.plumtree.portaluiinfrastructure.search;
using com.plumtree.uiinfrastructure.activityspace;
namespace com.plumtree.portaluiinfrastructure.search.exceptions
{
  /// <summary>
  /// NoSearchServerException indicates that the search server
  /// could not be contacted
  /// </summary>
  public class NoSearchServerException : SearchExecutionError
  {
    public NoSearchServerException(AActivitySpace m_asOwner) : base(m_asOwner.GetString(205,
     "ptmsgs_portalinfrastructure"))
    {
    }
  }
}