using System;
using com.plumtree.portaluiinfrastructure.search;
namespace com.plumtree.portaluiinfrastructure.search.exceptions
{
  /// <summary>
  /// NotAdvancedSearchException indicates that one of the get() accessor methods
  /// that applies only to advanced search was called following a basic search
  /// </summary>
  public class NotAdvancedSearchException : SearchModelException
  {
    
    /// <summary>
    /// Creates a new NotAdvancedSearchException object.
    /// </summary>
    public NotAdvancedSearchException() : base("This method should only be called after running an advanced search.")
    {
    }
  }
}