using System;
using com.plumtree.portaluiinfrastructure.search;
using com.plumtree.uiinfrastructure.activityspace;
namespace com.plumtree.portaluiinfrastructure.search.exceptions
{
  /// <summary>
  /// TwoOperatorsException usually indicates that a property
  /// contains ', and' or ', or'
  /// </summary>
  public class TwoOperatorsException : SearchExecutionError
  {
    
    /// <summary>
    /// Creates a new TwoOperatorsException object.
    /// </summary>
    /// <param name="m_asOwner"></param>
    public TwoOperatorsException(AActivitySpace m_asOwner) : base(m_asOwner.GetString(454,
     "ptmsgs_portalinfrastructure"))
    {
    }
  }
}