using System;
namespace com.plumtree.portaluiinfrastructure.tags.common
{
  // TODO CR DLH: This needs a description that these are attributes that alot
  // of tags use, so they are here to allow for standardization of these attributes.
  public class CommonTagAttributeConstants
  {
    public const String ATTRIB_ID_NAME = "id";
    public const String ATTRIB_ID_DESC = "The name of the variable in memory where the DO data created by this tag is stored. " + "Specify this ID in the data attribute (most commonly the DATAVAR attribute) for any display tag consuming DO data. " + "Multiple data tags can share the same ID, in which case they are added to a list in the order they were processed. ";
    public const String ATTRIB_SCOPE_NAME = "scope";
    public const String ATTRIB_SCOPE_DESC = "The scope used to store the data. See the Logic tag library for a list of all available scopes. ";
    }
}