using System;
using com.plumtree.openfoundation.util;
namespace com.plumtree.portaluiinfrastructure.tags.data
{
  /// <author>rozhang</author>
  public interface IHierarchicalDataObject : IDataObject
  {
    
    /// <summary>
    /// Gets hierarchical data 
    /// </summary>
    /// <param name="_strKey"></param>
    /// <returns></returns>
    XPArrayList GetHierData(String _strKey);
    
    /// <summary>
    /// Sets hierarchical data
    /// </summary>
    /// <param name="_strKey"></param>
    /// <param name="_list"></param>
    void SetHierData(String _strKey, XPArrayList _list);
  }
}