using System;
namespace com.plumtree.portaluiinfrastructure.tags.metadata
{
  /// <summary>
  /// This class provides programmatic access to the
  /// tag library meta data for name and description.
  /// <p />
  /// Tag libraries need to contain exactly one
  /// ITagLibraryMetaData class with exactly one public
  /// static final TagLibraryMetaData member variable
  /// that provides the meta information about the Tag
  /// Library.
  /// </summary>
  public interface ITagLibraryMetaData
  {
  }
}