using System;
using XPConvert=com.plumtree.openfoundation.util.XPConvert;
using com.plumtree.uiinfrastructure.application.varpacks;
using com.plumtree.openfoundation.util;
namespace com.plumtree.portaluiinfrastructure.mock.friendlyurl
{
  public class MockConfigVarPack : ConfigVarPack
  {
    public MockConfigVarPack(String platform) : base(platform)
    {
    }
    internal int ssoTimeoutConfigVal = 0;
    public override String GetConfigValueAsString(String _strSection, String _strSubSection,
     String _strAttribute)
    {
      String strRetVal = "";
      if (ConfigConstants.AUTHENTICATION_SECTION.Equals(_strSection) && "GuestRedirectToLogin".Equals(_strSubSection) && ConfigConstants.VALUE_ATTRIBUTE.Equals(_strAttribute))
      {
        strRetVal = "0";
      }
      return strRetVal;
    }
    public override int GetConfigValueAsInt(String _strSection, String _strSubSection,
     String _strAttribute)
    {
      if (ConfigConstants.MAIN_URLS_SECTION.Equals(_strSection) && XPStringUtility.EqualsIgnoreCase(ConfigConstants.INTERNAL_SSO_TOKEN_TIMEOUT,
       _strSubSection) && ConfigConstants.VALUE_ATTRIBUTE.Equals(_strAttribute))
      {
        return ssoTimeoutConfigVal;
      }
      return -1;
    }
    public virtual void SetConfigValue(String _strSection, String _strSubSection,
     String _strAttribute, String _strVal)
    {
      if (ConfigConstants.MAIN_URLS_SECTION.Equals(_strSection) && XPStringUtility.EqualsIgnoreCase(ConfigConstants.INTERNAL_SSO_TOKEN_TIMEOUT,
       _strSubSection) && ConfigConstants.VALUE_ATTRIBUTE.Equals(_strAttribute))
      {
        ssoTimeoutConfigVal = XPConvert.ToInteger(_strVal);
      }
    }
  }
}