using System;
using IPathwaysHelper=com.plumtree.portaluiinfrastructure.helpers.IPathwaysHelper;
using IPTSession=com.plumtree.server.IPTSession;
namespace com.plumtree.portaluiinfrastructure.mock.helper
{
  public class MockPathwaysHelperService : IPathwaysHelper
  {
    protected bool pathwaysInstalled = true;
    protected int pathwaysWebServiceID = 298;
    protected bool isPathwaysError = false;
    protected bool isFallBackSearchMode = false;
    public virtual int GetAPIWebServiceID(IPTSession _session)
    {
      return pathwaysWebServiceID;
    }
    public virtual bool IsPathwaysInstalled(IPTSession _session)
    {
      return pathwaysInstalled;
    }
    public virtual void StartErrorState()
    {
      isPathwaysError = false;
    }
    public virtual bool IsErrorState()
    {
      return isPathwaysError;
    }
    public virtual void SetLegacySearchMode(bool value)
    {
      isFallBackSearchMode = value;
    }
    public virtual bool GetLegacySearchMode()
    {
      return isFallBackSearchMode;
    }
  }
}