using System;
using com.plumtree.portaluiinfrastructure.tags.tagdef;
using com.plumtree.uiinfrastructure.activityspace;
namespace com.plumtree.portaluiinfrastructure.mock.tags
{
  /// <author>rozhang</author>
  public class MockTagOutputDefinitionManager : TagOutputDefinitionManager
  {
    public MockTagOutputDefinitionManager() : base()
    {
    }
    
    /// <summary>
    /// Mock function doesn't need to do anything. Unit tests should execute the definition tags from within in the test to set the tag definitions on the request  
    /// </summary>
    /// <seealso cref="com.plumtree.portaluiinfrastructure.tags.tagdef.TagOutputDefinitionManager#ProcessTagDefinitions(int[],com.plumtree.uiinfrastructure.activityspace.AActivitySpace,boolean)"></seealso>
    protected override void ProcessTagDefinitions(int[] wsIds, AActivitySpace space,
     bool testMode)
    {
    }
  }
}
// don't need to do anything
