using System;
using junit.framework;
using com.plumtree.openfoundation.util;
using com.plumtree.portaluiinfrastructure.friendlyurl;
namespace com.plumtree.portaluiinfrastructure.test.friendlyurl
{
  /*
   * Tests for the APIFriendlyURLParser class.
   */
   
  public class APIFriendlyURLParserTest : TestCase
  {
    public virtual void testGetObjectNameAndId()
    {
      APIFriendlyURLParser testObject;
      XPStringTokenizer stURLTokens = new XPStringTokenizer("v1/kd/123", "/");
      testObject = new APIFriendlyURLParser("api", FriendlyURLConstants.REST_API_ID_STRING,
       stURLTokens);
      Assert.assertEquals("Wrong API version was returned.", "v1", testObject.GetObjectName(false));
      Assert.assertEquals("Wrong API area was returned.", "kd", testObject.GetChildName(false));
      Assert.assertEquals("Wrong object ID was returned.", "123", ((APIFriendlyURLParser) testObject).GetChildIDString());
      }
  }
}