using System;
using junit.framework;
using xpunit.framework;
using com.plumtree.portaluiinfrastructure.test.server.impl.core;
using com.plumtree.portaluiinfrastructure.test.server.portlet.providers;
namespace com.plumtree.portaluiinfrastructure.test.server
{
  /// <summary>
  /// This contains unit tests for the portal server code that can be run in isolation
  /// without a DB or any external dependencies.
  /// </summary>
  public class ServerUnitTestSuite
  {
    public const String SUITENAME = "Plumtree Server Unit Tests";
    public static Test suite()
    {
      XpTestSuite suite = new XpTestSuite(SUITENAME);
      suite.addTestSuite(typeof(ProvidersFactoryTest));
      suite.addTestSuite(typeof(PageletProviderConfigTest));
      return suite;
    }
  }
}