using System;
using junit.framework;
using xpunit.framework;
using com.plumtree.portaluiinfrastructure.test.tags.displaytree;
using com.plumtree.portaluiinfrastructure.test.tags.features;
using com.plumtree.portaluiinfrastructure.test.tags.helper;
using com.plumtree.portaluiinfrastructure.test.tags.metadata;
namespace com.plumtree.portaluiinfrastructure.test.tags
{
  public class TagsTestSuite
  {
    public const String SUITENAME = "Tag Engine Unit Tests";
    public static Test suite()
    {
      XpTestSuite suite = new XpTestSuite(SUITENAME);
      suite.addTestSuite(typeof(AttributeTest));
      suite.addTestSuite(typeof(AttributeValueReplacementTest));
      suite.addTestSuite(typeof(DisplayTreeTest));
      suite.addTestSuite(typeof(HeadPreprocessorTest));
      suite.addTestSuite(typeof(TagContextValidationTest));
      suite.addTestSuite(typeof(TagHelperTest));
      suite.addTestSuite(typeof(TagMetaDataHelperTest));
      suite.addTestSuite(typeof(TagStateTest));
      return suite;
    }
  }
}