/*
 * Created on Jan 29, 2004
 */
package com.plumtree.portaluiinfrastructure.application;

import com.plumtree.openfoundation.util.*;

/**
 * Thread to garbage collect memory at configurable intervals.
 * 
 * Cross-platform.  Priority and time between GC's is configured in
 * PTConfig.xml.  Note that you should properly configure garbage 
 * collector paramneters in the startup parameters of the web 
 * application.
 * 
 * @author DavidP
 * @see PTGarbageCollectorRunnable
 */
public class PTGarbageCollectorThread extends XPThread 
{
	/**
	 * New GC thread.  Priority is inherited from underlying XPThread
	 * object and can be set at any time.
	 * 
	 * @param arg0
	 */
	public PTGarbageCollectorThread(IXPRunnable arg0) 
	{
		super(arg0);
	}
}

