package com.plumtree.portaluiinfrastructure.editor.commonpages.localizednames;


/**
 * @author josephc
 */
public interface ILocNamesModel extends ILocNamesModelRO
{
	/**
	 * Call this method if the default name label is not appropriate.
	 *
	 * @param sNameLabel 
	 */
	public void SetNameLabel(String sNameLabel);
	
	/**
	 * If this method is not called, then it will default to using descriptions unless the Object does not support it.
	 *
	 * @param bNoDescriptions 
	 */
	public void SetIsNoDescriptions(boolean bNoDescriptions);
	
	/**
	 * Call this method if you want the popup display page to be something other than LocNamesPopUpDP.STR_MVC_CLASS_NAME
	 *
	 * @param sPopUpDisplayPageName 
	 */
	public void SetPopUpDisplayPageName(String sPopUpDisplayPageName);
	
	/**
	 * 
	 *
	 * @param sPrimaryLang 
	 */
	public void SetPrimaryLang(String sPrimaryLang);

	/**
	 * 
	 *
	 * @param bIsLocalized 
	 */
	public void SetIsLocalized(boolean bIsLocalized);

	/**
	 * 
	 *
	 * @param nRowToEdit 
	 */
	public void SetRowToEdit(int nRowToEdit);
}

