package com.plumtree.portaluiinfrastructure.editor.commonpages.objectsecurity;


/**
 * This interface is implemented by the Model.
 * It contains all the read-only mothods of the Model
 * accessed by the Views.
 *
 * @author Julie Fournier
 */
public interface IPriorityDropDownModelRO
{
	/**
	 * @see com.plumtree.portaluiinfrastructure.editor.commonpages.objectsecurity.PriorityDropDownModel#GetMandatoryPriority()
	 *
	 */
	public int GetMandatoryPriority();

	/**
	 * @see com.plumtree.portaluiinfrastructure.editor.commonpages.objectsecurity.PriorityDropDownModel#GetSupportMandatoryColumn()
	 *
	 */
	public boolean GetSupportMandatoryColumn();
	
	/**
	 * @see com.plumtree.portaluiinfrastructure.editor.commonpages.objectsecurity.PriorityDropDownModel#GetStringForUI()
	 *
	 */
	public String GetStringForUI();
}

