package com.plumtree.portaluiinfrastructure.expandablelist.template;

import com.plumtree.uiinfrastructure.activityspace.*;

/**
 * @author michaeld
 */
public interface ITemplateListModelRO extends IModelRO
{
	/**
	 * Get the value for the given input.
	 *
	 * @return String
	 */
	public String GetInputValue(String name);
	
	/**
	 * Get the class ID of the template.
	 * 
	 * @return int
	 */
	public int GetTemplateClassID();
}
