package com.plumtree.portaluiinfrastructure.friendlyurl;

import com.plumtree.openfoundation.util.*;

/**
 * Friendly URL parser specific to knowledge directory URLs. Checks the URL for folder Id.
 * 
 * @author duang
 */
public class KDFriendlyURLParser extends FriendlyURLParser {

	public KDFriendlyURLParser(String strKeyword, String strClassId, XPStringTokenizer stURLTokens) {
		super(strKeyword, strClassId, stURLTokens);
		
        // /directory_name/
        // /directory_name/directory_id/ 
		if (stURLTokens.HasMoreTokens()) {
			String strId = stURLTokens.GetNextToken();
			m_nObjectId = XPConvert.ToInteger(strId);
		}
	}
}