package com.plumtree.portaluiinfrastructure.friendlyurl;

import com.plumtree.openfoundation.util.*;

/**
 * Friendly URL parser specific to MyPage URLs. Checks the URL for mypage id in addition to the mypage name.
 * 
 * @author Robert Zhang
 */
public class MyPageFriendlyURLParser extends FriendlyURLParser 
{
	public MyPageFriendlyURLParser(String strKeyword, String strClassId, XPStringTokenizer stURLTokens) {
		super(strKeyword, strClassId, stURLTokens);
		
        // /directory_name/
        // /directory_name/directory_id/ 
		if (stURLTokens.HasMoreTokens()) {
			String strId = stURLTokens.GetNextToken();
			m_nObjectId = XPConvert.ToInteger(strId);
		}
	}

}
