package com.plumtree.portaluiinfrastructure.helpers;

import com.plumtree.server.*;

/**
 * The ICollaboratonHelper handles common functionality related to
 * Collab integrations.  Built for Pathways Search integration.
 */

public interface ICollaborationHelper {
	
	/**
	 * @param _session the current user session.
	 * @return whether or not Collab is installed.
	 */
	public boolean IsCollaborationInstalled(IPTSession _session);

	/**
	 * @param _session the current user session.
	 * @return the ID of the Web Service ID.  -1 if it
	 * is not installed.
	 */
	public int GetWebServiceID(IPTSession _session);

}
