package com.plumtree.portaluiinfrastructure.helpers;

import com.plumtree.server.*;

/**
 * The IEnsembleHelper handles common functionality related to
 * Ensemble integrations.
 */
public interface IEnsembleHelper
{
	/**
	 * @param _session the current user session.
	 * @return whether or not Ensemble is installed.
	 */
	public boolean IsEnsembleInstalled(IPTSession _session);

	/**
	 * @param _session the current user session.
	 * @return the ID of the Ensemble Remote Server.  -1 if it
	 * is not installed.
	 */
	public int GetRemoteServerID(IPTSession _session);
}