package com.plumtree.portaluiinfrastructure.helpers;

import com.plumtree.server.*;

/**
 * The IPublisher handles common functionality related to
 * Publisher integrations.  Built for fix to bug 7817807 and other future uses.
 */

public interface IPublisherHelper {

	/**
	 * @param _session the current user session.
	 * @return whether or not Publisher is installed.
	 */
	public boolean IsPublisherInstalled(IPTSession _session);

	/**
	 * @param _session the current user session.
	 * @return the ID of the Web Service ID.  -1 if it
	 * is not installed.
	 */
	public int GetWebServiceID(IPTSession _session);

}
