package com.plumtree.portaluiinfrastructure.opener;

import com.plumtree.uiinfrastructure.activityspace.*;
import com.plumtree.xpshared.htmlelements.*;

public interface IPTOpenerHelper
{
	/**
	 * Returns the Javascript needed by the Common Opener.  We add both dynamic 
	 * script and static script.  To provide a set of simpler API methods, some
	 * methods in the static script will call methods from the dynamic script.
	 * However, the static API will also include methods that don't depend on 
	 * the dynamic API.
	 * 
	 * @return This method returns the HTMLScript for the Common Opener.
	 */
	public HTMLScriptCollection GetOpenerJavascript(AActivitySpace _asOwner);
}