package com.plumtree.portaluiinfrastructure.restconsumerframework.pathways;

import com.plumtree.openfoundation.util.*;

/**
 * Container for Pathways Tag data
 * 
 * @author BobbyT
 */
public class PathwaysTagRestData 
{
	public String name = null;
	public String count = null;
	public String isAppliedByCurrentUser = null;
	public String normalizedCount = null;
	
	public PathwaysTagRestData()
	{		
	}
	
	public boolean Init(XPHashtable data)
	{
		name = XPConvert.ToString(data.GetElement(PathwaysConstants.TAG_VALUE));
		count = XPConvert.ToString(data.GetElement(PathwaysConstants.TAG_COUNT));
		normalizedCount = XPConvert.ToString(data.GetElement(PathwaysConstants.TAG_NORMALIZED_COUNT));

		if (data.ContainsKey(PathwaysConstants.TAG_OWNER))
		{
			isAppliedByCurrentUser = XPConvert.ToString(data.GetElement(PathwaysConstants.TAG_OWNER));
		}
		
		return true;
	}
}
