package com.plumtree.portaluiinfrastructure.search;


/**
 * @author CraigS
 */
public interface ISaveSearchModel
{
	/**
	 *  Sets an int that clients can use
	 *  to communicate conditions like "a saved search
	 *  already exists with that name".
	 */
	public void SetSavedSearchErrorCode(int code);

	/**
	 *  Call to set a flag to indicate that this search has been saved, and the
	 *  "save this search" link no longer should be displayed.
	 */
	public void SetSavedSearchName(String name);
}

