package com.plumtree.portaluiinfrastructure.search;

import com.plumtree.xpshared.htmlelements.*;


/**
 *  SearchExecutionError indicates an error that occurred while a search
 *  was running, for example, a missing search server.
 */
public class SearchExecutionError extends SearchExecutionException
{
	/**
	 * Creates a new SearchExecutionError object.
	 *
	 * @param msg 
	 */
	public SearchExecutionError(String msg)
	{
		super(msg);
	}

	/**
	 * Used by subclasses to return un-internationalized error messsages as HTML comments. See Error6321Exception.
	 */	
	public HTMLComment GetComment()
	{
		return null;
	}
}

