package com.plumtree.portaluiinfrastructure.search.exceptions;

import com.plumtree.portaluiinfrastructure.search.*;

/**
 *  InvalidStateException indicates that a method on
 *  ISearchResultModel was called with a key, but the key
 *  was not found in the SearchResultModel cache.
 */
public class InvalidStateException extends SearchExecutionException
{
	/**
	 * Creates a new InvalidStateException object.
	 *
	 * @param key 
	 */
	public InvalidStateException(String key)
	{
		super("Could not find key " + key);
	}
}

