package com.plumtree.portaluiinfrastructure.search.exceptions;

import com.plumtree.portaluiinfrastructure.search.*;
import com.plumtree.uiinfrastructure.activityspace.*;

/**
 *  NoSearchServerException indicates that the search server
 *  could not be contacted
 */
public class NoSearchServerException extends SearchExecutionError
{
	public NoSearchServerException(AActivitySpace m_asOwner)
	{
		super(m_asOwner.GetString(205, "ptmsgs_portalinfrastructure"));
	}
}

