package com.plumtree.portaluiinfrastructure.search.exceptions;

import com.plumtree.portaluiinfrastructure.search.*;

/**
 *  NotInitializedException indicates that one of the get() accessor methods
 *  was called on a search result before any search was run.
 */
public class NotInitializedException extends SearchModelException
{
	/**
	 * Creates a new NotInitializedException object.
	 */
	public NotInitializedException()
	{
		super(
			"Attempted to use a SearchResultModel that has not been initialized.");
	}
}

