package com.plumtree.portaluiinfrastructure.search.exceptions;

import com.plumtree.portaluiinfrastructure.search.*;
import com.plumtree.uiinfrastructure.activityspace.*;

/**
 *  WildcardExpansionWarning indicates that the user's query expanded
 *  out to too many terms.
 */
public class PartialQueryWarning extends SearchExecutionWarning
{
	
	

	/**
	 * Creates a new PartialQueryWarning object.
	 *
	 * @param m_asOwner 
	 */
	public PartialQueryWarning(AActivitySpace m_asOwner)
	{
		super(m_asOwner.GetString(544, "ptmsgs_portalinfrastructure"));
	}
}

