package com.plumtree.portaluiinfrastructure.search.exceptions;

import com.plumtree.portaluiinfrastructure.search.*;
import com.plumtree.uiinfrastructure.activityspace.*;

/**
 *  SocketTimeoutException indicates that the connection to the
 *  Search Server timed out.
 */
public class SocketTimeoutException extends SearchExecutionError
{
	

	/**
	 * Creates a new SocketTimeoutException object.
	 *
	 * @param m_asOwner 
	 */
	public SocketTimeoutException(AActivitySpace m_asOwner)
	{
		super(m_asOwner.GetString(291, "ptmsgs_portalinfrastructure"));
	}
}

