package com.plumtree.portaluiinfrastructure.search.exceptions;

import com.plumtree.portaluiinfrastructure.search.*;
import com.plumtree.uiinfrastructure.activityspace.*;

/**
 *  TwoOperatorsException usually indicates that a property
 *  contains ', and' or ', or'
 */
public class TwoOperatorsException extends SearchExecutionError
{
	
	/**
	 * Creates a new TwoOperatorsException object.
	 *
	 * @param m_asOwner 
	 */
	public TwoOperatorsException(AActivitySpace m_asOwner)
	{
		super(m_asOwner.GetString(454, "ptmsgs_portalinfrastructure"));
	}
}

