package com.plumtree.portaluiinfrastructure.statichelpers;

/**
 * Static helpers related to debugging/logging.
 * 
 * 1) Provides the component string that is used to
 * for the component field in PTSpy.
 * 
 * @author RickyW
 */
public class PTDebugHelpers
{
	/** Returns the string to be used for the component field in PTSpy. */
	public static final String COMPONENT_PORTAL_UI_INFRASTRUCTURE = "Portal_UI_Infrastructure";

	public static final String COMPONENT_PORTAL_FRIENDLYURL = "Portal_FriendlyURL";

	public static final String COMPONENT_PORTAL_AJAX = "Portal_AJAX";
	
	/** Returns the string to be used for the component field in PTSpy. */
	public static final String COMPONENT_PORTAL_ADMIN = "Portal_Admin";

	/** Returns the string to be used for the component field in PTSpy. */
	public static final String COMPONENT_PORTAL_BROWSING = "Portal_Browsing";
	
	/** This component is used for any logging related to the processing of tags from a portlet but
	 * not loading of tag libraries */
	public static final String COMPONENT_PORTAL_ADAPTIVETAGS = "Portal_Tags";

	/** Returns the string to be used for the component field in PTSpy. */
	public static final String COMPONENT_PORTAL_COMMON = "Portal_Common";

	/** Returns the string to be used for the component field in PTSpy. */
	public static final String COMPONENT_PORTAL_DEVICES = "Portal_Devices";

	/** Returns the string to be used for the component field in PTSpy. */
	public static final String COMPONENT_PORTAL_PORTLETS = "Portal_Portlets";

	/** Returns the string to be used for the component field in PTSpy. */
	public static final String COMPONENT_PORTAL_PROVIDERS = "Portal_Providers";	
	
	/** Returns the string to be used for the component field in PTSpy. */
	public static final String COMPONENT_PORTAL_REST = "Portal_REST";

	/** Returns the string to be used for the component field in PTSpy. */
	public static final String COMPONENT_PORTAL_USERPROFILE = "Portal_UserProfile";
	
	/** Returns the string to be used for the component field in PTSpy. */
	public static final String COMPONENT_GATEWAY = "Gateway";	
	
	/** Returns the string to be used for the component field in PTSpy. */
	public static final String COMPONENT_PORTAL_SSO = "SSO";
	
	/** Returns the string to be used for the component field in PTSpy. */
	public static final String COMPONENT_PATHWAYS = "Pathways";	
}

