/**
 * 
 */
package com.plumtree.portaluiinfrastructure.tags.data;

import com.plumtree.openfoundation.util.*;

/**
 * @author rozhang
 */
public interface IHierarchicalDataObject extends IDataObject
{
	
	
	/**
	 * Gets hierarchical data 
	 * 
	 * @param _strKey
	 * @return
	 */
	public XPArrayList GetHierData(String _strKey);
	
	/**
	 * Sets hierarchical data
	 * 
	 * @param _strKey
	 * @param _list
	 */
	public void SetHierData(String _strKey, XPArrayList _list);
}
