/**
 * 
 */
package com.plumtree.portaluiinfrastructure.tags.tagdef;

import com.plumtree.openfoundation.util.*;

/**
 * @author rozhang
 *
 */
public class TagOutputDefEntry
{
	protected XPArrayList m_value;
	protected XPDateTime m_created;
	protected boolean m_readOnly;
	/** The two attributes below are not currently used **/
	protected int m_wsId;
	protected String m_wsName;
	
	public TagOutputDefEntry(XPArrayList value, boolean readOnly, int wsId, String wsName)
	{
		m_value = value;
		m_readOnly = readOnly;
		m_created = new XPDateTime();
		m_wsId = wsId;
		m_wsName = wsName;
	}
	
	public String GetWebServiceName()
	{
		return m_wsName;
	}
	
	public int GetWebServiceId()
	{
		return m_wsId;
	}
	
	public XPDateTime GetEntryCreated()
	{
		return m_created;
	}
	
	public XPArrayList GetEntryValue()
	{
		return m_value;
	}
	
	public boolean IsReadOnly()
	{
		return m_readOnly;
	}
}
