package com.plumtree.portaluiinfrastructure.tree;


/**
 * @author Naveen Pai
 */
public interface IServerTreeModel
{
	/**
	 * Implement this function to pre-select nodes for trees
	 * that use the ServerTreeModel (IPTTreeIterator trees).
	 * 
	 * @param strArrLocs
	 */
	public void SetLocationsToSelect(String strLocs);
	
	
	/**
	 * Implement this function to hide nodes for trees
	 * that use the ServerTreeModel (IPTTreeIterator trees).
	 * 
	 * @param strArrLocs
	 */
	public void SetLocationsToHide(String strLocs);
}
