package com.plumtree.portaluiinfrastructure.tree.template;

import com.plumtree.openlog.*;
import com.plumtree.portaluiinfrastructure.statichelpers.*;
import com.plumtree.uiinfrastructure.form.*;
import com.plumtree.xpshared.htmlelements.*;

/**
 * @author michaeld
 */
public class InheritTemplateDP extends AFormDP
{
	private static OpenLogger log = OpenLogService.GetLogger(
		OpenLogService.GetComponent(PTDebugHelpers.COMPONENT_PORTAL_ADMIN),
		"com.plumtree.portalpages.browsing.editors.community.templatetree.InheritTemplateDP");

	/** name of this object */
	public static final String STR_MVC_CLASS_NAME = "InheritTemplate";

	/**
	 * @see com.plumtree.uiinfrastructure.form.AFormDP#GetFormTitle()
	 */
	public String GetFormTitle()
	{
		// This page is displayed in a frame, so doesn't need a title.
		return "";
	}

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IMVCObject#GetName()
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * @see com.plumtree.uiinfrastructure.form.AFormDP#PageDisplay()
	 */
	public HTMLElement PageDisplay()
	{
		HTMLElementCollection result = new HTMLElementCollection();

//		result.AddInnerHTMLElement(m_asOwner.GetView(
//				TreeDP.TREE_BAR_STORAGE_NAME).Display());

		result.AddInnerHTMLElement(m_asOwner.GetView(
				InheritTemplateView.STR_MVC_CLASS_NAME).Display());

		return result;
	}
}
