package com.plumtree.portaluiinfrastructure.tree.template;

import com.plumtree.portaluiinfrastructure.tree.*;
import com.plumtree.uiinfrastructure.activityspace.*;

/**
 * @author michaeld
 */
public class TemplateTreeFrameDP extends TreeSearchFrameDP
{
	/** Frameset object name */
	public static final String STR_MVC_CLASS_NAME = "TemplateTreeFrame";

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IMVCObject#GetName()
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * @see com.plumtree.uiinfrastructure.common.FrameSetDP#GetFrameURLBody()
	 */
	public ASURL GetFrameURLBody()
	{
		if ( ((TemplateTreeModel)m_asOwner.GetModel(TemplateTreeAS.TREEMODEL)).GetDisplayInheritTemplate() )
		{
			// Display the inherit template frame
			ASURL result = new ASURL(m_asOwner);
			result.SetLinkGetCachedSpace(m_asOwner);
			result.SetDisplayPage(InheritTemplateDP.STR_MVC_CLASS_NAME);

			return result;
		}
		return super.GetFrameURLBody();
	}
}
