package com.plumtree.portaluiinfrastructure.mock.friendlyurl;

import com.plumtree.openfoundation.util.XPConvert;
import com.plumtree.uiinfrastructure.application.varpacks.*;

public class MockConfigVarPack extends ConfigVarPack {

	public MockConfigVarPack(String platform) {
		super(platform);
	}

	int ssoTimeoutConfigVal = 0;
	
	public String GetConfigValueAsString(String _strSection, String _strSubSection, String _strAttribute)
	{
		String strRetVal = "";
		if (ConfigConstants.AUTHENTICATION_SECTION.equals(_strSection) && "GuestRedirectToLogin".equals(_strSubSection) &&
				ConfigConstants.VALUE_ATTRIBUTE.equals(_strAttribute))
		{
			strRetVal = "0";
		}
		return strRetVal;
	}
	
	public int GetConfigValueAsInt(String _strSection, String _strSubSection, String _strAttribute)
	{
		if (ConfigConstants.MAIN_URLS_SECTION.equals(_strSection) &&
		                ConfigConstants.INTERNAL_SSO_TOKEN_TIMEOUT.equalsIgnoreCase(_strSubSection) && 
		                	ConfigConstants.VALUE_ATTRIBUTE.equals(_strAttribute)){
			return ssoTimeoutConfigVal;
		}
		return -1;
	}
	
	public void SetConfigValue (String _strSection, String _strSubSection, String _strAttribute, String _strVal ) {
		
		if (ConfigConstants.MAIN_URLS_SECTION.equals(_strSection) &&
                ConfigConstants.INTERNAL_SSO_TOKEN_TIMEOUT.equalsIgnoreCase(_strSubSection) && 
                	ConfigConstants.VALUE_ATTRIBUTE.equals(_strAttribute)){
			ssoTimeoutConfigVal = XPConvert.ToInteger(_strVal);
		}
		
	}
}
