package com.plumtree.portaluiinfrastructure.mock.helper;

import com.plumtree.portaluiinfrastructure.helpers.IPathwaysHelper;
import com.plumtree.server.IPTSession;

public class MockPathwaysHelperService implements IPathwaysHelper {
	
	protected boolean pathwaysInstalled = true;
	protected int pathwaysWebServiceID = 298;
	protected boolean isPathwaysError = false;
	protected boolean isFallBackSearchMode = false;

	public int GetAPIWebServiceID(IPTSession _session) {
		return pathwaysWebServiceID;
	}

	public boolean IsPathwaysInstalled(IPTSession _session) {
		return pathwaysInstalled;
	}
	
	public void StartErrorState()
	{	
		isPathwaysError = false;
	}
	
	public boolean IsErrorState()
	{
		return isPathwaysError;
	}
	
	public void SetLegacySearchMode(boolean value)
	{
		isFallBackSearchMode = value;
	}
	
	public boolean GetLegacySearchMode()
	{
		return isFallBackSearchMode;
	}
}
