package com.plumtree.portaluiinfrastructure.mock.opener;

import com.plumtree.portaluiinfrastructure.opener.*;
import com.plumtree.uiinfrastructure.activityspace.*;
import com.plumtree.xpshared.htmlelements.*;

public class MockPTOpenerHelper implements IPTOpenerHelper
{
	public static final String TEST_JAVASCRIPT_CONTENT = "var testOpener = true;";

	public HTMLScriptCollection GetOpenerJavascript(AActivitySpace _asOwner)
	{
		HTMLScriptCollection myScriptCollection = new HTMLScriptCollection();

		HTMLScript myScript = new HTMLScript("text/javaScript");
		myScript.AddInnerHTMLString(TEST_JAVASCRIPT_CONTENT);
		myScriptCollection.AddInnerHTMLElement(myScript);

		return myScriptCollection;
	}

}