package com.plumtree.portaluiinfrastructure.test.classtypedescriptors.classtypes;

import junit.framework.*;

import com.plumtree.openfoundation.util.*;
import com.plumtree.portaluiinfrastructure.classtypedescriptors.*;
import com.plumtree.portaluiinfrastructure.classtypedescriptors.classtypes.*;
import com.plumtree.portaluiinfrastructure.friendlyurl.*;
import com.plumtree.portaluiinfrastructure.mock.friendlyurl.*;
import com.plumtree.portaluiinfrastructure.mock.tags.*;
import com.plumtree.server.*;
import com.plumtree.server.mock.core.*;
import com.plumtree.uiinfrastructure.application.*;
import com.plumtree.uiinfrastructure.application.varpacks.*;
import com.plumtree.uiinfrastructure.helpers.*;
import com.plumtree.uiinfrastructure.web.*;

public class PTCommunitiesTestURLGeneration extends TestCase  
{
	public MockEnvironment m_space = new MockEnvironment();
	public MockPTSession m_session = new MockPTSession();
	protected PTCommunities testObject = null;
	String commToken = null;
	/**
	 */
	public PTCommunitiesTestURLGeneration(String name)
   	{
		super(name);
		
   	}
	
	public void setUp()
	{
		testObject = new PTCommunities();
		m_space.SetUserSession(m_session);
		//String commToken = ((IFriendlyURLManager)PTConfigHelper.GetTypeDescrManager()).LookupFriendlyURLKeyFromClassId(PT_CLASSIDS.PT_COMMUNITY_ID+"");
		commToken = "communities";
		
   		IApplication application = new Application("","");
		ApplicationManager.SetTestInstance(new MockApplicationManager());
		((MockApplicationManager) ApplicationManager.GetInstance()).SetApplication(AppConstants.MAIN_APPLICATION_NAME.ToString(), application);
		
		XPHashtable htLookupTable = new XPHashtable();
		htLookupTable.PutElement(XPConvert.ToString(PT_CLASSIDS.PT_COMMUNITY_ID), "communities");
		IFriendlyURLManager friendlyURLManager = new MockClassTypeDescManager();
		friendlyURLManager.SetFriendlyURLLookupTable(htLookupTable);
		application.GetCachingManager().SetEntry(AppWarmUp.KEY_CACHEMAN_CLASS_TYPE_MANAGER, friendlyURLManager);
	}
	
	/**
	 * Generate URL from just passing in community name
	 */
	public void testGenerateFriendlyURLForWithCommunityName()
	{
		// @TODO Need to setup the mock objects properly
		//		String commName = "My Community";
//		
//		
//		FriendlyURL url = new FriendlyURL(PT_CLASSIDS.PT_COMMUNITY_ID, commName);
//		// This case should not need to use the activityspace since we are providing the object name
//		String friendlyURL = testObject.ConstructFriendlyURL(url, m_space);
//		Assert.assertEquals("/"+commToken+"/my_community", friendlyURL);
		
	}
	
	/**
	 * Generate URL from passing in community and page name
	 */
	public void testGenerateFriendlyURLForWithCommunityPageName()
	{
		// @TODO Need to setup the mock objects properly
//		String commName = "My Community";
//		String pageName = "Community Page";
//		FriendlyURL url = new FriendlyURL(PT_CLASSIDS.PT_COMMUNITY_ID, commName);
//		url.SetChildName(pageName);
//		
//		// This case should not need to use the activityspace since we are providing the object name
//		MockEnvironment space = new MockEnvironment();
//		String friendlyURL = testObject.ConstructFriendlyURL(url, m_space);
//		Assert.assertEquals("/"+commToken+"/my_community/community_page", friendlyURL);
		
	}
	
	/**
	 * @TODO add tests that use the mock community manager
	 *
	 */
	public void testGenerateFriendlyURLForWithCommunityId()
	{
		
	}
}
