package com.plumtree.portaluiinfrastructure.test.friendlyurl;

import junit.framework.*;

import com.plumtree.openfoundation.util.*;
import com.plumtree.portaluiinfrastructure.friendlyurl.*;

/*
 * Tests for the APIFriendlyURLParser class.
 */
public class APIFriendlyURLParserTest extends TestCase
{
	public void testGetObjectNameAndId() 
	{
		APIFriendlyURLParser testObject;

		XPStringTokenizer stURLTokens = new XPStringTokenizer("v1/kd/123", "/");
   		testObject = new APIFriendlyURLParser("api", FriendlyURLConstants.REST_API_ID_STRING, stURLTokens);
   		
		Assert.assertEquals("Wrong API version was returned.", "v1", testObject.GetObjectName(false));
		Assert.assertEquals("Wrong API area was returned.", "kd", testObject.GetChildName(false));
		Assert.assertEquals("Wrong object ID was returned.", "123", ((APIFriendlyURLParser) testObject).GetChildIDString());
	}
}