package com.plumtree.portaluiinfrastructure.test.server;

import junit.framework.*;
import xpunit.framework.*;

import com.plumtree.portaluiinfrastructure.test.server.impl.core.*;
import com.plumtree.portaluiinfrastructure.test.server.portlet.providers.*;

/**
 * This contains unit tests for the portal server code that can be run in isolation
 * without a DB or any external dependencies.
 */
public class ServerUnitTestSuite
{
	public static final String SUITENAME = "Plumtree Server Unit Tests";

	public static Test suite() {
		XpTestSuite suite = new XpTestSuite(SUITENAME);
		suite.addTestSuite(ProvidersFactoryTest.class);
		suite.addTestSuite(PageletProviderConfigTest.class);
		return suite;
	}
}