package com.plumtree.portaluiinfrastructure.test.tags;

import com.plumtree.portaluiinfrastructure.tags.*;

/**
 * This tag is missing required meta data and should fail.
 * 
 * @author DonH
 */
public class BadMetaDataTag extends ATestTag
{
	// NOTE: This tag does not have an ITagMetaData field, so it should fail.

	/**
	 * @see com.plumtree.portaluiinfrastructure.tags.ATag#ReleaseTag()
	 */
	public void ReleaseTag()
	{
	}

	/**
	 * @see com.plumtree.portaluiinfrastructure.tags.ATag#Create()
	 */
	public ATag Create()
	{
		return new BadMetaDataTag();
	}
}
