package com.plumtree.portaluiinfrastructure.test.tags;

import junit.framework.*;
import xpunit.framework.*;

import com.plumtree.portaluiinfrastructure.test.tags.displaytree.*;
import com.plumtree.portaluiinfrastructure.test.tags.features.*;
import com.plumtree.portaluiinfrastructure.test.tags.helper.*;
import com.plumtree.portaluiinfrastructure.test.tags.metadata.*;

public class TagsTestSuite
{
	public static final String SUITENAME = "Tag Engine Unit Tests";

	public static Test suite() {
		XpTestSuite suite = new XpTestSuite(SUITENAME);
		suite.addTestSuite(AttributeTest.class);
		suite.addTestSuite(AttributeValueReplacementTest.class);
		suite.addTestSuite(DisplayTreeTest.class);
		suite.addTestSuite(HeadPreprocessorTest.class);
		suite.addTestSuite(TagContextValidationTest.class);
		suite.addTestSuite(TagHelperTest.class);
		suite.addTestSuite(TagMetaDataHelperTest.class);
		suite.addTestSuite(TagStateTest.class);
		return suite;
	}
}
