using System;
using junit.framework;
using xpunit.framework;
namespace com.bea.alui.taglib.logic.test
{
  public class TagLibLogicTestSuite
  {
    public const String SUITENAME = "Logic Tag Library Unit & Integration Tests";
    public static Test suite()
    {
      XpTestSuite suite = new XpTestSuite(SUITENAME);
      suite.addTestSuite(typeof(TestCollectionLengthTag));
      suite.addTestSuite(typeof(TestForEachTag));
      suite.addTestSuite(typeof(TestSortLogicTag));
      suite.addTestSuite(typeof(ReplaceHierarchicalDataTagTest));
      suite.addTestSuite(typeof(AppendHierarchicalDataTagTest));
      suite.addTestSuite(typeof(TagDataApplicationCacheTagTest));
      suite.addTestSuite(typeof(TagDataSessionCacheTagTest));
      return suite;
    }
  }
}