using System;
using junit.framework;
using xpunit.framework;
namespace com.plumtree.taglib.ptdata.test
{
  /// <summary>
  /// Suite of tests for the ptdata adaptive tags.
  /// </summary>
  public class TaglibPTDataTestSuite
  {
    public const String SUITENAME = "PTData Tag Library Unit Tests";
    public static Test suite()
    {
      XpTestSuite suite = new XpTestSuite(SUITENAME);
      suite.addTestSuite(typeof(PageLinkTagTest));
      suite.addTestSuite(typeof(CommunityHierarchyDataTagTest));
      return suite;
    }
  }
}