using System;
namespace com.plumtree.taglib.standard
{
  /// <summary>
  /// Constants for shared Tag Attributes.
  /// </summary>
  public class AttributeConstants
  {
    public const String CLASS_ID_ATTRIBUTE = "classid";
    public const String CLASS_ID_ATTRIBUTE_LEGACY = "classID";
    public const String CLASS_ID_DESCRIPTION = "The portal object type (class ID).";
    public const String OBJECT_ID_ATTRIBUTE = "objectid";
    public const String OBJECT_ID_ATTRIBUTE_LEGACY = "objectID";
    public const String OBJECT_ID_DESCRIPTION = "The ID of the portal object referenced in the Class ID attribute " + "(i.e., the User or Community ID). To access the object ID, use the PRC.";
    }
}