using System;
using Test=junit.framework.Test;
using XpTestSuite=xpunit.framework.XpTestSuite;
namespace com.bea.alui.taglib.advancedSearch.test
{
  public class TagLibAdvancedSearchTestSuite
  {
    public const String SUITENAME = "Advanced Search Tag Library Unit & Integration Tests";
    public static Test suite()
    {
      XpTestSuite suite = new XpTestSuite(SUITENAME);
      suite.addTestSuite(typeof(TestAdvSearchButtonTag));
      suite.addTestSuite(typeof(TestClearButtonTag));
      suite.addTestSuite(typeof(TestAdvancedSearchFolderFilterTag));
      suite.addTestSuite(typeof(TestAdvancedSearchLanguageFilterTag));
      suite.addTestSuite(typeof(TestAdvancedSearchResultCount));
      suite.addTestSuite(typeof(TestAdvancedSearchResultTypesTag));
      suite.addTestSuite(typeof(TestSearchCriteriaDisplayTag));
      return suite;
    }
  }
}