package com.plumtree.taglib.advancedSearch;

import com.plumtree.portaluiinfrastructure.tags.metadata.*;

/**
 * Meta-data for the Advanced Search tag library of Adaptive layout framework.  This library
 * contains tags for surfacing Advanced Search data on pages that uses the Adaptive Layout Framework.
 *
 * These tags will work on any page that uses Adaptive Layouts.
 *
 * @author Lmah
 */
public class AdvancedSearchTagLibraryData implements ITagLibraryMetaData
{
	public static final TagLibraryMetaData LIBRARY = new TagLibraryMetaData(
			"Advanced Search Tags for Adaptive Layout", "advancedsearch",
			"This library contains the Advanced Search tags for the Adaptive Layout Framework " +
			"These tags are available on any Adaptive Layout pages.", 1.0);

}
