package com.bea.alui.taglib.advancedSearch.test;

import junit.framework.Test;
import xpunit.framework.XpTestSuite;

public class TagLibAdvancedSearchTestSuite {

	public static final String SUITENAME = "Advanced Search Tag Library Unit & Integration Tests";

	public static Test suite() {
		XpTestSuite suite = new XpTestSuite(SUITENAME);
        suite.addTestSuite(TestAdvSearchButtonTag.class);
        suite.addTestSuite(TestClearButtonTag.class);
        suite.addTestSuite(TestAdvancedSearchFolderFilterTag.class);
        suite.addTestSuite(TestAdvancedSearchLanguageFilterTag.class);
        suite.addTestSuite(TestAdvancedSearchResultCount.class);
        suite.addTestSuite(TestAdvancedSearchResultTypesTag.class);
        suite.addTestSuite(TestSearchCriteriaDisplayTag.class);
		return suite;
	}
	
}
