using System;
using com.plumtree.portaluiinfrastructure.tags.metadata;
namespace com.bea.alui.taglib.basepage
{
  /// <summary>
  /// Meta-data for the Base Page tag library of the Adaptive Layout Framework.  This library
  /// contains all of the tags for base pages in Adaptive Layouts.
  /// </summary>
  /// <author>Ravi Tunuguntla</author>
  public class BasePageTagLibraryData : ITagLibraryMetaData
  {
    public static readonly TagLibraryMetaData LIBRARY = new TagLibraryMetaData("Base Page Tags for Adaptive Layout",
     "basepage", "This library contains the Base Page tags for the Adaptive Layout Framework.  " + "These tags are only available on the Base Page Adaptive Layout, which applies to " + "standard banner pages (i.e., pages that extend PlumtreeDP, include a banner, etc.).",
     1.0);
  }
}