using System;
using com.plumtree.portaluiinfrastructure.tags.metadata;
namespace com.bea.alui.taglib.joincommunitypageeditor
{
  /// <summary>
  /// Meta-data for the Join Community Editor Page tag library of Adaptive Layout Framework.  This library
  /// contains all of the tags for the Join Community Editor page in Adaptive Layout Framework.
  /// </summary>
  /// <author>Bobby Tse</author>
  public class JoinCommunityPageEditorTagLibraryData : ITagLibraryMetaData
  {
    public static readonly TagLibraryMetaData LIBRARY = new TagLibraryMetaData("Join Community Page Editor Tags for Adaptive Layout",
     "joincommunitypageeditor", "This library contains the Join Community Page Editor tags for the Adaptive Layout Framework.  " + "These tags are only available on the Join Community Selection Adaptive Layout, which applies to " + "the DHTML flyout for adding portlets to a page.",
     1.0);
    public const String FLYOUT_ONLY = "These tags are only available on the Join Community " + "Selection layout, which applies to the DHTML flyout for adding portlets to a page.";
    public static RequiredTagAttribute ATTRIB_FLYOUTID = new RequiredTagAttribute("flyoutID",
     "Specifies the ID of the div that will have the flyout effect.", AttributeType.STRING);
    }
}