/*******************************************************************************
 *  BEA Systems, Inc. CONFIDENTIAL
 * _______________________________
 * 
 *  (c) Copyright 2007  BEA Systems, Inc.
 *  All Rights Reserved.
 * 
 *  NOTICE:  All information contained herein is, and remains
 *  the property of BEA Systems, Inc. and its suppliers, if any.
 *  The intellectual and technical concepts contained herein
 *  are proprietary to BEA Systems, Inc. and its suppliers and may
 *  be covered by U.S. and Foreign Patents, patents in process,
 *  and are protected by trade secret or copyright law.
 *  Dissemination of this information or reproduction of this material
 *  is strictly forbidden unless prior written permission is obtained
 *  from BEA Systems, Inc..
 *******************************************************************************/
package com.bea.alui.taglib.kdpage;

import com.plumtree.portaluiinfrastructure.tags.metadata.*;

/**
 * Meta-data for the KD Page tag library of Adaptive Layout Framework.  This library
 * contains all of the tags for the KD page in Adaptive Layout Framework.
 * @author Dustin Ang
 */
public class KDPageTagLibraryData implements ITagLibraryMetaData
{
	public static final TagLibraryMetaData LIBRARY = new TagLibraryMetaData
		("KD Page Tags for Adaptive Layout", "kdpage",
		"This library contains the Knowledge Directory page tags for the " +
		"Adaptive Page Layout Framework. The tags in this library will " +
		"only work with the Knowledge Directory Adaptive Layout.", 1.0);
}
