package com.bea.alui.taglib.kdpage.test;

import junit.framework.*;
import xpunit.framework.*;

public class TaglibKDPageTestSuite
{
	public static final String SUITENAME = "KD Page Tag Library Unit Tests";

	public static Test suite() {
		XpTestSuite suite = new XpTestSuite(SUITENAME);
        suite.addTestSuite(BreadCrumbsDataTagTest.class);
        suite.addTestSuite(CurrentFolderDataTagTest.class);
        suite.addTestSuite(CreateFolderDisplayTagTest.class);
        suite.addTestSuite(DocumentsPerPageDataTagTest.class);
        suite.addTestSuite(DocumentColumnHeadersDataTagTest.class);
        suite.addTestSuite(DocumentsDataTagTest.class);
        suite.addTestSuite(RelatedResourcesDataTagTest.class);
        suite.addTestSuite(SubFoldersDataTagTest.class);
        suite.addTestSuite(SubmitSourceDataTagTest.class);
        suite.addTestSuite(ViewItemsDataTagTest.class);
		return suite;
	}
}