package com.bea.alui.taglib.portletpage;

import com.plumtree.portaluiinfrastructure.tags.metadata.*;

/**
 * Meta-data for the Portlet Page tag library of Adaptive layout framework.  This library
 * contains all of the tags for the base page in Adaptive Layout Framework.
 * 
 * These tags will work on both MyPages and Community Pages since they both use MyPortalModel,
 * although adaptive layouts for MyPages are not supported.
 * 
 * @author Robert Zhang
 */
public class PortletPageTagLibraryData implements ITagLibraryMetaData 
{
	public static final TagLibraryMetaData LIBRARY = new TagLibraryMetaData(
		"Portlet Page Tags for Adaptive Layout", "portletpage",
		"This library contains the Portlet Page tags for the Adaptive Layout Framework " +
		"These tags are only available on the Portlet Page Adaptive Layout.", 1.1);
}
