using System;
namespace com.bea.alui.taglib.portletpageeditor
{
  /// <summary>
  /// This type-safe enum represents the different types of portlets.
  /// </summary>
  public class PortletTypes
  {
    private String m_strType;
    public static readonly PortletTypes NONE = new PortletTypes("none");
    public static readonly PortletTypes NARROW = new PortletTypes("narrow");
    public static readonly PortletTypes WIDE = new PortletTypes("wide");
    public static readonly PortletTypes BUNDLE = new PortletTypes("bundle");
    private PortletTypes(String _strType)
    {
      m_strType = _strType;
    }
    public virtual String ToString()
    {
      return m_strType;
    }
  }
}