using System;
using com.plumtree.uiinfrastructure.editor;
namespace com.plumtree.portalpages.admin.editors.bestbets
{
  /// <author>CraigS</author>
  public interface IBestBetModelRO : IEditorModelRO
  {
    
    /// <returns></returns>
    int GetMaxTargets();
    
    /// <returns></returns>
    int GetNumTargets();
    
    /// <returns></returns>
    String GetSearchString();
    
    /// <returns></returns>
    String GetSetupSearchString();
    
    /// <param name="targetId"></param>
    /// <returns></returns>
    String GetTargetApp(int targetId);
    
    /// <param name="targetId"></param>
    /// <returns></returns>
    String GetTargetId(int targetId);
    
    /// <param name="targetId"></param>
    /// <returns></returns>
    String GetTargetName(int targetId);
  }
}