using System;
namespace com.plumtree.portalpages.admin.editors.common.setjob
{
  /// <summary>
  /// This interface is implemented by the Model.
  /// It contains all the read-only mothods of the Model
  /// accessed by the Views.
  /// </summary>
  /// <author>Julie Fournier</author>
  public interface ISetJobModelRO
  {
    
    /// <seealso cref="com.plumtree.portalpages.admin.editors.common.setjob.SetJobModel#GetOwnerID()"></seealso>
    int GetOwnerID();
    
    /// <seealso cref="com.plumtree.portalpages.admin.editors.common.setjob.SetJobModel#GetOwnerName()"></seealso>
    String GetOwnerName();
    
    /// <seealso cref="com.plumtree.portalpages.admin.editors.common.setjob.SetJobModel#GetOwnerTreeSpaceID()"></seealso>
    String GetOwnerTreeSpaceID();
    
    /// <seealso cref="com.plumtree.portalpages.admin.editors.common.setjob.SetJobModel#IsSysAdmin()"></seealso>
    bool IsSysAdmin();
  }
}