using System;
// Framework Imports
using com.plumtree.portaluiinfrastructure.editor;
using com.plumtree.uiinfrastructure.expandablelist;
namespace com.plumtree.portalpages.admin.editors.doctype
{
  /// <summary>
  /// Delete that class if you don't have any repost actions.***
  /// </summary>
  public class DocTypeRepostControl : ObjEditorRepostControl
  {
    public const String STR_MVC_CLASS_NAME = "DocTypeRepost";
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()"></seealso>
    public override Object Create()
    {
      return new DocTypeRepostControl();
    }
    
    /// <summary>
    /// Returns the Class name.
    /// </summary>
    /// <returns>String</returns>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <summary>
    /// Switch between the action modes and call
    /// the associated method for each action.
    /// </summary>
    /// <param name="_nAction"></param>
    protected override void PerformAction(int _nAction)
    {
      base.PerformAction(_nAction);
      ((ExpListControl) m_asOwner.GetControl(DocTypeEditorAS.STR_MVC_STORAGE_NAME_PLUG_IN)).PerformRepostAction(_nAction,
       m_htFormData);
      switch (_nAction){
      }
    }
  }
}