using System;
// Framework Imports
using com.plumtree.openfoundation.util;
using com.plumtree.portaluiinfrastructure.editor;
namespace com.plumtree.portalpages.admin.editors.doctype
{
  public interface IDocTypeModelRO : IObjEditorModelRO
  {
    
    /// <summary>
    /// Returns the accessorCLSID.
    /// </summary>
    /// <returns>String</returns>
    String GetAccessorCLSID();
    
    /// <summary>
    /// Returns the accessors.
    /// </summary>
    /// <returns>XPHashtable</returns>
    XPHashtable GetAccessors();
    
    /// <summary>
    /// Returns the fullTextIndex.
    /// </summary>
    /// <returns>int</returns>
    bool GetFullTextIndex();
  }
}