using System;
using com.plumtree.portalpages.admin.editors.common.setjob;
using com.plumtree.portaluiinfrastructure.editor;
namespace com.plumtree.portalpages.admin.editors.externaloperations
{
  /// <author>OlegS</author>
  public class ExternalOperationEditorRepostControl : ObjEditorRepostControl
  {
    public const String STR_MVC_CLASS_NAME = "ExternalOperationEditorRepost";
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()"></seealso>
    public override Object Create()
    {
      return new ExternalOperationEditorRepostControl();
    }
    
    /// <returns></returns>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <param name="_nAction"></param>
    protected override void PerformAction(int _nAction)
    {
      base.PerformAction(_nAction);
      // for job plugin
      ((SetJobRepostControl) m_asOwner.GetControl(SetJobRepostControl.STR_MVC_CLASS_NAME)).PerformRepostAction(_nAction,
       m_htFormData);
    }
    protected override void SetRepostAction()
    {
      base.SetRepostAction();
      GetModel().m_nAction = m_nAction;
    }
    
    /// <returns></returns>
    protected virtual ExternalOperationEditorModel GetModel()
    {
      return (ExternalOperationEditorModel) m_model;
    }
  }
}