using System;
// Framework Imports
using com.plumtree.uiinfrastructure.expandablelist;
using com.plumtree.xpshared.htmlconstructs;
namespace com.plumtree.portalpages.admin.editors.group
{
  /// <summary>
  /// This interface is implemented by the Model.
  /// It contains all the read-only mothods of the Model
  /// accessed by the Views.
  /// </summary>
  /// <author>RickyW</author>
  public interface ISelectActivityRightsModelRO : IExpListModelRO
  {
    
    /// <seealso cref="com.plumtree.portalpages.common.selectptobject.SelectPTObjectModel#GetObjectClassIDs()"></seealso>
    String GetObjectClassIDs();
    
    /// <seealso cref="com.plumtree.portalpages.common.selectptobject.SelectPTObjectModel#GetRowIcon()"></seealso>
    PTImageType GetRowIcon();
    
    /// <seealso cref="com.plumtree.portaluiinfrastructure.expandablelist.selectptobject.SelectPTObjectModel#GetSelectedItems()"></seealso>
    String GetSelectedItems();
    
    /// <seealso cref="com.plumtree.portalpages.common.selectptobject.SelectPTObjectModel#GetTreeSpaceID()"></seealso>
    String GetTreeSpaceID();
    bool GetIsInherited();
  }
}