using System;
using com.plumtree.openfoundation.util;
using com.plumtree.portaluiinfrastructure.expandablelist.selectptobject;
using com.plumtree.server;
namespace com.plumtree.portalpages.admin.editors.invitation
{
  /// <author>DustinA</author>
  public class GroupListModel : SelectPTObjectModel,IGroupListModelRO
  {
    
    /// <summary>
    /// Object Name 
    /// </summary>
    public const String STR_MVC_CLASS_NAME = "GroupListModel";
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()"></seealso>
    public override Object Create()
    {
      return new GroupListModel();
    }
    
    /// <summary>
    /// Returns the Class name.
    /// </summary>
    /// <returns>String</returns>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <param name="_nRowIndex"></param>
    /// <returns></returns>
    public virtual bool IsEveryoneGroup(int _nRowIndex)
    {
      if (XPConvert.ToInteger(m_saData.GetItem(_nRowIndex, SelectPTObjectModel.EXPLIST_COL_OBJECTID)) == PT_INTRINSICS.PT_USERGROUP_EVERYONE)
      {
        return true;
      } else
      {
        return false;
      }
    }
  }
}