using System;
using com.plumtree.portaluiinfrastructure.editor;
using com.plumtree.portaluiinfrastructure.resultwrapper;
using com.plumtree.uiinfrastructure.activityspace;
namespace com.plumtree.portalpages.admin.editors.invitation
{
  public interface IInvitationModelRO : IObjEditorModelRO
  {
    
    /// <summary>
    /// Returns the User TreeSpace ID.
    /// </summary>
    /// <returns>String</returns>
    String GetAccessEdit();
    
    /// <summary>
    /// Get Default Profile ID.
    /// </summary>
    /// <returns>int</returns>
    int GetDefaultProfileID();
    
    /// <summary>
    /// Get Profiles
    /// </summary>
    /// <returns>IASQueryResult</returns>
    IASQueryResult GetProfiles();
    
    /// <summary>
    /// Get User Folder ID.
    /// </summary>
    /// <returns>String</returns>
    String GetUserFolderName();
    
    /// <summary>
    /// Get User Groups
    /// </summary>
    /// <returns>Object</returns>
    Object GetUserGroups();
    
    /// <summary>
    /// Returns the User TreeSpace ID.
    /// </summary>
    /// <returns>String</returns>
    String GetUserTreeSpaceID();
    
    /// <summary>
    /// Returns the ASURL of SubEditor.
    /// </summary>
    /// <returns>AActivitySpace</returns>
    ASURL GetASURLToSubEditor();
  }
}