using System;
using com.plumtree.portaluiinfrastructure.editor;
using com.plumtree.uiinfrastructure.errordisplay;
namespace com.plumtree.portalpages.admin.editors.portlet
{
  /// <author>
  /// adolfoc To change this generated comment edit the template variable
  /// "typecomment": Window>Preferences>Java>Templates. To enable and
  /// disable the creation of type comments go to
  /// Window>Preferences>Java>Code Generation.
  /// </author>
  public class PortletRepostControl : ObjEditorRepostControl
  {
    public const String STR_MVC_CLASS_NAME = "PortletRepost";
    public const int POSTTOSELF_ACTION_WEB_SERVICE_CHOSEN = 10;
    
    /// <summary>
    /// Repost that occurs when the Web Service is chosen via Tree Section 
    /// </summary>
    public const int POSTTOSELF_ACTION_CHANGE_TAB = 11;
    
    /// <returns></returns>
    public override Object Create()
    {
      return new PortletRepostControl();
    }
    
    /// <summary>
    /// Returns the Class name.
    /// </summary>
    /// <returns>String</returns>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <summary>
    /// Switch between the action modes and call  the associated method for each
    /// action.
    /// </summary>
    /// <param name="_nAction"></param>
    protected override void PerformAction(int _nAction)
    {
      base.PerformAction(_nAction);
      switch (_nAction){
      case POSTTOSELF_ACTION_CHANGE_TAB:
      ((PortletModel) base.m_asOwner.GetModel(PortletModel.STR_MVC_CLASS_NAME)).SavePage(MainDP.STR_MVC_CLASS_NAME,
       m_htFormData);
      // Save page is called before we get here - it may error that the webservice is not
      // up-to-date (or that the remote server's not selected). It shouldn't do that.
      UIErrorHandler.ClearErrors(m_asOwner.GetSubSession(), m_asOwner.GetApplication());
      break;
      }
    }
  }
}