using System;
namespace com.plumtree.portalpages.admin.editors.portlet.plugins
{
  /// <author>adolfoc</author>
  public interface IPortletSettingsModelRO
  {
    
    /// <summary>
    /// Returns the Gadget Type from the currently edited object. See IPTGadget for details.
    /// </summary>
    /// <returns>int</returns>
    int GetPortletType();
    
    /// <summary>
    /// Returns the Portlet Size from the currently edited object. See IPTGadget for details.
    /// </summary>
    /// <returns>int</returns>
    int GetPortletSize();
    
    /// <summary>
    /// Returns true if the portlet title bar should be suppressed.
    /// </summary>
    /// <returns>boolean</returns>
    bool GetSuppressTitleBar();
  }
}