using System;
using com.plumtree.portalpages.browsing.editors.community;
using com.plumtree.uiinfrastructure.statichelpers;
using com.plumtree.xpshared.htmlelements;
namespace com.plumtree.portalpages.admin.editors.userprofilemanager
{
  /// <author>
  /// JHQ
  /// This class subclasses CommunityEditorPagesDP so that we can override the 
  /// string displayed on the left navigation.
  /// </author>
  public class UsrProfCommPagesDP : CommunityEditorPagesDP
  {
    /* (non-Javadoc)
     * @see com.plumtree.uiinfrastructure.editor.EditorDP#GetLeftNavString()
     */
     
    public override String GetLeftNavString()
    {
      return m_asOwner.GetString(2256, "ptmsgs_portaladminmsgs");
    }
    
    /// <summary>
    /// Implement this method to add HTML below the sub header.
    /// </summary>
    /// <returns>HTMLElement</returns>
    /// <throws>HTMLException</throws>
    protected override HTMLElement GetHTMLBelowSubHeader()
    {
      return HTMLConstructHelpers.GetSubHeader(m_asOwner.GetString(2355, "ptmsgs_portaladminmsgs"),
       this.m_asOwner);
    }
    /* (non-Javadoc)
     * @see com.plumtree.uiinfrastructure.editor.EditorDP#GetPageTitle()
     */
     
    public override String GetPageTitle()
    {
      return GetLeftNavString();
    }
  }
}