using System;
using com.plumtree.portalpages.browsing.editors.community;
using com.plumtree.xpshared.htmlelements;
namespace com.plumtree.portalpages.admin.editors.userprofilemanager
{
  /// <author>
  /// JHQ
  /// This class extends DisableSiteMapView so that it can be used within
  /// the user profile manager and return null for Display().  This is because
  /// in the user profile 'community', the disable site map function isn't valid.
  /// </author>
  public class UsrProfDisableSiteMapView : DisableSiteMapView
  {
    
    /// <summary>
    /// Object Name 
    /// </summary>
    public const String STR_MVC_CLASS_NAME = "UsrProfDisableSiteMap";
    /* (non-Javadoc)
     * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
     */
     
    public override Object Create()
    {
      return new UsrProfDisableSiteMapView();
    }
    /* (non-Javadoc)
     * @see com.plumtree.uiinfrastructure.activityspace.IView#Display()
     */
     
    public override HTMLElement Display()
    {
      return null;
    }
    /* (non-Javadoc)
     * @see com.plumtree.uiinfrastructure.activityspace.IMVCObject#GetName()
     */
     
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
  }
}