using System;
namespace com.plumtree.portalpages.admin.editors.webservice.plugins
{
  /// <author>josephs</author>
  public interface ICredentialVaultPluginModelRO
  {
    
    /// <returns></returns>
    String GetData(String name);
    
    /// <returns></returns>
    String GetLockboxName();
    int GetLockboxObjectID();
    
    /// <summary>
    /// Does this web service use a secure remote server?
    /// </summary>
    /// <returns>true if the remote server has a public key or uses an https:// base URL</returns>
    bool IsRemoteServerSecure();
  }
}