using System;
namespace com.plumtree.portalpages.admin.editors.webservice.plugins
{
  /// <author>JaneD</author>
  public interface IDebugPortletPluginModelRO
  {
    
    /// <summary>
    /// Returns the portlet id of the portlet for which debugging is turned on.
    /// If it returns 0, that means debugging should be turned on for ALL portlets.
    /// </summary>
    /// <returns></returns>
    int GetPortletID();
    
    /// <summary>
    /// Returns the portlet name of the portlet for which debugging is turned on.
    /// If it returns null, that means debugging should be turned on for ALL portlets.
    /// </summary>
    /// <returns></returns>
    String GetPortletName();
    
    /// <returns></returns>
    String GetData(String name);
    
    /// <summary>
    /// Returns webservice id.
    /// </summary>
    int GetWebServiceID();
  }
}