using System;
using com.plumtree.portalpages.common.helpers;
namespace com.plumtree.portalpages.admin.editors.webservice.plugins
{
  /// <author>adolfoc</author>
  public interface IGatewayCachingPluginModelRO
  {
    
    /// <summary>
    /// Get the PTDuration describing the Minimum Cache time
    /// </summary>
    /// <returns>PTDuration</returns>
    PTDuration GetMinCacheDuration();
    
    /// <summary>
    /// Get the PTDuration describing the Maximum Cache time
    /// </summary>
    /// <returns>PTDuration</returns>
    PTDuration GetMaxCacheDuration();
    
    /// <summary>
    /// Get whether or not the Suppress Errors checkbox is checked.
    /// </summary>
    bool SuppressErrorsChecked();
  }
}