using System;
namespace com.plumtree.portalpages.admin.editors.webservice.plugins
{
  /// <summary>
  /// This interface contains read-only methods for the intrinsic portlet help plugin.
  /// </summary>
  /// <author>Joseph Chen</author>
  public interface IIntrinsicHelpSpacePluginModelRO
  {
    
    /// <summary>
    /// Gets the intrinsic portlet help URL
    /// </summary>
    /// <returns>Intrinsic portlet URL</returns>
    String GetHelpURL();
  }
}