using System;
using com.plumtree.portaluiinfrastructure.search;
using com.plumtree.uiinfrastructure.activityspace;
namespace com.plumtree.portalpages.admin.objsearch
{
  /// <author>Matt Fryer</author>
  public interface IAdminSearchModelRO : IModelRO
  {
    
    /// <summary>
    /// Set the SearchResultModel associated with this Admin Search.
    /// </summary>
    void SetSearchModel(ISearchResultModelRO model);
    
    /// <summary>
    /// Get the SearchResultModel associated with this Admin Search.
    /// </summary>
    /// <returns>SearchResultModel.</returns>
    ISearchResultModelRO GetSearchModel();
  }
}