using System;
using com.plumtree.uiinfrastructure.activityspace;
namespace com.plumtree.portalpages.admin.ptutilities
{
  /// <version>5.0</version>
  /// <author>SudhaSathiaseelan</author>
  public interface IPlumtreeUtilitiesModelRO : IModelRO
  {
    
    /// <returns></returns>
    int GetNumSettingItems();
    
    /// <param name="_nIndex"></param>
    /// <returns></returns>
    String GetSettingItemName(int _nIndex);
    
    /// <param name="_nIndex"></param>
    /// <returns></returns>
    String GetSettingItemURL(int _nIndex);
    
    /// <param name="_nIndex"></param>
    /// <returns>activity right associated with this utility; returns PT_ACTIVITY_RIGHTS.PT_ACTIVITY_RIGHT_NONE if there is no activity right associated</returns>
    int GetActivityRightRestriction(int _nIndex);
    
    /// <param name="_nIndex"></param>
    /// <returns>true if this utility is a pluggable admin page; false if it is not</returns>
    bool IsPluggableAdmin(int _nIndex);
  }
}