using System;
// Framework Imports
using com.plumtree.uiinfrastructure.activityspace;
using com.plumtree.uiinfrastructure.expandablelist;
using com.plumtree.xpshared.htmlconstructs;
namespace com.plumtree.portalpages.admin.ptutilities.activitysecurity
{
  /// <summary>
  /// This interface is implemented by the Model.
  /// It contains all the read-only mothods of the Model
  /// accessed by the Views.
  /// </summary>
  /// <author>SudhaS</author>
  public interface IMainActivityRightsListModelRO : IExpListModelRO
  {
    //public XPArrayList GetArrayOfSubEditors();
    //public Object GetSubEditorAtIndex(int index);
    
    /// <seealso cref="com.plumtree.portalpagessample.editor.template4#GetASURLToProperty"></seealso>
    ASURL GetASURLToProperty(String _sSubSpaceKey);
    //public void AddPropertyToArray() ;
    ASURL GetEditObjectURL(int _nObjectID, String _strObjectName, String _strObjectDesc,
     String _strObjectURI, int nRow, bool _bDelegateRight);
    
    /// <seealso cref="com.plumtree.uiinfrastructure.expandablelist.GrowableListModel#GetRowIcon()"></seealso>
    PTImageType GetRowIcon();
    //public String GetName();
    //public String GetDescription();
    int[] GetRowsToDelete();
  }
}