using System;
using com.plumtree.uiinfrastructure.activityspace;
namespace com.plumtree.portalpages.admin.ptutilities.diagnostic.dynamicloads.varpacks
{
  /// <summary>
  /// Read only Model interface for the VarPackModel.
  /// </summary>
  /// <author>DonH</author>
  public interface IVarPackModelRO : IModelRO
  {
    
    /// <summary>
    /// Returns the ID of the current Var Pack being viewed by the user.
    /// </summary>
    /// <returns>String The ID of the current Var Pack being viewed by the user.</returns>
    String GetCurrentVarPackID();
    
    /// <returns></returns>
    bool GetAllowVarPackReload();
  }
}