using System;
using com.plumtree.portalpages.common.constants;
using com.plumtree.uiinfrastructure.form;
using com.plumtree.xpshared.htmlelements;
namespace com.plumtree.portalpages.admin.ptutilities.diagnostic.dynamicloads.varpacks
{
  /// <summary>
  /// This page displays the currently loaded varpacks.
  /// </summary>
  /// <author>DonH</author>
  public class VarPackPopupDP : SimplePopUpDP
  {
    public const String STR_MVC_CLASS_NAME = "VarPackPopUp";
    
    /// <seealso cref="com.plumtree.uiinfrastructure.form.SimplePopUpDP#GetTitle()"></seealso>
    public override String GetTitle()
    {
      // "Variable Packages"
      return m_asOwner.GetString(3083, ResourceConstants.PORTALADMINMSGS);
      }
    
    /// <seealso cref="com.plumtree.uiinfrastructure.form.SimplePopUpDP#PageDisplay()"></seealso>
    protected override HTMLElement PageDisplay()
    {
      return m_asOwner.GetView(VarPackView.STR_MVC_CLASS_NAME).Display();
      }
    
    /// <seealso cref="com.plumtree.uiinfrastructure.form.SimplePopUpDP#DisplayJavaScriptFromChild()"></seealso>
    protected override HTMLScriptCollection DisplayJavaScriptFromChild()
    {
      HTMLScriptCollection result = new HTMLScriptCollection();
      result.AddInnerHTMLElement(m_asOwner.GetView(VarPackView.STR_MVC_CLASS_NAME).DisplayJavascript());
      return result;
    }
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IMVCObject#GetName()"></seealso>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
  }
}