using System;
using com.plumtree.portalpages.admin.ptutilities.migrationutility;
namespace com.plumtree.portalpages.admin.ptutilities.migrationutility.imp
{
  /// <author>jennifersu</author>
  public interface IMigrationUtilityImportModelRO : IMigrationUtilityModelRO
  {
    
    /// <summary>
    /// Gets the Import ACLs setting
    /// </summary>
    /// <returns>boolean</returns>
    bool GetImportACLs();
    
    /// <summary>
    /// Gets the Remember Dependency Settings settings
    /// </summary>
    /// <returns>boolean</returns>
    bool GetRememberDependencySettings();
    
    /// <summary>
    /// Gets the Overwrite Remote Servers settings
    /// </summary>
    /// <returns>boolean</returns>
    bool GetOverwriteRemoteServers();
    
    /// <summary>
    /// Gets the Create New Object Instances settings
    /// </summary>
    /// <returns>boolean</returns>
    bool GetCreateNewObjectInstances();
  }
}