using System;
using com.plumtree.uiinfrastructure.editor;
using com.plumtree.uiinfrastructure.statichelpers;
using com.plumtree.xpshared.htmlelements;
namespace com.plumtree.portalpages.admin.serversettings.search
{
  /// <author>CraigS</author>
  public class BestBetsListDP : EditorDP
  {
    public const String STR_MVC_CLASS_NAME = "BestBetsList";
    public override String GetLeftNavString()
    {
      return m_asOwner.GetString(137, "ptmsgs_portalcommonmsgs");
    }
    
    /// <summary>
    /// Implement this method to add HTML below the sub header.
    /// </summary>
    /// <returns>HTMLElement</returns>
    /// <throws>HTMLException</throws>
    protected override HTMLElement GetHTMLBelowSubHeader()
    {
      return HTMLConstructHelpers.GetSubHeader(m_asOwner.GetString(2408, "ptmsgs_portaladminmsgs"),
       this.m_asOwner);
    }
    
    /// <returns></returns>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    // Strings to localize.
    //pkd extracted: ptmsgs_portalcommonmsgs 137 //  public final String _ui_PageTitle = "Best Bets";
    public override HTMLElement PageDisplay()
    {
      HTMLElementCollection result = new HTMLElementCollection();
      result.AddInnerHTMLElement(base.PageDisplay());
      HTMLElementCollection views = new HTMLElementCollection();
      views.AddInnerHTMLElement(((EditorView) (m_asOwner.GetView(BestBetsListView.STR_MVC_CLASS_NAME))).Display());
      result.AddInnerHTMLElement(CreateLeftNavBar(views));
      return result;
    }
    
    /// <returns></returns>
    /// <throws>HTMLException </throws>
    protected override HTMLScriptCollection DisplayJavaScriptFromChild()
    {
      HTMLScriptCollection myScripts = base.DisplayJavaScriptFromChild();
      myScripts.AddInnerHTMLElement(m_asOwner.GetView(BestBetsListView.STR_MVC_CLASS_NAME).DisplayJavascript());
      return myScripts;
    }
  }
}