using System;
using com.plumtree.portalpages.browsing.directory;
using com.plumtree.portalpages.common.createfolder;
using com.plumtree.uiinfrastructure.activityspace;
namespace com.plumtree.portalpages.browsing.directory.createfolder
{
  /// <author>StephenC</author>
  public class DirCreateFolderView : CreateFolderView,IView
  {
    public const String STR_MVC_CLASS_NAME = "DirCreateFolder";
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()"></seealso>
    public override Object Create()
    {
      return new DirCreateFolderView();
    }
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IMVCObject#GetName()"></seealso>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <seealso cref="com.plumtree.portalpages.common.createfolder.CreateFolderView#GetBannerTitle()"></seealso>
    public override String GetBannerTitle()
    {
      return m_asOwner.GetString(98, "ptmsgs_portalbrowsingmsgs");
    }
    
    /// <seealso cref="com.plumtree.portalpages.common.createfolder.CreateFolderView#GetCreateFolderRepostAction()"></seealso>
    public override int GetCreateFolderRepostAction()
    {
      return DirRepostControl.POSTTOSELF_ACTION_CREATEFOLDER;
    }
  }
}