using System;
using com.plumtree.uiinfrastructure.activityspace;
namespace com.plumtree.portalpages.browsing.directory.opendoc
{
  /// <author>John Osborne</author>
  public class OpenDocAS : AActivitySpace
  {
    public const String STR_MVC_CLASS_NAME = "OpenDoc";
    
    /// <seealso cref="com.plumtree.portaluiinfrastructure.activityspace.AActivitySpace#CheckBasicAccess(String,String,boolean)"></seealso>
    public override bool CheckBasicAccess(String strPage, String strControl,
     bool bSameSpace)
    {
      return true;
    }
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()"></seealso>
    public override Object Create()
    {
      return new OpenDocAS();
    }
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IMVCObject#GetName()"></seealso>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <seealso cref="com.plumtree.xpshared.activityspace.AActivitySpace#Init()"></seealso>
    public override void Init()
    {
      base.Init();
      RegisterModel(OpenDocModel.STR_MVC_CLASS_NAME);
      IModel myModel = GetModel(OpenDocModel.STR_MVC_CLASS_NAME);
      OpenDocDP myDP = new OpenDocDP();
      RegisterPage(myDP);
      RegisterControl(OpenDocControl.STR_MVC_CLASS_NAME, myModel);
    }
  }
}