using System;
// Framework Imports
using com.plumtree.portalpages.common.editpage;
using com.plumtree.portaluiinfrastructure.editor;
namespace com.plumtree.portalpages.browsing.editors.community
{
  /// <author>michaeld</author>
  public interface ICommunityEditorModelRO : IObjEditorModelRO
  {
    
    /// <summary>
    /// Returns the community folder id.
    /// </summary>
    /// <returns>int</returns>
    int GetCommunityFolderID();
    
    /// <summary>
    /// Get the page model at the given index.
    /// </summary>
    /// <returns>PageData</returns>
    PageData GetPageModelAt(int nPageIndex);
    
    /// <summary>
    /// Is Site Map Disabled
    /// </summary>
    /// <returns>boolean</returns>
    bool IsSiteMapDisabled();
  }
}