using System;
using com.plumtree.openfoundation.util;
namespace com.plumtree.portalpages.browsing.editors.community
{
  /// <author>
  /// robertz
  /// This is a hack, should really be a plugin model??
  /// </author>
  public interface IHeaderAndFooterModel
  {
    
    /// <returns>int</returns>
    int GetCommunityID();
    
    /// <returns>int</returns>
    int GetCommunityFolderID();
    
    /// <param name="name"></param>
    /// <returns>String</returns>
    String GetData(String name);
    
    /// <returns>boolean</returns>
    bool GetFooterHasCommunityPrefs();
    
    /// <returns>int</returns>
    int GetFooterID();
    
    /// <returns>String</returns>
    String GetFooterName();
    
    /// <returns>boolean</returns>
    bool GetHeaderHasCommunityPrefs();
    
    /// <returns>int</returns>
    int GetHeaderID();
    
    /// <returns>String</returns>
    String GetHeaderName();
    
    /// <summary>
    /// Check to see if the force subportal header/banner checkbox should be
    /// enabled.
    /// </summary>
    /// <returns>boolean</returns>
    bool IsTemplateSelector();
    void SetUseForceSubPortal(bool bForce);
    
    /// <param name="htFormData"></param>
    void RefreshItemFromFooterTree(XPHashtable htFormData);
    
    /// <param name="htFormData"></param>
    void RefreshItemFromHeaderTree(XPHashtable htFormData);
    
    /// <param name="bHeader"></param>
    void SetDefaultHeaderOrFooter(bool bHeader);
    
    /// <returns>boolean</returns>
    bool UsingFooterFromCommunityTemplate();
    
    /// <returns>boolean</returns>
    bool UsingHeaderFromCommunityTemplate();
  }
}