using System;
using com.plumtree.openlog;
using com.plumtree.portaluiinfrastructure.statichelpers;
using com.plumtree.uiinfrastructure.activityspace;
using com.plumtree.uiinfrastructure.editor;
using com.plumtree.xpshared.htmlelements;
namespace com.plumtree.portalpages.browsing.editors.directory.submit_D
{
  /// <author>StephenC</author>
  public class DirSubmitDoneDP_D : EditorDP
  {
    private static OpenLogger log = OpenLogService.GetLogger(OpenLogService.GetComponent(PTDebugHelpers.COMPONENT_PORTAL_BROWSING),
     "com.plumtree.portalpages.browsing.editors.directory.submit_D.DirSubmitDoneDP_D");
    public const String STR_MVC_CLASS_NAME = "DirSubmitDoneDP_D";
    /* (non-Javadoc)
     * @see com.plumtree.uiinfrastructure.editor.EditorDP#GetLeftNavString()
     */
     
    public override String GetLeftNavString()
    {
      return m_asOwner.GetString(1188, "ptmsgs_portalbrowsingmsgs");
    }
    
    /// <seealso cref="com.plumtree.xpshared.activityspace.IDisplayPage#GetName()"></seealso>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <seealso cref="com.plumtree.xpshared.activityspace.IDisplayPage#Init(AActivitySpace)"></seealso>
    public override void Init(AActivitySpace parent)
    {
      base.Init(parent);
      SetShow508FormFooter(false);
      parent.SetHelpTopic("PT_Submit_SimpleDocument");
    }
    
    /// <summary>
    /// helper display method for PlumtreeDP
    /// Fill in the body argument with HTML to display in the page.
    /// </summary>
    public override HTMLElement PageDisplay()
    {
      HTMLElementCollection wholePageGroup = new HTMLElementCollection();
      try
      {
        wholePageGroup.AddInnerHTMLElement(m_asOwner.GetView(DirSubmitDoneView_D.STR_MVC_CLASS_NAME).Display());
        }
      catch (HTMLException he)
      {
        log.Error(he, "Error in DirSubmitDoneDP_D::Display: " + he.Message);
        }
      return wholePageGroup;
    }
  }
}