using System;
// Framework Imports
using com.plumtree.portalpages.browsing.editors.dircommon.editdocumentproperty;
using com.plumtree.portalpages.common.documentlanguage;
using com.plumtree.portaluiinfrastructure.editor;
namespace com.plumtree.portalpages.browsing.editors.document
{
  /// <author>StephenC</author>
  public class CardEditorRepostControl : ObjEditorRepostControl
  {
    public const String STR_MVC_CLASS_NAME = "CardEditorRepost";
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()"></seealso>
    public override Object Create()
    {
      return new CardEditorRepostControl();
    }
    
    /// <summary>
    /// Returns the Class name.
    /// </summary>
    /// <returns>String</returns>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <summary>
    /// Switch between the action modes and call
    /// the associated method for each action.
    /// </summary>
    /// <param name="_nAction"></param>
    protected override void PerformAction(int _nAction)
    {
      base.PerformAction(_nAction);
      ((CardLanguagePlugInRepostControl) m_asOwner.GetControl(CardEditorAS.strCardLanguagePlugInKey)).PerformRepostAction(_nAction,
       m_htFormData);
      ((EditCardPropRepostControl) m_asOwner.GetControl(CardEditorAS.strEditCardPropertiesPlugInKey)).PerformRepostAction(_nAction,
       m_htFormData);
    }
    
    /// <seealso cref="com.plumtree.portaluiinfrastructure.editor.ObjEditorRepostControl#DisableSavePopUp()"></seealso>
    protected override bool DisableSavePopUp()
    {
      return true;
    }
  }
}