using System;
// Framework Imports
using com.plumtree.openfoundation.util;
using com.plumtree.portaluiinfrastructure.editor;
namespace com.plumtree.portalpages.browsing.editors.document
{
  /// <author>
  /// StephenC
  /// This interface is implemented by CardEditorModel.
  /// It contains all the read-only mothods of CardEditorModel.
  /// </author>
  public interface ICardEditorModelRO : IObjEditorModelRO
  {
    ///////////////////
    // Card Properties
    XPSortedDictionary GetBasicCardProperties();
    
    /// <returns></returns>
    XPSortedDictionary GetCardInformation();
    
    /// <returns></returns>
    String GetCreated();
    
    /// <returns></returns>
    XPSortedDictionary GetCustomCardProperties();
    
    /// <returns></returns>
    int GetDocType();
    
    /// <returns></returns>
    String GetLastModified();
    
    /// <returns></returns>
    String GetURL();
    
    /// <returns></returns>
    String GetCrawlerTag();
    //////////////////////
    // basic object ids
    
    /// <returns></returns>
    int GetClassID();
    
    /// <returns></returns>
    int GetObjectID();
    
    /// <returns></returns>
    String GetObjectUUID();
  }
}