using System;
using com.plumtree.uiinfrastructure.editor;
namespace com.plumtree.portalpages.browsing.editors.smartsort
{
  /// <summary>
  /// This interface is implemented by the Model.
  /// It contains all the read-only methods of the Model
  /// accessed by the Views.
  /// </summary>
  /// <author>OlegS</author>
  public interface ISmartSortEditorModelRO : IEditorModelRO
  {
    
    /// <param name="group"></param>
    /// <returns></returns>
    Object[] GetFolderIDs(int group);
    
    /// <returns></returns>
    String GetLastTreeSpaceId();
    
    /// <param name="n"></param>
    /// <returns></returns>
    bool GetSetting(int n);
    String makeListOfSourceFoldersAlreadyShown();
    String makeListOfDestinationFoldersAlreadyShown();
    
    /// <param name="group"></param>
    /// <returns></returns>
    bool GetSortAscending(int group);
    
    /// <returns></returns>
    String GetEmptyListInstructions();
    
    /// <returns></returns>
    String GetEmptyListMainMessage();
  }
}