using System;
using com.plumtree.uiinfrastructure.filedownload;
namespace com.plumtree.portalpages.browsing.filedownload
{
  /// <author>adolfoc</author>
  public class PTFileDownloadAS : AFileDownloadAS
  {
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.AActivitySpace#CheckBasicAccess(java.lang.String,java.lang.String,boolean)"></seealso>
    public override bool CheckBasicAccess(String strPage, String strControl,
     bool bSameSpace)
    {
      // AGC- Security is ensured by the owning AS - the filename for download must be stored
      // on the Session by a secured Editor.
      return true;
    }
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()"></seealso>
    public override Object Create()
    {
      return new PTFileDownloadAS();
    }
  }
}