using System;
using com.plumtree.server;
using com.plumtree.uiinfrastructure.activityspace;
using com.plumtree.xpshared.htmlelements;
namespace com.plumtree.portalpages.browsing.gateway
{
  /// <author>daniilk</author>
  public interface IGatewayModelRO : IModelRO
  {
    
    /// <returns></returns>
    byte[] GetBinaryBody();
    
    /// <returns></returns>
    String GetContentType();
    
    /// <returns></returns>
    String GetHeaders();
    
    /// <returns></returns>
    String GetName();
    
    /// <returns></returns>
    IPTSession GetSession();
    
    /// <returns></returns>
    int GetStatus();
    
    /// <returns></returns>
    Object[][] GetTextBody();
    
    /// <returns></returns>
    bool IsErrorPage();
    
    /// <returns></returns>
    bool IsReturnPage();
    
    /// <returns></returns>
    bool IsText();
    String GetUserURL();
    bool WasControlCalled();
    int GetCommunityID();
    String GetUIMode();
    bool IsDeviceUIMode();
    HTMLElement GetDisplayElement();
    String GetTitle();
    String GetSubtitle();
    int GetRefreshMode();
    int GetErrorCode();
    String GetErrorMessage();
    String GetErrorHTMLComment();
  }
}