using System;
using com.plumtree.portalpages.browsing.login;
using com.plumtree.portalpages.common.uiparts;
using com.plumtree.uiinfrastructure.activityspace;
namespace com.plumtree.portalpages.browsing.login.createaccount
{
  /// <author>BenG</author>
  public class CreateAccountAS : PlumtreeAS
  {
    public const String STR_MVC_CLASS_NAME = "CreateAccountAS";
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()"></seealso>
    public override Object Create()
    {
      return new CreateAccountAS();
    }
    
    /// <returns></returns>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <seealso cref="com.plumtree.xpshared.activityspace.AActivitySpace#Init()"></seealso>
    public override void Init()
    {
      base.Init();
      CreateAccountDP mainDP = new CreateAccountDP();
      RegisterPage(mainDP);
      WelcomeDP dp = new WelcomeDP();
      RegisterPage(dp);
      RegisterModel(CreateAccountModel.STR_MVC_CLASS_NAME);
      RegisterModel(LoginModel.STR_MVC_CLASS_NAME);
      IModel myModel = GetModel(CreateAccountModel.STR_MVC_CLASS_NAME);
      RegisterView(CreateAccountView.STR_MVC_CLASS_NAME, myModel);
      RegisterView(WelcomeView.STR_MVC_CLASS_NAME, myModel);
      RegisterControl(CreateAccountControl.STR_MVC_CLASS_NAME, myModel);
      RegisterControl(InterceptInvitationControl.STR_MVC_CLASS_NAME, myModel);
      myModel = GetModel(LoginModel.STR_MVC_CLASS_NAME);
      RegisterControl(LoginControl.STR_MVC_CLASS_NAME, myModel);
      this.SetHelpTopic("PT_CreateanAccount");
    }
  }
}