using System;
namespace com.plumtree.portalpages.browsing.myportal
{
  /// <author>michaeld</author>
  public class PortletColumnCountConstants
  {
    public static readonly PortletColumnCountConstants NONE = new PortletColumnCountConstants(0);
    public static readonly PortletColumnCountConstants ONE = new PortletColumnCountConstants(1);
    public static readonly PortletColumnCountConstants TWO = new PortletColumnCountConstants(2);
    public static readonly PortletColumnCountConstants THREE = new PortletColumnCountConstants(3);
    private int m_nPortletColumnCount;
    
    /// <summary>
    /// Creates a new PortletColumnCountConstants object.
    /// </summary>
    /// <param name="nPortletColumnCount"></param>
    private PortletColumnCountConstants(int nPortletColumnCount)
    {
      m_nPortletColumnCount = nPortletColumnCount;
    }
    
    /// <returns></returns>
    public virtual int ToInt()
    {
      return m_nPortletColumnCount;
    }
  }
}