using System;
namespace com.plumtree.portalpages.browsing.objectselection
{
  /// <author>michaeld</author>
  public interface IObjectSelectionAS
  {
    
    /// <summary>
    /// Get the banner text for the search results page.
    /// </summary>
    /// <returns>String</returns>
    String GetObjectBannerText();
    
    /// <summary>
    /// Get the banner title for the search results page.
    /// </summary>
    /// <returns>String</returns>
    String GetObjectBannerTitle();
    
    /// <summary>
    /// Get the prompt for the search box.
    /// </summary>
    /// <returns>String</returns>
    String GetSearchPrompt();
  }
}