using System;
namespace com.plumtree.portalpages.browsing.objectselection
{
  /// <author>michaeld</author>
  public class ObjSelQueryArguments
  {
    
    /// <summary>
    /// Start Editor Query String Argument: Selector Page ID 
    /// </summary>
    /// <deprecated></deprecated>
    public const String HTMLINPUT_OBJECTSELECTION_SELECTORPAGEID = "SelectorPageID";
    
    /// <summary>
    /// Start Editor Query String Argument: Selector Community ID 
    /// </summary>
    public const String HTMLINPUT_OBJECTSELECTION_SELECTORCOMMUNITYID = "SelectorCommunityID";
    
    /// <summary>
    /// Start Editor Query String Argument: Selector Object ID 
    /// </summary>
    public const String HTMLINPUT_OBJECTSELECTION_SELECTOROBJECTID = "SelectorObjectID";
    
    /// <summary>
    /// Start Editor Query String Argument: Selector Class ID 
    /// </summary>
    public const String HTMLINPUT_OBJECTSELECTION_SELECTORCLASSID = "SelectorClassID";
    
    /// <summary>
    /// Start Editor Query String Argument: Selector Folder ID 
    /// </summary>
    public const String HTMLINPUT_OBJECTSELECTION_SELECTORFOLDERID = "SelectorFolderID";
    
    /// <summary>
    /// Start Editor Query String Argument: Additional search properties to return in search result *
    /// </summary>
    public const String HTMLINPUT_OBJECTSELECTION_SEARCH_RETURNPROPIDS = "SearchReturnProps";
    
    /// <summary>
    /// Start Editor Query String Argument: Default result order by property  *
    /// </summary>
    public const String HTMLINPUT_OBJECTSELECTION_SEARCH_ORDERBYPROPID = "DefaultOrderBy";
    
    /// <summary>
    /// Refresh Query String Argument: OnClick Object ID 
    /// </summary>
    public const String HTMLINPUT_OBJECTSELECTION_ONCLICKOBJECTID = "OnClickObjectID";
    
    /// <summary>
    /// Refresh Query String Argument: OnClick AlignmentT 
    /// </summary>
    public const String HTMLINPUT_OBJECTSELECTION_ONCLICKALIGNMENT = "OnClickAlignment";
    
    /// <summary>
    /// Refresh Query String Argument: OnClick Name 
    /// </summary>
    public const String HTMLINPUT_OBJECTSELECTION_ONCLICKNAME = "OnClickName";
    
    /// <summary>
    /// Refresh Query String Argument: Sorting property *
    /// </summary>
    public const String HTMLINPUT_OBJECTSELECTION_SORTPROPERTYID = "SortPropID";
    
    /// <summary>
    /// Refresh Query String Argument: Max Number of result columns *
    /// </summary>
    public const String MAX_RESULT_COLUMNS = "MaxResultColumns";
  }
}