/*
 * Created on Feb 24, 2003
 */
 
using System;
namespace com.plumtree.portalpages.browsing.portletpreview
{
  /// <author>
  /// DavidP
  /// Object used in list of items for generating invite URLs
  /// </author>
  public class CommunityInviteItem
  {
    private String m_communityName;
    private int m_communityID;
    public CommunityInviteItem(int commID, String commName)
    {
      m_communityName = commName;
      m_communityID = commID;
    }
    
    /// <returns>String</returns>
    public virtual String GetCommunityName()
    {
      return m_communityName;
    }
    
    /// <param name="name"></param>
    public virtual void SetCommunityName(String name)
    {
      m_communityName = name;
    }
    
    /// <param name="id"></param>
    public virtual void SetCommunityID(int id)
    {
      m_communityID = id;
    }
    
    /// <returns>int</returns>
    public virtual int GetCommunityID()
    {
      return m_communityID;
    }
  }
}