using System;
using com.plumtree.portaluiinfrastructure.filter;
using com.plumtree.uiinfrastructure.editor;
namespace com.plumtree.portalpages.browsing.search.advanced
{
  /// <author>CraigS</author>
  public interface IAdvancedSearchModelRO : IEditorModelRO,IFilterIteratorContainerRO
  {
    
    /// <summary>
    /// Whether to flag items that will cause errors if the search is submitted.
    /// It's nice to not do this at first, so the user can assemble a search without
    /// being constantly pestered, then we turn on validation once the user first
    /// attempts to submit the search.
    /// </summary>
    bool GetShowPotentialErrors();
    /*
     * This is one of the modes defined in SearchPageModeHelper. There
     * are not setter methods, currently, since the mode is just being passed through.
     */
     
    String GetMode();
  }
}