using System;
using com.plumtree.portalpages.common.uiparts;
using com.plumtree.uiinfrastructure.form;
namespace com.plumtree.portalpages.browsing.search.basic
{
  /// <summary>
  /// ActivitySpace for basic (banner) search.
  /// </summary>
  /// <author>MatthewF</author>
  public class BasicSearchAS : PlumtreeAS,IFormAS
  {
    public const String STR_MVC_CLASS_NAME = "BasicSearchAS";
    
    /// <returns></returns>
    public override Object Create()
    {
      return new BasicSearchAS();
    }
    
    /// <returns></returns>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <summary>
    /// Returns the name of the repost control class.
    /// </summary>
    /// <returns>String</returns>
    public override String GetRepostControlName()
    {
      return null;
    }
    public override void Init()
    {
      base.Init();
      // Register DisplayPages
      RegisterPage(new BasicSearchDP());
      // Register views
      RegisterView(BasicSearchView.STR_MVC_CLASS_NAME, null);
      RegisterView(BasicSearchButtonView.STR_MVC_CLASS_NAME, null);
      this.SetHelpTopic("PT_BasicSearch");
    }
  }
}