using System;
using com.plumtree.portalpages.common.uiparts;
using com.plumtree.uiinfrastructure.activityspace;
namespace com.plumtree.portalpages.browsing.sessionprefs
{
  /// <author>$author$</author>
  public class SessionPrefsAS : PlumtreeAS
  {
    public const String STR_MVC_CLASS_NAME = "SessionPrefs";
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()"></seealso>
    public override Object Create()
    {
      return new SessionPrefsAS();
    }
    
    /// <seealso cref="com.plumtree.portaluiinfrastructure.activityspace.AActivitySpace#GetName()"></seealso>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <seealso cref="com.plumtree.xpshared.activityspace.AActivitySpace#Init()"></seealso>
    public override void Init()
    {
      base.Init();
      // Session Prefs Display Page
      SessionPrefsDP myPage = new SessionPrefsDP();
      RegisterPage(myPage);
      // Session Prefs Model
      RegisterModel(SessionPrefsModel.STR_MVC_CLASS_NAME);
      IModel myModel = GetModel(SessionPrefsModel.STR_MVC_CLASS_NAME);
      // Session Prefs Control
      RegisterControl(SessionPrefsControl.STR_MVC_CLASS_NAME, myModel);
    }
    
    /// <seealso cref="com.plumtree.portaluiinfrastructure.activityspace.AActivitySpace#CheckBasicAccess(String,String,boolean)"></seealso>
    public override bool CheckBasicAccess(String strPage, String strControl,
     bool bSameSpace)
    {
      // DCA - call super's to check for change in navigational scheme
      base.CheckBasicAccess(strPage, strControl, bSameSpace);
      return true;
    }
  }
}