using System;
using com.plumtree.portalpages.common.folder;
using com.plumtree.portalpages.common.objects;
using com.plumtree.uiinfrastructure.activityspace;
using com.plumtree.uiinfrastructure.arraywrapper;
namespace com.plumtree.portalpages.browsing.sitemap.sitemappage
{
  /// <summary>
  /// File: ISiteMapModelRO.java
  /// -------------------------
  /// This interface is for the Read Only functions in the SiteMapModel.
  /// </summary>
  /// <author>NaveenP</author>
  public interface ISiteMapModelRO : IModelRO,IFolderModelRO,IObjectModelRO
  {
    
    /// <returns></returns>
    int GetCommunityID();
    
    /// <returns></returns>
    PTSortedArrayWrapper GetCommunityPages();
    
    /// <returns></returns>
    bool GetHasEditAccessToFolder();
    
    /// <returns></returns>
    int GetMode();
    
    /// <returns></returns>
    int GetSiteMapRootID();
    //public boolean HasEditAccessToCommunity();
    
    /// <returns></returns>
    bool IsBrowseMode();
    
    /// <returns></returns>
    bool IsEditMode();
    bool IsPreviewPage();
  }
}