using System;
using com.plumtree.portalpages.common.createfolder;
namespace com.plumtree.portalpages.browsing.sitemap.sitemappage
{
  /// <author>
  /// Naveen Pai
  /// This view is for a simple pop-up to create as site map folder.
  /// </author>
  public class SiteMapCreateFolderView : CreateFolderView
  {
    
    /// <summary>
    /// name of this view 
    /// </summary>
    public const String STR_MVC_CLASS_NAME = "SiteMapCreateFolder";
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()"></seealso>
    public override Object Create()
    {
      return new SiteMapCreateFolderView();
    }
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IMVCObject#GetName()"></seealso>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <seealso cref="com.plumtree.portalpages.common.createfolder.CreateFolderView#GetBannerTitle()"></seealso>
    public override String GetBannerTitle()
    {
      return m_asOwner.GetString(1615, "ptmsgs_portalbrowsingmsgs");
    }
    
    /// <seealso cref="com.plumtree.portalpages.common.createfolder.CreateFolderView#GetCreateFolderRepostAction()"></seealso>
    public override int GetCreateFolderRepostAction()
    {
      return SiteMapRepostControl.POSTTOSELF_ACTION_CREATE_FOLDER;
    }
  }
}