using System;
using com.plumtree.openfoundation.util;
using com.plumtree.portalpages.admin.objmgr;
using AdvancedSearchAS=com.plumtree.portalpages.browsing.search.advanced.AdvancedSearchAS;
using AdvancedSearchRepostControl=com.plumtree.portalpages.browsing.search.advanced.AdvancedSearchRepostControl;
using com.plumtree.portalpages.common.documentlanguage;
using com.plumtree.portalpages.common.search;
using com.plumtree.portalpages.common.uiparts;
using com.plumtree.server;
using com.plumtree.uiinfrastructure.activityspace;
using com.plumtree.uiinfrastructure.constants;
using com.plumtree.uiinfrastructure.editor;
using com.plumtree.uiinfrastructure.form;
using com.plumtree.uiinfrastructure.web;
namespace com.plumtree.portalpages.browsing.topbestbethandler
{
  public class TopBestBetHandlerAS : PlumtreeAS
  {
    // DCD: The name of this activity space
    public const String CLASS_NAME = "TopBestBetHandlerAS";
    // DCD: Implemented method declared abstract in PlumtreeAS. ?
    public override Object Create()
    {
      return new TopBestBetHandlerAS();
    }
    // DCD: Implemented method declared abstract in PlumtreeAS.  ?
    public override String GetName()
    {
      return TopBestBetHandlerAS.CLASS_NAME;
    }
    // DCD: Overrides IFormAS method. ?
    public override String GetRepostControlName()
    {
      return TopBestBetHandlerCT.CLASS_NAME;
    }
    // DCD: Overrides AFormAS method.  Required.
    public override void Init()
    {
      base.Init();
      // DCD: Register the TBB control with this AS.  We're not using a model, so pass in null (which
      // I understand should be okay.
      RegisterControl(TopBestBetHandlerCT.CLASS_NAME, null);
    }
  }
}