using System;
using com.plumtree.portalpages.common.uiparts;
using com.plumtree.uiinfrastructure.activityspace;
namespace com.plumtree.portalpages.common.areyousure
{
  /// <author>adolfoc</author>
  public class AreYouSureAS : PlumtreeAS
  {
    public const String STR_MVC_CLASS_NAME = "AreYouSure";
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()"></seealso>
    public override Object Create()
    {
      return new AreYouSureAS();
    }
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IMVCObject#GetName()"></seealso>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.AActivitySpace#Init()"></seealso>
    public override void Init()
    {
      base.Init();
      RegisterModel(AreYouSureModel.STR_MVC_CLASS_NAME, AreYouSureModel.STR_MVC_CLASS_NAME);
      IModel myModel = GetModel(AreYouSureModel.STR_MVC_CLASS_NAME);
      RegisterPage(new AYSPopupDP());
      RegisterPage(new AYSPopupTopFrameDP());
      RegisterPage(new AYSPopupBottomFrameDP());
      RegisterPage(new AYSPopupBodyFrameDP());
      RegisterView(AYSMessageView.STR_MVC_CLASS_NAME, myModel);
      RegisterView(AYSTopView.STR_MVC_CLASS_NAME, myModel);
      RegisterView(AYSBottomView.STR_MVC_CLASS_NAME, myModel);
      RegisterControl(AreYouSureControl.STR_MVC_CLASS_NAME, myModel);
    }
  }
}