using System;
namespace com.plumtree.portalpages.common.documentlanguage
{
  /// <author>
  /// StephenC
  /// This interface is implemented by the Model.
  /// It contains all the read-only mothods of the Model
  /// accessed by the Views.
  /// </author>
  public interface ICardLanguagePlugInModelRO
  {
    
    /// <returns></returns>
    String[] GetAllLanguageCodes();
    
    /// <returns></returns>
    String[] GetAllLanguageNames();
    
    /// <returns></returns>
    String GetCardLanguageCode();
    
    /// <returns></returns>
    bool GetDisplayOnlyPopularLanguages();
    
    /// <returns></returns>
    String GetInstructionLabel();
    
    /// <returns></returns>
    String[] GetPopularLanguageCodes();
    
    /// <returns></returns>
    String[] GetPopularLanguageNames();
    
    /// <returns></returns>
    String GetViewTitle();
    
    /// <returns></returns>
    bool IncludeAllLanguagesOption();
  }
}