using System;
using com.plumtree.openfoundation.util;
namespace com.plumtree.portalpages.common.helpers
{
  /// <author>OlegS</author>
  public class QueryString : PropertySource
  {
    protected XPHashtable m_ht;
    
    /// <summary>
    /// Creates a new QueryString object.
    /// </summary>
    /// <param name="_htFormData"></param>
    public QueryString(XPHashtable _htFormData)
    {
      m_ht = _htFormData;
    }
    
    /// <param name="id"></param>
    /// <returns></returns>
    public override Object Get(Object id)
    {
      Object o = m_ht.GetElement(id);
      if (o == null)
      {
        return null;
      } else
      {
        if (((String[]) o).Length == 0)
        {
          return null;
        } else
        {
          return ((String[]) o)[0];
        }
      }
    }
    
    /// <param name="id"></param>
    /// <param name="value"></param>
    public override void Set(Object id, Object value)
    {
      throw new XPException("QueryString property source is readonly");
    }
  }
}