/*
 * Created on Mar 7, 2003
 */
 
using System;
namespace com.plumtree.portalpages.common.plugnav
{
  /// <summary>
  /// MyPage page specific functions for pluggable navigation.
  /// </summary>
  /// <author>DavidP</author>
  public interface IMyPageNavPageRO : INavigationPageRO
  {
    
    /// <summary>
    /// Unique String Name of category of object.  Critical for link blocking by pluggable nav.
    /// </summary>
    String GetName();
    
    /// <summary>
    /// Get the ID of the current MyPage
    /// </summary>
    /// <returns>Current Mypage ID</returns>
    int GetCurPageID();
    
    /// <summary>
    /// Get the name of the current MyPage
    /// </summary>
    /// <returns>Current Mypage Name</returns>
    String GetCurPageName();
  }
}