using System;
using com.plumtree.openfoundation.util;
using com.plumtree.uiinfrastructure.activityspace;
namespace com.plumtree.portalpages.common.search
{
  /// <author>CraigS, based on MikeS/OlegS code</author>
  public interface IFolderSelectorModelRO : IModelRO
  {
    
    /// <returns></returns>
    bool GetIncludeSubfolders();
    
    /// <param name="adminOrCatalog"></param>
    /// <returns></returns>
    String GetLastTreeSpaceId(bool adminOrCatalog);
    
    /// <returns></returns>
    bool GetMultiSelectMode();
    
    /// <param name="adminOrCatalog"></param>
    /// <returns></returns>
    IXPCollection GetSelections(bool adminOrCatalog);
    
    /// <summary>
    /// Returns a comma-separated list of classid,objectid pairs used
    /// to initialize the tree view.
    /// </summary>
    /// <param name="isAdmin">True, return admin folder selections.</param>
    /// <returns></returns>
    String GetFolderSelections(bool isAdmin);
  }
}