using System;
using INavTypes=com.plumtree.portaluiinfrastructure.navtype.INavTypes;
namespace com.plumtree.portalpages.common.uiparts
{
  /// <author>Ravi Tunuguntla</author>
  public interface ITypes
  {
    
    /// <summary>
    /// This method gets the correct navtype for the nav scheme,
    /// correcting for Macintosh users.
    /// </summary>
    /// <param name="int">nNavScheme the desired navigation scheme.</param>
    /// <returns>INavTypes the appropriate navigation scheme.</returns>
    INavTypes GetNavType(int scheme);
  }
}