/*
 * Created on Mar 5, 2003
 */
 
using System;
using com.plumtree.portalpages.common.plugnav;
using com.plumtree.portalpages.common.uiparts;
namespace com.plumtree.portalpages.common.uiparts.navpagetype
{
  /// <summary>
  /// Delegates model methods only usable by login page.
  /// </summary>
  /// <author>DavidP</author>
  public class LoginNavPage : NavigationPage,ILoginNavPageRO
  {
    
    /// <summary>
    /// Unique String Name of category of object.  Critical for link blocking by pluggable nav.
    /// </summary>
    public override String GetName()
    {
      return NavPageType.LOGIN.ToString();
    }
    
    /// <summary>
    /// CommunityPreviewNavPage constructor.   
    /// </summary>
    /// <param name="model"></param>
    public LoginNavPage(INavigationModelRO model) : base(model, NavPageType.LOGIN)
    {
    }
  }
}