/*
 * Created on Mar 5, 2003
 */
 
using System;
using com.plumtree.portalpages.common.plugnav;
using com.plumtree.portalpages.common.uiparts;
namespace com.plumtree.portalpages.common.uiparts.navpagetype
{
  /// <summary>
  /// Delegates model methods only usable by my pages.
  /// </summary>
  /// <author>DavidP</author>
  public class MyPageNavPage : NavigationPage,IMyPageNavPageRO
  {
    
    /// <summary>
    /// Unique String Name of category of object.  Critical for link blocking by pluggable nav.
    /// </summary>
    public override String GetName()
    {
      return NavPageType.MYPAGE.ToString();
    }
    
    /// <summary>
    /// CommunityPreviewNavPage constructor.   
    /// </summary>
    /// <param name="model"></param>
    public MyPageNavPage(INavigationModelRO model) : base(model, NavPageType.MYPAGE)
    {
    }
    
    /// <returns>int</returns>
    public virtual int GetCurPageID()
    {
      return m_model.GetCurPageID();
    }
    
    /// <returns>String</returns>
    public virtual String GetCurPageName()
    {
      return m_model.GetCurPageName();
    }
  }
}