/*
 * Created on Mar 5, 2003
 */
 
using System;
using com.plumtree.portalpages.common.plugnav;
using com.plumtree.portalpages.common.uiparts;
namespace com.plumtree.portalpages.common.uiparts.navpagetype
{
  /// <summary>
  /// Delegates those model calls only accessible from the user profiel page.
  /// </summary>
  /// <author>DavidP</author>
  public class UserProfileNavPage : NavigationPage,IUserProfileNavPageRO
  {
    
    /// <summary>
    /// Unique String Name of category of object.  Critical for link blocking by pluggable nav.
    /// </summary>
    public override String GetName()
    {
      return NavPageType.USERPROFILE.ToString();
    }
    
    /// <summary>
    /// UserProfileNavPage constructor.   
    /// </summary>
    /// <param name="model"></param>
    public UserProfileNavPage(INavigationModelRO model) : base(model, NavPageType.USERPROFILE)
    {
    }
  }
}