using System;
using com.plumtree.portalpages.common.uiparts;
namespace com.plumtree.portalpages.debug
{
  public class DebugAS : PlumtreeAS
  {
    public const String STR_MVC_CLASS_NAME = "Debug";
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()"></seealso>
    public override Object Create()
    {
      return new DebugAS();
    }
    
    /// <returns></returns>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <seealso cref="com.plumtree.xpshared.activityspace.AActivitySpace#Init()"></seealso>
    public override void Init()
    {
      base.Init();
      RegisterPage(new DebugDP());
    }
  }
}