using System;
using com.plumtree.portalpages.devices.choosepage.common;
using com.plumtree.uiinfrastructure.activityspace;
using com.plumtree.xpshared.htmlelements;
namespace com.plumtree.portalpages.devices.choosepage.wml
{
  /// <author>SudhaS</author>
  public class ChoosePageDevicesAS_WML : AActivitySpace
  {
    public const String STR_MVC_CLASS_NAME = "ChoosePageDevices_WML";
    
    /// <seealso cref="com.plumtree.xpshared.portalinfrastructure.activityspace.AActivitySpace#CheckBasicAccess(String,String,boolean)"></seealso>
    public override bool CheckBasicAccess(String strPage, String strControl,
     bool bSameSpace)
    {
      return true;
    }
    
    /// <seealso cref="com.plumtree.xpshared.infrastructure.activityspace.IManagedObject#Create()"></seealso>
    public override Object Create()
    {
      return new ChoosePageDevicesAS_WML();
    }
    
    /// <seealso cref="com.plumtree.xpshared.portalinfrastructure.activityspace.AActivitySpace#GetName()"></seealso>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <seealso cref="com.plumtree.xpshared.activityspace.AActivitySpace#GetStyleSheetLink()"></seealso>
    public override HTMLElementCollection GetStyleSheetLinks()
    {
      return null;
    }
    
    /// <seealso cref="com.plumtree.xpshared.activityspace.AActivitySpace#Init()"></seealso>
    public override void Init()
    {
      base.Init();
      // Portal Settings Display Page
      ChoosePageDevicesDP_WML myPage = new ChoosePageDevicesDP_WML();
      RegisterPage(myPage);
      // Portal Settings Model
      RegisterModel(ChoosePageDevicesModel.STR_MVC_CLASS_NAME);
      IModel myModel = GetModel(ChoosePageDevicesModel.STR_MVC_CLASS_NAME);
      // Portal Settings Control
      RegisterControl(ChoosePageDevicesControl.STR_MVC_CLASS_NAME, myModel);
      // Portal Settings Views
      RegisterView(ChoosePageDevicesView_WML.STR_MVC_CLASS_NAME, myModel);
      }
  }
}