using System;
using com.plumtree.uiinfrastructure.devices;
using com.plumtree.xpshared.htmlelements;
namespace com.plumtree.portalpages.devices.logoff.html32
{
  /// <author>SudhaS</author>
  public class LogoffDevicesDP_HTML32 : ADevicesDP_PDA
  {
    public const String STR_MVC_CLASS_NAME = "Logoff_HTML32";
    
    /// <seealso cref="com.plumtree.xpshared.portalinfrastructure.activityspace.IDisplayPage#GetName()"></seealso>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <returns></returns>
    /// <throws>HTMLException </throws>
    public override HTMLElement PageDisplay()
    {
      LogoffDevicesView_HTML32 dView = (LogoffDevicesView_HTML32) m_asOwner.GetView(LogoffDevicesView_HTML32.STR_MVC_CLASS_NAME);
      return dView.Display();
    }
  }
}