using System;
using com.plumtree.portalpages.devices.logoff.common;
using com.plumtree.uiinfrastructure.activityspace;
using com.plumtree.xpshared.htmlelements;
namespace com.plumtree.portalpages.devices.logoff.html32
{
  /// <author>SudhaS</author>
  public class LogoffDevicesView_HTML32 : IView
  {
    public const String STR_MVC_CLASS_NAME = "Logoff_HTML32";
    public const String WMLINPUT_NAME = "Logoff_name";
    public const String WMLINPUT_PASSWORD = "Logoff_password";
    public const String WMLINPUT_AUTHSRC = "Logoff_authsrc";
    private AActivitySpace m_asOwner;
    private ILogoffDevicesModelRO m_asmModel;
    
    /// <returns></returns>
    public virtual Object Create()
    {
      return new LogoffDevicesView_HTML32();
    }
    
    /// <returns></returns>
    public virtual HTMLScript DisplayJavascript()
    {
      return null;
    }
    
    /// <seealso cref="com.plumtree.xpshared.portalinfrastructure.activityspace.IView#Display()"></seealso>
    public virtual HTMLElement Display()
    {
      //SS - The logoff space creates a link to the login space
      HTMLTable myTable = new HTMLTable();
      HTMLTableRow myRow = new HTMLTableRow();
      myTable.AddInnerHTMLElement(myRow);
      HTMLTableCell myCell = new HTMLTableCell();
      myRow.AddInnerHTMLElement(myCell);
      ASURL myURL = new ASURL(m_asOwner);
      myURL.SetLinkCreateNewSpace("Login", m_asOwner);
      //myURL.SetControl(LoginDevicesControl.STR_MVC_CLASS_NAME);
      HTMLAnchor myAnchor = new HTMLAnchor(myURL.GetURLAsString());
      myAnchor.AddInnerHTMLString(m_asOwner.GetString(1419, "ptmsgs_portalbrowsingmsgs"));
      myCell.AddInnerHTMLElement(myAnchor);
      return myTable;
    }
    
    /// <seealso cref="com.plumtree.xpshared.portalinfrastructure.activityspace.IView#GetName()"></seealso>
    public virtual String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <summary>
    /// PortalSettings
    /// </summary>
    /// <seealso cref="com.plumtree.xpshared.portalinfrastructure.activityspace.IView#Init(IModelRO,AActivitySpace)"></seealso>
    public virtual void Init(IModelRO model, AActivitySpace parent)
    {
      m_asmModel = (ILogoffDevicesModelRO) model;
      m_asOwner = parent;
    }
  }
}