using System;
using com.plumtree.uiinfrastructure.activityspace;
using com.plumtree.xpshared.htmlelements;
namespace com.plumtree.portalpages.devices.mypage.common
{
  /// <author>SudhaS</author>
  public interface IMyPageDevicesModelRO : IModelRO
  {
    
    /// <param name="_strSpace"></param>
    /// <returns></returns>
    ASURL GetASURL(String _strSpace);
    
    /// <returns></returns>
    int GetCommunityID();
    
    /// <param name="s"></param>
    /// <param name="iMaxSize"></param>
    /// <param name="sEnd"></param>
    /// <returns></returns>
    String GetFixStringLength(String s, int iMaxSize, String sEnd);
    
    /// <returns></returns>
    int GetPortletCount();
    
    /// <param name="_nIndex"></param>
    /// <returns></returns>
    int GetPortletID(int _nIndex);
    
    /// <param name="_nIndex"></param>
    /// <returns></returns>
    String GetPortletName(int _nIndex);
    
    /// <param name="_nIndex"></param>
    /// <returns></returns>
    String GetPortletSummary(int _nIndex);
    
    /// <returns></returns>
    int GetListID();
    
    /// <param name="iCount"></param>
    /// <param name="iMaxNumber"></param>
    /// <returns></returns>
    int GetNumPages(int iCount, int iMaxNumber);
    
    /// <returns></returns>
    int GetPageID();
    String GetPageName();
    
    /// <returns></returns>
    void SetPortletContent(String _strUniqueID);
    
    /// <summary>
    /// The results of this method are not used in the Devices
    /// MyPage, but this method needs to be called before
    /// calling GetPortletName(int).
    /// </summary>
    /// <param name="_nIndex"></param>
    /// <returns></returns>
    HTMLTableCell GetPortletContent(int _nIndex);
  }
}