using System;
using com.plumtree.portalpages.devices.portlet.common;
using com.plumtree.uiinfrastructure.activityspace;
using com.plumtree.xpshared.htmlelements;
namespace com.plumtree.portalpages.devices.portlet.html32
{
  /// <author>SudhaS</author>
  public class PortletDevicesView_HTML32 : IView
  {
    public const String STR_MVC_CLASS_NAME = "PortletDevices_HTML32";
    public const String STR_UNIQUEID_HTML32 = "http://www.plumtree.com/uis/pda";
    private AActivitySpace m_asOwner;
    private IPortletDevicesModelRO m_asmModel;
    
    /// <returns></returns>
    public virtual Object Create()
    {
      return new PortletDevicesView_HTML32();
    }
    
    /// <returns></returns>
    public virtual HTMLElement Display()
    {
      HTMLTable myTable = new HTMLTable();
      HTMLTableRow myRow = new HTMLTableRow();
      myTable.AddInnerHTMLElement(myRow);
      HTMLTableCell myCell = new HTMLTableCell();
      myRow.AddInnerHTMLElement(myCell);
      m_asmModel.SetPortletContent(STR_UNIQUEID_HTML32);
      String strPortletContent = m_asmModel.GetPortletContent();
      myCell.AddInnerHTMLString(strPortletContent);
      return myTable;
    }
    
    /// <returns></returns>
    public virtual HTMLScript DisplayJavascript()
    {
      return null;
    }
    
    /// <seealso cref="com.plumtree.xpshared.portalinfrastructure.activityspace.IView#GetName()"></seealso>
    public virtual String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <summary>
    /// PortalSettings
    /// </summary>
    /// <seealso cref="com.plumtree.xpshared.portalinfrastructure.activityspace.IView#Init(IModelRO,AActivitySpace)"></seealso>
    public virtual void Init(IModelRO model, AActivitySpace parent)
    {
      m_asmModel = (IPortletDevicesModelRO) model;
      m_asOwner = parent;
    }
  }
}