using System;
using OpenLogService=com.plumtree.openlog.OpenLogService;
using OpenLogger=com.plumtree.openlog.OpenLogger;
using com.plumtree.portaluiinfrastructure.intrinsicportlets;
using PTDebugHelpers=com.plumtree.portaluiinfrastructure.statichelpers.PTDebugHelpers;
namespace com.plumtree.portalpages.portlets.headerfooter
{
  /// <summary>
  /// Standard Footer intrinsic portlet that wraps DefaultFooterView.
  /// </summary>
  /// <author>DavidP</author>
  public class StandardFooterModel : IntrinsicPortletModel
  {
    private static OpenLogger log = OpenLogService.GetLogger(OpenLogService.GetComponent(PTDebugHelpers.COMPONENT_PORTAL_PORTLETS),
     "com.plumtree.portalpages.portlets.headerfooter.StandardFooterModel");
    public const String STR_MVC_CLASS_NAME = "StandardFooter";
    /* (non-Javadoc)
     * @see com.plumtree.portaluiinfrastructure.intrinsicportlets.IIntrinsicPortletModelRO#ControlExists()
     */
     
    public override bool ControlExists()
    {
      return true;
    }
    /* (non-Javadoc)
     * @see com.plumtree.uiinfrastructure.activityspace.IMVCObject#GetName()
     */
     
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    /* (non-Javadoc)
     * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
     */
     
    public override Object Create()
    {
      return new StandardFooterModel();
    }
    /* (non-Javadoc)
     * @see com.plumtree.uiinfrastructure.activityspace.AClearModel#GetNewTempData()
     */
     
    public override Object GetNewTempData()
    {
      return null;
    }
  }
}