using System;
using XPHashtable=com.plumtree.openfoundation.util.XPHashtable;
using OpenLogService=com.plumtree.openlog.OpenLogService;
using OpenLogger=com.plumtree.openlog.OpenLogger;
using IntrinsicPortletControl=com.plumtree.portaluiinfrastructure.intrinsicportlets.IntrinsicPortletControl;
using PTDebugHelpers=com.plumtree.portaluiinfrastructure.statichelpers.PTDebugHelpers;
using Redirect=com.plumtree.uiinfrastructure.activityspace.Redirect;
namespace com.plumtree.portalpages.portlets.headerfooter
{
  /// <summary>
  /// An intrinsic portlet that wraps the DefaultHeaderView.
  /// Assigned to the default Experience Definition.
  /// </summary>
  /// <author>DavidP</author>
  public class StandardHeaderControl : IntrinsicPortletControl
  {
    private static OpenLogger log = OpenLogService.GetLogger(OpenLogService.GetComponent(PTDebugHelpers.COMPONENT_PORTAL_PORTLETS),
     "com.plumtree.portalpages.portlets.headerfooter.StandardHeaderControl");
    public const String STR_MVC_CLASS_NAME = "StandardHeader";
    /* (non-Javadoc)
     * @see com.plumtree.uiinfrastructure.activityspace.IControl#CheckActionSecurityAndExecute(com.plumtree.openfoundation.util.XPHashtable)
     */
     
    public override Redirect CheckActionSecurityAndExecute(XPHashtable arguments)
    {
      return null;
    }
    public override Object Create()
    {
      return new StandardHeaderControl();
    }
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    public override void PerformRepostAction(int _nAction, XPHashtable _htFormData)
    {
    }
  }
}