using System;
using com.plumtree.portalpages.common.constants;
using com.plumtree.uiinfrastructure.editor;
using com.plumtree.xpshared.htmlelements;
namespace com.plumtree.portalpages.portlets.intrinsicpageletparamprefeditor
{
  /// <author>rozhang</author>
  public class IntrinsicPrefsEditorForPageletParametersDP : EditorDP
  {
    public const String STR_MVC_CLASS_NAME = "IntrinsicPrefsEditorForPageletParametersDP";
    
    /// <seealso cref="com.plumtree.uiinfrastructure.editor.EditorDP#PageDisplay()"></seealso>
    public override HTMLElement PageDisplay()
    {
      HTMLElementCollection result = new HTMLElementCollection();
      // Insert super class HTML
      result.AddInnerHTMLElement(base.PageDisplay());
      HTMLElementCollection views = new HTMLElementCollection();
      views.AddInnerHTMLElement(((EditorView) m_asOwner.GetView(IntrinsicPrefsEditorForPageletParametersView.STR_MVC_CLASS_NAME)).Display());
      result.AddInnerHTMLElement(views);
      return result;
    }
    protected override HTMLScriptCollection DisplayJavaScriptFromChild()
    {
      //super.DisplayJavaScriptFromChild();
      HTMLScriptCollection myScripts = new HTMLScriptCollection();
      myScripts.AddInnerHTMLElement(m_asOwner.GetView(IntrinsicPrefsEditorForPageletParametersView.STR_MVC_CLASS_NAME).DisplayJavascript());
      return myScripts;
    }
    public override String GetLeftNavString()
    {
      return m_asOwner.GetString(1990, ResourceConstants.PORTALBROWSINGMSGS);
      }
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
  }
}