using System;
using com.plumtree.portaluiinfrastructure.compoundlist;
using com.plumtree.portaluiinfrastructure.intrinsicportlets;
namespace com.plumtree.portalpages.portlets.sitemap
{
  /// <version>$Revision$</version>
  /// <author>Bridget Frey</author>
  public interface ISiteMapPortletModelRO : IIntrinsicPortletModelRO
  {
    
    /// <returns></returns>
    int GetCommunityID();
    
    /// <returns></returns>
    String GetData();
    
    /// <returns></returns>
    int GetFolderID();
    
    /// <returns></returns>
    String GetFolderName();
    
    /// <returns></returns>
    bool GetHasEditAccessToCommunity();
    
    /// <returns></returns>
    bool GetHasEditAccessToFolder();
    
    /// <returns></returns>
    bool GetHasReadAccessToFolder();
    
    /// <returns></returns>
    ICPListEntryIterator GetLinks();
    
    /// <returns></returns>
    int GetNumLinksToDisplay();
    
    /// <returns></returns>
    String GetPrefsURL();
    
    /// <returns></returns>
    bool ShowDescriptions();
    
    /// <returns></returns>
    bool ShowMoreLink();
  }
}