using System;
using com.plumtree.openfoundation.util;
using com.plumtree.uiinfrastructure.expandablelist;
namespace com.plumtree.portalpages.portlets.sitemap.prefs
{
  /// <author>NaveenP</author>
  public class SiteMapPortletPrefsSortedLinksControl : ExpListControl
  {
    
    /// <summary>
    /// Object Name 
    /// </summary>
    public const String STR_MVC_CLASS_NAME = "SiteMapPortletPrefsSortedLinks";
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()"></seealso>
    public override Object Create()
    {
      return new SiteMapPortletPrefsSortedLinksControl();
    }
    
    /// <summary>
    /// Returns the Class name.
    /// </summary>
    /// <returns>String</returns>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <summary>
    /// Calls the method associated to the repost action. Editors using this
    /// framework need to call that method from the PerformRepostAction method
    /// of the main RepostControl.
    /// </summary>
    /// <param name="_nAction"></param>
    /// <param name="_htFormData"></param>
    public override void PerformRepostAction(int _nAction, XPHashtable _htFormData)
    {
      base.PerformRepostAction(_nAction, _htFormData);
    }
  }
}