using System;
using com.plumtree.portaluiinfrastructure.intrinsicportlets;
using com.plumtree.server;
namespace com.plumtree.portalpages.portlets.userprofile.communities
{
  /// <author>jennifersu</author>
  public interface ICommunitiesPortletModelRO : IIntrinsicPortletModelRO
  {
    
    /// <param name="profileUserID"></param>
    /// <returns></returns>
    IPTQueryResult GetSearchResults(int profileUserID);
    
    /// <param name="searchResponse"></param>
    /// <param name="index"></param>
    /// <param name="iCurrentUser"></param>
    /// <returns></returns>
    String GetUserRoles(IPTQueryResult searchResponse, int index, int iCurrentUser);
    
    /// <returns></returns>
    int GetProfileID();
    
    /// <returns></returns>
    int GetCurrentUser();
    
    /// <returns></returns>
    String GetTitle();
    
    /// <returns></returns>
    String GetPortletDescription();
  }
}