using System;
using com.plumtree.openfoundation.util;
using com.plumtree.uiinfrastructure.arraywrapper;
namespace com.plumtree.portalpages.browsing.mock.condition
{
  public class MockArrayWrapper : IPTGrowableSortedArrayWrapperRO
  {
    private XPArrayList items = new XPArrayList();
    public virtual int GetCount()
    {
      return items.GetSize();
    }
    public virtual Object GetItem(int iRow, int iPropID)
    {
      Object[] row = (Object[]) items.GetElement(iRow);
      return row[iPropID];
    }
    public virtual int[][] GetSort()
    {
      return null;
    }
    public virtual void AddRow(Object[] row)
    {
      items.Add(row);
    }
  }
}