using System;
using junit.framework;
using xpunit.framework;
using com.plumtree.portalpages.test.admin.editors.user;
using com.plumtree.portalpages.test.admin.serversettings.general;
namespace com.plumtree.portalpages.test.admin
{
  /// <summary>
  /// This suite contains the tests for the admin code.
  /// </summary>
  public class AdminTestSuite
  {
    public const String SUITENAME = "Admin Unit Tests";
    public static Test suite()
    {
      XpTestSuite suite = new XpTestSuite(SUITENAME);
      suite.addTestSuite(typeof(SetServerSettingsModelTest));
      suite.addTestSuite(typeof(UserModelTest));
      return suite;
    }
  }
}