package com.plumtree.portalpages.admin.editors.authsource;

import com.plumtree.portalpages.common.constants.*;
import com.plumtree.uiinfrastructure.editor.*;
import com.plumtree.uiinfrastructure.statichelpers.*;
import com.plumtree.xpshared.htmlelements.*;

/**
 * @author OlegS
 */
public abstract class AuthSourceMainDP extends EditorDP
{
	/**
	 *
	 *
	 * @return
	 */
	public String GetLeftNavString()
	{
		return m_asOwner.GetString(90, ResourceConstants.PORTALADMINMSGS);
	}

	/**
	 *
	 *
	 * @return
	 *
	 * @throws HTMLException
	 */
	public HTMLElement PageDisplay()
	{
		HTMLElementCollection result = new HTMLElementCollection();

		// Insert super class HTML
		result.AddInnerHTMLElement(super.PageDisplay());

		HTMLElementCollection views = new HTMLElementCollection();
		views.AddInnerHTMLElement(((EditorView) m_asOwner.GetView(
				((AuthSourceEditorAS) m_asOwner).GetViewNameMain())).Display());
		views.AddInnerHTMLElement(EditorView.GetSpacerTable());
		result.AddInnerHTMLElement(CreateLeftNavBar(views));

		return result;
	}

	/**
	 *
	 *
	 * @return
	 *
	 * @throws HTMLException
	 */
	protected HTMLScriptCollection DisplayJavaScriptFromChild()
	{
		HTMLScriptCollection myScripts = super.DisplayJavaScriptFromChild();
		HTMLScript script			   = m_asOwner.GetView(((AuthSourceEditorAS) m_asOwner).GetViewNameMain())
			.DisplayJavascript();

		if (script != null)
		{
			myScripts.AddInnerHTMLElement(script);
		}

		return myScripts;
	}

	/**
	 *
	 *
	 * @return
	 *
	 * @throws HTMLException
	 */
	protected HTMLElement GetHTMLBelowSubHeader() {
//pkd extracted: 		return HTMLConstructHelpers.GetSubHeader(_ui_MiniHelp,m_asOwner);
		return HTMLConstructHelpers.GetSubHeader(m_asOwner.GetString(1720, ResourceConstants.PORTALADMINMSGS),m_asOwner);
	}

}

