package com.plumtree.portalpages.admin.editors.authsource;

import com.plumtree.openfoundation.util.*;
import com.plumtree.portaluiinfrastructure.editor.*;

/**
 * @author OlegS
 */
public interface IAuthSourceModelRO extends IObjEditorModelRO
{
	public int GetNumDisabledUsers();

	public int GetNumReenabledUsers();

	/**
	 *
	 *
	 * @return
	 */
	public String GetAuthSourceCategory();

	/**
	 *
	 *
	 * @return
	 */
	public String GetEmptyListInstructions();

	/**
	 *
	 *
	 * @return
	 */
	public String GetEmptyListMainMessage();

	/**
	 *
	 *
	 * @param doFilterByAuthSource
	 *
	 * @return
	 */
	public Object[][] allGroups(boolean doFilterByAuthSource);

	/**
	 *
	 *
	 * @return
	 */
	public Object[][] authPartners();

	/**
	 *
	 *
	 * @return
	 */
	public int bulkCopyNum();

	/**
	 *
	 *
	 * @return
	 */
	/**
	 *
	 *
	 * @return
	 */
	public Object[][] defaultProfiles();

	/**
	 *
	 *
	 * @return
	 */
	public int deferredGroupFolderID();

	/**
	 *
	 *
	 * @return
	 */
	public int deletedUserFolderID();

	/**
	 *
	 *
	 * @return
	 */
	/**
	 *
	 *
	 * @return
	 */
	public Object[][] fullySyncedGroups();

	/**
	 *
	 *
	 * @param j
	 *
	 * @return
	 */
	public int groupsOrder(int j);

	/**
	 *
	 *
	 * @return
	 */
	public String lastTreeSpaceId_ADMINFOLDERTREESPACE();

	/**
	 *
	 *
	 * @return
	 */
	public String lastTreeSpaceId_USERGROUPTREESPACE();

	/**
	 *
	 *
	 * @return
	 */
	public String listOfMappedGroups();

	/**
	 *
	 *
	 * @return
	 */
	public String listOfUnmappedGroups();

	/**
	 *
	 *
	 * @return
	 */
	public String listOfAlienGroups();

	/**
	 *
	 *
	 * @return
	 */
	public String listOfSyncGroups();

	/**
	*
	*
	* @return
	*/
	public String listOfNewGroupsFolder();

	/**
	 *
	 *
	 * @return
	 */
	public String joinLists(String lst1,String lst2);

	/**
	 *
	 *
	 * @param reserveTopRows
	 *
	 * @return
	 */
	public Object[][] mappedGroups(int reserveTopRows);

	/**
	 *
	 *
	 * @return
	 */
	public int newGroupFolderId();

	/**
	 *
	 *
	 * @return
	 */
	public int numTemplates();

	/**
	 *
	 *
	 * @return
	 */
	public int selectedPartnerId();

	/**
	 *
	 *
	 * @return
	 */
	public int selectedTemplate();

	/**
	 *
	 *
	 * @return
	 */
	public int supportSyncMode();

	/**
	 *
	 *
	 * @return
	 */
	public int syncType();

	/**
	 *
	 *
	 * @param index
	 *
	 * @return
	 */
	public IXPPropertyBag templateContents(int index);

	/**
	 *
	 *
	 * @param index
	 *
	 * @return
	 */
	public String templateName(int index);

	/**
	 *
	 *
	 * @return
	 */
	/**
	 *
	 *
	 * @return
	 */
	public Object[][] unmappedGroups();
	
	/**
	 * Indicates whether or not the underlying Authentication Source
	 * should resolve cross authentication source memberships.
	 * 
	 * @return - <code>true</code> if it should, <code>false</code> if the
	 * 		authentication source shouldn't.
	 */
	public boolean ImportCrossASMemberships();
}

