package com.plumtree.portalpages.admin.editors.common.setjob;


/**
 * This interface is implemented by the Model.
 * It contains all the read-only mothods of the Model
 * accessed by the Views.
 *
 * @author Julie Fournier
 */
public interface ISetJobModelRO
{
	/**
	 * @see com.plumtree.portalpages.admin.editors.common.setjob.SetJobModel#GetOwnerID()
	 */
	public int GetOwnerID();

	/**
	 * @see com.plumtree.portalpages.admin.editors.common.setjob.SetJobModel#GetOwnerName()
	 */
	public String GetOwnerName();

	/**
	 * @see com.plumtree.portalpages.admin.editors.common.setjob.SetJobModel#GetOwnerTreeSpaceID()
	 */
	public String GetOwnerTreeSpaceID();

	/**
	 * @see com.plumtree.portalpages.admin.editors.common.setjob.SetJobModel#IsSysAdmin()
	 */
	public boolean IsSysAdmin();
}

