package com.plumtree.portalpages.admin.editors.defaultprofile;

import com.plumtree.uiinfrastructure.constants.*;
import com.plumtree.uiinfrastructure.form.*;
import com.plumtree.xpshared.htmlelements.*;

/**
 * File: EditDefaultProfileTopDP.java
 * ----------------------------------
 *
 * @author NaveenP
 */
public class EditDefaultProfileTopDP extends AFormDP
{

	public static final String STR_MVC_CLASS_NAME = "EditDefaultProfileTop";

	/**
	 *
	 *
	 * @return
	 */
	public String GetFormTitle()
	{
		return m_asOwner.GetString(328, "ptmsgs_portalbrowsingmsgs");
	}

	/**
	 * @see com.plumtree.xpshared.activityspace.IDisplayPage#GetName()
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 *
	 * @see com.plumtree.uiinfrastructure.form.AFormDP#PageDisplay()
	 */
	public HTMLElement PageDisplay()
		throws HTMLException
	{
		HTMLElementCollection result = new HTMLElementCollection();

		result.AddInnerHTMLElement(m_asOwner.GetView(
				EditDefaultProfileTopView.STR_MVC_CLASS_NAME).Display());

		return result;
	}

	/**
	 *
	 * @see com.plumtree.uiinfrastructure.form.AFormDP#DisplayJavaScriptFromChild()
	 */
	protected HTMLScriptCollection DisplayJavaScriptFromChild()
		throws HTMLException
	{
		HTMLScriptCollection scripts = new HTMLScriptCollection();

		//scripts.AddInnerHTMLElement(m_asOwner.GetView(DefaultProfileEditorTopView.STR_MVC_CLASS_NAME).DisplayJavascript());
		return scripts;
	}
	
	/*
	 * 
	 * This method determines whether to use Javascript.  On most pages,
	 * only the STANDARD portal uses JS.  However, on portal, community, and
	 * the default profile pages, the low-bandwidth portal can display JS.  In these
	 * cases, this method is overridden to allow JS for Standard and LB (which is the
	 * same as NOT 5_08).
	 * 
	 * @return boolean
	 */
	
	public boolean GetUseJavascript()
	{
		return(GetOwner().GetAccessStyle() != AccessStyles.SECTION_508);
	}
}

