package com.plumtree.portalpages.admin.editors.doctypemap;


// Framework Imports
import com.plumtree.uiinfrastructure.activityspace.*;
import com.plumtree.uiinfrastructure.expandablelist.*;
import com.plumtree.xpshared.htmlconstructs.*;

/**
 * This interface is implemented by the Model.
 * It contains all the read-only mothods of the Model
 * accessed by the Views.
 *
 * @author SudhaS
 */
public interface IGbDocTypeListModelRO extends IExpListModelRO
{
	/**
	* @see com.plumtree.portalpagessample.editor.template4#GetArrayOfSubEditors
	*/

	//public XPArrayList GetArrayOfSubEditors();
	//public Object GetSubEditorAtIndex(int index);

	/**
	 * @see com.plumtree.portalpagessample.editor.template4#GetASURLToProperty
	 */
	public ASURL GetASURLToProperty(String _sSubSpaceKey,
		String _strDefaultSpace);

	/**
	 *
	 *
	 * @param _nDocTypeID
	 * @param _nIndex
	 *
	 * @return
	 */
	public String GetDocTypeStringFromID(int _nDocTypeID, int _nIndex);

	//public void AddPropertyToArray() ;
	public ASURL GetEditObjectURL(int _nDocTypeID,
		String _strDocTypeIdentifier, int _nRowIndex);

	/**
	 *
	 *
	 * @return
	 */
	public int GetModelID();

	/**
	 * @see com.plumtree.uiinfrastructure.expandablelist.GrowableListModel#GetRowIcon()
	 *
	 */
	public PTImageType GetRowIcon();

	//public String GetName();
	//public String GetDescription();
	public String GetSecondAddLabel();

	public PTImageType GetSecondAddImageIcon();

	public int GetFolderID();
}

