package com.plumtree.portalpages.admin.editors.doctypemapextension;


// Framework Imports
import com.plumtree.uiinfrastructure.activityspace.*;
import com.plumtree.uiinfrastructure.expandablelist.*;
import com.plumtree.xpshared.htmlconstructs.*;

/**
 * This interface is implemented by the Model.
 * It contains all the read-only mothods of the Model
 * accessed by the Views.
 *
 * @author SudhaS
 */
public interface IGbDocTypeExtListModelRO extends IExpListModelRO
{
	/**
	* @see com.plumtree.portalpagessample.editor.template4#GetArrayOfSubEditors


	/**
	* @see com.plumtree.portalpagessample.editor.template4#GetASURLToProperty
	*/
	public ASURL GetASURLToProperty(String _sSubSpaceKey,
		String _strDefaultSpace);

	/**
	 *
	 *
	 * @param _nRowIndex
	 *
	 * @return
	 */
	public String GetDocTypeFromRowIndex(int _nRowIndex);

	/**
	 * @see com.plumtree.uiinfrastructure.expandablelist.GrowableListModel#GetRowIcon()
	 *
	 */
	public PTImageType GetRowIcon();

	/**
	 *
	 *
	 * @return
	 */
	public String GetSecondAddLabel();

}

