package com.plumtree.portalpages.admin.editors.externaloperations;

import com.plumtree.portalpages.admin.editors.common.setjob.*;
import com.plumtree.portaluiinfrastructure.editor.*;

/**
 * @author OlegS
 */
public class ExternalOperationEditorRepostControl extends ObjEditorRepostControl
{

	public static final String STR_MVC_CLASS_NAME = "ExternalOperationEditorRepost";

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new ExternalOperationEditorRepostControl();
	}

	/**
	 *
	 *
	 * @return
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 *
	 *
	 * @param _nAction
	 */
	protected void PerformAction(int _nAction)
	{
		super.PerformAction(_nAction);

		// for job plugin
		((SetJobRepostControl) m_asOwner.GetControl(SetJobRepostControl.STR_MVC_CLASS_NAME)).PerformRepostAction(_nAction,
			m_htFormData);
	}

	/**
	 *
	 */
	protected void SetRepostAction()
	{
		super.SetRepostAction();
		GetModel().m_nAction = m_nAction;
	}

	/**
	 *
	 *
	 * @return
	 */
	protected ExternalOperationEditorModel GetModel()
	{
		return (ExternalOperationEditorModel) m_model;
	}
}

