package com.plumtree.portalpages.admin.editors.filter;


// Framework Imports
import com.plumtree.portaluiinfrastructure.editor.*;


/**
* @author MikeS
 *
 */
public class FilterRepostControl extends ObjEditorRepostControl
{

	public static final String STR_MVC_CLASS_NAME = "FilterRepost";
	
	public static final int POSTTOSELF_ACTION_TEST_FILTER = 13;

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new FilterRepostControl();
	}

	/**
	 * Returns the Class name.
	 *
	 * @return String
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * Switch between the action modes and call
	 * the associated method for each action.
	 *
	 * @param _nAction
	 */
	protected void PerformAction(int _nAction)
	{
		super.PerformAction(_nAction);

		switch (_nAction)
		{
			case FilterRepostControl.POSTTOSELF_ACTION_GOTOPAGE:
			case FilterRepostControl.POSTTOSELF_ACTION_FINISH:
			case FilterRepostControl.POSTTOSELF_ACTION_SIMPLEREPOST:

			break;
			case POSTTOSELF_ACTION_TEST_FILTER:
				FilterModel model = (FilterModel)m_asOwner.GetModel(FilterModel.STR_MVC_CLASS_NAME);
				model.SetTestFilterArgs(m_htFormData);
			break;
		}
	}
}

