package com.plumtree.portalpages.admin.editors.group;


// Framework Imports
import com.plumtree.uiinfrastructure.expandablelist.*;
import com.plumtree.xpshared.htmlconstructs.*;

/**
 * This interface is implemented by the Model.
 * It contains all the read-only mothods of the Model
 * accessed by the Views.
 *
 * @author RickyW
 */
public interface ISelectActivityRightsModelRO extends IExpListModelRO
{
	/**
	 * @see com.plumtree.portalpages.common.selectptobject.SelectPTObjectModel#GetObjectClassIDs()
	 *
	 */
	public String GetObjectClassIDs();

	/**
	 * @see com.plumtree.portalpages.common.selectptobject.SelectPTObjectModel#GetRowIcon()
	 *
	 */
	public PTImageType GetRowIcon();

	/**
	 * @see com.plumtree.portaluiinfrastructure.expandablelist.selectptobject.SelectPTObjectModel#GetSelectedItems()
	 *
	 */
	public String GetSelectedItems();

	/**
	 * @see com.plumtree.portalpages.common.selectptobject.SelectPTObjectModel#GetTreeSpaceID()
	 *
	 */
	public String GetTreeSpaceID();
	
	public boolean GetIsInherited();
}

