package com.plumtree.portalpages.admin.editors.invitation;

import com.plumtree.openfoundation.util.*;
import com.plumtree.portaluiinfrastructure.expandablelist.selectptobject.*;
import com.plumtree.server.*;

/**
 * @author DustinA
 *
 */
public class GroupListModel extends SelectPTObjectModel
	implements IGroupListModelRO
{
	/** Object Name */
	public static final String STR_MVC_CLASS_NAME = "GroupListModel";

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new GroupListModel();
	}

	/**
	 * Returns the Class name.
	 *
	 * @return String
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 *
	 * @param _nRowIndex
	 *
	 * @return
	 */
	public boolean IsEveryoneGroup(int _nRowIndex)
	{
		if (XPConvert.ToInteger(m_saData.GetItem(_nRowIndex,
					SelectPTObjectModel.EXPLIST_COL_OBJECTID)) == PT_INTRINSICS.PT_USERGROUP_EVERYONE)
		{
			return true;
		}
		else
		{
			return false;
		}
	}
}

