package com.plumtree.portalpages.admin.editors.lockbox;


// Plumtree Server Imports
import com.plumtree.openlog.*;
import com.plumtree.portaluiinfrastructure.editor.*;
import com.plumtree.portaluiinfrastructure.statichelpers.*;

public class LockboxEditorRepostControl extends ObjEditorRepostControl
{
	private static OpenLogger log = OpenLogService.GetLogger(
		OpenLogService.GetComponent(PTDebugHelpers.COMPONENT_PORTAL_UI_INFRASTRUCTURE),
		"com.plumtree.portalpages.admin.editors.lockbox.LockboxEditorRepostControl");

	/** Class name for the Activity Space. */
	public static final String STR_MVC_CLASS_NAME = "LockboxEditorRepost";

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new LockboxEditorRepostControl();
	}

	/**
	 * Returns the Class name.
	 *
	 * @return String
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * Override this method to disable the save pop up.
	 *
	 * @return false
	 */
	protected boolean DisableSavePopUp()
	{
		return true;
	}
}

