package com.plumtree.portalpages.admin.editors.pagetemplate;


// Framework Imports
import com.plumtree.portalpages.common.editpage.*;
import com.plumtree.portaluiinfrastructure.editor.*;
import com.plumtree.portaluiinfrastructure.editor.commonpages.localizednames.*;

/**
 *
 * @author michaeld
 */
public class PageTemplateRepostControl extends ObjEditorRepostControl
{
	public static final String STR_MVC_CLASS_NAME = "PageTemplateRepost";
	public final static int POSTTOSELF_ACTION_PAGETEMPLATE1 = 10;

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new PageTemplateRepostControl();
	}

	/**
	 * Returns the Class name.
	 *
	 * @return String
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * Switch between the action modes and call  the associated method for each
	 * action.
	 *
	 * @param nAction
	 */
	protected void PerformAction(int nAction)
	{
		super.PerformAction(nAction);

		// You need to call the PerformRepostAction on the page layout control
		((PageLayoutControl) m_asOwner.GetControl(PageLayoutControl.STR_MVC_CLASS_NAME)).PerformRepostAction(nAction,
			m_htFormData);
			
		// Default Page Name
		((LocNamesRepostControl) m_asOwner.GetControl(PageTemplateEditorAS.PLUGIN_DEFAULT_PAGE_NAME)).PerformRepostAction(nAction,
			m_htFormData);
	}
}

