package com.plumtree.portalpages.admin.editors.portlet;

import com.plumtree.portaluiinfrastructure.editor.*;
import com.plumtree.server.*;

/**
 * @author adolfoc
 */
public interface IPortletModelRO extends IObjEditorModelRO
{
	public boolean IsForCommunity();

	public int GetFolderID();

	public int GetPortletType();

	/**
	 * Returns the current mode of this editor.
	 * Look in PortletData for a list of available PMODEs.
	 * @return int
	 */
	public int GetPMode();

	/**
	 * Returns the Portlet's visual size. See IPTGadget for more info.
	 * 
	 * @return
	 */
	public int GetPortletSize();

	public String GetProviderCLSID();

	public IPTWebService GetWebService();

	public boolean IsTemplate();
	
	public boolean IsMandatory();
}

