package com.plumtree.portalpages.admin.editors.portlet;
import com.plumtree.portaluiinfrastructure.editor.*;
import com.plumtree.uiinfrastructure.errordisplay.*;

/**
 *
 *
 * @author adolfoc To change this generated comment edit the template variable
 *         "typecomment": Window>Preferences>Java>Templates. To enable and
 *         disable the creation of type comments go to
 *         Window>Preferences>Java>Code Generation.
 */
public class PortletRepostControl extends ObjEditorRepostControl
{

	public static final String STR_MVC_CLASS_NAME = "PortletRepost";


	public final static int POSTTOSELF_ACTION_WEB_SERVICE_CHOSEN = 10;

	/** Repost that occurs when the Web Service is chosen via Tree Section */
	public final static int POSTTOSELF_ACTION_CHANGE_TAB = 11;

	/**
	 *
	 *
	 * @return
	 */
	public Object Create()
	{
		return new PortletRepostControl();
	}

	/**
	 * Returns the Class name.
	 *
	 * @return String
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}


	/**
	 * Switch between the action modes and call  the associated method for each
	 * action.
	 *
	 * @param _nAction
	 */
	protected void PerformAction(int _nAction)
	{
		super.PerformAction(_nAction);

		switch (_nAction)
		{
			case POSTTOSELF_ACTION_CHANGE_TAB:

				((PortletModel) super.m_asOwner.GetModel(PortletModel.STR_MVC_CLASS_NAME)).SavePage(MainDP.STR_MVC_CLASS_NAME,
					m_htFormData);

				// Save page is called before we get here - it may error that the webservice is not
				// up-to-date (or that the remote server's not selected). It shouldn't do that.
				UIErrorHandler.ClearErrors(m_asOwner.GetSubSession(), m_asOwner.GetApplication());

				break;
		}
	}
}

