/**
 * Created on Nov 4, 2002
 * by adolfoc
 */
package com.plumtree.portalpages.admin.editors.portlet.plugins;

import com.plumtree.portaluiinfrastructure.resultwrapper.*;


/**
 * @author adolfoc
 */
public interface IPSelectTemplateModelRO
{

	/**
	 * Returns the ID of the currently selected portlet template or 0
	 * if nothing is selected.
	 *
	 * @return String
	 */
	public int GetPortletTemplateID();
	
	/**
	 * Returns the array of currently available templates.
	 * 
	 * @return XPArrayList
	 */
	public PTObjectManagerQueryWrapper GetAvailableTemplates();
	
	/**
	 * Returns a boolean indicating whether to show freeform templates.
	 * 
	 * @return boolean
	 */
	public boolean GetShowFreeForm();
	
	/**
	 * Returns a boolean indicating whether to show header and footer templates.
	 * 
	 * @return boolean
	 */
	public boolean GetShowHeaderAndFooter();
}

