/**
 * Created on Dec 30, 2002
 * by adolfoc
 */
package com.plumtree.portalpages.admin.editors.portlet.plugins;


/**
 * @author adolfoc
 */

public interface IPortletSettingsModelRO
{
	/**
	 * Returns the Gadget Type from the currently edited object. See IPTGadget for details.
	 *
	 * @return int
	 */
	public int GetPortletType();

	/**
	 * Returns the Portlet Size from the currently edited object. See IPTGadget for details.
	 *
	 * @return int
	 */
	public int GetPortletSize();

	/**
	 * Returns true if the portlet title bar should be suppressed.
	 *
	 * @return boolean
	 */
	public boolean GetSuppressTitleBar();
}

