/**
 * Created on Dec 30, 2002
 * by adolfoc
 */
package com.plumtree.portalpages.admin.editors.portlet.plugins;


/**
 * @author adolfoc
 *
 */
public interface ISelectWebServiceModelRO
{
	/**
	 * @see com.plumtree.portalpagessample.form.ISampleFormModelRO#GetData(String)
	 */
	public String GetData(String name);

	/**
	 * Returns the name of the web service
	 *
	 * @return String
	 */
	public String GetWebServiceName();

	/**
	 * Returns the Plumtree Path to the web service
	 *
	 * @return String
	 */
	public String GetWebServicePath();

	/**
	 * Returns the object ID of the web service
	 *
	 * @return int
	 */
	public int GetWebServiceID();

	/**
	 * Returns whether or not the WebService should be changeable in the view.
	 *
	 * @return boolean
	 */
	public boolean IsReadOnly();

	/**
	 * Returns the Admin Prefs URL (if none, returns blank.);
	 *
	 * @return String
	 */
	public String GetAdminPrefsURL();	
}

