package com.plumtree.portalpages.admin.editors.portletbundle;


// Framework Imports
import com.plumtree.portaluiinfrastructure.editor.*;
import com.plumtree.uiinfrastructure.expandablelist.*;

/**
 *
 * @author michaeld
 */
public class PortletBundleRepostControl extends ObjEditorRepostControl
{
	/** Object Name */
	public static final String STR_MVC_CLASS_NAME = "GadgetBundleRepost";

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new PortletBundleRepostControl();
	}

	/**
	 * Returns the Class name.
	 *
	 * @return String
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * Switch between the action modes and call  the associated method for each
	 * action.
	 *
	 * @param nAction
	 */
	protected void PerformAction(int nAction)
	{
		super.PerformAction(nAction);

		// You need to call the PerformRepostAction on the select ptobject control
		((ExpListControl) m_asOwner.GetControl(PortletBundleEditorAS.strStorageSelectPTObject)).PerformRepostAction(nAction,
			m_htFormData);
	}
}

