package com.plumtree.portalpages.admin.editors.propertymap;

import com.plumtree.uiinfrastructure.editor.*;

/**
 * @author OlegS
 */
public interface IPropertyMapEditorModelRO extends IEditorModelRO
{
	/**
	 *
	 *
	 * @return
	 */
	public String GetLastTreeSpaceId();

	/**
	 *
	 *
	 * @return
	 */
	public boolean GetSortAscending();

	/**
	 *
	 *
	 * @return
	 */
	public int GetNumProperties();

	/**
	 *
	 *
	 * @param propId
	 *
	 * @return
	 */
	public boolean IsPropertyAdded(int propId);

	/**
	 *
	 *
	 * @param propId
	 * @param index
	 *
	 * @return
	 */
	public String GetPropertyAttribute(int propId, int index);

	/**
	 *
	 *
	 * @param propId
	 *
	 * @return
	 */
	public boolean IsPropertyDeleted(int propId);

	/**
	 *
	 *
	 * @return
	 */
	public Object[] GetPropertyIDs(); // does not include deleted properties

	/**
	 *
	 *
	 * @param propId
	 *
	 * @return
	 */
	public boolean IsPropertyInEditMode(int propId);

	/**
	 *
	 *
	 * @param propId
	 *
	 * @return
	 */
	public boolean IsPropertyMandatory(int propId);

	/**
	 *
	 *
	 * @param propId
	 *
	 * @return
	 */
	public boolean IsPropertyModified(int propId);

	/**
	 *
	 *
	 * @param propId
	 *
	 * @return
	 */
	public int GetPropertyNumberOfAttributes(int propId);

	/**
	 *
	 *
	 * @return
	 */
	public int WherePropertiesLive();
}

