package com.plumtree.portalpages.admin.editors.userprofilemanager;

import com.plumtree.openfoundation.util.*;
import com.plumtree.portalpages.browsing.editors.community.*;

/**
 * @author JHQ
 *
 * This class extends CommunityEditorRepostControl so that it can be used within
 * the user profile manager and make the PerformAction() method public
 */
public class UsrProfCommRepostControl extends CommunityEditorRepostControl {
	/** Object Name */
	public static final String STR_MVC_CLASS_NAME = "UsrProfCommRepostControl";
	
	
	/* (non-Javadoc)
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create() {
		return new UsrProfCommRepostControl();
	}

	/* (non-Javadoc)
	 * @see com.plumtree.uiinfrastructure.activityspace.IMVCObject#GetName()
	 */
	public String GetName() {
		return STR_MVC_CLASS_NAME;
	}

	/* (non-Javadoc)
	 * @see com.plumtree.uiinfrastructure.form.RepostControl#PerformAction(int)
	 */
	protected void PerformAction(int _nAction) {
		super.PerformAction(_nAction);
	}
	
	//AGC- Needed for jump to work (protection level bogus when used in UsrProfMgrRepostControl)
	public void PublicPerformAction(int _nAction) {
		PerformAction(_nAction);
	}
	
	public void InitializeArguments(XPHashtable arguments)
	{
		m_htFormData = arguments;
	}

}

