package com.plumtree.portalpages.admin.editors.webservice.plugins;


/**
 * @author JaneD
 *
 */
public interface IDebugPortletPluginModelRO
{
	
	/**
	 * Returns the portlet id of the portlet for which debugging is turned on.
	 * If it returns 0, that means debugging should be turned on for ALL portlets.
	 *
	 * @return 
	 */
	public int GetPortletID();
	
	/**
	 * Returns the portlet name of the portlet for which debugging is turned on.
	 * If it returns null, that means debugging should be turned on for ALL portlets.
	 *
	 * @return 
	 */
	public String GetPortletName();
	
	/**
	 * 
	 *
	 * @return 
	 */
	public String GetData(String name);
	
	/**
	 * 
	 * Returns webservice id.
	 */
	public int GetWebServiceID();

}

