package com.plumtree.portalpages.admin.migrationhistory;

import com.plumtree.portaluiinfrastructure.editor.*;
import com.plumtree.portaluiinfrastructure.editor.commonpages.migrationhistory.*;
import com.plumtree.uiinfrastructure.activityspace.*;
import com.plumtree.uiinfrastructure.editor.*;

/**
 * 
 *
 * @version $Revision$
 * @author arvinds
 */
public class MigrationHistoryAS extends PTEditorAS
{
	/** The name of this activity space */
	public static final String STR_MVC_CLASS_NAME = "MigrationHistory";

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new MigrationHistoryAS();
	}

	/**
	 * Returns the title of this editor
	 *
	 */
	public String GetEditorTitle()
	{
		return GetString(1199, "ptmsgs_portaladminmsgs");
	}

	
	/**
	 * @see com.plumtree.portaluiinfrastructure.activityspace.AActivitySpace#GetName()
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * Returns the class name of the Repost Control.
	 *
	 * @return String
	 */
	public String GetRepostControlName()
	{
		return (EditorRepostControl.STR_MVC_CLASS_NAME);
	}

	/**
	 * @see com.plumtree.xpshared.activityspace.AActivitySpace#Init()
	 */
	public void Init()
	{
		m_strModelName = MigrationHistoryModel.STR_MVC_CLASS_NAME;

		super.Init();

		// Display Page
		MigrationHistoryDP myPage = new MigrationHistoryDP();
		RegisterPage(myPage);

		IModel myModel = GetModel(MigrationHistoryModel.STR_MVC_CLASS_NAME);

		// Section
		RegisterView(MigrationHistoryView.STR_MVC_CLASS_NAME, myModel);

		SetCurrentPage(myPage);
	}
}

