package com.plumtree.portalpages.admin.migrationhistory;

import com.plumtree.portaluiinfrastructure.editor.commonpages.migrationhistory.*;
import com.plumtree.uiinfrastructure.editor.*;
import com.plumtree.xpshared.htmlelements.*;

/**
 * 
 *
 * @version $Revision$
 * @author arvinds
 */
public class MigrationHistoryDP extends EditorDP
{
	/** The name of this display page */
	public static final String STR_MVC_CLASS_NAME = "MigrationHistory";

	/**
	 * 
	 *
	 * @return 
	 */
	public String GetLeftNavString()
	{
		return m_asOwner.GetString(1200, "ptmsgs_portaladminmsgs");
	}

	/** The page title */

	
	/**
	 * @see com.plumtree.portaluiinfrastructure.activityspace.IDisplayPage#GetName()
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * Displays the page
	 *
	 */
	public HTMLElement PageDisplay()
	{
		HTMLElementCollection result = new HTMLElementCollection();

		// Insert super class HTML		
		//result.AddInnerHTMLElement(super.PageDisplay());
		HTMLElement View = m_asOwner.GetView(MigrationHistoryView.STR_MVC_CLASS_NAME)
			.Display();

		HTMLTable table = CreateContentTable(View,
				m_asOwner.GetString(1200, "ptmsgs_portaladminmsgs"));

		result.AddInnerHTMLElement(table);

		return result;
	}
}

