package com.plumtree.portalpages.admin.objsearch;

import com.plumtree.portaluiinfrastructure.search.*;
import com.plumtree.uiinfrastructure.activityspace.*;

/**
 * @author Matt Fryer
 */
public interface IAdminSearchModelRO extends IModelRO
{
	/**
	 * Set the SearchResultModel associated with this Admin Search.
	 *
	 */
	public void SetSearchModel(ISearchResultModelRO model);

	/**
	 * Get the SearchResultModel associated with this Admin Search.
	 *
	 * @return SearchResultModel.
	 */
	public ISearchResultModelRO GetSearchModel();

}
