package com.plumtree.portalpages.admin.ptutilities;

import com.plumtree.uiinfrastructure.activityspace.*;

/**
 * 
 *
 * @version 5.0
 * @author SudhaSathiaseelan
 */

public interface IPlumtreeUtilitiesModelRO extends IModelRO
{
	/**
	 * 
	 *
	 * @return 
	 */
	public int GetNumSettingItems();

	/**
	 * 
	 *
	 * @param _nIndex 
	 *
	 * @return 
	 */
	public String GetSettingItemName(int _nIndex);

	/**
	 * 
	 *
	 * @param _nIndex 
	 *
	 * @return 
	 */
	public String GetSettingItemURL(int _nIndex);
	
	/**
	 * @param _nIndex
	 * @return activity right associated with this utility; returns PT_ACTIVITY_RIGHTS.PT_ACTIVITY_RIGHT_NONE if there is no activity right associated
	 */
	public int GetActivityRightRestriction(int _nIndex);
	
	/**
	 * @param _nIndex
	 * @return true if this utility is a pluggable admin page; false if it is not
	 */
	public boolean IsPluggableAdmin(int _nIndex);
}

