package com.plumtree.portalpages.admin.ptutilities.automationserver;


// Framework Imports
import com.plumtree.uiinfrastructure.activityspace.*;
import com.plumtree.uiinfrastructure.expandablelist.*;
import com.plumtree.xpshared.htmlconstructs.*;

/**
 * This interface is implemented by the Model.
 * It contains all the read-only mothods of the Model
 * accessed by the Views.
 *
 * @author SudhaS
 */
public interface IAutomationServerListModelRO extends IExpListModelRO
{
	/**
	* @see com.plumtree.portalpagessample.editor.template4#GetArrayOfSubEditors
	*/

	//public XPArrayList GetArrayOfSubEditors();
	//public Object GetSubEditorAtIndex(int index);

	/**
	 * @see com.plumtree.portalpagessample.editor.template4#GetASURLToProperty
	 */

	//public ASURL GetASURLToProperty(String _sSubSpaceKey);
	//public void AddPropertyToArray() ;
	public ASURL GetEditObjectURL(String _strServerName);

	/**
	 * @see com.plumtree.uiinfrastructure.expandablelist.GrowableListModel#GetRowIcon()
	 *
	 */
	public PTImageType GetRowIcon();

	//public String GetName();
	//public String GetDescription();
}

