package com.plumtree.portalpages.admin.ptutilities.condition;

import com.plumtree.uiinfrastructure.editor.*;
import com.plumtree.uiinfrastructure.expandablelist.*;

/**
 * Delete that class if you don't have any repost actions.
 */
public class SubportalRulesManagerRepostControl extends EditorRepostControl
{

	public static final String STR_MVC_CLASS_NAME = "SubportalRulesManagerRepostControl";

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new SubportalRulesManagerRepostControl();
	}

	/**
	 * Returns the Class name.
	 *
	 * @return String
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * Switch between the action modes and call  the associated method for each
	 * action.
	 *
	 * @param _nAction
	 */
	protected void PerformAction(int _nAction)
	{
		ExpListControl listControl = (ExpListControl) m_asOwner.GetControl(SubportalRulesManagerAS.SUBPORTAL_RULES_LIST);
		listControl.PerformRepostAction(_nAction, m_htFormData);
		listControl = (ExpListControl) m_asOwner.GetControl(SubportalRulesManagerAS.FOLDER_RULES_LIST);
		listControl.PerformRepostAction(_nAction, m_htFormData);
				
		super.PerformAction(_nAction);
	}
}

