package com.plumtree.portalpages.admin.ptutilities.diagnostic.dynamicloads.varpacks;

import com.plumtree.uiinfrastructure.activityspace.*;

/**
 * This class displays the currently loaded VarPacks.
 * 
 * @author DonH
 */
public class VarPackModel implements IVarPackModelRO, IModel
{
	public static final String STR_MVC_CLASS_NAME = "VarPackDiagnostic";

	protected String m_strVarPackID = null;

	/**
	 * @see com.plumtree.portalpages.admin.ptutilities.diagnostic.varpack.IVarPackModelRO#GetCurrentVarPackID()
	 */
	public String GetCurrentVarPackID()
	{
		return m_strVarPackID;
	}

	/**
	 * @see com.plumtree.portalpages.admin.ptutilities.diagnostic.varpack.IVarPackModelRO#GetAllowVarPackReload()
	 */
	public boolean GetAllowVarPackReload()
	{
		return false;
	}

	/**
	 * 
	 * @param _strVarPackID
	 */
	public void SetCurrentVarPackID(String _strVarPackID)
	{
		m_strVarPackID = _strVarPackID;
	}

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IModel#Init(AActivitySpace)
	 */
	public void Init(AActivitySpace parent) {}

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IModel#CleanupTempData()
	 */
	public void CleanupTempData() {}

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IModel#CleanupAllData()
	 */
	public void CleanupAllData() {}

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IMVCObject#GetName()
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new VarPackModel();
	}
}