package com.plumtree.portalpages.admin.ptutilities.jobfolders;


// Framework Imports
import com.plumtree.uiinfrastructure.editor.*;
import com.plumtree.uiinfrastructure.expandablelist.*;

/**
 * @author SudhaS
 * 
 * 
 */
public class JobFoldersRepostControl extends EditorRepostControl
{
	
	public static final String STR_MVC_CLASS_NAME = "JobFoldersRepost";

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new JobFoldersRepostControl();
	}

	/**
	 * Returns the Class name.
	 *
	 * @return String
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * Switch between the action modes and call  the associated method for each
	 * action.
	 *
	 * @param _nAction
	 */
	protected void PerformAction(int _nAction)
	{
		super.PerformAction(_nAction);

		((ExpListControl) m_asOwner.GetControl(JobFoldersListModel.STR_MVC_CLASS_NAME)).PerformRepostAction(_nAction,
			m_htFormData);

		switch (_nAction)
		{
		}
	}
}

