package com.plumtree.portalpages.admin.ptutilities.migrationutility;

import com.plumtree.openfoundation.util.*;
import com.plumtree.server.*;
import com.plumtree.uiinfrastructure.editor.*;

/**
 * @author jennifersu
 *
 * To change the template for this generated type comment go to
 * Window>Preferences>Java>Code Generation>Code and Comments
 */
public interface IMigrationUtilityModelRO extends IEditorModelRO
{
	/**
	 * All classes in the AS should access the migration manager
	 * using this method, because the same IPTMigrationManager
	 * needs to be used for a given migration.
	 * 
	 * @return IPTMigrationManager
	 */
	public abstract IPTMigrationManager GetMigrationManager();
	/**
	 * Gets an XPArrayList[] with all objects in the package (indexed by classID).
	 * Returns an array of IPTMigrationElements.
	 * Returns only supported CLASSIDS
	 */
	public abstract XPArrayList[] GetAllObjectsInPackage();
	/**
	 * Gets the status of the migration task.
	 * @return int (see PTMigrationTask for status values)
	 */
	public abstract int GetMigrationStatus();
}