package com.plumtree.portalpages.admin.sendinvitation;

import com.plumtree.uiinfrastructure.form.*;

/**
 * @author DustinA
 *
 */
public class SendInvitationRepostControl extends RepostControl
{
	
	public static final String STR_MVC_CLASS_NAME = "SendInvitationRepostControl";

	
	public static final int POSTTOSELF_ACTION_ADD = 30;

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new SendInvitationRepostControl();
	}

	/**
	 * Returns the Class name.
	 *
	 * @return String
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * Switch between the action modes and call
	 * the associated method for each action.
	 *
	 * @param _nAction
	 */
	protected void PerformAction(int _nAction)
	{
		super.PerformAction(_nAction);

		if (_nAction == POSTTOSELF_ACTION_ADD)
		{
			//XPArrayList arrayOfStatusAndErrorMessage = ((InvCodesListModel) m_asOwner.GetModel(InvCodesListModel.STR_MVC_CLASS_NAME)).AddRowsOnRepost(m_htFormData,
			String errorMessage = ((InvCodesListModel) m_asOwner.GetModel(InvCodesListModel.STR_MVC_CLASS_NAME)).AddRowsOnRepost(m_htFormData,
					0);
			//boolean status = XPConvert.ToBoolean(arrayOfStatusAndErrorMessage.GetElement(0));
			if (errorMessage == null) {
				((SendInvitationModel) m_model).SetCreateCodeStatus(true);
				((SendInvitationModel) m_model).SetCreateErrorMessage("");
			} else {
				((SendInvitationModel) m_model).SetCreateCodeStatus(false);
				((SendInvitationModel) m_model).SetCreateErrorMessage(errorMessage);
			}
		}
	}
}

