package com.plumtree.portalpages.admin.serversettings.objectpropertymap;

import com.plumtree.uiinfrastructure.editor.*;
import com.plumtree.uiinfrastructure.expandablelist.*;

/**
 * Repost control for object properties map.
 *
 * @author josephc
 */
public class ObjPropMapRepostControl extends EditorRepostControl
{
	/** Class name for ObjPropMapRepostControl */
	public static final String STR_MVC_CLASS_NAME = "ObjPropMapRepost";

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new ObjPropMapRepostControl();
	}

	/**
	 * Returns the Class name.
	 *
	 * @return String
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * Switch between the action modes and call  the associated method for each
	 * action.
	 *
	 * @param _nAction
	 */
	protected void PerformAction(int _nAction)
	{
		super.PerformAction(_nAction);

		((ExpListControl) m_asOwner.GetControl(ObjPropMapEditorAS.strStorageObjPropMapPlugin)).PerformRepostAction(_nAction,
			m_htFormData);
	}
}

