package com.plumtree.portalpages.admin.serversettings.search;

import com.plumtree.uiinfrastructure.editor.*;
import com.plumtree.xpshared.htmlelements.*;

/**
 * @author MatthewF
 */
public class IndexingStatusDP extends EditorDP {
	
	public static final String STR_MVC_CLASS_NAME = "IndexingStatus";
		
	public String GetLeftNavString() {
		return m_asOwner.GetString(2485, "ptmsgs_portaladminmsgs");
	}


	/**
	 * 
	 *
	 * @return 
	 */
	public String GetName() {
		return STR_MVC_CLASS_NAME;
	}

	// Strings to localize.
	public HTMLElement PageDisplay() throws HTMLException {
		HTMLElementCollection result = new HTMLElementCollection();
		result.AddInnerHTMLElement(super.PageDisplay());

		HTMLElementCollection views = new HTMLElementCollection();
		views.AddInnerHTMLElement(
			((EditorView) (m_asOwner
				.GetView(IndexingStatusView.STR_MVC_CLASS_NAME)))
				.Display());

		result.AddInnerHTMLElement(CreateLeftNavBar(views));

		return result;
	}

	/**
	 * 
	 *
	 * @return 
	 *
	 * @throws HTMLException 
	 */
	protected HTMLScriptCollection DisplayJavaScriptFromChild()
		throws HTMLException {
		HTMLScriptCollection myScripts = super.DisplayJavaScriptFromChild();
		myScripts.AddInnerHTMLElement(
			m_asOwner
				.GetView(IndexingStatusView.STR_MVC_CLASS_NAME)
				.DisplayJavascript());

		return myScripts;
	}
}

