package com.plumtree.portalpages.admin.serversettings.search;

import com.plumtree.uiinfrastructure.editor.*;
import com.plumtree.uiinfrastructure.statichelpers.*;
import com.plumtree.xpshared.htmlelements.*;

/**
 * @author MatthewF
 */
public class SearchServerTuningEditorDP extends EditorDP {
	
	public static final String STR_MVC_CLASS_NAME = "SearchServerTuningEditorDP";

	public String GetLeftNavString() {
		return (m_asOwner.GetString(154, "ptmsgs_portalcommonmsgs"));
	}

	/**
	* Implement this method to add HTML below the sub header.
	*
	* @return HTMLElement
	*
	* @throws HTMLException
	*/
	protected HTMLElement GetHTMLBelowSubHeader() {
		return HTMLConstructHelpers.GetSubHeader(
			m_asOwner.GetString(1640, "ptmsgs_portaladminmsgs"),
			this.m_asOwner);
	}

	/**
	 * 
	 *
	 * @return 
	 */
	public String GetName() {
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * 
	 *
	 * @return 
	 *
	 * @throws HTMLException 
	 */
	public HTMLElement PageDisplay()  {
		HTMLElementCollection result = new HTMLElementCollection();
		result.AddInnerHTMLElement(super.PageDisplay());

		HTMLElementCollection views = new HTMLElementCollection();
		views.AddInnerHTMLElement(
			((EditorView) m_asOwner
				.GetView(BestBetsListView.STR_MVC_CLASS_NAME))
				.Display());
		result.AddInnerHTMLElement(CreateLeftNavBar(views));

		return result;
	}

	/**
	 * 
	 *
	 * @return 
	 *
	 * @throws HTMLException 
	 */
	protected HTMLScriptCollection DisplayJavaScriptFromChild()
	{
		return super.DisplayJavaScriptFromChild();
	}

}

