package com.plumtree.portalpages.browsing.directory.opendoc;

import com.plumtree.uiinfrastructure.activityspace.*;

/**
 * 
 *
 * @author John Osborne
 */
public class OpenDocAS extends AActivitySpace
{
	
	public static final String STR_MVC_CLASS_NAME = "OpenDoc";

	/**
	 * @see com.plumtree.portaluiinfrastructure.activityspace.AActivitySpace#CheckBasicAccess(String,
	 *      String, boolean)
	 */
	public boolean CheckBasicAccess(String strPage, String strControl,
		boolean bSameSpace)
	{
		return true;
	}

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new OpenDocAS();
	}

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IMVCObject#GetName()
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * @see com.plumtree.xpshared.activityspace.AActivitySpace#Init()
	 */
	public void Init()
	{
		super.Init();

		RegisterModel(OpenDocModel.STR_MVC_CLASS_NAME);

		IModel myModel = GetModel(OpenDocModel.STR_MVC_CLASS_NAME);
		OpenDocDP myDP = new OpenDocDP();
		RegisterPage(myDP);
		RegisterControl(OpenDocControl.STR_MVC_CLASS_NAME, myModel);
	}
}

