package com.plumtree.portalpages.browsing.directory.senddoc;

import com.plumtree.uiinfrastructure.form.*;
import com.plumtree.xpshared.htmlelements.*;

/**
 * @author stephenc
 * 
 * copied from CodePopUpDP
 */
public class SendDocPopUpDP extends AFormDP
{
	
	public static final String STR_MVC_CLASS_NAME = "SendDocPopUpDP";

	/**
	 * This is a helper method that all classes that inherit from AFormDP and want to
	 * have the Done and Cancel buttons displayed in the header for them need to
	 * implement.  The method should return the title add whatever HTML the child
	 * class wants to display to the body argument.  The parent class will then add
	 * that HTML to the HTMLPage after filling in the banner and navigation.
	 *
	 * Override this method to set the form title
	 *
	 * @return String the title for the form header (if used)
	 */
	public String GetFormTitle()
	{
		return m_asOwner.GetString(1508, "ptmsgs_portalbrowsingmsgs");
	}


	/**
	 * @see com.plumtree.portaluiinfrastructure.activityspace.IDisplayPage#GetName()
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * @see com.plumtree.portalpages.common.uiparts.PlumtreeDP#PageDisplay()
	 */
	public HTMLElement PageDisplay()

	{
		HTMLElementCollection result = new HTMLElementCollection();

		result.AddInnerHTMLElement(m_asOwner.GetView(
			SendDocPopUpView.STR_MVC_CLASS_NAME).Display());

		return result;
	}

	protected HTMLScriptCollection DisplayJavaScriptFromChild()

	{
		HTMLScriptCollection scripts = new HTMLScriptCollection();

		HTMLScript myScript;
		myScript = m_asOwner.GetView(SendDocPopUpView.STR_MVC_CLASS_NAME)
			.DisplayJavascript();

		if (null != myScript)
		{
			scripts.AddInnerHTMLElement(myScript);
		}

		return scripts;
	}
}

