package com.plumtree.portalpages.browsing.editors.community;

import com.plumtree.portaluiinfrastructure.expandablelist.selectptobject.*;
import com.plumtree.server.*;
import com.plumtree.xpshared.htmlconstructs.*;

/**
 * @author dustina
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class CommunityEditorSubcommunityModel extends SelectPTObjectModel
{
	/** Object Name */
	public static final String STR_MVC_CLASS_NAME = "CommunityEditorSubcommunityModel";
	
	/** Object Manager for Communities */
	private IPTObjectManager m_ptOM;
	/** User ID */
	private int m_nUserID;

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new CommunityEditorSubcommunityModel();
	}

	/**
	 * Returns the Class name.
	 *
	 * @return String
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/* (non-Javadoc)
	 * @see com.plumtree.portaluiinfrastructure.expandablelist.selectptobject.SelectPTObjectModel#InitializeSelectPTObject(java.lang.String, java.lang.String, com.plumtree.xpshared.htmlconstructs.PTImageType, java.lang.String, int[], int)
	 */
	public void InitializeSelectPTObject(int _nUserID, IPTObjectManager _ptOM, String _sSectionTitle, String _sSectionSubTitle, PTImageType _imgAddIcon,
		String _sAddLabel, int[] _arrObjectClassIDs, int _nListKey) {

		super.InitializeSelectPTObject(
			_sSectionTitle,
			_sSectionSubTitle,
			_imgAddIcon,
			_sAddLabel,
			_arrObjectClassIDs,
			_nListKey);
			
		m_nUserID = _nUserID;
		m_ptOM = _ptOM;
	}

	/* (non-Javadoc)
	 * @see com.plumtree.portaluiinfrastructure.expandablelist.selectptobject.ISelectPTObjectModelRO#IsObjectReadOnly(int, int)
	 */
	public boolean IsObjectReadOnly(int _nClassID, int _nObjectID)
	{
		if (m_ptOM.IsObjectAccessible(_nObjectID, m_nUserID, PT_ACCESS_LEVELS.PT_ACCESS_LEVEL_ADMIN))
		{
			return false;
		}
		return true;
	}
}

