package com.plumtree.portalpages.browsing.editors.dircommon;

/**
 * 
 *
 * @author $author$
 */
public class CardStatisticObject
{
	
	public Object m_oParentFolderPaths;

	
	public String m_sPropName;

	
	public String m_sPropValue;

	
	public boolean m_bIsDeleteable;

	
	public boolean m_bIsDisplayable;

	
	public boolean m_bIsMoreLikeThis;

	
	public boolean m_bIsReadOnly;

	/**
	 * Creates a new CardStatisticObject object.
	 *
	 * @param strName 
	 * @param strValue 
	 * @param oParentFolderPaths 
	 */
	public CardStatisticObject(String strName, String strValue,
		Object oParentFolderPaths)
	{
		// Set the name
		m_sPropName     = strName;

		// Is this property read-only?
		m_bIsReadOnly = true;

		// Should this property be displayed as a URL?
		if (null == oParentFolderPaths)
		{
			m_bIsMoreLikeThis		 = false;
			m_oParentFolderPaths     = null;
		}
		else
		{
			m_bIsMoreLikeThis		 = true;
			m_oParentFolderPaths     = oParentFolderPaths;
		}

		// Should users see this property?
		m_bIsDisplayable     = true;

		// Should users be able to delete this property?
		m_bIsDeleteable     = false;

		// Set the property value
		m_sPropValue = strValue;
	}
}

