package com.plumtree.portalpages.browsing.editors.directory.submit_D;

import com.plumtree.openlog.*;
import com.plumtree.portaluiinfrastructure.statichelpers.*;
import com.plumtree.uiinfrastructure.activityspace.*;
import com.plumtree.uiinfrastructure.editor.*;
import com.plumtree.xpshared.htmlelements.*;

/**
 * @author StephenC
 *
 */
public class DirSubmitDoneDP_D extends EditorDP
{
	private static OpenLogger log = OpenLogService.GetLogger(
		OpenLogService.GetComponent(PTDebugHelpers.COMPONENT_PORTAL_BROWSING),
		"com.plumtree.portalpages.browsing.editors.directory.submit_D.DirSubmitDoneDP_D");

	public static final String STR_MVC_CLASS_NAME = "DirSubmitDoneDP_D"; 
	
    /* (non-Javadoc)
     * @see com.plumtree.uiinfrastructure.editor.EditorDP#GetLeftNavString()
     */
    public String GetLeftNavString() 
    {
        return m_asOwner.GetString(1188, "ptmsgs_portalbrowsingmsgs");
    }
	
	/**
	 * @see com.plumtree.xpshared.activityspace.IDisplayPage#GetName()
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * @see com.plumtree.xpshared.activityspace.IDisplayPage#Init(AActivitySpace)
	 */
	public void Init(AActivitySpace parent)
	{
		super.Init(parent);
	    SetShow508FormFooter(false);
		parent.SetHelpTopic("PT_Submit_SimpleDocument");
	}

	/**
	 * helper display method for PlumtreeDP
	 *
	 * Fill in the body argument with HTML to display in the page.
	 */
	public HTMLElement PageDisplay()
	{
		HTMLElementCollection wholePageGroup = new HTMLElementCollection();

		try
		{
			wholePageGroup.AddInnerHTMLElement(m_asOwner.GetView(
					DirSubmitDoneView_D.STR_MVC_CLASS_NAME).Display());
		}
		catch (HTMLException he)
		{
					
				log.Error(he, "Error in DirSubmitDoneDP_D::Display: " + he.getMessage());
			
		}

		return wholePageGroup;
	}
}
