package com.plumtree.portalpages.browsing.editors.document;


// Framework Imports
import com.plumtree.portalpages.browsing.editors.dircommon.editdocumentproperty.*;
import com.plumtree.portalpages.common.documentlanguage.*;
import com.plumtree.portaluiinfrastructure.editor.*;

/**
 * @author StephenC
 */
public class CardEditorRepostControl extends ObjEditorRepostControl
{
	
	public static final String STR_MVC_CLASS_NAME = "CardEditorRepost";

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new CardEditorRepostControl();
	}

	/**
	 * Returns the Class name.
	 *
	 * @return String
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * Switch between the action modes and call
	 * the associated method for each action.
	 *
	 * @param _nAction
	 */
	protected void PerformAction(int _nAction)
	{
		super.PerformAction(_nAction);

		((CardLanguagePlugInRepostControl) m_asOwner.GetControl(CardEditorAS.strCardLanguagePlugInKey)).PerformRepostAction(_nAction,
			m_htFormData);

		((EditCardPropRepostControl) m_asOwner.GetControl(CardEditorAS.strEditCardPropertiesPlugInKey)).PerformRepostAction(_nAction,
			m_htFormData);
	}
	
	/**
	 * @see com.plumtree.portaluiinfrastructure.editor.ObjEditorRepostControl#DisableSavePopUp()
	 */
	protected boolean DisableSavePopUp()
	{
		return true;
	}
}

