package com.plumtree.portalpages.browsing.editors.document;


// Framework Imports
import com.plumtree.openfoundation.util.*;
import com.plumtree.portaluiinfrastructure.editor.*;

/**
 * @author StephenC
 *
 * This interface is implemented by CardEditorModel.
 * It contains all the read-only mothods of CardEditorModel.
 */
public interface ICardEditorModelRO extends IObjEditorModelRO
{
	///////////////////
	// Card Properties
	public XPSortedDictionary GetBasicCardProperties();

	/**
	 * 
	 *
	 * @return 
	 */
	public XPSortedDictionary GetCardInformation();

	/**
	 * 
	 *
	 * @return 
	 */
	public String GetCreated();

	/**
	 * 
	 *
	 * @return 
	 */
	public XPSortedDictionary GetCustomCardProperties();

	/**
	 * 
	 *
	 * @return 
	 */
	public int GetDocType();

	/**
	 * 
	 *
	 * @return 
	 */
	public String GetLastModified();

	/**
	 * 
	 *
	 * @return 
	 */
	public String GetURL();
	
	/**
	 * 
	 *
	 * @return 
	 */
	public String GetCrawlerTag();
	
	//////////////////////
	// basic object ids

	/**
	 * 
	 *
	 * @return 
	 */
	public int GetClassID();

	/**
	 * 
	 *
	 * @return 
	 */
	public int GetObjectID();

	/**
	 * 
	 *
	 * @return 
	 */
	public String GetObjectUUID();
}