package com.plumtree.portalpages.browsing.gateway;

import com.plumtree.portalpages.common.uiparts.*;
import com.plumtree.xpshared.htmlelements.*;

// import com.plumtree.portaluiinfrastructure.error.*;
// 

/**
 * @author daniilk
 *
 */
public class GatewayErrorDP extends PlumtreeDP
{
	public static final String STR_MVC_CLASS_NAME = "GatewayError";

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IMVCObject#GetName()
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * @see com.plumtree.portalpages.common.uiparts.PlumtreeDP#GetSubtitleForBanner()
	 */
	public String GetSubtitleForBanner()
	{
		return "";
	}

	/**
	 * @see com.plumtree.portalpages.common.uiparts.PlumtreeDP#GetTitleForBanner()
	 */
	public String GetTitleForBanner()
	{
		return ""; // m_asOwner.GetString(624, "ptmsgs_portalbrowsingmsgs");
	}

	/**
	 * @see com.plumtree.uiinfrastructure.form.AFormDP#PageDisplay()
	 */
	public HTMLElement PageDisplay()
	{
		// TODO CR not used, commenting out.
		//GatewayModel gwModel = (GatewayModel) m_asOwner.GetModel(GatewayModel.strModelName);
		HTMLElement result   = new HTMLElementCollection();
		
		result.AddInnerHTMLString(
			"<B>" + m_asOwner.GetString(623, "ptmsgs_portalbrowsingmsgs") + "</B>\r\n"
			// the following line can stay non-localized, since it's going to be in the HTML comments
			// and will not be displayed in the browser.
			+ "<!-- GetTextBody call returned NULL. There was a problem accessing gateway content. -->");
						
		return result;
	}
}