package com.plumtree.portalpages.browsing.login;

import com.plumtree.uiinfrastructure.activityspace.*;

/**
 * Read Only Login Model interface 
 *
 * @author BenG
 */
public interface ILoginModelRO extends IModelRO
{
	/**
	 * 
	 *
	 * @return 
	 */
	public int GetAccessStyle();

	/**
	 * 
	 *
	 * @return 
	 */
	public boolean GetShowAuthSources();

	/**
	 * Get Auth Source Mode
	 * 
	 * @return int the AllowDefaultLoginPageAuthSource value
	 * from PTConfig.xml
	 */
	public int GetAllowDefaultAuthSourceMode();

	/**
	 * @see com.plumtree.xpshared.activityspace.IModel#GetName()
	 */
	public String GetName();
}
