package com.plumtree.portalpages.browsing.login;

import com.plumtree.portalpages.common.uiparts.*;
import com.plumtree.uiinfrastructure.activityspace.*;

/**
 * Activity Space for login.
 *
 * @author BenG
 */
public class LoginAS extends PlumtreeAS
{
	
	public static final String STR_MVC_CLASS_NAME = "Login";

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new LoginAS();
	}

	/**
	 * 
	 *
	 * @return 
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * @see com.plumtree.xpshared.activityspace.AActivitySpace#Init()
	 */
	public void Init()
	{
		super.Init();

		RegisterPage(new LoginDP());

		RegisterModel(LoginModel.STR_MVC_CLASS_NAME);

		IModel myModel = GetModel(LoginModel.STR_MVC_CLASS_NAME);

		RegisterView(LoginView.STR_MVC_CLASS_NAME, myModel);

		RegisterControl(DefaultLoginControl.STR_MVC_CLASS_NAME, "", myModel);

		RegisterControl(LoginControl.STR_MVC_CLASS_NAME, myModel);
	}
}
