/**
 * Created on Mar 23, 2003
 *
 * To change this generated comment edit the template variable "filecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of file comments go to
 * Window>Preferences>Java>Code Generation.
 */
package com.plumtree.portalpages.browsing.myportal.communities;

/**
 * @author robertz
 *
 */
public interface IJoinPreviewCommunityModel 
{
	/**
	 * Was the join succesful?
	 * 
	 * @return boolean
	 */
	public boolean CommunityJoinFailed();

	/**
	 * Get the ID of the community to join
	 * 
	 * @return int
	 */
	public int GetCommunityID();
	
	/**
	 * Get the URL to the Community 
	 * 
	 * @return String
	 */
	public String GetCommunityURL();
	
	/**
	 * Get the URL to the default Community
	 * 
	 * @return String
	 */
	public String GetDefaultCommunityURL();
	
	/**
	 * Get the Name of the community
	 * 
	 * @return String
	 */
	public String GetCommunityName();
}

