package com.plumtree.portalpages.browsing.myportal.communities;

public interface IUnsubscribeCommunityModel 
{
	/**
	 * Was the unsubscribe succesful?
	 * 
	 * @return boolean
	 */
	public boolean CommunityUnsubscribeFailed();

	/**
	 * Get the ID of the community to unsubscribe
	 * 
	 * @return int
	 */
	public int GetCommunityID();
	
	/**
	 * Get the URL to the Community 
	 * 
	 * @return String
	 */
	public String GetCommunityURL();
	
	/**
	 * Get the URL to the default Community
	 * 
	 * @return String
	 */
	public String GetDefaultCommunityURL();
	
	/**
	 * Get the Name of the community
	 * 
	 * @return String
	 */
	public String GetCommunityName();
}
