package com.plumtree.portalpages.browsing.objectselection;


/**
 * @author michaeld
 */
public interface IObjectSelectionAS
{
	/**
	 * Get the banner text for the search results page.
	 *
	 * @return String
	 */
	public String GetObjectBannerText();

	/**
	 * Get the banner title for the search results page.
	 *
	 * @return String
	 */
	public String GetObjectBannerTitle();

	/**
	 * Get the prompt for the search box.
	 *
	 * @return String
	 */
	public String GetSearchPrompt();
}

