package com.plumtree.portalpages.browsing.portletpreview;

import com.plumtree.portalpages.common.uiparts.*;
import com.plumtree.xpshared.htmlelements.*;

/**
 * File: NoMyPageAccessDP.java
 * ---------------------------
 *
 * @author NaveenP/DustinA
 */
public class NoMyPageAccessDP extends PlumtreeDP
{
	
	public static final String STR_MVC_CLASS_NAME = "NoMyPageAccess";

	/**
	 * @see com.plumtree.portaluiinfrastructure.activityspace.IDisplayPage#GetName()
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * @see com.plumtree.portalpages.common.uiparts.PlumtreeDP#GetSubtitleForBanner()
	 */
	public String GetSubtitleForBanner()
	{
		return "";
	}

	/**
	 * @see com.plumtree.portalpages.common.uiparts.PlumtreeDP#GetTitleForBanner()
	 */
	public String GetTitleForBanner()
	{
		return "";
	}

	/**
	 * @see com.plumtree.uiinfrastructure.form.AFormDP#PageDisplay()
	 */
	public HTMLElement PageDisplay()

	{
		return (m_asOwner.GetView(NoMyPageAccessView.STR_MVC_CLASS_NAME)
		.Display());
	}

	/**
	 * @see com.plumtree.uiinfrastructure.form.AFormDP#DisplayJavaScriptFromChild()
	 */
	protected HTMLScriptCollection DisplayJavaScriptFromChild()

	{
		HTMLScriptCollection scripts = new HTMLScriptCollection();

		return scripts;
	}
}

