package com.plumtree.portalpages.browsing.search.basic;


import com.plumtree.portalpages.common.uiparts.*;
import com.plumtree.uiinfrastructure.form.*;

/**
 *  ActivitySpace for basic (banner) search.
 *  @author MatthewF
 */
public class BasicSearchAS extends PlumtreeAS implements IFormAS
{
	
	public static final String STR_MVC_CLASS_NAME = "BasicSearchAS";

	/**
	 * 
	 *
	 * @return 
	 */
	public Object Create()
	{
		return new BasicSearchAS();
	}

	/**
	 * 
	 *
	 * @return 
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * Returns the name of the repost control class.
	 * @return String
	 */
	public String GetRepostControlName()
	{
		return null;
	}

	/**
	 * 
	 */
	public void Init()
	{
		super.Init();

		// Register DisplayPages
		RegisterPage(new BasicSearchDP());

		// Register views
		RegisterView(BasicSearchView.STR_MVC_CLASS_NAME, null);
		RegisterView(BasicSearchButtonView.STR_MVC_CLASS_NAME, null);

		this.SetHelpTopic("PT_BasicSearch");
	}
}

