package com.plumtree.portalpages.browsing.sitemap.sitemappage;

import com.plumtree.portalpages.common.createfolder.*;

/**
 * @author Naveen Pai
 *
 * This view is for a simple pop-up to create as site map folder.
 */
public class SiteMapCreateFolderView extends CreateFolderView
{
	/** name of this view */
	public static final String STR_MVC_CLASS_NAME = "SiteMapCreateFolder";

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new SiteMapCreateFolderView();
	}

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IMVCObject#GetName()
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * @see com.plumtree.portalpages.common.createfolder.CreateFolderView#GetBannerTitle()
	 */
	public String GetBannerTitle() 
	{
		return m_asOwner.GetString(1615, "ptmsgs_portalbrowsingmsgs");
	}

	/**
	 * @see com.plumtree.portalpages.common.createfolder.CreateFolderView#GetCreateFolderRepostAction()
	 */
	public int GetCreateFolderRepostAction() 
	{
		return SiteMapRepostControl.POSTTOSELF_ACTION_CREATE_FOLDER;
	}
}

