package com.plumtree.portalpages.browsing.topbestbethandler;

import com.plumtree.openfoundation.util.*;
import com.plumtree.portalpages.admin.objmgr.*;
import com.plumtree.portalpages.browsing.search.advanced.AdvancedSearchAS;
import com.plumtree.portalpages.browsing.search.advanced.AdvancedSearchRepostControl;
import com.plumtree.portalpages.common.documentlanguage.*;
import com.plumtree.portalpages.common.search.*;
import com.plumtree.portalpages.common.uiparts.*;
import com.plumtree.server.*;
import com.plumtree.uiinfrastructure.activityspace.*;
import com.plumtree.uiinfrastructure.constants.*;
import com.plumtree.uiinfrastructure.editor.*;
import com.plumtree.uiinfrastructure.form.*;
import com.plumtree.uiinfrastructure.web.*;

public class TopBestBetHandlerAS extends PlumtreeAS
{
    // DCD: The name of this activity space
    public static final String CLASS_NAME = "TopBestBetHandlerAS";
    
    // DCD: Implemented method declared abstract in PlumtreeAS. ?
    public Object Create()
	{
		return new TopBestBetHandlerAS();
	}
    
    // DCD: Implemented method declared abstract in PlumtreeAS.  ?
    public String GetName()
	{
		return TopBestBetHandlerAS.CLASS_NAME;
	}
    
    // DCD: Overrides IFormAS method. ?
    public String GetRepostControlName()
	{
		return TopBestBetHandlerCT.CLASS_NAME;
	}
    
    // DCD: Overrides AFormAS method.  Required.
    public void Init()
	{
        super.Init();
        
        // DCD: Register the TBB control with this AS.  We're not using a model, so pass in null (which
        // I understand should be okay.
        RegisterControl(TopBestBetHandlerCT.CLASS_NAME, null);
	}
    
}
