package com.plumtree.portalpages.common.dirprefs;


// Framework Imports
import com.plumtree.uiinfrastructure.editor.*;
import com.plumtree.uiinfrastructure.expandablelist.*;

/**
 * @author StephenC
 */
public class DirPrefsRepostControl extends EditorRepostControl
{
	
	public static final String STR_MVC_CLASS_NAME = "DirPrefsRepostControl";

	
	public final static int POSTTOSELF_ACTION_RELOAD = 10;

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new DirPrefsRepostControl();
	}

	/**
	 * Returns the Class name.
	 *
	 * @return String
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * Switch between the action modes and call
	 * the associated method for each action.
	 *
	 * @param int
	 */
	protected void PerformAction(int _nAction)
	{
		super.PerformAction(_nAction);

		((ExpListControl) m_asOwner.GetControl(DirPrefsAS.strBrowsingPropertiesPlugInKey)).PerformRepostAction(_nAction,
			m_htFormData);

		switch (_nAction)
		{
		case POSTTOSELF_ACTION_RELOAD:
			((DirPrefsModel) m_model).LoadSettings();

			break;
		}
	}
}

