package com.plumtree.portalpages.common.helpers;

import com.plumtree.openfoundation.util.*;

/**
 * @author OlegS
 */
public class DateProperty extends PropertyValidator
{
	/**
	 * Creates a new DateProperty object.
	 *
	 * @param owner 
	 */
	public DateProperty(PropertyValidatorOwner owner)
	{
		super(owner);
	}

	/**
	 * 
	 *
	 * @param val 
	 *
	 * @return 
	 */
	public int validate(PropertyValue val)
	{
		int result				   = super.validate(val);
		XPDateTime dummyXPDateTime = new XPDateTime();

		if (result == VALIDSOFAR)
		{
			if (!val.isClass(dummyXPDateTime.getClass()))
			{ // try to convert
				val.changeTypeToDate();
			}

			if (!val.isClass(dummyXPDateTime.getClass()))
			{
				SetInvalid(val,
					m_asOwner.GetString(59, "ptmsgs_portalcommonmsgs"));
				result = INVALID;
			}
		}

		return result;
	}
}

