package com.plumtree.portalpages.common.helpers;


/**
 * @author OlegS
 */
public class IntegerProperty extends PropertyValidator
{
	/**
	 * Creates a new IntegerProperty object.
	 *
	 * @param owner 
	 */
	public IntegerProperty(PropertyValidatorOwner owner)
	{
		super(owner);
	}

	/**
	 * 
	 *
	 * @param val 
	 *
	 * @return 
	 */
	public int validate(PropertyValue val)
	{
		int result			 = super.validate(val);

		if (result == VALIDSOFAR)
		{
			if (!(val.m_value instanceof Integer))
			{ // try to convert
				val.changeTypeToInteger();
			}

			if (!(val.m_value instanceof Integer))
			{
				SetInvalid(val,
					m_asOwner.GetString(57, "ptmsgs_portalcommonmsgs"));
				result = INVALID;
			}
		}

		return result;
	}
}

