package com.plumtree.portalpages.common.helpers;


/**
 * 
 *
 * @author OlegS
 */
public class MandatoryProperty extends PropertyValidator
{
	/**
	 * Creates a new MandatoryProperty object.
	 *
	 * @param owner 
	 */
	public MandatoryProperty(PropertyValidatorOwner owner)
	{
		super(owner);
	}

	/**
	 * 
	 *
	 * @param val 
	 *
	 * @return 
	 */
	public int validate(PropertyValue val)
	{
		int result = super.validate(val);

		if (result == VALIDSOFAR)
		{
			if (val.empty())
			{
				SetInvalid(val,
					m_asOwner.GetString(56, "ptmsgs_portalcommonmsgs"));
				result = INVALID;
			}
		}

		return result;
	}
}

