package com.plumtree.portalpages.common.helpers;


/**
 * @author OlegS
 */
public abstract class PropertySource
{
	/**
	 * 
	 *
	 * @param id 
	 *
	 * @return 
	 */
	public abstract Object Get(Object id);

	/**
	 * 
	 *
	 * @param id 
	 * @param value 
	 */
	public abstract void Set(Object id, Object value);

	/**
	 * 
	 *
	 * @param a 
	 * @param b 
	 *
	 * @return 
	 */
	public static boolean Differ(Object a, Object b)
	{ // empty string is same as null

		if ((a != null) && (a.toString().length() == 0))
		{
			a = null;
		}

		if ((b != null) && (b.toString().length() == 0))
		{
			b = null;
		}

		if ((a == null) && (b == null))
		{
			return false;
		}

		if ((a == null) || (b == null))
		{
			return true;
		}

		return (!a.toString().equals(b.toString()));
	}
}

