package com.plumtree.portalpages.common.helpers;

import com.plumtree.openfoundation.util.*;
import com.plumtree.server.*;

/**
 * @author OlegS
 */
public class ServerConfigSettings extends PropertySource
{
	protected IPTServerConfigSettings m_ptSC;

	/**
	 * Creates a new ServerConfigSettings object.
	 *
	 * @param ptSC 
	 */
	public ServerConfigSettings(IPTServerConfigSettings ptSC)
	{
		m_ptSC = ptSC;
	}

	/**
	 * 
	 *
	 * @param id 
	 *
	 * @return 
	 */
	public Object Get(Object id)
	{
		return m_ptSC.GetSettingAsObject(XPConvert.ToInteger(id));
	}

	/**
	 * 
	 *
	 * @param id 
	 * @param value 
	 */
	public void Set(Object id, Object value)
	{
		if (Differ(value, Get(id)))
		{
			m_ptSC.SetSetting(XPConvert.ToInteger(id), value);
		}
	}
}

