/*
 * Created on Mar 7, 2003
 */
package com.plumtree.portalpages.common.plugnav;

/**
 * Directory page specific functions for pluggable navigation
 * 
 * @author DavidP
 *
 */
public interface IDirectoryNavPageRO extends INavigationPageRO 
{
	/**
	 * 
	 * @see com.plumtree.uiinfrastructure.activityspace.IMVCObject#GetName()
	 */
	public String GetName();

	/**
	 *  Gets the id of the current document directory folder, or 0 if we are
	 *  not currently in a single doc directory folder.
	 * @return Current folder ID or 0 if not in Document Directory
	 */
	public int GetCurDocDirFolderID();
}

