package com.plumtree.portalpages.common.search;

import com.plumtree.openfoundation.util.*;
import com.plumtree.uiinfrastructure.activityspace.*;

/**
 *  @author CraigS, based on MikeS/OlegS code
 */
public interface IFolderSelectorModelRO extends IModelRO
{
	/**
	 * 
	 *
	 * @return 
	 */
	public boolean GetIncludeSubfolders();

	/**
	 * 
	 *
	 * @param adminOrCatalog 
	 *
	 * @return 
	 */
	public String GetLastTreeSpaceId(boolean adminOrCatalog);

	/**
	 * 
	 *
	 * @return 
	 */
	public boolean GetMultiSelectMode();

	/**
	 * 
	 *
	 * @param adminOrCatalog 
	 *
	 * @return 
	 */
	public IXPCollection GetSelections(boolean adminOrCatalog);
	
	/**
	 * Returns a comma-separated list of classid,objectid pairs used
	 * to initialize the tree view.
	 * @param isAdmin	True, return admin folder selections.
	 * @return
	 */
	public String GetFolderSelections(boolean isAdmin);
}

