/**
 * 
 */
package com.plumtree.portalpages.common.uiparts;

import com.plumtree.portaluiinfrastructure.navtype.INavTypes;

/**
 * @author Ravi Tunuguntla
 *
 */
public interface ITypes {
	/**
	 * This method gets the correct navtype for the nav scheme,
	 * correcting for Macintosh users.
	 * 
	 * @param int nNavScheme the desired navigation scheme.
	 * @return INavTypes the appropriate navigation scheme.
	 */
	public INavTypes GetNavType(int scheme);
}
