/*
 * Created on Mar 5, 2003
 */
 
package com.plumtree.portalpages.common.uiparts.navpagetype;

import com.plumtree.portalpages.common.plugnav.*;
import com.plumtree.portalpages.common.uiparts.*;

/**
 * Delegates model methods only usable by directory page.
 * 
 * @author DavidP
 */
public class DirectoryNavPage extends NavigationPage implements IDirectoryNavPageRO 
{
	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IMVCObject#GetName()
	 */
	public String GetName()
	{
		return NavPageType.DIRECTORY.toString();
	}
	
	/**
	 * DirectoryNavPage constructor.   
	 * @param model
	 */
	public DirectoryNavPage(INavigationModelRO model)
	{
		super(model,NavPageType.DIRECTORY);
	}

	/**
	 * 
	 * @see com.plumtree.portalpages.common.plugnav.IDirectoryNavPageRO#GetCurDocDirFolderID()
	 */
	public int GetCurDocDirFolderID()
	{
		return m_model.GetCurDocDirFolderID();	
	}
}

