/*
 * Created on Mar 5, 2003
 */
package com.plumtree.portalpages.common.uiparts.navpagetype;

import com.plumtree.portalpages.common.plugnav.*;
import com.plumtree.portalpages.common.uiparts.*;

/**
 * Delegates model methods only usable by login page.
 * 
 * @author DavidP
 */
public class LoginNavPage extends NavigationPage implements ILoginNavPageRO
{
	/**	
	 * Unique String Name of category of object.  Critical for link blocking by pluggable nav.
	 */
	public String GetName()
	{
		return NavPageType.LOGIN.toString();
	}
	
	/**
	 * CommunityPreviewNavPage constructor.   
	 * @param model
	 */
	public LoginNavPage(INavigationModelRO model)
	{
		super(model,NavPageType.LOGIN);
	}
}

