/*
 * Created on Mar 5, 2003
 */
package com.plumtree.portalpages.common.uiparts.navpagetype;

import com.plumtree.portalpages.common.plugnav.*;
import com.plumtree.portalpages.common.uiparts.*;

/**
 * Delegates model methods only usable by my pages.
 * 
 * @author DavidP
 */
public class MyPageNavPage extends NavigationPage implements IMyPageNavPageRO
{
	/**	
	 * Unique String Name of category of object.  Critical for link blocking by pluggable nav.
	 */
	public String GetName()
	{
		return NavPageType.MYPAGE.toString();
	}
	
	/**
	 * CommunityPreviewNavPage constructor.   
	 * @param model
	 */
	public MyPageNavPage(INavigationModelRO model)
	{
		super(model,NavPageType.MYPAGE);
	}

	/**
	 *
	 * @return int
	 */
	public int GetCurPageID()
	{
		return m_model.GetCurPageID();
	}

	/**
	 *
	 * @return String
	 */
	public String GetCurPageName()
	{
		return m_model.GetCurPageName();
	}
}

