/*
 * Created on Mar 5, 2003
 */
package com.plumtree.portalpages.common.uiparts.navpagetype;

import com.plumtree.portalpages.common.plugnav.*;
import com.plumtree.portalpages.common.uiparts.*;

/**
 * Delegates those model calls only accessible from the user profiel page.
 * 
 * @author DavidP
 */
public class UserProfileNavPage extends NavigationPage implements IUserProfileNavPageRO
{
	/**	
	 * Unique String Name of category of object.  Critical for link blocking by pluggable nav.
	 */
	public String GetName()
	{
		return NavPageType.USERPROFILE.toString();
	}
	
	/**
	 * UserProfileNavPage constructor.   
	 * @param model
	 */
	public UserProfileNavPage(INavigationModelRO model)
	{
		super(model,NavPageType.USERPROFILE);
	}
}

