package com.plumtree.portalpages.devices.logoff.common;

import com.plumtree.openfoundation.util.*;
import com.plumtree.uiinfrastructure.activityspace.*;

/**
 * @author SudhaS
 *
 */


public class LogoffDevicesControl implements IControl
{
	
	public static final String STR_MVC_CLASS_NAME = "Logoff_Devices";

	
	public static final String m_strPORTAL_SETTINGS_DATA = "Logoff_Devices";
	private AActivitySpace m_asasParent;
	private ILogoffDevicesModelRO m_asmModel;

	/**
	 * @see com.plumtree.xpshared.portalinfrastructure.activityspace.IControl#Execute()
	 */
	public Redirect CheckActionSecurityAndExecute(XPHashtable arguments)
	{
		return null;
	}

	/**
	 * @see com.plumtree.xpshared.infrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new LogoffDevicesControl();
	}

	/**
	 * @see com.plumtree.xpshared.portalinfrastructure.activityspace.IControl#GetName()
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * @see com.plumtree.xpshared.portalinfrastructure.activityspace.IControl#Init(IModel, AActivitySpace)
	 */
	public void Init(IModel model, AActivitySpace space)
	{
		m_asmModel		 = (ILogoffDevicesModelRO) model;
		m_asasParent     = space;
	}
}

