package com.plumtree.portalpages.devices.logoff.common;

import com.plumtree.server.*;
import com.plumtree.uiinfrastructure.activityspace.*;


/**
 * @author SudhaS
 *
 */

public class LogoffDevicesModel implements ILogoffDevicesModelRO, IModel
{
    
    public static final String STR_MVC_CLASS_NAME = "Logoff_Devices";
    private AActivitySpace m_asOwner;
    private IPTSession m_ptSession;

    /**
     * 
     */
    public void CleanupTempData()
    {
    }

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IModel#CleanupAllData()
	 */
	public void CleanupAllData()
	{
	}

    /**
    * @see com.plumtree.xpshared.infrastructure.activityspace.IManagedObject#Create()
    */
    public Object Create()
    {
        return new LogoffDevicesModel();
    }

    /**
    * Returns the Class name.
    *
    * @return String
    */
    public String GetName()
    {
        return STR_MVC_CLASS_NAME;
    }

    /**
     * 
     *
     * @param _asOwner 
     */
    public void Init(AActivitySpace _asOwner)
    {
        m_asOwner   = _asOwner;
        m_ptSession = (IPTSession) m_asOwner.GetUserSession();
    }
}
