package com.plumtree.portalpages.devices.logoff.html32;


import com.plumtree.portalpages.devices.logoff.common.*;
import com.plumtree.uiinfrastructure.activityspace.*;
import com.plumtree.xpshared.htmlelements.*;

/**
 * @author SudhaS
 */

public class LogoffDevicesView_HTML32 implements IView
{
	
	public static final String STR_MVC_CLASS_NAME = "Logoff_HTML32";



	
	public static final String WMLINPUT_NAME     = "Logoff_name";

	
	public static final String WMLINPUT_PASSWORD = "Logoff_password";

	
	public static final String WMLINPUT_AUTHSRC = "Logoff_authsrc";
	private AActivitySpace m_asOwner;
	private ILogoffDevicesModelRO m_asmModel;

	/**
	 * 
	 *
	 * @return 
	 */
	public Object Create()
	{
		return new LogoffDevicesView_HTML32();
	}



	/**
	 * 
	 *
	 * @return 
	 */
	public HTMLScript DisplayJavascript()
	{
		return null;
	}

	/**
	 * @see com.plumtree.xpshared.portalinfrastructure.activityspace.IView#Display()
	 */
	public HTMLElement Display()
	{
		//SS - The logoff space creates a link to the login space
		HTMLTable myTable = new HTMLTable();
		
		HTMLTableRow myRow = new HTMLTableRow();
		myTable.AddInnerHTMLElement(myRow);
		
		HTMLTableCell myCell = new HTMLTableCell();
		myRow.AddInnerHTMLElement(myCell);
	
		ASURL myURL = new ASURL(m_asOwner);

		
		myURL.SetLinkCreateNewSpace("Login", m_asOwner);
		//myURL.SetControl(LoginDevicesControl.STR_MVC_CLASS_NAME);
		
		HTMLAnchor myAnchor = new HTMLAnchor(myURL.GetURLAsString());
		myAnchor.AddInnerHTMLString(m_asOwner.GetString(1419, "ptmsgs_portalbrowsingmsgs"));
		
		myCell.AddInnerHTMLElement(myAnchor);
		
		return myTable;
	
	
	}
	
	

	/**
	 * @see com.plumtree.xpshared.portalinfrastructure.activityspace.IView#GetName()
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**PortalSettings
	 * @see com.plumtree.xpshared.portalinfrastructure.activityspace.IView#Init(IModelRO, AActivitySpace)
	 */
	public void Init(IModelRO model, AActivitySpace parent)
	{
		m_asmModel     = (ILogoffDevicesModelRO) model;
		m_asOwner	   = parent;
	}
}

