package com.plumtree.portalpages.devices.logoff.wml;

import com.plumtree.portalpages.devices.logoff.common.*;
import com.plumtree.uiinfrastructure.activityspace.*;
import com.plumtree.xpshared.htmlelements.*;

/**
 * @author SudhaS
 *
 */


public class LogoffDevicesAS_WML extends AActivitySpace
{
	
	public static final String STR_MVC_CLASS_NAME = "Logoff_WML";

	/**
	* @see com.plumtree.xpshared.portalinfrastructure.activityspace.AActivitySpace#CheckBasicAccess(String, String, boolean)
	*/
	public boolean CheckBasicAccess(String strPage, String strControl,
		boolean bSameSpace)
	{
		return true;
	}

	/**
	 * @see com.plumtree.xpshared.infrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new LogoffDevicesAS_WML();
	}

	/**
	 * @see com.plumtree.xpshared.portalinfrastructure.activityspace.AActivitySpace#GetName()
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * @see com.plumtree.xpshared.activityspace.AActivitySpace#GetStyleSheetLink()
	 */
	public HTMLElementCollection GetStyleSheetLinks()
	{
		return null;
	}

	/**
	 * @see com.plumtree.xpshared.activityspace.AActivitySpace#Init()
	 */
	public void Init()
	{
		super.Init();

		// Portal Settings Display Page
		LogoffDevicesDP_WML myPage = new LogoffDevicesDP_WML();
		RegisterPage(myPage);

		// Portal Settings Model
		RegisterModel(LogoffDevicesModel.STR_MVC_CLASS_NAME);

		IModel myModel = GetModel(LogoffDevicesModel.STR_MVC_CLASS_NAME);

		// Portal Settings Control
		RegisterControl(LogoffDevicesControl.STR_MVC_CLASS_NAME, myModel);

		// Portal Settings Views
		RegisterView(LogoffDevicesView_WML.STR_MVC_CLASS_NAME, myModel);
	}
}

