package com.plumtree.portalpages.devices.portlet.html32;

import com.plumtree.portalpages.devices.portlet.common.*;
import com.plumtree.uiinfrastructure.activityspace.*;
import com.plumtree.xpshared.htmlelements.*;

/**
 * @author SudhaS
 *
 */


public class PortletDevicesAS_HTML32 extends AActivitySpace
{
	
	public static final String STR_MVC_CLASS_NAME = "PortletDevices_HTML32";

	/**
	* @see com.plumtree.xpshared.portalinfrastructure.activityspace.AActivitySpace#CheckBasicAccess(String, String, boolean)
	*/
	public boolean CheckBasicAccess(String strPage, String strControl,
		boolean bSameSpace)
	{
		return true;
	}

	/**
	 * @see com.plumtree.xpshared.infrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new PortletDevicesAS_HTML32();
	}

	/**
	 * @see com.plumtree.xpshared.portalinfrastructure.activityspace.AActivitySpace#GetName()
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * @see com.plumtree.xpshared.activityspace.AActivitySpace#GetStyleSheetLink()
	 */
	public HTMLElementCollection GetStyleSheetLinks()
	{
		return null;
	}

	/**
	 * @see com.plumtree.xpshared.activityspace.AActivitySpace#Init()
	 */
	public void Init()
	{
		super.Init();

		// Portal Settings Display Page
		PortletDevicesDP_HTML32 myPage = new PortletDevicesDP_HTML32();
		RegisterPage(myPage);

		// Portal Settings Model
		RegisterModel(PortletDevicesModel.STR_MVC_CLASS_NAME);

		IModel myModel = GetModel(PortletDevicesModel.STR_MVC_CLASS_NAME);

		// Portal Settings Control
		RegisterControl(PortletDevicesControl.STR_MVC_CLASS_NAME, myModel);

		// Portal Settings Views
		RegisterView(PortletDevicesView_HTML32.STR_MVC_CLASS_NAME, myModel);
	}
}

