package com.plumtree.portalpages.devices.portlet.html32;

import com.plumtree.portalpages.devices.portlet.common.*;
import com.plumtree.uiinfrastructure.activityspace.*;
import com.plumtree.xpshared.htmlelements.*;

/**
 * @author SudhaS
 *
 */


public class PortletDevicesView_HTML32 implements IView
{
	
	public static final String STR_MVC_CLASS_NAME = "PortletDevices_HTML32";
	
	public static final String STR_UNIQUEID_HTML32 = "http://www.plumtree.com/uis/pda";


	private AActivitySpace m_asOwner;
	private IPortletDevicesModelRO m_asmModel;

	/**
	 * 
	 *
	 * @return 
	 */
	public Object Create()
	{
		return new PortletDevicesView_HTML32();
	}

	/**
	 * 
	 *
	 * @return 
	 */
	public HTMLElement Display()
	{
		HTMLTable myTable = new HTMLTable();
		HTMLTableRow myRow = new HTMLTableRow();
		myTable.AddInnerHTMLElement(myRow);
		
		HTMLTableCell myCell = new HTMLTableCell();
		myRow.AddInnerHTMLElement(myCell);
		
		m_asmModel.SetPortletContent(STR_UNIQUEID_HTML32);
		String strPortletContent = m_asmModel.GetPortletContent();
		
		myCell.AddInnerHTMLString(strPortletContent);
		
		
		return myTable;
	}

	/**
	 * 
	 *
	 * @return 
	 */
	public HTMLScript DisplayJavascript()
	{
		return null;
	}

	

	/**
	 * @see com.plumtree.xpshared.portalinfrastructure.activityspace.IView#GetName()
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**PortalSettings
	 * @see com.plumtree.xpshared.portalinfrastructure.activityspace.IView#Init(IModelRO, AActivitySpace)
	 */
	public void Init(IModelRO model, AActivitySpace parent)
	{
		m_asmModel     = (IPortletDevicesModelRO) model;
		m_asOwner	   = parent;
	}
}

