package com.plumtree.portalpages.devices.portlet.wml;

import com.plumtree.openfoundation.util.*;
import com.plumtree.portalpages.devices.portlet.common.*;
import com.plumtree.uiinfrastructure.activityspace.*;
import com.plumtree.uiinfrastructure.devices.*;
import com.plumtree.xpshared.htmlelements.*;

/**
 * @author SudhaS
 *
 */


public class PortletDevicesView_WML implements IDevicesView
{
	
	public static final String STR_MVC_CLASS_NAME = "PortletDevices_WML";
	
	public static final String STR_UNIQUEID_WML = "http://www.plumtree.com/uis/wml";


	private AActivitySpace m_asOwner;
	private IPortletDevicesModelRO m_asmModel;

	/**
	 * 
	 *
	 * @return 
	 */
	public Object Create()
	{
		return new PortletDevicesView_WML();
	}

	/**
	 * 
	 *
	 * @return 
	 */
	public HTMLElement Display()
	{
		return null;
	}

	/**
	 * 
	 *
	 * @return 
	 */
	public HTMLScript DisplayJavascript()
	{
		return null;
	}

	/**
	 * @see com.plumtree.xpshared.portalinfrastructure.activityspace.IView#Display()
	 */
	public String DisplayString()
	{
		XPStringBuilder sb;

		sb = new XPStringBuilder();
		
		
		m_asmModel.SetPortletContent(STR_UNIQUEID_WML);

	

		String strPortletContent = m_asmModel.GetPortletContent();

		
		
		sb.Append(strPortletContent);
		
	
		
		

		return (sb.ToString());
	}

	/**
	 * @see com.plumtree.xpshared.portalinfrastructure.activityspace.IView#GetName()
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**PortalSettings
	 * @see com.plumtree.xpshared.portalinfrastructure.activityspace.IView#Init(IModelRO, AActivitySpace)
	 */
	public void Init(IModelRO model, AActivitySpace parent)
	{
		m_asmModel     = (IPortletDevicesModelRO) model;
		m_asOwner	   = parent;
	}
}

