package com.plumtree.portalpages.portlets.headerfooter;

import com.plumtree.openfoundation.util.XPHashtable;
import com.plumtree.openlog.OpenLogService;
import com.plumtree.openlog.OpenLogger;
import com.plumtree.portaluiinfrastructure.intrinsicportlets.IntrinsicPortletControl;
import com.plumtree.portaluiinfrastructure.statichelpers.PTDebugHelpers;
import com.plumtree.uiinfrastructure.activityspace.Redirect;

/**
 * Standard Footer intrinsic portlet that wraps DefaultFooterView.
 * 
 * @author DavidP
 *
 */
public class StandardFooterControl extends IntrinsicPortletControl 
{
	private static OpenLogger log = OpenLogService.GetLogger(
			OpenLogService.GetComponent(PTDebugHelpers.COMPONENT_PORTAL_PORTLETS),
			"com.plumtree.portalpages.portlets.headerfooter.StandardFooterControl");
	
	public static final String STR_MVC_CLASS_NAME = "StandardFooter";
	
	/* (non-Javadoc)
	 * @see com.plumtree.uiinfrastructure.activityspace.IControl#CheckActionSecurityAndExecute(com.plumtree.openfoundation.util.XPHashtable)
	 */
	public Redirect CheckActionSecurityAndExecute(XPHashtable arguments) 
	{
		return null;
	}

	public Object Create() 
	{
		return new StandardFooterControl();
	}

	public String GetName() 
	{
		return STR_MVC_CLASS_NAME;
	}

	public void PerformRepostAction(int _nAction, XPHashtable _htFormData) 
	{
	}
}
