package com.plumtree.portalpages.portlets.headerfooter;

import com.plumtree.openfoundation.util.XPHashtable;
import com.plumtree.openlog.OpenLogService;
import com.plumtree.openlog.OpenLogger;
import com.plumtree.portaluiinfrastructure.intrinsicportlets.IntrinsicPortletControl;
import com.plumtree.portaluiinfrastructure.statichelpers.PTDebugHelpers;
import com.plumtree.uiinfrastructure.activityspace.Redirect;

/**
 * An intrinsic portlet that wraps the DefaultHeaderView.
 * Assigned to the default Experience Definition.
 * 
 * @author DavidP
 */
public class StandardHeaderControl extends IntrinsicPortletControl 
{
	private static OpenLogger log = OpenLogService.GetLogger(
			OpenLogService.GetComponent(PTDebugHelpers.COMPONENT_PORTAL_PORTLETS),
			"com.plumtree.portalpages.portlets.headerfooter.StandardHeaderControl");
	
	public static final String STR_MVC_CLASS_NAME = "StandardHeader";
	
	/* (non-Javadoc)
	 * @see com.plumtree.uiinfrastructure.activityspace.IControl#CheckActionSecurityAndExecute(com.plumtree.openfoundation.util.XPHashtable)
	 */
	public Redirect CheckActionSecurityAndExecute(XPHashtable arguments) 
	{
		return null;
	}

	public Object Create() 
	{
		return new StandardHeaderControl();
	}

	public String GetName() 
	{
		return STR_MVC_CLASS_NAME;
	}

	public void PerformRepostAction(int _nAction, XPHashtable _htFormData) 
	{
	}
}
