package com.plumtree.portalpages.portlets.sitemap;

import com.plumtree.openfoundation.util.*;
import com.plumtree.portaluiinfrastructure.intrinsicportlets.*;
import com.plumtree.uiinfrastructure.activityspace.*;

/**
 * 
 *
 * @version $Revision$
 * @author josephc
 */
public class SiteMapPortletControl extends IntrinsicPortletControl
{
	/**
	 * Class name for the control. For intrinsic portlets, the control must
	 * have the same class name as the model.
	 */
	public static final String STR_MVC_CLASS_NAME = SiteMapPortletModel.STR_MVC_CLASS_NAME;

	
	
	
	
	
	
	/**
	 * 
	 *
	 * @param arguments 
	 *
	 * @return 
	 */
	public Redirect CheckActionSecurityAndExecute(XPHashtable arguments)
	{
		return null;
	}

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IManagedObject#Create()
	 */
	public Object Create()
	{
		return new SiteMapPortletControl();
	}

	/**
	 * 
	 *
	 * @return 
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * 
	 *
	 * @param _nAction 
	 * @param _htFormData 
	 */
	public void PerformRepostAction(int _nAction, XPHashtable _htFormData)
	{
		SiteMapPortletModel myModel = (SiteMapPortletModel) m_model;

		String sDataKey		 = SiteMapPortletView.HTMLINPUT_VALUE +
			myModel.GetPortletID();
		String[] aDataValues = (String[]) _htFormData.GetElement(sDataKey);

		if ((null != aDataValues) && !(0 == aDataValues.length))
		{
			myModel.SetData(aDataValues[0]);
		}
	}
}

