package com.plumtree.portalpages.rest;

/**
 * This interface handles the errors for REST APIs.
 */
public interface IRESTError
{
	/**
	 * @return the error code for this error.
	 */
	public int GetCode();

	/**
	 * @return the non-i18nized error message for this error.
	 */
	public String GetMessage();

}
