/**
 * 
 */
package com.plumtree.portalpages.rest.dojo;

import com.plumtree.uiinfrastructure.activityspace.*;

/**
 * REST AS to return documents in JSON
 * 
 * @author rozhang
 *
 */
public class KDDocumentDataStoreAS extends AActivitySpace
{
	public static final String STR_MVC_CLASS_NAME = "KDDocumentDataStore";
	
	/**
	 * @see com.plumtree.xpshared.activityspace.AActivitySpace#Init()
	 **/
	public void Init()
	{
		super.Init();

		RegisterModel(KDDocumentDataStoreModel.STR_MVC_CLASS_NAME);
		IModel model = GetModel(KDDocumentDataStoreModel.STR_MVC_CLASS_NAME);

		RegisterPage(new KDDocumentDataStoreDP());

		RegisterControl(KDDocumentDataStoreControl.STR_MVC_CLASS_NAME, model);
	}
	
	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.AActivitySpace#CheckBasicAccess(java.lang.String, java.lang.String, boolean)
	 */
	public boolean CheckBasicAccess(String strPage, String strControl, boolean sameSpace)
	{
		return true;
	}

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.AActivitySpace#Create()
	 */
	public Object Create()
	{
		return new KDDocumentDataStoreAS();
	}

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.AActivitySpace#GetName()
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}
}
