/**
 * 
 */
package com.plumtree.portalpages.rest.dojo;

import com.plumtree.uiinfrastructure.activityspace.*;

/**
 * REST AS to return KD document folders in JSON
 * 
 * @author rozhang
 */
public class KDFolderDataStoreAS extends AActivitySpace
{
	public static final String STR_MVC_CLASS_NAME = "KDFolderDataStore";

	/**
	 * @see com.plumtree.xpshared.activityspace.AActivitySpace#Init()
	 */
	public void Init()
	{
		super.Init();

		RegisterModel(KDFolderDataStoreModel.STR_MVC_CLASS_NAME);
		IModel model = GetModel(KDFolderDataStoreModel.STR_MVC_CLASS_NAME);

		RegisterPage(new KDFolderDataStoreDP());

		RegisterControl(KDFolderDataStoreControl.STR_MVC_CLASS_NAME, model);
	}
	
	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.AActivitySpace#CheckBasicAccess(java.lang.String, java.lang.String, boolean)
	 */
	public boolean CheckBasicAccess(String strPage, String strControl, boolean sameSpace)
	{
		return true;
	}

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.AActivitySpace#Create()
	 */
	public Object Create()
	{
		return new KDFolderDataStoreAS();
	}

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.AActivitySpace#GetName()
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}
}
