using System;
using com.plumtree.openfoundation.util;
namespace com.plumtree.portaluiinfrastructure.condition
{
  /// <summary>
  /// An Exception used by ConditionType objects. It is thrown when the value 
  /// retrieved by the GetConditionValue() method in AConditionType is invalid.
  /// </summary>
  public class ValidationFailedException : XPException
  {
    
    /// <summary>
    /// Comment for <c>serialVersionUID</c>
    /// </summary>
    private const long serialVersionUID = 1L;
  }
}