using System;
namespace com.plumtree.portaluiinfrastructure.friendlyurl
{
  public class FriendlyURLConstants
  {
    public const String FRIENDLY_GATEWAY_URL = "-1";
    
    /// <summary>
    /// DCA - the class Id used in the FriendlyURLs.xml file to indicate the debug/ui keyword
    /// </summary>
    public const String DEBUG_UI_CLASS_ID = "-51";
    
    /// <summary>
    /// DCA - the class Id used in the FriendlyURLs.xml file to indicate the debug/memory keyword
    /// </summary>
    public const String DEBUG_MEMORY_CLASS_ID = "-52";
    
    /// <summary>
    /// DCA - the class Id used in the FriendlyURLs.xml file to indicate the debug/portal keyword
    /// </summary>
    public const String DEBUG_PORTAL_CLASS_ID = "-53";
    
    /// <summary>
    /// DCA - the class Id used in the FriendlyURLs.xml file to indicate the debug keyword
    /// </summary>
    public const String DEBUG_CLASS_ID = "-50";
    
    /// <summary>
    /// the friendly URL key used in the FriendlyURLs.xml file to indicate the rest API keyword
    /// </summary>
    public const int REST_API_ID = -100;
    
    /// <summary>
    /// the friendly URL key used in the FriendlyURLs.xml file to indicate the rest API keyword
    /// </summary>
    public const String REST_API_ID_STRING = "-100";
    
    /// <summary>
    /// the friendly URL key used in the FriendlyURLs.xml file to indicate the Search keyword
    /// </summary>
    public const int FRIENDLY_SEARCH_ID = -25;
    
    /// <summary>
    /// the friendly URL key used in the FriendlyURLs.xml file to indicate the Search keyword
    /// </summary>
    public const String FRIENDLY_SEARCH_URL = "-25";
    
    /// <summary>
    /// the friendly URL key used in the FriendlyURLs.xml file to indicate the RSS keyword
    /// </summary>
    public const int FRIENDLY_RSS_ID = -26;
    
    /// <summary>
    /// the friendly URL key used in the FriendlyURLs.xml file to indicate the RSS keyword
    /// </summary>
    public const String FRIENDLY_RSS_URL = "-26";
  }
}