using System;
using com.plumtree.uiinfrastructure.activityspace;
namespace com.plumtree.portaluiinfrastructure.layout
{
  public interface ILayoutManager
  {
    // CR DLH: This method needs comments, especially who should call it
    // and when.  BTW, is this called?  I couldn't find any references to it.
    /* Not currently needed
     public void Init(AActivitySpace _asSpace);*/
     
    
    /// <summary>
    /// This method retrieves the markup array for the layout specified by _nWebServiceId.
    /// It will deal with checking for a cached version and making a new request and sending 
    /// it to the remote server if needed.
    /// </summary>
    /// <param name="_nWebServiceId">the Id of the layout we want</param>
    /// <param name="_asSpace">the current space we are trying to display</param>
    /// <returns>		the markup array for the layout</returns>
    Object[][] GetLayout(int _nWebServiceId, AActivitySpace _asSpace);
    
    /// <summary>
    /// The same method above for diagnostic.
    /// </summary>
    /// <param name="_nWebServiceId"></param>
    /// <param name="_asSpace"></param>
    /// <param name="bTest"></param>
    /// <returns></returns>
    Object[][] GetLayout(int _nWebServiceId, AActivitySpace _asSpace, bool bTest);
    }
}