using System;
using com.plumtree.uiinfrastructure.statichelpers;
namespace com.plumtree.portaluiinfrastructure.login
{
  /// <author>BenG</author>
  public class PersonalSettingNames
  {
    public const String GREETING = "strGreeting";
    public const String DEFAULT_COMMUNITY_ID = "deffcomid";
    public const String STYLE_SHEET_ID = "stshid";
    public const String REFRESH_RATE = "rfrshrt";
    public const String PORTLET_TIMEOUT = "nPortletTimeout";
    public const String DISPLAY_TIPS = "displaytips";
    public const String TIMEZONE = "strTimeZone";
    public const String OPEN_DOC_NEW_WINDOW = "strOpenNewWin";
    public const String MY_PAGE_REFRESH_RATE = "intMyPageRefreshRate";
    public const String ENABLE_RULES_DEBUG_MODE = "intEnableRulesDebugMode";
    // all other session settings have been moved to:
    // com.plumtree.uiinfrastructure.statichelpers.PersonalSettingsHelper
    public static readonly String ACCESS_STYLE = PersonalSettingsHelper.ACCESS_STYLE;
    public static readonly String LOCALE = PersonalSettingsHelper.LOCALE;
    public static readonly String LANGUAGE = PersonalSettingsHelper.LANGUAGE;
    public static readonly String BASE_URL = PersonalSettingsHelper.BASE_URL;
    }
}