using System;
using com.plumtree.openfoundation.util;
namespace com.plumtree.portaluiinfrastructure.search
{
  /// <summary>
  /// SearchExecutionException is the superclass of any exception that
  /// may occur when a search is run (i.e. an error or warning originating
  /// from COM or Search Server code).
  /// </summary>
  public abstract class SearchExecutionException : XPException
  {
    
    /// <summary>
    /// Creates a new SearchExecutionException object.
    /// </summary>
    /// <param name="msg"></param>
    public SearchExecutionException(String msg) : base(msg)
    {
    }
  }
}