using System;
using com.plumtree.portaluiinfrastructure.search;
using com.plumtree.uiinfrastructure.activityspace;
namespace com.plumtree.portaluiinfrastructure.search.exceptions
{
  /// <summary>
  /// CacheFlushedException indicates that a search session has been
  /// flushed from the ActivitySpace cache and could not be reconstructed
  /// from the arguments in the submitted URL
  /// </summary>
  public class CacheFlushedException : SearchExecutionError
  {
    public CacheFlushedException(AActivitySpace m_asOwner) : base(m_asOwner.GetString(202,
     "ptmsgs_portalinfrastructure"))
    {
    }
  }
}