using System;
using com.plumtree.portaluiinfrastructure.search;
using com.plumtree.uiinfrastructure.activityspace;
namespace com.plumtree.portaluiinfrastructure.search.exceptions
{
  /// <summary>
  /// EmptyQueryException indicates that the user did not supply a query string
  /// </summary>
  public class EmptyQueryException : SearchExecutionError
  {
    
    /// <summary>
    /// Creates a new EmptyQueryException object.
    /// </summary>
    /// <param name="m_asOwner"></param>
    public EmptyQueryException(AActivitySpace m_asOwner) : base(m_asOwner.GetString(536,
     "ptmsgs_portalinfrastructure"))
    {
    }
  }
}