using System;
using com.plumtree.portaluiinfrastructure.search;
using com.plumtree.uiinfrastructure.activityspace;
namespace com.plumtree.portaluiinfrastructure.search.exceptions
{
  /// <summary>
  /// EndsInOperatorsException indicates that a query
  /// ends with ', and' or ', or', etc.
  /// </summary>
  public class EndsInOperatorsException : SearchExecutionError
  {
    
    /// <summary>
    /// Creates a new TwoOperatorsException object.
    /// </summary>
    /// <param name="m_asOwner"></param>
    public EndsInOperatorsException(AActivitySpace m_asOwner) : base(m_asOwner.GetString(455,
     "ptmsgs_portalinfrastructure"))
    {
    }
  }
}