using System;
using com.plumtree.portaluiinfrastructure.search;
using com.plumtree.uiinfrastructure.activityspace;
namespace com.plumtree.portaluiinfrastructure.search.exceptions
{
  /// <summary>
  /// InappropriateOperatorException indicates that the query could
  /// not be parsed; it started with something other than a
  /// NOT, search term, or left parenthesis
  /// </summary>
  public class InappropriateOperatorException : SearchExecutionError
  {
    
    /// <summary>
    /// Creates a new InappropriateOperatorException object.
    /// </summary>
    /// <param name="m_asOwner"></param>
    public InappropriateOperatorException(AActivitySpace m_asOwner) : base(m_asOwner.GetString(288,
     "ptmsgs_portalinfrastructure"))
    {
    }
  }
}