using System;
using com.plumtree.portaluiinfrastructure.search;
using com.plumtree.uiinfrastructure.activityspace;
namespace com.plumtree.portaluiinfrastructure.search.exceptions
{
  /// <summary>
  /// InsufficientWildcardCharactersException indicates that the user did not supply a query string
  /// </summary>
  public class InsufficientWildcardCharactersException : SearchExecutionError
  {
    public InsufficientWildcardCharactersException(AActivitySpace m_asOwner) : base(m_asOwner.GetString(204,
     "ptmsgs_portalinfrastructure"))
    {
    }
  }
}