using System;
using com.plumtree.portaluiinfrastructure.search;
namespace com.plumtree.portaluiinfrastructure.search.exceptions
{
  /// <summary>
  /// InvalidStateException indicates that a method on
  /// ISearchResultModel was called with a key, but the key
  /// was not found in the SearchResultModel cache.
  /// </summary>
  public class InvalidStateException : SearchExecutionException
  {
    
    /// <summary>
    /// Creates a new InvalidStateException object.
    /// </summary>
    /// <param name="key"></param>
    public InvalidStateException(String key) : base("Could not find key " + key)
    {
    }
  }
}