using System;
using com.plumtree.portaluiinfrastructure.search;
namespace com.plumtree.portaluiinfrastructure.search.exceptions
{
  /// <summary>
  /// NotInitializedException indicates that one of the get() accessor methods
  /// was called on a search result before any search was run.
  /// </summary>
  public class NotInitializedException : SearchModelException
  {
    
    /// <summary>
    /// Creates a new NotInitializedException object.
    /// </summary>
    public NotInitializedException() : base("Attempted to use a SearchResultModel that has not been initialized.")
    {
    }
  }
}