using System;
using com.plumtree.portaluiinfrastructure.search;
using com.plumtree.uiinfrastructure.activityspace;
namespace com.plumtree.portaluiinfrastructure.search.exceptions
{
  /// <summary>
  /// WildcardExpansionWarning indicates that the user's query expanded
  /// out to too many terms.
  /// </summary>
  public class PartialQueryWarning : SearchExecutionWarning
  {
    
    /// <summary>
    /// Creates a new PartialQueryWarning object.
    /// </summary>
    /// <param name="m_asOwner"></param>
    public PartialQueryWarning(AActivitySpace m_asOwner) : base(m_asOwner.GetString(544,
     "ptmsgs_portalinfrastructure"))
    {
    }
  }
}