using System;
using com.plumtree.portaluiinfrastructure.search;
using com.plumtree.uiinfrastructure.activityspace;
namespace com.plumtree.portaluiinfrastructure.search.exceptions
{
  /// <summary>
  /// QueryParseException usually indicates that a date or numeric property
  /// had an invalid format
  /// </summary>
  public class QueryParseException : SearchExecutionError
  {
    
    /// <summary>
    /// Creates a new QueryParseException object.
    /// </summary>
    /// <param name="m_asOwner"></param>
    public QueryParseException(AActivitySpace m_asOwner) : base(m_asOwner.GetString(289,
     "ptmsgs_portalinfrastructure"))
    {
    }
  }
}