using System;
using com.plumtree.portaluiinfrastructure.search;
using com.plumtree.uiinfrastructure.activityspace;
namespace com.plumtree.portaluiinfrastructure.search.exceptions
{
  /// <summary>
  /// QueryTimeoutWarning indicates that the user's query took too
  /// long and was truncated with an incomplete result set.
  /// </summary>
  public class QueryTimeoutWarning : SearchExecutionWarning
  {
    
    /// <summary>
    /// Creates a new QueryTimeoutWarning object.
    /// </summary>
    /// <param name="m_asOwner"></param>
    public QueryTimeoutWarning(AActivitySpace m_asOwner) : base(m_asOwner.GetString(290,
     "ptmsgs_portalinfrastructure"))
    {
    }
  }
}