using System;
using com.plumtree.portaluiinfrastructure.search;
using com.plumtree.uiinfrastructure.activityspace;
namespace com.plumtree.portaluiinfrastructure.search.exceptions
{
  /// <summary>
  /// SocketTimeoutException indicates that the connection to the
  /// Search Server timed out.
  /// </summary>
  public class SocketTimeoutException : SearchExecutionError
  {
    
    /// <summary>
    /// Creates a new SocketTimeoutException object.
    /// </summary>
    /// <param name="m_asOwner"></param>
    public SocketTimeoutException(AActivitySpace m_asOwner) : base(m_asOwner.GetString(291,
     "ptmsgs_portalinfrastructure"))
    {
    }
  }
}