using System;
// Framework Imports
using com.plumtree.openfoundation.util;
using com.plumtree.portaluiinfrastructure.editor.commonpages.objectsecurity;
namespace com.plumtree.portaluiinfrastructure.securitymatrix
{
  /// <summary>
  /// This interface is implemented by the Model.
  /// It contains all the read-only mothods of the Model
  /// accessed by the Views.
  /// </summary>
  /// <author>Julie Fournier</author>
  public interface IMultiObjectsSecurityModelRO : IObjectSecurityModelRO
  {
    
    /// <seealso cref="com.plumtree.portaluiinfrastructure.securitymatrix.MultiObjectsSecurityModel#GetColumns()"></seealso>
    int[] GetColumns();
    
    /// <seealso cref="com.plumtree.portaluiinfrastructure.securitymatrix.MultiObjectsSecurityModel#GetObjectArray()"></seealso>
    XPArrayList GetObjectArray();
  }
}