using System;
using com.plumtree.portaluiinfrastructure.search;
using com.plumtree.uiinfrastructure.activityspace;
namespace com.plumtree.portaluiinfrastructure.tags.common
{
  /// <summary>
  /// This interface determines how to make URLs for search pagination.
  /// </summary>
  public interface ISearchURLHelper
  {
    
    /// <summary>
    /// Make a search pagination URL.
    /// </summary>
    /// <param name="_asOwner"></param>
    /// <param name="_model"></param>
    /// <param name="sortOrder"></param>
    /// <param name="firstResultToDisplay"></param>
    /// <param name="pageSize"></param>
    /// <returns></returns>
    String makeURL(AActivitySpace _asOwner, ISearchResultModelRO _model, String sortOrder,
     int firstResultToDisplay, int pageSize);
  }
}