using System;
using com.plumtree.openfoundation.util;
namespace com.plumtree.portaluiinfrastructure.tags.tagdef
{
  /// <author>rozhang</author>
  public class TagOutputDefEntry
  {
    protected XPArrayList m_value;
    protected XPDateTime m_created;
    protected bool m_readOnly;
    
    /// <summary>
    /// The two attributes below are not currently used *
    /// </summary>
    protected int m_wsId;
    protected String m_wsName;
    public TagOutputDefEntry(XPArrayList value, bool readOnly, int wsId, String wsName)
    {
      m_value = value;
      m_readOnly = readOnly;
      m_created = new XPDateTime();
      m_wsId = wsId;
      m_wsName = wsName;
    }
    public virtual String GetWebServiceName()
    {
      return m_wsName;
    }
    public virtual int GetWebServiceId()
    {
      return m_wsId;
    }
    public virtual XPDateTime GetEntryCreated()
    {
      return m_created;
    }
    public virtual XPArrayList GetEntryValue()
    {
      return m_value;
    }
    public virtual bool IsReadOnly()
    {
      return m_readOnly;
    }
  }
}