using System;
namespace com.plumtree.portaluiinfrastructure.tree
{
  /// <author>Naveen Pai</author>
  public interface IServerTreeModel
  {
    
    /// <summary>
    /// Implement this function to pre-select nodes for trees
    /// that use the ServerTreeModel (IPTTreeIterator trees).
    /// </summary>
    /// <param name="strArrLocs"></param>
    void SetLocationsToSelect(String strLocs);
    
    /// <summary>
    /// Implement this function to hide nodes for trees
    /// that use the ServerTreeModel (IPTTreeIterator trees).
    /// </summary>
    /// <param name="strArrLocs"></param>
    void SetLocationsToHide(String strLocs);
  }
}