using System;
using com.plumtree.openlog;
using com.plumtree.portaluiinfrastructure.statichelpers;
using com.plumtree.uiinfrastructure.form;
using com.plumtree.xpshared.htmlelements;
namespace com.plumtree.portaluiinfrastructure.tree.template
{
  /// <author>michaeld</author>
  public class InheritTemplateDP : AFormDP
  {
    private static OpenLogger log = OpenLogService.GetLogger(OpenLogService.GetComponent(PTDebugHelpers.COMPONENT_PORTAL_ADMIN),
     "com.plumtree.portalpages.browsing.editors.community.templatetree.InheritTemplateDP");
    
    /// <summary>
    /// name of this object 
    /// </summary>
    public const String STR_MVC_CLASS_NAME = "InheritTemplate";
    
    /// <seealso cref="com.plumtree.uiinfrastructure.form.AFormDP#GetFormTitle()"></seealso>
    public override String GetFormTitle()
    {
      // This page is displayed in a frame, so doesn't need a title.
      return "";
    }
    
    /// <seealso cref="com.plumtree.uiinfrastructure.activityspace.IMVCObject#GetName()"></seealso>
    public override String GetName()
    {
      return STR_MVC_CLASS_NAME;
    }
    
    /// <seealso cref="com.plumtree.uiinfrastructure.form.AFormDP#PageDisplay()"></seealso>
    public override HTMLElement PageDisplay()
    {
      HTMLElementCollection result = new HTMLElementCollection();
      //		result.AddInnerHTMLElement(m_asOwner.GetView(
      //				TreeDP.TREE_BAR_STORAGE_NAME).Display());
      result.AddInnerHTMLElement(m_asOwner.GetView(InheritTemplateView.STR_MVC_CLASS_NAME).Display());
      return result;
    }
  }
}