using System;
using com.plumtree.portaluiinfrastructure.tags;
namespace com.plumtree.portaluiinfrastructure.test.tags
{
  /// <summary>
  /// This tag is missing required meta data and should fail.
  /// </summary>
  /// <author>DonH</author>
  public class BadMetaDataTag : ATestTag
  {
    // NOTE: This tag does not have an ITagMetaData field, so it should fail.
    
    /// <seealso cref="com.plumtree.portaluiinfrastructure.tags.ATag#ReleaseTag()"></seealso>
    public override void ReleaseTag()
    {
    }
    
    /// <seealso cref="com.plumtree.portaluiinfrastructure.tags.ATag#Create()"></seealso>
    public override ATag Create()
    {
      return new BadMetaDataTag();
    }
  }
}