package com.plumtree.portaluiinfrastructure.editor;


/**
 * This is the interface for the read-only method
 * needed to display the migration checkbox..
 *
 * @author Julie Fournier
 */
public interface IMigrationModelRO
{
	/**
	 * @see com.plumtree.portaluiinfrastructure.editor.ObjEditorModel#GetIsSysAdmin()
	 *
	 */
	public boolean GetIsSysAdmin();

	/**
	 * @see com.plumtree.portaluiinfrastructure.editor.ObjEditorModel#IsMigrationApproved()
	 *
	 */
	public boolean IsMigrationApproved();
}

