package com.plumtree.portaluiinfrastructure.editor.saveobject;

// Framework imports
import com.plumtree.uiinfrastructure.form.*;
import com.plumtree.xpshared.htmlelements.*;

/**
 * This is the DP is to replace the folder tree when the admin
 * folder cannot be changed.
 *
 * @author Julie Fournier
 */
public class SaveObjectCantChangeFolderDP extends AFormDP
{
	/**
	 * Class name for the activity space
	 */
	public static final String STR_MVC_CLASS_NAME = "SaveObjectCantChangeFolder";

	/**
	 * @see com.plumtree.uiinfrastructure.form.AFormDP#GetFormTitle()
	 */
	public String GetFormTitle()
	{
		// JF- This DP in inside a frame. No need to set the form title here.
		return "";
	}

	/**
	 * @see com.plumtree.uiinfrastructure.activityspace.IMVCObject#GetName()
	 */
	public String GetName()
	{
		return STR_MVC_CLASS_NAME;
	}

	/**
	 * @see com.plumtree.uiinfrastructure.form.AFormDP#PageDisplay()
	 */
	public HTMLElement PageDisplay()

	{
		return m_asOwner.GetView(SaveObjectCantChangeFolderView.STR_MVC_CLASS_NAME)
		.Display();
	}
}

