package com.plumtree.portaluiinfrastructure.layout;

import com.plumtree.uiinfrastructure.activityspace.*;

public interface ILayoutManager {

	// CR DLH: This method needs comments, especially who should call it
	// and when.  BTW, is this called?  I couldn't find any references to it.
	/* Not currently needed
	public void Init(AActivitySpace _asSpace);*/
	
	/**
	 * This method retrieves the markup array for the layout specified by _nWebServiceId.
	 * It will deal with checking for a cached version and making a new request and sending 
	 * it to the remote server if needed.
	 * 
	 * @param _nWebServiceId	the Id of the layout we want
	 * @param _asSpace			the current space we are trying to display
	 * @return		the markup array for the layout
	 */
	public Object[][] GetLayout(int _nWebServiceId, AActivitySpace _asSpace);
	
	/**
	 * The same method above for diagnostic.
	 * 
	 * @param _nWebServiceId
	 * @param _asSpace
	 * @param bTest
	 * @return
	 */
	public Object[][] GetLayout(int _nWebServiceId, AActivitySpace _asSpace, boolean bTest);
}
