package com.plumtree.portaluiinfrastructure.search;

import com.plumtree.openfoundation.util.*;

/**
 *  SearchExecutionException is the superclass of any exception that
 *  may occur when a search is run (i.e. an error or warning originating
 *  from COM or Search Server code).
 */
public abstract class SearchExecutionException extends XPException
{
	/**
	 * Creates a new SearchExecutionException object.
	 *
	 * @param msg 
	 */
	public SearchExecutionException(String msg)
	{
		super(msg);
	}
}

