package com.plumtree.portaluiinfrastructure.search;


/**
 *  SearchExecutionWarning indicates a warning that occurred while a search
 *  was running.  Such a warning should be displayed to the user, but does
 *  not indicate that the search failed.  For example, the user's query might
 *  have timed out and returned an incomplete result set.
 */
public class SearchExecutionWarning extends SearchExecutionException
{
	/**
	 * Creates a new SearchExecutionWarning object.
	 *
	 * @param msg 
	 */
	public SearchExecutionWarning(String msg)
	{
		super(msg);
	}
}

