package com.plumtree.portaluiinfrastructure.search;

import com.plumtree.openfoundation.util.*;

/**
 *  SearchModelException is the superclass of any exception that
 *  indicates improper usage of a class in
 *  com.plumtree.portaluiinfrastructure.search.
 *  It does NOT indicate user error or an external problem with the
 *  search server.
 */
public class SearchModelException extends XPException
{
	/**
	 * Creates a new SearchModelException object.
	 *
	 * @param msg 
	 */
	public SearchModelException(String msg)
	{
		super(msg);
	}
}

