package com.plumtree.portaluiinfrastructure.search.exceptions;

import com.plumtree.portaluiinfrastructure.search.*;
import com.plumtree.uiinfrastructure.activityspace.*;

/**
 *  CacheFlushedException indicates that a search session has been
 *  flushed from the ActivitySpace cache and could not be reconstructed
 *  from the arguments in the submitted URL
 */
public class CacheFlushedException extends SearchExecutionError
{
	public CacheFlushedException(AActivitySpace m_asOwner)
	{
		super(m_asOwner.GetString(202, "ptmsgs_portalinfrastructure"));
	}
}

