package com.plumtree.portaluiinfrastructure.search.exceptions;

import com.plumtree.portaluiinfrastructure.search.*;
import com.plumtree.uiinfrastructure.activityspace.*;

/**
 * EmptyQueryException indicates that the user did not supply a query string
 */
public class EmptyQueryException extends SearchExecutionError
{
	/**
	 * Creates a new EmptyQueryException object.
	 *
	 * @param m_asOwner 
	 */
	public EmptyQueryException(AActivitySpace m_asOwner)
	{
		super(m_asOwner.GetString(536, "ptmsgs_portalinfrastructure"));
	}
}

