package com.plumtree.portaluiinfrastructure.search.exceptions;

import com.plumtree.portaluiinfrastructure.search.*;
import com.plumtree.uiinfrastructure.activityspace.*;

/**
 *  EndsInOperatorsException indicates that a query
 *  ends with ', and' or ', or', etc.
 */
public class EndsInOperatorsException extends SearchExecutionError
{
	
	/**
	 * Creates a new TwoOperatorsException object.
	 *
	 * @param m_asOwner 
	 */
	public EndsInOperatorsException(AActivitySpace m_asOwner)
	{
		super(m_asOwner.GetString(455, "ptmsgs_portalinfrastructure"));
	}
}

