package com.plumtree.portaluiinfrastructure.search.exceptions;

import com.plumtree.portaluiinfrastructure.search.*;
import com.plumtree.uiinfrastructure.activityspace.*;

/**
 * InappropriateOperatorException indicates that the query could
 *  not be parsed; it started with something other than a
 *  NOT, search term, or left parenthesis
 */
public class InappropriateOperatorException extends SearchExecutionError
{
	

	/**
	 * Creates a new InappropriateOperatorException object.
	 *
	 * @param m_asOwner 
	 */
	public InappropriateOperatorException(AActivitySpace m_asOwner)
	{
		super(m_asOwner.GetString(288, "ptmsgs_portalinfrastructure"));
	}
}

