package com.plumtree.portaluiinfrastructure.search.exceptions;

import com.plumtree.portaluiinfrastructure.search.*;
import com.plumtree.uiinfrastructure.activityspace.*;

/**
 *  InsufficientWildcardCharactersException indicates that the user did not supply a query string
 */
public class InsufficientWildcardCharactersException
	extends SearchExecutionError
{
	public InsufficientWildcardCharactersException(AActivitySpace m_asOwner)
	{
		super(m_asOwner.GetString(204, "ptmsgs_portalinfrastructure"));
	}
}

