package com.plumtree.portaluiinfrastructure.search.exceptions;

import com.plumtree.portaluiinfrastructure.search.*;

/**
 *  NotAdvancedSearchException indicates that one of the get() accessor methods
 *  that applies only to advanced search was called following a basic search
 */
public class NotAdvancedSearchException extends SearchModelException
{
	/**
	 * Creates a new NotAdvancedSearchException object.
	 */
	public NotAdvancedSearchException()
	{
		super(
			"This method should only be called after running an advanced search.");
	}
}

