package com.plumtree.portaluiinfrastructure.search.exceptions;

import com.plumtree.portaluiinfrastructure.search.*;
import com.plumtree.uiinfrastructure.activityspace.*;

/**
 *  QueryParseException usually indicates that a date or numeric property
 *  had an invalid format
 */
public class QueryParseException extends SearchExecutionError
{
	
	/**
	 * Creates a new QueryParseException object.
	 *
	 * @param m_asOwner 
	 */
	public QueryParseException(AActivitySpace m_asOwner)
	{
		super(m_asOwner.GetString(289, "ptmsgs_portalinfrastructure"));
	}
}

