package com.plumtree.portaluiinfrastructure.search.exceptions;

import com.plumtree.portaluiinfrastructure.search.*;
import com.plumtree.uiinfrastructure.activityspace.*;

/**
 *  QueryTimeoutWarning indicates that the user's query took too
 *  long and was truncated with an incomplete result set.
 */
public class QueryTimeoutWarning extends SearchExecutionWarning
{
	
	/**
	 * Creates a new QueryTimeoutWarning object.
	 *
	 * @param m_asOwner 
	 */
	public QueryTimeoutWarning(AActivitySpace m_asOwner)
	{
		super(m_asOwner.GetString(290, "ptmsgs_portalinfrastructure"));
	}
}

