package com.plumtree.portaluiinfrastructure.tags.common;

import com.plumtree.portaluiinfrastructure.search.*;
import com.plumtree.uiinfrastructure.activityspace.*;

/**
 * This interface determines how to make URLs for search pagination.
 */
public interface ISearchURLHelper
{
	/**
	 * Make a search pagination URL.
	 * 
	 * @param _asOwner
	 * @param _model
	 * @param sortOrder
	 * @param firstResultToDisplay
	 * @param pageSize
	 * @return
	 */
	public String makeURL(AActivitySpace _asOwner, ISearchResultModelRO _model,
		String sortOrder, int firstResultToDisplay, int pageSize);
}