package com.plumtree.portaluiinfrastructure.test.friendlyurl;

import junit.framework.*;
import xpunit.framework.*;

import com.plumtree.portaluiinfrastructure.test.classtypedescriptors.classtypes.*;
import com.plumtree.portaluiinfrastructure.test.opener.plugins.*;

public class FriendlyURLTestSuite {

	public static final String SUITENAME = "Friendly URL Unit Tests";

	public static Test suite() {
		XpTestSuite suite = new XpTestSuite(SUITENAME);
		suite.addTestSuite(FriendlyURLParserManagerTest.class);
		suite.addTestSuite(FriendlyURLParserTest.class);
		suite.addTestSuite(CommunityFriendlyURLParserTest.class);
		suite.addTestSuite(KDFriendlyURLParserTest.class);
		suite.addTestSuite(APIFriendlyURLParserTest.class);
		suite.addTestSuite(FriendlyURLTest.class);
		suite.addTestSuite(FriendlyURLPluginTest.class);
		suite.addTestSuite(PTCommunitiesTest.class);
		suite.addTestSuite(PTCommunitiesTestURLGeneration.class);
		suite.addTestSuite(PTDocumentsTest.class);
		suite.addTestSuite(PTMyPagesTest.class);
		suite.addTestSuite(PTDocFoldersTest.class);
		suite.addTestSuite(FriendlyGatewayURLFilterTest.class);
		suite.addTestSuite(RSSFriendlyURLParserTest.class);
		return suite;
	}
}