package com.plumtree.portaluiinfrastructure.test.server.impl.core;

import junit.framework.*;

import com.plumtree.server.*;
import com.plumtree.server.impl.core.*;
import com.plumtree.server.impl.portlet.providers.*;

public class ProvidersFactoryTest extends TestCase
{
	public void testPortletProviders()
	{
		IPTAsyncGadgetProvider prov = ProvidersFactory.CreatePortletProvider(PageletProvider.STR_CLSID);
		assertTrue("Factory did not return an instance of the pagelet provider.",
			prov instanceof PageletProvider);

		prov = ProvidersFactory.CreatePortletProvider(CSPPortletProvider.STR_CLSID);
		assertTrue("Factory did not return an instance of the CSP portlet provider.",
			prov instanceof CSPPortletProvider);

		prov = ProvidersFactory.CreatePortletProvider(IntrinsicPortletProviderObject.STR_CLSID);
		assertTrue("Factory did not return an instance of the intrinsic portlet provider.",
			prov instanceof IntrinsicPortletProviderObject);
	}
}
