package com.bea.alui.taglib.logic.test;

import junit.framework.*;
import xpunit.framework.*;

public class TagLibLogicTestSuite
{
	public static final String SUITENAME = "Logic Tag Library Unit & Integration Tests";

	public static Test suite() {
		XpTestSuite suite = new XpTestSuite(SUITENAME);
        suite.addTestSuite(TestCollectionLengthTag.class);
        suite.addTestSuite(TestForEachTag.class);
        suite.addTestSuite(TestSortLogicTag.class);
        suite.addTestSuite(ReplaceHierarchicalDataTagTest.class);
        suite.addTestSuite(AppendHierarchicalDataTagTest.class);
        suite.addTestSuite(TagDataApplicationCacheTagTest.class);
        suite.addTestSuite(TagDataSessionCacheTagTest.class);
        
		return suite;
	}
}