package com.plumtree.taglib.ptconditionals;

import com.plumtree.portaluiinfrastructure.tags.metadata.*;

/**
 * Meta-data for the logic tag library.
 */
public class PTConditionalsTagLibraryData implements ITagLibraryMetaData
{
	public static final TagLibraryMetaData LIBRARY = new TagLibraryMetaData
		("PTConditionals Tags", "ptcond", 
		 "This tag library contains tags that displays content based if certain conditions are met much like the logic.if tag. "+
		 "But, unlike the generic logic.if tag the tags in this library are used to check common WCI conditions, such as checking "+
		 "for the current page being a Community page or being on a specific WCI Page. These tags only cover common conditional checks,"+
		 "but in these cases they are easier to use and result in cleaner and clearer tag code than the logic.if tag.", 
		 1.0);

	public static final String SCOPE_REFERENCE = "See the Logic tag library description for details about valid scope arguments.";
}
