package com.plumtree.taglib.pathways;

import com.plumtree.portaluiinfrastructure.tags.metadata.*;

/**
 * Meta-data for the Pathways tag library of Adaptive layout framework.  This library
 * contains tags for surfacing Pathways data on pages that uses the Adaptive Layout Framework.
 *
 * These tags will work on any page that uses Adaptive Layouts.
 *
 * @author BobbyT
 */
public class PathwaysTagLibraryData implements ITagLibraryMetaData
{
	public static final TagLibraryMetaData LIBRARY = new TagLibraryMetaData(
		"Pathways Tags for Adaptive Layout", "pathways",
		"This library contains the Pathways tags for the Adaptive Layout Framework " +
		"These tags are available on any Adaptive Layout pages.", 1.0);
}
