using System;
using com.plumtree.portaluiinfrastructure.tags.displaytree;
using com.plumtree.portaluiinfrastructure.tags.metadata;
namespace com.plumtree.taglib.standard
{
  /// <summary>
  /// Meta-data for the standard tag library.  This library
  /// contains all of the legacy PT Transformer Tags from 5.0.
  /// </summary>
  public class StandardTagLibraryData : ITagLibraryMetaData
  {
    public static readonly TagLibraryMetaData LIBRARY = new TagLibraryMetaData("Standard Tags",
     TagDisplayElement.DEFAULT_TAG_LIB_NAME, "This library contains the standard PT Transformer Tags from the 5.0 portal. " + "It contains two versions of each tag: one that uses the original camelCase naming " + "convention, and one that uses all lower case names for tag names and attributes. " + "Certain Standard Tags, while not included in this library, are still supported. ",
     1.0);
  }
}