package com.plumtree.taglib.standard;

/**
 * Constants for shared Tag Attributes.
 */
public class AttributeConstants
{
	public static final String CLASS_ID_ATTRIBUTE = "classid";
	public static final String CLASS_ID_ATTRIBUTE_LEGACY = "classID";
	public static final String CLASS_ID_DESCRIPTION = "The portal object type (class ID).";

	public static final String OBJECT_ID_ATTRIBUTE = "objectid";
	public static final String OBJECT_ID_ATTRIBUTE_LEGACY = "objectID";
	public static final String OBJECT_ID_DESCRIPTION =
		"The ID of the portal object referenced in the Class ID attribute " +
		"(i.e., the User or Community ID). To access the object ID, use the PRC.";
}
