using System;
using com.plumtree.portaluiinfrastructure.tags.metadata;
namespace com.plumtree.taglib.advancedSearch
{
  /// <summary>
  /// Meta-data for the Advanced Search tag library of Adaptive layout framework.  This library
  /// contains tags for surfacing Advanced Search data on pages that uses the Adaptive Layout Framework.
  /// These tags will work on any page that uses Adaptive Layouts.
  /// </summary>
  /// <author>Lmah</author>
  public class AdvancedSearchTagLibraryData : ITagLibraryMetaData
  {
    public static readonly TagLibraryMetaData LIBRARY = new TagLibraryMetaData("Advanced Search Tags for Adaptive Layout",
     "advancedsearch", "This library contains the Advanced Search tags for the Adaptive Layout Framework " + "These tags are available on any Adaptive Layout pages.",
     1.0);
  }
}