package com.bea.alui.taglib.joincommunitypageeditor;

import com.plumtree.portaluiinfrastructure.search.*;
import com.plumtree.portaluiinfrastructure.tags.common.*;
import com.plumtree.uiinfrastructure.activityspace.*;

/**
 * This helper class generates search pagination URLs for use
 * in the Join Community flyout using AJAX.
 * 
 * TODO: Refactor this class
 * 
 * @author Bobby Tse
 *
 */
public class JoinCommunitySearchURLHelper implements ISearchURLHelper
{
	public String makeURL(AActivitySpace _asOwner, ISearchResultModelRO _model,
			String sortOrder, int firstResultToDisplay, int pageSize)
	{
		// This uses a special method that forces a standard URL, not a pass-thru URL
		// so it can be used with an AJAX method.
		return PaginationControl.makeURLAsString(_model, _asOwner, "",
			sortOrder, firstResultToDisplay, pageSize);
	}
}
