using System;
using com.plumtree.portaluiinfrastructure.tags.metadata;
namespace com.bea.alui.taglib.kdpage
{
  /// <summary>
  /// Meta-data for the KD Page tag library of Adaptive Layout Framework.  This library
  /// contains all of the tags for the KD page in Adaptive Layout Framework.
  /// </summary>
  /// <author>Dustin Ang</author>
  public class KDPageTagLibraryData : ITagLibraryMetaData
  {
    public static readonly TagLibraryMetaData LIBRARY = new TagLibraryMetaData("KD Page Tags for Adaptive Layout",
     "kdpage", "This library contains the Knowledge Directory page tags for the " + "Adaptive Page Layout Framework. The tags in this library will " + "only work with the Knowledge Directory Adaptive Layout.",
     1.0);
  }
}