using System;
using junit.framework;
using xpunit.framework;
namespace com.bea.alui.taglib.kdpage.test
{
  public class TaglibKDPageTestSuite
  {
    public const String SUITENAME = "KD Page Tag Library Unit Tests";
    public static Test suite()
    {
      XpTestSuite suite = new XpTestSuite(SUITENAME);
      suite.addTestSuite(typeof(BreadCrumbsDataTagTest));
      suite.addTestSuite(typeof(CurrentFolderDataTagTest));
      suite.addTestSuite(typeof(CreateFolderDisplayTagTest));
      suite.addTestSuite(typeof(DocumentsPerPageDataTagTest));
      suite.addTestSuite(typeof(DocumentColumnHeadersDataTagTest));
      suite.addTestSuite(typeof(DocumentsDataTagTest));
      suite.addTestSuite(typeof(RelatedResourcesDataTagTest));
      suite.addTestSuite(typeof(SubFoldersDataTagTest));
      suite.addTestSuite(typeof(SubmitSourceDataTagTest));
      suite.addTestSuite(typeof(ViewItemsDataTagTest));
      return suite;
    }
  }
}