using System;
using junit.framework;
using xpunit.framework;
namespace com.bea.alui.taglib.portletpage.test
{
  public class TagLibPortletPageTestsuite
  {
    public const String SUITENAME = "PortletPage Tag Library Unit & Integration Tests";
    public static Test suite()
    {
      XpTestSuite suite = new XpTestSuite(SUITENAME);
      suite.addTestSuite(typeof(TestPortletCollapseExpandButtonDisplayTag));
      suite.addTestSuite(typeof(TestPortletContentDisplayTag));
      suite.addTestSuite(typeof(TestPortletDisplayTag));
      suite.addTestSuite(typeof(TestPortletHelpButtonDisplayTag));
      suite.addTestSuite(typeof(TestPortletPreferenceButtonDisplayTag));
      suite.addTestSuite(typeof(TestPortletRefreshButtonDisplayTag));
      suite.addTestSuite(typeof(TestPortletRegionDataTag));
      suite.addTestSuite(typeof(TestPortletRegionDisplayTag));
      return suite;
    }
  }
}