using System;
using com.plumtree.portaluiinfrastructure.search;
using com.plumtree.portaluiinfrastructure.tags.common;
using com.plumtree.uiinfrastructure.activityspace;
namespace com.bea.alui.taglib.portletpageeditor
{
  /// <summary>
  /// This helper class generates search pagination URLs for use
  /// in the portlet flyout using AJAX.
  /// </summary>
  public class PortletSearchURLHelper : ISearchURLHelper
  {
    public virtual String makeURL(AActivitySpace _asOwner, ISearchResultModelRO _model,
     String sortOrder, int firstResultToDisplay, int pageSize)
    {
      // This uses a special method that forces a standard URL, not a pass-thru URL
      // so it can be used with an AJAX method.
      return PaginationControl.makeURLAsString(_model, _asOwner, "", sortOrder,
       firstResultToDisplay, pageSize);
    }
  }
}