package com.bea.alui.taglib.portletpageeditor;

import com.plumtree.portaluiinfrastructure.search.*;
import com.plumtree.portaluiinfrastructure.tags.common.*;
import com.plumtree.uiinfrastructure.activityspace.*;

/**
 * This helper class generates search pagination URLs for use
 * in the portlet flyout using AJAX.
 */
public class PortletSearchURLHelper implements ISearchURLHelper
{
	public String makeURL(AActivitySpace _asOwner, ISearchResultModelRO _model,
		String sortOrder, int firstResultToDisplay, int pageSize)
	{
		// This uses a special method that forces a standard URL, not a pass-thru URL
		// so it can be used with an AJAX method.
		return PaginationControl.makeURLAsString(_model, _asOwner, "",
			sortOrder, firstResultToDisplay, pageSize);
	}
}