package com.bea.alui.taglib.portletpageeditor;

/**
 * This type-safe enum represents the different types of portlets.
 */
public class PortletTypes
{
	private String m_strType;

	public static final PortletTypes NONE = new PortletTypes("none");
	public static final PortletTypes NARROW = new PortletTypes("narrow");
	public static final PortletTypes WIDE = new PortletTypes("wide");
	public static final PortletTypes BUNDLE = new PortletTypes("bundle");

	private PortletTypes(String _strType)
	{
		m_strType = _strType;
	}

	public String ToString()
	{
		return m_strType;
	}
}
