using System;
using com.plumtree.portaluiinfrastructure.search;
using com.plumtree.portaluiinfrastructure.tags.common;
using com.plumtree.uiinfrastructure.activityspace;
using com.plumtree.xpshared.htmlelements;
namespace com.bea.alui.taglib.searchpage
{
  /// <summary>
  /// This class generates standard search pagination URLs.
  /// </summary>
  public class SearchURLHelper : ISearchURLHelper
  {
    public virtual String makeURL(AActivitySpace _asOwner, ISearchResultModelRO _model,
     String sortOrder, int firstResultToDisplay, int pageSize)
    {
      HTMLAnchor result = (HTMLAnchor) PaginationControl.makeURL(_model, _asOwner,
       "", sortOrder, firstResultToDisplay, pageSize);
      return result.GetHRef();
    }
  }
}