package com.bea.alui.taglib.searchpage;

import com.plumtree.portaluiinfrastructure.tags.metadata.*;

/**
 * Tag library to use when using Adaptive page layout of the search
 * results page.
 * 
 * @author smahendr
 */
public class SearchPageTagLibraryData implements ITagLibraryMetaData
{
	public static final String NAME = "searchpage";
	public static final TagLibraryMetaData LIBRARY = new TagLibraryMetaData(
			"Search Page Tags for Adaptive Layout",
			NAME,
			"This library contains the Search Results Page tags for the " +
			"Adaptive Page Layout Framework." +
			"The tags in this library will only work with the " +
			"Search Results Adaptive Layout, and can only by used " +
			"on the search results page.",
			1.0);
}
