package com.bea.alui.taglib.searchpage;

import com.plumtree.portaluiinfrastructure.search.*;
import com.plumtree.portaluiinfrastructure.tags.common.*;
import com.plumtree.uiinfrastructure.activityspace.*;
import com.plumtree.xpshared.htmlelements.*;

/**
 * This class generates standard search pagination URLs.
 */
public class SearchURLHelper implements ISearchURLHelper
{
	public String makeURL(AActivitySpace _asOwner, ISearchResultModelRO _model,
		String sortOrder, int firstResultToDisplay, int pageSize)
	{
		HTMLAnchor result = (HTMLAnchor)PaginationControl.makeURL(_model, _asOwner, "",
			sortOrder, firstResultToDisplay, pageSize);

		return result.GetHRef();
	}
}